package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ACTOR", indexes = {
        @Index(columnList = "ACTOR_CODE"),
        @Index(columnList = "ACTOR_NAME")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("ACTOR信息")
public class AndonActor extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1472090790204808649L;

    @Column(name = "ACTOR_CODE")
    @ApiParam("actor代码")
    private String actorCode;

    @Column(name = "ACTOR_NAME")
    @ApiParam("actor名称")
    private String actorName;

    @Column(name = "ACTOR_Class")
    @ApiParam("actor类名")
    private String actorClass;


}
