package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ACTOR_RULE", indexes = {
        @Index(columnList = "ACTOR_CODE"),
        @Index(columnList = "MT_CODE")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("ACTOR消息类型配置")
public class AndonActorRule extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3244584643305867326L;

    @Column(name = "ACTOR_CODE")
    @ApiParam("actor代码")
    private String actorCode;

    @Column(name = "MT_CODE")
    @ApiParam("消息类型代码")
    private String mtCode;

    @Column(name = "SPECIFIC_RULE")
    @ApiParam("特定条件")
    private String specificRule;

}
