package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.AndonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description : 安灯子类型
 * @Reference :
 * @Author : silliter.yuan
 * @CreateDate : 2019-05-10 17:16
 * @Modify:
 **/
@Data
@Entity
@Table(name = "ANDON_ALARM_DETAIL_TYPE", indexes = {
        @Index(columnList = "ALARM_CODE"),
        @Index(columnList = "ALARM_DETAIL_CODE"),
        @Index(columnList = "ALARM_DETAIL_NAME"),
        @Index(columnList = "ALARM_CODE, ALARM_DETAIL_CODE")
})
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("安灯子类型")
public class AndonAlarmDetailType extends BaseBean implements Serializable {

    private static final long serialVersionUID = -1540491136291384925L;

    @Column(name = "ALARM_DETAIL_CODE")
    @ApiParam(value = "安灯子类型编码")
    private String alarmDetailCode;

    @Column(name = "ALARM_DETAIL_NAME")
    @ApiParam(value = "安灯子类型名称")
    private String alarmDetailName;

    @AnnoOutputColumn(refClass = AndonEnumUtil.ALARM_TYPE.class,refForeignKey = "value",value = "description")
    @Column(name = "ALARM_CODE")
    @ApiParam(value = "安灯类型")
    private String alarmCode;
}
