package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ALARM_ROUTE", indexes = {
        @Index(columnList = "ROUTE_CODE"),
        @Index(columnList = "ALARM_CODE"),
        @Index(columnList = "WORK_CENTER_CODE"),
        @Index(columnList = "WORK_CENTER_CODE, ROUTE_TYPE"),
        @Index(columnList = "ROUTE_CODE, ALARM_CODE"),
        @Index(columnList = "ROUTE_CODE, ALARM_CODE, WORK_CENTER_CODE")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("安灯作业流程配置")
public class AndonAlarmRoute extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7425423934619147746L;

    @Column(name = "ALARM_CODE")
    @ApiParam("安灯类型代码")
    private String alarmCode;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "ROUTE_TYPE")
    @ApiParam("流程类型")
    private Integer routeType;

    @Transient
    @ApiParam("安灯类型名称")
    private String alarmName;

    @Transient
    @ApiParam("流程名称")
    private String routeName;

}
