package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ALARM_TYPE", indexes = {
        @Index(columnList = "ALARM_CODE"),
        @Index(columnList = "ALARM_NAME")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("安灯类型")
public class AndonAlarmType extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3286588436625932653L;

    @Column(name = "ALARM_CODE")
    @ApiParam("安灯类型代码")
    private String alarmCode;

    @Column(name = "ALARM_NAME")
    @ApiParam("安灯类型名称")
    private String alarmName;

    @Column(name = "CODE")
    @ApiParam("菜单编号")
    private String code;

    @Column(name = "COLOR")
    @ApiParam("BI颜色")
    private String color;

    @Column(name = "SEQ")
    @ApiParam("顺序")
    private Integer seq;

    @Transient
    @ApiParam("安灯类型代码")
    private String value;

    @Transient
    @ApiParam("安灯类型名称")
    private String description;

    @Transient
    @ApiParam("工作中心")
    private String workCenterCode;

}
