package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :安灯区域
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "ANDON_AREA", indexes = {
        @Index(columnList = "AREA_CODE"),
        @Index(columnList = "AREA_NAME")
})
@Api("安灯区域")
public class AndonArea extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3435045294077955581L;

    @Column(name="AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name="AREA_NAME")
    @ApiParam("区域名称")
    private String areaName;

}
