package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_AREA_ALARM_TYPE", indexes = {
        @Index(columnList = "AREA_CODE"),
        @Index(columnList = "ALARM_CODE")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("区域安灯类型")
public class AndonAreaAlarmType extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6551224785612729594L;

    @Column(name = "AREA_CODE")
    @ApiParam("区域代码")
    private String areaCode;

    @Column(name = "ALARM_CODE")
    @ApiParam("安灯类型代码")
    private String alarmCode;

}
