package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description : 系统参数配置
 * @Reference :
 * @Author : siliter
 * @CreateDate : 2019-03-07 09:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "ANDON_CONFIG", indexes = {
        @Index(columnList = "CONFIG_CODE"),
        @Index(columnList = "CONFIG_CODE, CONFIG_KEY"),
        @Index(columnList = "CONFIG_CODE, CONFIG_KEY, CONFIG_VALUE_TYPE"),
        @Index(columnList = "CONFIG_CODE, CONFIG_KEY, CONFIG_GROUP")
})
@Api(value="系统配置")
public class AndonConfig extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3284234821448139251L;

    @Column(name="NAME")
    @ApiParam(value ="名称")
    private String name;

    @Column(name="CONFIG_CODE")
    @ApiParam(value ="参数代码")
    private String configCode;

    @Column(name="CONFIG_DESCRIPTION")
    @ApiParam(value ="参数描述")
    private String configDescription;

    @Column(name="CONFIG_KEY")
    @ApiParam(value ="参数键")
    private String configKey;

    @Column(name="CONFIG_KEY_NAME")
    @ApiParam(value ="参数键描述")
    private String configKeyName;

    @Column(name="CONFIG_VALUE_TYPE")
    @ApiParam(value ="参数值类型")
    private String configValueType;

    @Column(name="CONFIG_VALUE_TYPE_NAME")
    @ApiParam(value ="参数值类型描述")
    private String configValueTypeName;

    @Column(name="CONFIG_VALUE")
    @ApiParam(value ="参数值")
    private String configValue;

    @Column(name="CONFIG_VALUE_DESC")
    @ApiParam(value ="参数值描述")
    private String configValueDesc;

    @Column(name="CONFIG_TYPE")
    @ApiParam(value ="参数类型ID（枚举：1.系统配置...）" , example ="-1")
    private Integer configType;

    @Column(name="CONFIG_GROUP")
    @ApiParam(value ="参数组")
    private Integer configGroup;


}
