package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_MANAGE_ROUTE_ERROR_RECORD", indexes = {
        @Index(columnList = "WORK_CENTER_CODE"),
        @Index(columnList = "WORK_CELL_CODE"),
        @Index(columnList = "WORK_CENTER_CODE, WORK_CELL_CODE"),
        @Index(columnList = "ANDON_ORDER_NO"),
        @Index(columnList = "MSG_TYPE"),
        @Index(columnList = "HANDLE_STATUS"),
        @Index(columnList = "WORK_CENTER_CODE, WORK_CELL_CODE, ANDON_ORDER_NO"),
        @Index(columnList = "WORK_CENTER_CODE, WORK_CELL_CODE, HANDLE_STATUS")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("安灯作业流程异常记录")
public class AndonManageRouteErrorRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = 2037562788825472674L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "工作中心")
    public String workCenterCode;

    @Column(name = "WORK_CELL_CODE")
    @ApiParam(value = "工作单元")
    public String workCellCode;

    @Column(name = "ALARM_CODE")
    @ApiParam(value = "安灯类型")
    public String alarmCode;

    @Column(name = "ALARM_DETAIL_CODE")
    @ApiParam(value = "安灯子类型编码")
    private String alarmDetailCode;

    @Column(name = "SOURCE_TYPE")
    @ApiParam(value = "安灯来源类型")
    private String sourceType;

    @Column(name = "ALARM_STATUS")
    @ApiParam(value = "安灯事件")
    public String alarmStatus;

    @Column(name = "ALARM_STATUS_NAME")
    @ApiParam(value = "安灯事件名称")
    public String alarmStatusName;

    @Lob
    @Column(name = "ERROR_DESC")
    @ApiParam(value = "异常描述")
    public String errorDesc;

    @Column(name = "MSG_TYPE")
    @ApiParam(value = "信息类型")
    private String msgType;

    @Column(name = "ANDON_ORDER_NO")
    @ApiParam(value = "安灯队列编号")
    public String andonOrderNo;

    @Column(name = "FSM_CACHED_KEY")
    @ApiParam(value = "缓存KEY")
    private String fsmCachedKey;

    @Column(name = "HANDLE_STATUS")
    @ApiParam(value = "处理状态")
    private Integer handleStatus;

    @Column(name = "ALARM_ERROR_TIME")
    @ApiParam("安灯异常时间")
    public String alarmErrorTime;

}
