package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_MESSAGE_TYPE", indexes = {
        @Index(columnList = "MT_CODE"),
        @Index(columnList = "MT_NAME")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("消息类型")
public class AndonMessageType extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6140381522677959027L;

    @Column(name = "MT_CODE")
    @ApiParam("消息类型代码")
    private String mtCode;

    @Column(name = "MT_NAME")
    @ApiParam("消息类型名称")
    private String mtName;

}
