package cn.estsh.i3plus.pojo.andon.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Table(name = "ANDON_ROUTE_MODULE_PARAM", indexes = {
        @Index(columnList = "ROUTE_CODE"),
        @Index(columnList = "ROUTE_CODE, AMG_ID, AM_CODE, STATUS_CODE")
})
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api("流程组件参数")
public class AndonRouteModuleParam extends BaseBean implements Serializable {

    private static final long serialVersionUID = -282175947799144290L;

    @Column(name = "ROUTE_CODE")
    @ApiParam("流程代码")
    private String routeCode;

    @Column(name = "AMG_ID")
    @ApiParam("组件集编号")
    private Long amgId;

    @Column(name = "AM_CODE")
    @ApiParam("组件代码")
    private String amCode;

    @Column(name = "PARAM_CODE")
    @ApiParam("参数代码")
    private String paramCode;

    @Column(name = "PARAM_VALUE")
    @ApiParam("参数值")
    private String paramValue;

    @Column(name = "STATUS_CODE")
    @ApiParam("状态代码")
    private String statusCode;
}
