package cn.estsh.i3plus.pojo.andon.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :安灯工作中心
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "ANDON_WORK_CENTER", indexes = {
        @Index(columnList = "WORK_CENTER_CODE"),
        @Index(columnList = "WORK_CENTER_NAME"),
        @Index(columnList = "AREA_CODE"),
        @Index(columnList = "AREA_CODE, WORK_CENTER_CODE")
})
@Api("安灯工作中心")
public class AndonWorkCenter extends BaseBean implements Serializable {

    private static final long serialVersionUID = -34850085202020333L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam("工作中心名称")
    private String workCenterName;

    @Column(name = "AREA_CODE")
    @ApiParam("生产区域代码")
    private String areaCode;

    public AndonWorkCenter(String organizeCode) {
        this.organizeCode = organizeCode;
    }

    public AndonWorkCenter() {
    }
}
