package cn.estsh.i3plus.pojo.andon.model;


import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;


import javax.persistence.*;
import java.io.Serializable;
import java.util.List;

/**
 * @Description :安灯区域
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("安灯区域model")
public class AndonAreaModel extends BaseBean implements Serializable {

    private static final long serialVersionUID = 1406838542079597374L;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("区域名称")
    private String areaName;

    @Transient
    @ApiParam(value ="子集列表")
    @AnnoOutputColumn(hidden = true)
    private List<AndonWorkCenterModel> childTreeList;

    @Transient
    @ApiParam(value ="名称")
    @AnnoOutputColumn(hidden = true)
    private String name;

    public String getName(){
        return areaName;
    }
}
