package cn.estsh.i3plus.pojo.andon.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :安灯工作单元
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("安灯工作单元model")
public class AndonWorkCellModel extends BaseBean implements Serializable {

    private static final long serialVersionUID = -4513957019405532048L;

    @ApiParam("工作单元代码")
    private String workCellCode;

    @ApiParam("工作单元名称")
    private String workCellName;

    @ApiParam("工作中心")
    private String workCenterCode;

    @ApiParam("生产区域代码")
    private String areaCode;

    @Transient
    @ApiParam(value ="名称")
    @AnnoOutputColumn(hidden = true)
    private String name;

    public String getName(){
        return this.workCellCode;
    }
}
