package cn.estsh.i3plus.pojo.andon.model;

import cn.estsh.i3plus.pojo.andon.bean.AndonWorkCell;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.*;
import java.io.Serializable;
import java.util.List;

/**
 * @Description :安灯工作中心
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@NoArgsConstructor
@AllArgsConstructor
@ApiModel("安灯工作中心model")
public class AndonWorkCenterModel extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2737182509323706933L;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("工作中心名称")
    private String workCenterName;

    @ApiParam("生产区域代码")
    private String areaCode;

    @Transient
    @ApiParam(value ="子集列表")
    @AnnoOutputColumn(hidden = true)
    private List<AndonWorkCell> childTreeList;

    @Transient
    @ApiParam(value ="名称")
    @AnnoOutputColumn(hidden = true)
    private String name;

    public String getName(){
        return this.workCenterName;
    }

    public AndonWorkCenterModel(String organizeCode) {
        this.organizeCode = organizeCode;
    }

}
