package cn.estsh.i3plus.pojo.andon.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @date 2020/2/12 17:41
 * @desc
 */

@Data
@ApiModel("状态点model")
public class FsmModel implements Serializable {

    private static final long serialVersionUID = -6578122778434730384L;

    @ApiParam("流程代码")
    private String routeCode;

    @ApiParam("状态代码")
    private String statusCode;

    @ApiParam("状态名称")
    private String statusName;

    @ApiParam("下一状态")
    private String nextStatus;

    @ApiParam("触发类型")
    private Integer triggerType;

    @ApiParam("触发事件")
    private String triggerEvent;

    @ApiParam("触发条件（MVEL）")
    private String triggerWhere;

    @ApiParam("触发调用")
    private Long actionAmgId;

    @ApiParam("进入状态调用")
    private Long inAmgId;

    @ApiParam("离开状态调用")
    private Long outAmgId;

    @ApiParam("状态类型")
    private Integer statusType;

    @ApiParam("安灯类型代码")
    private String alarmCode;

    @ApiParam("工作中心代码")
    private String workCenterCode;

    @ApiParam("流程类型")
    private Integer routeType;

    @ApiParam("界面编号")
    private String interfaceNo;

    @ApiParam("安灯流程ID")
    private Long alarmRouteId;

    @ApiParam("进入触发方法时默认不需要校验外部触发")
    private boolean checkTriggerTypeFalg = false;

    @ApiParam("状态机停在之后处理异常标志")
    private boolean handleErrorAfterStopFsmFalg = false;

}
