package cn.estsh.i3plus.pojo.andon.model;


import io.swagger.annotations.Api;
import lombok.Data;

@Data
@Api("组件返回信息")
public class ModuleResult {

    private boolean isCompleted;

    private boolean isError = false;

    private String msg;

    private String nextTriggerEvent;

    public static ModuleResult getNonComplete() {
        return new ModuleResult(false, "");
    }

    public static ModuleResult getNonComplete(String msg) {
        return new ModuleResult(false, msg);
    }

    public static ModuleResult getCustomNonComplete(String nextTriggerEvent) {
        return new ModuleResult(false, "", nextTriggerEvent);
    }

    public static ModuleResult getCustomNonComplete(String msg, String nextTriggerEvent) {
        return new ModuleResult(false, msg, nextTriggerEvent);
    }

    public static ModuleResult getErrorComplete(String msg) {
        return new ModuleResult(false, true, msg);
    }

    public static ModuleResult getSuccessComplete() {
        return new ModuleResult(true, "");
    }

    public static ModuleResult getSuccessComplete(String msg) {
        return new ModuleResult(true, msg);
    }

    public static ModuleResult getCustomSuccessComplete(String nextTriggerEvent) {
        return new ModuleResult(true, "", nextTriggerEvent);
    }

    public static ModuleResult getCustomSuccessComplete(String msg, String nextTriggerEvent) {
        return new ModuleResult(true, msg, nextTriggerEvent);
    }

    private ModuleResult() {
    }

    private ModuleResult(boolean isCompleted, String msg) {
        this.isCompleted = isCompleted;
        this.msg = msg;
    }

    private ModuleResult(boolean isCompleted, boolean isError, String msg) {
        this.isCompleted = isCompleted;
        this.isError = isError;
        this.msg = msg;
    }

    public ModuleResult(boolean isCompleted, String msg, String nextTriggerEvent) {
        this.isCompleted = isCompleted;
        this.msg = msg;
        this.nextTriggerEvent = nextTriggerEvent;
    }

}
