package cn.estsh.i3plus.pojo.andon.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * @Description : 工位请求bean
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-04-19
 * @Modify:
 **/
@Data
public abstract class StationRequestBeanAb implements Serializable {

    private static final long serialVersionUID = -8537547029096794087L;

    @ApiParam("ACTOR接收策略类名")
    public String actorReceiveStrategyClass;

    @ApiParam("ACTOR类名")
    public String actorClass;

    @ApiParam("缓存数据KEY")
    public String fsmCachedKey;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("用户信息")
    public String userInfo;

    @ApiParam("消息类型")
    public String msgType;

    @ApiParam("区域代码")
    public String areaCode;

    @ApiParam("工作中心代码")
    public String workCenterCode;

    @ApiParam("工作单元代码")
    public String workCellCode;

    @ApiParam(value = "安灯类型")
    public String alarmCode;

    @ApiParam(value = "安灯来源类型")
    public String sourceType;

    @ApiParam(value = "安灯子类型编码")
    public String alarmDetailCode;

    @ApiParam(value = "安灯队列编号")
    public String andonOrderNo;

    @ApiParam(value = "安灯状态")
    public String alarmStatus;

    @ApiParam(value = "安灯状态名称(呼叫 响应 解决 撤销 等)")
    public String alarmStatusName;

    @ApiParam("消息数据")
    public Map<String, Object> msgData = new HashMap<>();

    @ApiParam("流程状态集合")
    public List<FsmModel> fsmList;

    @ApiParam("当前流程状态")
    public FsmModel curFsm;

    @ApiParam("当前触发事件")
    public String triggerEvent;

    @ApiParam("安灯异常时间")
    public String alarmErrorTime;

    public String get(Object obj)  {
        if (null == obj) {
            return "";
        } else {
            return obj.toString();
        }
    }

}
