package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :资源甘特图资源表格
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2021-07-27
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_RES_GANTT_TABLE")
@Api("资源甘特图资源表格")
public class ResGanttTable extends BaseAPS {
    private static final long serialVersionUID = -8818717728985340196L;

    @Column(name="CODE")
    @ApiParam(value ="编码")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String code;

    @Column(name="NAME")
    @ApiParam(value ="名称")
    @FieldAnnotation(popSearch = true)
    private String name;

    @Column(name="DISPLAY")
    @ApiParam(value ="是否在界面显示")
    @FieldAnnotation(defaultValue = "true")
    private Boolean display = true;

    @Column(name="ORDER_NUMBER")
    @ApiParam(value ="序号")
    private Integer orderNumber;

    private transient ApsEnumUtil.FIELD_TYPE type;

    private transient ApsEnumUtil.EDIT_TYPE editType;

    @ApiParam(value ="枚举项内容")
    private transient Enum<?>[] enumItems;
}
