package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :流水号，补充生产订单和采购订单时自动生成编码
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_SERIAL_NUMBER")
@Api("流水号")
@ExcludeImportExport
public class SerialNumber extends BaseAPS {
    private static final long serialVersionUID = 312483211086701109L;

    @Column(name="S_NUMBER")
    @ApiParam(value ="销售订单流水号")
    private Integer sNumber = 0;

    @Column(name="M_NUMBER")
    @ApiParam(value ="生产订单流水号")
    private Integer mNumber = 0;

    @Column(name="P_NUMBER")
    @ApiParam(value ="采购订单流水号")
    private Integer pNumber = 0;

    @Column(name="W_NUMBER")
    @ApiParam(value ="库存订单流水号")
    private Integer wNumber = 0;

    @Column(name="Q_NUMBER")
    @ApiParam(value ="安全库存订单流水号")
    private Integer qNumber = 0;

    @Column(name="H_NUMBER")
    @ApiParam(value ="插单流水号")
    private Integer hNumber = 0;

    @Column(name="Z_NUMBER")
    @ApiParam(value ="补充订单流水号")
    private Integer zNumber = 0;

    @Column(name="LAST_DATE")
    @ApiParam(value ="最后生成日期")
    private Date lastDate;
}
