package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BeanRelation;
import cn.estsh.i3plus.pojo.aps.holders.EBaseOrder;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Jason
 * @ClassName: SupplyOrder
 * @Description: 补充订单
 * @date 2021-12-30
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_SUPPLY_ORDER")
@Api("补充订单")
public class SupplyOrder extends BaseOrder {
    private static final long serialVersionUID = -5829272956141252627L;

    @Column(name="FINISH_COUNT")
    @ApiParam(value ="完工数")
    @FieldAnnotation(modify = false, defaultValue = "0")
    private Double finishCount;

    @Column(name="QUALIFIED_COUNT")
    @ApiParam(value ="检验合格数量")
    @FieldAnnotation(modify = false, defaultValue = "0")
    private Double qualifiedCount;

    @JsonIgnore
    public Work getWork() {
        return BeanRelation.get(this, EBaseOrder.Works);
    }
}
