package cn.estsh.i3plus.pojo.aps.bean;

import cn.estsh.i3plus.pojo.aps.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.aps.common.BaseAPS;
import cn.estsh.i3plus.pojo.base.enumutil.ApsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Description :系统参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate : 2019-09-17
 * @Modify:
 **/
@Data
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "APS_SYS_PARAM")
@Api("系统参数")
public class SysParam extends BaseAPS {
    private static final long serialVersionUID = 3115620726438869596L;

    @Column(name="BASE_TIME")
    @ApiParam(value ="基准时间")
    private Date baseTime;

    @Column(name="MAX_INTERRUPT_COUNT")
    @ApiParam(value ="最大中断次数")
    @FieldAnnotation(defaultValue = "20")
    private Integer maxInterruptCount = 20;

    @Column(name="RULE_GROUP_ID")
    @ApiParam(value ="规则组id")
    @FieldAnnotation(display = false)
    private Long ruleGroupId;

    @Column(name="INVENTORY_RATE")
    @ApiParam(value ="库存误差百分比")
    private Double inventoryRate;

    @Column(name="RECORD_RESULT")
    @ApiParam(value ="记录资源评估结果")
    private Boolean recordResult = false;

    @Column(name="SCHEDULE_RESULT")
    @ApiParam(value ="记录排程结果")
    private Boolean scheduleResult = false;

    @Column(name="SPLIT_BY_SHIFT")
    @ApiParam(value ="按班次分割下发的工作")
    private Boolean splitByShift = true;

    @Column(name="RES_GANTT_LABEL")
    @ApiParam(value ="资源甘特图工作块显示标签")
    private String resGanttLabel;

    @Column(name="FOUR_FIRST_SUPPLY")
    @ApiParam(value ="是否牵纱补满模")
    private Boolean fourFirstSupply = false;

    @Column(name="MAX_SPACE_LIMIT_DRAG")
    @ApiParam(value ="间隔时间限制")
    private Boolean maxSpaceLimitDrag = true;

    @Column(name="DEFAULT_FEEDBACK")
    @ApiParam(value ="自动提交前三道")
    private Boolean defaultFeedback = true;

    @Column(name="SAME_MATERIAL_INTERVAL")
    @ApiParam(value ="相同物料选择间隔")
    private String sameMaterialInterval;

    @Column(name="MERGE_RATIO")
    @ApiParam(value ="合并余数需求比列")
    private Integer mergeRatio;
}
