package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:21
 * @Modify:
 **/
@Entity
@Table(name = "BSP_EXECUTOR_GROUP_REGISTRY_INFO")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("执行器组")
public class ExecutorGroupRegistryInfo extends BaseBean implements Serializable {

    private static final long serialVersionUID = -3871002350228229604L;

    @Column(name = "APP_NAME")
    @ApiModelProperty("执行器组的applicationType")
    private String appName;

    @Column(name = "ADDRESS_STR")
    @ApiModelProperty("注册地址字符串，地址用逗号间隔")
    private String addressStr;

    @Column(name = "TYPE",columnDefinition = "int default 0")
    @ApiModelProperty("自动注册 0，手动注册 1")
    private Integer type;

    @Column
    @ApiModelProperty("执行器组路由策略,默认随机")
    private String routeStrategy;

//    @Column(name = "UPDATE_TIME")
//    @ApiModelProperty("更新时间")
//    private Date updateTime;

    @Column(name = "SOFT_TYPE")
    @ApiModelProperty("应用该类型")
    private Integer softType;
}
