package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:33
 * @Modify:
 **/
@Entity
@Table(name = "BSP_EXECUTOR_REGISTRY_INFO")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("执行器")
public class ExecutorRegistryInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = -736085114778936163L;

    @Column(name = "APP_NAME")
    @ApiModelProperty("执行器类型,代替appName")
    private String appName;

    @Column(name = "ADDRESS")
    @ApiModelProperty("执行器地址，包含ip:port")
    private String address;

    @Column(name = "WEIGHT")
    @ApiModelProperty("执行器权重")
    private Integer weight;

    @Column(name = "HEART_BEAT")
    @ApiModelProperty("心跳，存活1，2死掉")
    private Integer heartBeat;

    @Column(name = "EXECUTOR_TYPE")
    @ApiModelProperty("执行器的类型，同枚举Method_group_Type")
    private Integer executorType;

    @Column(name = "REGISTRY_TYPE")
    @ApiModelProperty("执行器注册类型，手动1，自动注册2")
    private Integer registryType;
}
