package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/6/16 13:43
 * @Modify:
 **/
@Entity
@Table(name = "BSP_REGISTRY_METHOD_DOC_INFO")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法doc")
public class ExecutorRegistryMethodDocInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = 2770821289940006535L;

    @ApiModelProperty(value = "应用类型")
    @Column(name = "APP_NAME")
    private String appName;

    @Lob
    @ApiModelProperty(value = "markdown文本，前端渲染")
    @Column(name = "MARKDOWN")
    private String markdown;

    @ApiModelProperty(value = "方法名,方法名和应用名做唯一键")
    @Column(name = "METHOD_NAME")
    private String methodName;

    @ApiModelProperty(value = "分类")
    @Lob
    @Column(name = "CLASSIFICATION")
    private String classification;

}
