package cn.estsh.i3plus.pojo.bsp.server.bean.po;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.thoughtworks.xstream.converters.extended.NamedMapConverter;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/9/8 17:01
 * @Modify:
 **/
@Table(name = "BSP_METHOD_LOG")
@Entity
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Builder
@ApiModel("方法调用日志")
public class MethodLog extends BaseBean implements Serializable {

    @ApiModelProperty("调用方法名冗余字段")
    @Column(name = "METHOD_NAME_RDD")
    private String methodNameRdd;

    @ApiModelProperty("方法id")
    @Column(name = "METHOD_ID")
    private Long methodId;

    @ApiModelProperty("方法参数")
    @Column(name = "METHOD_PARAMS")
    private String methodParam;

    @ApiModelProperty("方法调用日志信息")
    @Column(name = "MESSAGE",columnDefinition = " text ")
    private String message;

    @ApiModelProperty("方法是否执行成功")
    @Column(name = "SUCCESS")
    private Integer success;

    @ApiModelProperty("方法所属应用冗余")
    @Column(name = "APP_NAME_RDD")
    private String appNameRdd;

    @ApiModelProperty("区分方法或者脚本,BSP枚举")
    @Column(name = "TYPE")
    private Integer type;
}
