package cn.estsh.i3plus.pojo.cdm.annotation;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Api("业务字段描述")
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface BusiColumn {
    @ApiParam("是否业务主键")
    boolean isPrimary() default false;
    @ApiParam("是否必须")
    boolean isRequired() default false;
    @ApiParam("是否唯一")
    boolean isUnique() default false;
    @ApiParam("日期格式,默认空表示非日期类型,*表示匹配多种日期格式")
    String dateFormat() default "";
    @ApiParam("导入Excel对应列")
    int importExcelColumn() default -1;
    @ApiParam("导入自定义获取业务方法名,null为执行,空字符串为'get+字段名'")
    String importGetMethod() default "null";
}
