package cn.estsh.i3plus.pojo.cdm.annotation;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

@Api("业务表描述")
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
public @interface BusiTable {
    @ApiParam("导入读取的工作簿数")
    int importReadSheetNum() default 3;
    @ApiParam("导入读取的总行数")
    int importReadRowNum() default 0;
    @ApiParam("导入读取的开始行")
    int importReadRowStart() default 1;
    @ApiParam("只导入标注Excel对应列的字段")
    boolean importExcelColumnOnly() default true;
    @ApiParam("导入时主键字段数据存在抛出异常")
    boolean importPrimaryExistThrow() default false;
    @ApiParam("导入前执行自定义逻辑")
    boolean importCustomLogicBefore() default false;
    @ApiParam("导入后执行自定义逻辑")
    boolean importCustomLogicAfter() default false;
}
