package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 客户信息
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/18 0:45
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_BAS_CUSTOMER")
@Api("客户信息")
public class CdmBasCustomer extends BaseBean {

    @Column(name = "CUST_NO")
    @ApiParam("客户编码")
    private String custNo;

    @Column(name = "CUST_NAME")
    @ApiParam("客户简称")
    private String custName;

    @Column(name = "CUST_DESC")
    @ApiParam("客户全称")
    private String custDesc;

    @Column(name = "CUST_DESC_OF_ENGLISH")
    @ApiParam("客户英文全称")
    private String custDescOfEnglish;

    @Column(name = "CUST_ADDR")
    @ApiParam("客户地址")
    private String custAddr;

    @Column(name = "CUST_ADDR_OF_ENGLISH")
    @ApiParam("客户英文地址")
    private String custAddrOfEnglish;

    @Column(name = "CUST_OWNER")
    @ApiParam("联系人")
    private String custOwner;

    @Column(name = "CUST_EMAIL")
    @ApiParam("邮箱")
    private String custEmail;

    @Column(name = "CUST_TEL")
    @ApiParam("电话号码")
    private String custTel;

    @Column(name = "CUST_FAX")
    @ApiParam("传真")
    private String custFax;


}
