package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import org.springframework.data.annotation.Transient;

import javax.persistence.*;

/**
 * @Description : 海关核注清单明细
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/26 13:42
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_CUSTOM_CHECK_DETAIL")
@Api("海关核注清单明细")
public class CdmCustomCheckDetail extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("预录入统一编号")
    private String orderNo;

    @Column(name = "RECORD_SERIAL_NUMBER")
    @ApiParam("备案序号")
    private String recordSerialNumber;

    @Column(name = "CUSTOMS_COMMODITY_NO")
    @ApiParam("商品料号")
    private String customsCommodityNo;

    @Column(name = "COMMODITY_NO")
    @ApiParam("商品编码")
    private String commodityNo;

    @Column(name = "COMMODITY_NAME")
    @ApiParam("商品名称")
    private String commodityName;

    @Column(name = "COMMODITY_MODEL")
    @ApiParam("规格型号")
    private String commodityModel;

    @Column(name = "COUNTRY_OF_ORIGIN")
    @ApiParam("原产国")
    private String countryOfOrigin;

    @Column(name = "DESTINATION")
    @ApiParam("最终目的地")
    private String destination;

    @Column(name = "CURRENCY")
    @ApiParam("币制")
    private String currency;


    @Column(name = "DECLARED_UNIT_PRICE")
    @ApiParam("申报单价")
    private Double declaredUnitPrice;


    @Column(name = "DECLARED_QTY")
    @ApiParam("申报数量")
    private Double declaredQty;


    @Column(name = "DECLARE_UNIT")
    @ApiParam("申报计量单位")
    private String declareUnit;


    @Column(name = "DECLARED_TOTAL_PRICE")
    @ApiParam("申报总价")
    private Double declaredTotalPrice;


    @Column(name = "LEGAL_QUANTITY")
    @ApiParam("法定数量")
    private Double legalQuantity;


    @Column(name = "LEGAL_MEASUREMENT_UNIT")
    @ApiParam("法定计量单位")
    private String legalMeasurementUnit;

    @Column(name = "LEGAL_SECOND_QUANTITY")
    @ApiParam("第二法定数量")
    private Double legalSecondQuantity;


    @Column(name = "LEGAL_MEASUREMENT_SECOND_UNIT")
    @ApiParam("第二法定计量单位")
    private String legalMeasurementSecondUnit;

    @Column(name = "GROSS_WEIGHT")
    @ApiParam("毛重")
    private Double grossWeight;

    @Column(name = "NET_WEIGHT")
    @ApiParam("净重")
    private Double netWeight;

    @Column(name = "EXEMPTION_METHOD")
    @ApiParam("征免方式")
    private String exemptionMethod;

    @Transient
    @ApiParam("申报要素")
    private String declareElement;
}
