package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 海关核注清单
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/26 13:42
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_CUSTOM_CHECK_MASTER")
@Api("海关核注清单主表")
public class CdmCustomCheckMaster extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("预录入统一编号")
    private String orderNo;

    @Column(name = "BILL_NO")
    @ApiParam("清单编号")
    private String billNo;

    @Column(name = "ACCOUNT_NO")
    @ApiParam("手(帐)册编号")
    private String accountNo;

    @Column(name = "BUSINESS_CODE")
    @ApiParam("经营企业编码")
    private String businessCode;

    @Column(name = "SOCIAL_CREDIT_CODE")
    @ApiParam("经营企业社会信用代码")
    private String socialCreditCode;

    @Column(name = "BUSINESS_NAME")
    @ApiParam("经营企业名称")
    private String businessName;

    @Column(name = "PROCESS_CODE")
    @ApiParam("加工企业编码")
    private String processCode;

    @Column(name = "PROCESS_CREDIT_CODE")
    @ApiParam("加工企业社会信用代码")
    private String processCreditCode;

    @Column(name = "PROCESS_NAME")
    @ApiParam("加工企业名称")
    private String processName;


    @Column(name = "DECLARE_UNIT_CODE")
    @ApiParam("申报单位代码")
    private String declareUnitCode;


    @Column(name = "DECLARE_UNIT_CREDIT_CODE")
    @ApiParam("申报单位社会信用代码")
    private String declareUnitCreditCode;


    @Column(name = "DECLARE_UNIT_NAME")
    @ApiParam("申报单位名称")
    private String declareUnitName;


    @Column(name = "ENTRY_UNIT_CODE")
    @ApiParam("录入单位代码")
    private String entryUnitCode;


    @Column(name = "ENTRY_UNIT_CREDIT_CODE")
    @ApiParam("录入单位社会信用代码")
    private String entryUnitCreditCode;


    @Column(name = "ENTRY_UNIT_NAME")
    @ApiParam("录入单位名称")
    private String entryUnitName;

    @Column(name = "ENTERPRISE_NUMBER")
    @ApiParam("企业内部编号")
    private String enterpriseNumber;


    @Column(name = "ENTRY_DATE")
    @ApiParam("录入日期")
    private String entryDate;


    @Column(name = "BILL_DECLARE_DATE")
    @ApiParam("清单申报日期")
    private String billDeclareDate;


    @Column(name = "PART_TYPE")
    @ApiParam("料件成品标志")
    private String partType;


    @Column(name = "MODE_OPERATION")
    @ApiParam("经营方式")
    private String modeOperation;

    @Column(name = "TRANS_PORT_TYPE")
    @ApiParam("运输方式")
    private String transPortType;


    @Column(name = "ENTRY_ADRRESS")
    @ApiParam("进境关别")
    private String entryAdrress;

    @Column(name = "COMPETENT_CUSTOMS")
    @ApiParam("主管海关")
    private String competentCustoms;


    @Column(name = "FROM_CITY")
    @ApiParam("启远国(地区)")
    private String orignCity;


    @Column(name = "BILL_TYPE")
    @ApiParam("清单类型")
    private String billType;


    @Column(name = "CHECK_MARK")
    @ApiParam("核扣标志")
    private String checkMark;



    @Column(name = "BAYONET_STATU")
    @ApiParam("清单进出卡口状态")
    private String bayonetStatu;


    @Column(name = "DECLARE_NO")
    @ApiParam("申报表编号")
    private String declareNo;


    @Column(name = "EXCHANGE_TYPE")
    @ApiParam("流转类型")
    private String exchangeType;



    @Column(name = "DECLARE_MARK")
    @ApiParam("报关标志")
    private String declareMark;


    @Column(name = "CUSTOM_TYPE")
    @ApiParam("报关类型")
    private String customType;


    @Column(name = "CUSTOM_ORDER_TYPE")
    @ApiParam("报关单类型")
    private String customOrderType;


    @Column(name = "CUSTOM_BILL_NO")
    @ApiParam("报关清单编号")
    private String customBillNo;


    @Column(name = "REF_RECORD_NUMBER")
    @ApiParam("关联手(帐)册备案号")
    private String refRecordNumber;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "OPERATOR_CARD")
    @ApiParam("操作员卡号")
    private String operatorCard;

    @Column(name = "IS_FINAL_REVIEW")
    @ApiParam("是否终审核")
    private String isFinalReview;

    @Column(name = "CHECK_TYPE")
    @ApiParam("核注类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CHECK_TYPE.class,refForeignKey = "value", value = "description")
    private Integer checkType;
}
