package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 数据字典-枚举
 * @Reference :
 * @Author : PUXIAO
 * @CreateDate : 2022-02-16
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_ENUM")
@Api("数据字典-枚举")
public class CdmEnum extends BaseBean {

    //枚举名称
    @Column(name = "ENUM_TYPE")
    @ApiParam(value = "枚举类型")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    @AnnoOutputColumn(refClass = CdmEnumUtil.CDM_DICTIONARY_TYPE.class,refForeignKey = "value", value = "description")
    private String enumType;

    @Column(name = "ENUM_TYPE_DESC")
    @ApiParam(value = "枚举类型描述")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumTypeDesc;

    //value
    @Column(name = "ENUM_VALUE_SEQ")
    @ApiParam(value = "枚举值序号")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Integer enumValueSeq;


    @Column(name = "ENUM_VALUE")
    @ApiParam(value = "枚举值")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumValue;

    @Column(name = "ENUM_VALUE_DESC")
    @ApiParam(value = "枚举值描述")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumValueDesc;

    @Column(name = "ENUM_VALUE_ENG_DESC")
    @ApiParam(value = "枚举值英文描述")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumValueEngDesc;

    @Column(name = "ENUM_VALUE_SEQ_CODE")
    @ApiParam(value = "枚举值序号编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String enumValueSeqCode;
}
