package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 导出模块
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/10 22:48
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_EXPORT_MODULE",indexes = {@Index(columnList = "MODULE_CODE")})
@Api("导出模块")
public class CdmExportModule extends BaseBean {

    @Column(name = "MODULE_CODE")
    @ApiParam("模块编码")
    private String moduleCode;

    @Column(name = "MODULE_NAME")
    @ApiParam("模块名称")
    private String moduleName;


    @Column(name = "BUSI_TYPE")
    @ApiParam("业务类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CUSTOMS_BUSI_TYPE.class,refForeignKey = "value", value = "description")
    private Integer busiType;

    @Column(name = "COMPNAY_LEVEL")
    @ApiParam("公司级别")
    @AnnoOutputColumn(refClass = CdmEnumUtil.COMPNAY_LEVEL.class,refForeignKey = "value", value = "description")
    private Integer compnayLevel;

    @Column(name = "CUSTOMS_TYPE")
    @ApiParam("报关类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CUSTOMS_TYPE.class,refForeignKey = "value", value = "description")
    private Integer customsType;



    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;
}
