package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 导出模块明细
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/10 22:48
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_EXPORT_MODULE_DETAIL",indexes = {@Index(columnList = "MODULE_CODE,TEMPLATE_CODE")})
@Api("导出模块明细")
public class CdmExportModuleDetail extends BaseBean {

    @Column(name = "MODULE_CODE")
    @ApiParam("模块编码")
    private String moduleCode;

    @Column(name = "TEMPLATE_CODE")
    @ApiParam("模板编码")
    private String templateCode;

    @Column(name = "MODULE_CLASS")
    @ApiParam("模块实现类")
    private String moduleClass;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;
}
