package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.List;

/**
 * @Description : 导出任务明细
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/10 22:48
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_EXPORT_TASK_DETAIL",indexes = {@Index(columnList = "TASK_NO")})
@Api("导出任务明细")
public class CdmExportTaskDetail extends BaseBean {

    @Column(name = "TASK_NO")
    @ApiParam("任务编码")
    private String taskNo;

    @Column(name = "ITEM")
    @ApiParam("行号")
    private Integer item;

    @Column(name = "TEMPLATE_CODE")
    @ApiParam("模板编码")
    private String templateCode;

    @Column(name = "MODULE_CLASS")
    @ApiParam("模块实现类")
    private String moduleClass;

    @Column(name = "ITEM_STATUS")
    @ApiParam("状态")
    @AnnoOutputColumn(refClass = CdmEnumUtil.EXPORT_TASK_STATUS.class, refForeignKey = "value", value = "description")
    private Integer itemStatus;

    @Column(name = "FILE_NAME")
    @ApiParam("文件名称")
    private String fileName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "GROUP_NAME")
    @ApiParam("组名")
    private String groupName;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件原名")
    private String fileOriginName;

    @Column(name = "FILE_SIZE")
    @ApiParam("文件大小")
    private String fileSize;

    @Column(name = "FILE_TYPE")
    @ApiParam("文件类型")
    private String fileType;

    @Column(name = "ERROR_MSG",columnDefinition="TEXT")
    @ApiParam("异常信息")
    private String errorMsg;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "PARAMS",columnDefinition="TEXT")
    @ApiParam("参数")
    private String params;

    @Column(name = "PARAMS_CLASS_NAME")
    @ApiParam("参数类")
    private String paramsClassName;

    @Column(name = "JOINT_FILE_NAME")
    @ApiParam("组合文件名称")
    private String jointFileName;

    @Transient
    @ApiParam("下载任务单号集合")
    private List<String> taskNoList;

    @Transient
    @ApiParam("下载文件URL集合")
    private List<String> fileUrlList;

}
