package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 导出模板
 * @Reference : TODO
 * @Author : puxiao
 * @CreateDate : 2022/5/10 22:48
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_EXPORT_TEMPLATE",indexes = {@Index(columnList = "TEMPLATE_CODE")})
@Api("导出模板")
public class CdmExportTemplate extends BaseBean {

    @Column(name = "TEMPLATE_CODE")
    @ApiParam("模板编码")
    private String templateCode;

    @Column(name = "TEMPLATE_NAME")
    @ApiParam("模板名称")
    private String templateName;

    @Column(name = "TEMPLATE_DESC")
    @ApiParam("模板描述")
    private String templateDesc;

    @Column(name = "FILE_NAME")
    @ApiParam("文件名称")
    private String fileName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件原名")
    private String fileOriginName;

    @Column(name = "FILE_SIZE")
    @ApiParam("文件大小")
    private String fileSize;

    @Column(name = "FILE_TYPE")
    @ApiParam("文件类型")
    private String fileType;

    @Column(name = "GROUP_NAME")
    @ApiParam("FastDfs Group 名称(后台使用)")
    private String groupName;

    @Column(name = "JOINT_FILE_COLUMN")
    @ApiParam("文件拼接列位 格式：用 ‘,’ 拼接")
    private String jointFileColumn;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

}
