package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;


@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_EXPORT_TEMPLATE_FIFTY",indexes = {@Index(columnList = "ORDER_NO")})
@Api("50_总公司现报核注清单表头")
public class CdmExportTemplateFifty extends BaseBean{

    @Column(name = "BUSINESS_NAME")
    @ApiParam("经营企业名称")
    private String businessName;

    @Column(name = "BUSINESS_CODE")
    @ApiParam("经营企业编码")
    private String businessCode;

    @Column(name = "MANUAL_CODE")
    @ApiParam("手(账)册编号")
    private String manualCode;

    @Column(name = "IMPORT_EXPORT_MARK")
    @ApiParam("进出口标志")
    private String importExportMark;

    @Column(name = "ENTERPRISE_INTERNAL_NUMBER")
    @ApiParam("企业内部编号")
    private String enterpriseInternalNumber;

    @Column(name = "INTO_AREA_DATE")
    @ApiParam("进出区日期")
    private String intoAreaDate;

    @Column(name = "PART_FINISHED_FLAG")
    @ApiParam("料件、成品标志")
    private String partFinishedFlag;

    @Column(name = "SUPERVISION_METHOD")
    @ApiParam("监管方式")
    private String supervisionMethod;

    @Column(name = "SHIPPING_TYPE")
    @ApiParam("运输方式")
    private String shippingType;

    @Column(name = "INBOUND_OUTBOUND_CUSTOMS")
    @ApiParam("进/出境关别")
    private String inboundOutboundCustoms;

    @Column(name = "DESTINATION_COUNTRY")
    @ApiParam("启运/运抵国(地区)")
    private String destinationCountry;

    @Column(name = "LIST_TYPE")
    @ApiParam("清单类型")
    private String listType;

    @Column(name = "COUNTERPARTY")
    @ApiParam("交易方")
    private String counterparty;

    @Column(name = "RETURN_NUMBER")
    @ApiParam("申报表编号")
    private String returnNumber;

    @Column(name = "APPLICANT_NAME")
    @ApiParam("申报单位名称")
    private String applicantName;

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "PRE_INPUT_UNIFIED_NUMBER")
    @ApiParam("预录入统一编号")
    private String preInputUnifiedNumber;

    @Column(name = "REMAKE")
    @ApiParam("暂存结果对比说明")
    private String remake;

    @Column(name = "HOLD_FOR_CONFIRMATION")
    @ApiParam("暂存核对是否认可")
    @AnnoOutputColumn(refClass = CdmEnumUtil.HOLD_FOR_CONFIRMATION.class,refForeignKey = "value", value = "description")
    private Integer holdForConfirmation;

    @Column(name = "TEMPORARY_HOLD_CHECK_STATUS")
    @ApiParam("暂存核对状态")
    @AnnoOutputColumn(refClass = CdmEnumUtil.TEMPORARY_HOLD_CHECK_STATUS.class,refForeignKey = "value", value = "description")
    @ColumnDefault("2")
    private Integer temporaryHoldCheckStatus;

    @Column(name = "LIST_NUMBER")
    @ApiParam("清单编号")
    private String listNumber;

    @Column(name = "TASK_NO")
    @ApiParam("任务编号")
    private String taskNo;

    public CdmExportTemplateFifty() {
    }

    public CdmExportTemplateFifty(String businessName, String businessCode, String manualCode, String importExportMark,
                                  String enterpriseInternalNumber,String partFinishedFlag,
                                  String supervisionMethod, String shippingType, String inboundOutboundCustoms,
                                  String destinationCountry, String listType, String counterparty, String returnNumber,
                                  String applicantName, String preInputUnifiedNumber,String listNumber) {
        this.businessName = businessName;
        this.businessCode = businessCode;
        this.manualCode = manualCode;
        this.importExportMark = importExportMark;
        this.enterpriseInternalNumber = enterpriseInternalNumber;
        this.partFinishedFlag = partFinishedFlag;
        this.supervisionMethod = supervisionMethod;
        this.shippingType = shippingType;
        this.inboundOutboundCustoms = inboundOutboundCustoms;
        this.destinationCountry = destinationCountry;
        this.listType = listType;
        this.counterparty = counterparty;
        this.returnNumber = returnNumber;
        this.applicantName = applicantName;
        this.preInputUnifiedNumber = preInputUnifiedNumber;
        this.listNumber = listNumber;
    }
}
