package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_EXPORT_TEMPLATE_FORTY_TRAVEL",indexes = {@Index(columnList = "CUSTOMS_ORDER_NO")})
@Api("40_总公司分送集报出入库单表体")
public class CdmExportTemplateFortyTravel extends BaseBean implements Serializable {

    private static final long serialVersionUID = 2250271023708036705L;

    @Column(name = "CUSTOMS_ORDER_NO")
    @ApiParam("报关单号")
    private String customsOrderNo;

    @Column(name = "ORDER_NO")
    @ApiParam("30模板单号")
    private String orderNo;

    @Column(name = "PRODUCT_NUMBER")
    @ApiParam("商品序号")
    private String productNumber;

    @Column(name = "RETURN_NUMBER")
    @ApiParam("申报表序号")
    private String returnNumber;

    @Column(name = "ACCOUNT_GOODS_NUMBER")
    @ApiParam("底账商品序号")
    private String accountGoodsNumber;

    @Column(name = "ITEM_NO")
    @ApiParam("料号")
    private String itemNo;

    @Column(name = "COMMODITY_NO")
    @ApiParam("商品编码")
    private String commodityNo;

    @Column(name = "COMMODITY_NAME")
    @ApiParam("商品名称")
    private String commodityName;

    @Column(name = "COMMODITY_SPECIFICATION_MODEL")
    @ApiParam("商品规格型号")
    private String commoditySpecificationModel;

    @Column(name = "DECLARED_UNIT_MEASUREMENT")
    @ApiParam("申报计量单位")
    private String declaredUnitMeasurement;

    @Column(name = "CURRENCY_SYSTEM")
    @ApiParam("币制")
    private String currencySystem;

    @Column(name = "DECLARED_QUANTITY")
    @ApiParam("申报数量")
    private String declaredQuantity;

    @Column(name = "DECLARED_UNIT_PRICE")
    @ApiParam("申报单价")
    private String declaredUnitPrice;

    @Column(name = "DECLARED_TOTAL_PRICE")
    @ApiParam("申报总价")
    private String declaredTotalPrice;

    @Column(name = "LEGAL_MEASUREMENT_UNIT")
    @ApiParam("法定计量单位")
    private String legalMeasurementUnit;

    @Column(name = "LEGAL_MEASUREMENT_SECOND_UNIT")
    @ApiParam("法定第二计量单位")
    private String legalMeasurementSecondUnit;

    @Column(name = "LEGAL_QUANTITY")
    @ApiParam("法定数量")
    private String legalQuantity;

    @Column(name = "LEGAL_SECOND_QUANTITY")
    @ApiParam("第二法定数量")
    private String legalSecondQuantity;

    @Column(name = "UNIT_CONSUMPTION_VERSION")
    @ApiParam("单耗版本号")
    private String unitConsumptionVersion;

    @Column(name = "CLASSIFICATION_MARK")
    @ApiParam("归类标志")
    private String classificationMark;

    @Column(name = "WEIGHT_SCALE_FACTOR")
    @ApiParam("重量比例因子")
    private String weightScaleFactor;

    @Column(name = "FIRST_SCALE_FACTOR")
    @ApiParam("第一比例因子")
    private String firstScaleFactor;

    @Column(name = "SECOND_SCALE_FACTOR")
    @ApiParam("第二比例因子")
    private String secondScaleFactor;

    @Column(name = "ROUGH_WEIGHT")
    @ApiParam("毛重")
    private String roughWeight;

    @Column(name = "NET_WEIGHT")
    @ApiParam("净重")
    private String netWeight;

    @Column(name = "ASSOCIATED_COMMODITY_NUMBER")
    @ApiParam("关联商品序号")
    private String associatedCommodityNumber;

    @Column(name = "ORIGIN_COUNTRY")
    @ApiParam("原产国(地区)")
    private String originCountry;

    @Column(name = "FINAL_COUNTRY")
    @ApiParam("最终目的国(地区)")
    private String finalCountry;

    @Column(name = "IS_PARTICIPATION_MERGER")
    @ApiParam("是否参与合并")
    private String isParticipationMerger;

    @Column(name = "EXEMPTION_METHOD")
    @ApiParam("征免方式")
    private String exemptionMethod;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "BUSI_DECLARE_NO")
    @ApiParam("业务申报表编号")
    private String busiDeclareNo;

    /**
     * 导出主表ID
     */
    @Column(name = "TASK_NO")
    @ApiParam("任务编码")
    private String taskNo;
}
