package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_EXPORT_TEMPLATE_THIRTY_TRAVEL",indexes = {@Index(columnList = "CUSTOMS_ORDER_NO")})
@Api("30_总公司分送集报出入库单表头导出履历表")
public class CdmExportTemplateThirtyTravel extends BaseBean implements Serializable {

    private static final long serialVersionUID = -8042497265929333553L;

    @Column(name = "CUSTOMS_ORDER_NO")
    @ApiParam("报关单号")
    private String customsOrderNo;

    @Column(name = "BUSINESS_NAME")
    @ApiParam("经营企业名称")
    private String businessName;

    @Column(name = "BUSINESS_CODE")
    @ApiParam("经营企业编码")
    private String businessCode;

    @Column(name = "CARDENTRY_DATE")
    @ApiParam("进出卡日期")
    private String cardEntryDate;

    @Column(name = "ORDER_NO")
    @ApiParam("编号")
    private String orderNo;

    @Column(name = "RETURN_NO")
    @ApiParam("申报表编号")
    private String returnNo;

    @Column(name = "ACCOUNT_NUMBER")
    @ApiParam("账册编号")
    private String accountNumber;

    @Column(name = "INBOUND_OUTBOUN_TYPE")
    @ApiParam("出入库类型")
    private String inboundOutbounType;

    @Column(name = "INBOUND_OUTBOUN_CODE")
    @ApiParam("关联出入库单编号")
    private String inboundOutbounCode;

    @Column(name = "ENTERPRISE_INTERNAL_NUMBER")
    @ApiParam("企业内部编号")
    private String enterpriseInternalNumber;

    @Column(name = "ROUGH_WEIGHT")
    @ApiParam("毛重")
    private String roughWeight;

    @Column(name = "NET_WEIGHT")
    @ApiParam("净重")
    private String netWeight;

    @Column(name = "NUMBER")
    @ApiParam("件数")
    private String number;

    @Column(name = "PACK_TYPE")
    @ApiParam("包装种类")
    private String packType;

    @Column(name = "WHETHER_IT_HAS_BEEN_GENERATED")
    @ApiParam("是否已生成核注清单")
    @AnnoOutputColumn(refClass = CommonEnumUtil.TRUE_OR_FALSE.class,refForeignKey = "value", value = "description")
    @ColumnDefault("2")
    private Integer whetherItHasBeenGenerated = 2;

    @Transient
    @ApiParam("创建开始时间")
    private String createDateTimeStart;

    @Transient
    @ApiParam("创建结束时间")
    private String createDateTimeEnd;

}
