package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.List;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_FINAL_DECLARATION_DATA_DETAILS")
@Api("终审报关数据明细表")
public class CdmFinalDeclarationDataDetails extends BaseBean {
    @Column(name = "SERIAL_NUMBER")
    @ApiParam("序号")
    private Long serialNumber;

    @Column(name = "PRODUCT_NUMBER")
    @ApiParam("商品序号")
    private String productNumber;

    @Column(name = "RECORD_SERIAL_NUMBER")
    @ApiParam("备案序号")
    private String recordSerialNumber;

    @Column(name = "CUSTOMS_COMMODITY_NO")
    @ApiParam("商品料号")
    private String customsCommodityNo;

    @Column(name = "COMMODITY_NO")
    @ApiParam("商品编码")
    private String commodityNo;

    @Column(name = "COMMODITY_NAME")
    @ApiParam("商品名称")
    private String commodityName;

    @Column(name = "SPECIFICATIONS_MODELS")
    @ApiParam("规格型号")
    private String specificationsModels;

    @Column(name = "ORIGIN_COUNTRY")
    @ApiParam("原产国")
    private String originCountry;

    @Column(name = "DESTINATION_COUNTRY")
    @ApiParam("最终目的国")
    private String destinationCountry;

    @Column(name = "CURRENCY_SYSTEM")
    @ApiParam("币制")
    private String currencySystem;

    @Column(name = "DECLARED_UNIT_PRICE")
    @ApiParam("申报单价")
    private String declaredUnitPrice;

    @Column(name = "QTY")
    @ApiParam("申报数量")
    private String qty;

    @Column(name = "DECLARE_UNIT")
    @ApiParam("申报计量单位")
    private String declareUnit;

    @Column(name = "DECLARED_TOTAL_PRICE")
    @ApiParam("申报总价")
    private String declaredTotalPrice;

    @Column(name = "LEGAL_QUANTITY")
    @ApiParam("法定数量")
    private String legalQuantity;

    @Column(name = "LEGAL_MEASUREMENT_UNIT")
    @ApiParam("法定计量单位")
    private String legalMeasurementUnit;

    @Column(name = "LEGAL_SECOND_QUANTITY")
    @ApiParam("第二法定数量")
    private String legalSecondQuantity;

    @Column(name = "LEGAL_MEASUREMENT_SECOND_UNIT")
    @ApiParam("第二法定计量单位")
    private String legalMeasurementSecondUnit;

    @Column(name = "GROSS_WEIGHT")
    @ApiParam("毛重")
    private String grossWeight;

    @Column(name = "NET_WEIGHT")
    @ApiParam("净重")
    private String netWeight;

    @Column(name = "EXEMPTION_METHOD")
    @ApiParam("征免方式")
    private String exemptionMethod;

    @Column(name = "ORDER_VERSION_NO")
    @ApiParam("单号版本号")
    private String orderVersionNo;

    @Column(name = "DECLARE_ELEMENT")
    @ApiParam("申报要素")
    private String declareElement;

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Transient
    @ApiParam("对比差异项")
    List<String> gapItem;
}
