package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_FINAL_DECLARATION_DATA_MASTER")
@Api("终审报关数据主表")
public class CdmFinalDeclarationDataMaster extends BaseBean {

    @Column(name = "BUSINESS_NAME")
    @ApiParam("经营企业名称")
    private String businessName;

    @Column(name = "BUSINESS_CODE")
    @ApiParam("经营企业编码")
    private String businessCode;

    @Column(name = "MANUAL_CODE")
    @ApiParam("手(账)册编号")
    private String manualCode;

    @Column(name = "IMPORT_EXPORT_MARK")
    @ApiParam("进出口标志")
    private String importExportMark;

    @Column(name = "ENTERPRISE_INTERNAL_NUMBER")
    @ApiParam("企业内部编号")
    private String enterpriseInternalNumber;

    @Column(name = "INTO_AREA_DATE")
    @ApiParam("进出区日期")
    private String intoAreaDate;

    @Column(name = "PART_FINISHED_FLAG")
    @ApiParam("料件、成品标志")
    private String partFinishedFlag;

    @Column(name = "SUPERVISION_METHOD")
    @ApiParam("监管方式")
    private String supervisionMethod;

    @Column(name = "SHIPPING_TYPE")
    @ApiParam("运输方式")
    private String shippingType;

    @Column(name = "INBOUND_OUTBOUND_CUSTOMS")
    @ApiParam("进/出境关别")
    private String inboundOutboundCustoms;

    @Column(name = "DESTINATION_COUNTRY")
    @ApiParam("启运/运抵国(地区)")
    private String destinationCountry;

    @Column(name = "LIST_TYPE")
    @ApiParam("清单类型")
    private String listType;

    @Column(name = "COUNTERPARTY")
    @ApiParam("交易方")
    private String counterparty;

    @Column(name = "RETURN_NUMBER")
    @ApiParam("申报表编号")
    private String returnNumber;

    @Column(name = "APPLICANT_NAME")
    @ApiParam("申报单位名称")
    private String applicantName;

    @Column(name = "ORDER_NO")
    @ApiParam("核注清单单号")
    private String orderNo;

    @Column(name = "PRE_INPUT_UNIFIED_NUMBER")
    @ApiParam("预录入统一编号")
    private String preInputUnifiedNumber;

    @Column(name = "REMAKE")
    @ApiParam("终审核对结果说明")
    private String remake;

    @Column(name = "THE_FINAL_CONFIRMATION")
    @ApiParam("终审核对是否认可")
    @AnnoOutputColumn(refClass = CdmEnumUtil.HOLD_FOR_CONFIRMATION.class,refForeignKey = "value", value = "description")
    private Integer theFinalConfirmation;

    @Column(name = "THE_FINAL_CHECK_STATUS")
    @ApiParam("终审核对核对状态")
    @AnnoOutputColumn(refClass = CdmEnumUtil.TEMPORARY_HOLD_CHECK_STATUS.class,refForeignKey = "value", value = "description")
    @ColumnDefault("2")
    private Integer theFinalCheckStatus;

    @Column(name = "FINAL_AUDIT_NOTE_NUMBER")
    @ApiParam("终审核注单号")
    private String finalAuditNoteNumber;

    @Column(name = "TYPE_OF_DECLARATION")
    @ApiParam("报关类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.TYPE_OF_DECLARATION.class,refForeignKey = "value", value = "description")
    private Integer typeOfDeclaration;

    @Column(name = "LIST_NUMBER")
    @ApiParam("清单编号")
    private String listNumber;

    @Column(name = "TIME_OF_ENTRY_AND_EXIT")
    @ApiParam("出入库时间")
    private String timeOfEntryAndExit;

    @Column(name = "OPERATING_ENTERPRISE_SOCIAL_CREDIT_CODE")
    @ApiParam("经营企业社会信用代码")
    private String operatingEnterpriseSocialCreditCode;

    @Column(name = "CUSTOMER")
    @ApiParam("客户")
    private String customer;

    @Column(name = "SOCIAL_CREDIT_CODE_OF_THE_APPLICANT")
    @ApiParam("申报单位社会信用代码")
    private String socialCreditCodeOfTheApplicant;

    @Column(name = "DATE_OF_ENTRY")
    @ApiParam("录入日期")
    private String dateOfEntry;

    @Column(name = "LIST_DECLARATION_DATE")
    @ApiParam("清单申报日期")
    private String listDeclarationDate;

    @Column(name = "COMPETENT_CUSTOMS_OFFICE")
    @ApiParam("主管海关")
    private String competentCustomsOffice;

    @Column(name = "NUCLEAR_BUCKLE_MARK")
    @ApiParam("核扣标志")
    private String nuclearBuckleMark;

    @Column(name = "TYPE_OF_FLOW")
    @ApiParam("流转类型")
    private String typeOfFlow;

    @Column(name = "DECLARE_MARK")
    @ApiParam("报关标志")
    private String declareMark;

    @Column(name = "LIST_TYPE_OF_DECLARATION")
    @ApiParam("清单报关类型")
    private String listTypeOfDeclaration;

    @Column(name = "CUSTOM_ORDER_TYPE")
    @ApiParam("报关单类型")
    private String customOrderType;

    @Column(name = "REF_CUSTOMS_ORDER_NO")
    @ApiParam("关联报关单编号")
    private String refCustomsOrderNo;

}
