package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.annotation.BusiColumn;
import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_NUCLEAR_RELEASE_FILE",indexes = {@Index(columnList = "ORDER_NO")})
@Api("核放单文件")
public class CdmNuclearReleaseFile extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "BUSI_TYPE")
    @ApiParam("业务类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CUSTOMS_BUSI_TYPE.class)
    private Integer busiType;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "DELIVERY_DATE")
    @ApiParam("交货日期")
    @BusiColumn(dateFormat = "*")
    private String deliveryDate;

    @Column(name = "GOODS_ACCESS_TYPE")
    @ApiParam("货物进出类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.GOODS_PUT_OUT_TYPE.class,refForeignKey = "value", value = "description")
    private Integer goodsAccessType;

    @Column(name = "CAR_NO")
    @ApiParam("车牌号码")
    private String carNo;

    @Column(name = "TRAIN_NUMBER")
    @ApiParam("送货车次")
    @AnnoOutputColumn(refClass = CdmEnumUtil.DELIVERY_TRAIN_NUMBER.class,refForeignKey = "value", value = "description")
    private Integer trainNumber;

    @Column(name = "FILE_ID")
    @ApiParam("文件ID")
    private Long fileId;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件源名")
    private String fileOriginName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Transient
    @ApiParam("交货日期，开始时间")
    private String deliveryDateStart;

    @Transient
    @ApiParam("交货日期，结束时间")
    private String deliveryDateEnd;
}
