package cn.estsh.i3plus.pojo.cdm.bean;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : CDM销售单价
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/19 17:59
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_SALES_PRICE", indexes = {
        @Index(columnList = "PART_NO")
})
@Api("销售单价")
public class CdmSalesPrice extends BaseBean {

    @Column(name = "COMPNAY")
    @ApiParam("公司")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String compnay;

    @Column(name = "SALES_ORGANIZATION")
    @ApiParam("销售组织")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String salesOrganization;

    @Column(name = "SALES_CHANNES")
    @ApiParam("销售渠道")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String salesChannel;

    @Column(name = "PRODUCT_GROUP")
    @ApiParam("产品组")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String productGroup;

    @Column(name = "SELLER")
    @ApiParam("售达方")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String seller;

    @Column(name = "SERVED")
    @ApiParam("送达方")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String served;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT, isRequire = 2)
    private String partNameRdd;

    @Column(name = "UNIT_PRICE",columnDefinition = "decimal(10,2)")
    @ApiParam("销售单价")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Double unitPrice;

    @Column(name = "CURRENCY")
    @ApiParam("币种")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String currency;

    @Column(name = "QUANTITY_UNIT")
    @ApiParam("数量单位")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String quantityUnit;


    @Column(name = "MEASURE_UNIT")
    @ApiParam("计量单位")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String measureUnit;

    @Column(name = "EFF_START_TIME")
    @ApiParam("开始有效时间")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String effStartTime;

    @Column(name = "EFF_END_TIME")
    @ApiParam("开始结束时间")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String effEndTime;

    @Column(name = "CONDITION_TYPE")
    @ApiParam("条件类型")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String conditionType;

    @Column(name = "IS_SYNC", columnDefinition = "int default 2")
    @ApiParam("同步标识")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Integer isSync;

    @Column(name = "IS_SYNC1", columnDefinition = "int default 2")
    @ApiParam("同步标识")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.NUMBER)
    private Integer isSync1;

}
