package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.annotation.BusiColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "CDM_VENDOR_PART_REL", indexes = {@Index(columnList = "PART_NO")})
@Api(value = "供应商物料关系")
public class CdmVendorPartRel extends BaseBean {

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String vendorNo;

    @ApiParam("供应商名称")
    @Transient
    private String vendorName;

    @Column(name = "PART_NO")
    @ApiParam("物料代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @ApiParam("物料名称")
    @Transient
    private String partName;

    @Column(name = "CURRENCY")
    @ApiParam("币种")
    @BusiColumn(importExcelColumn = 4)
    private String currency;

}
