package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-cdm-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-12 9:46
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_CDM_DC_REPORT_NO_INFO")
@Api("分送集报申报编号信息")
public class SxCdmDcReportNoInfo extends BaseBean implements Serializable {

    private static final long serialVersionUID = 7315890811583855391L;

    @Column(name = "SERIAL_NUMBER")
    @ApiParam("序号")
    private Double serialNumber;

    @Column(name = "COUNTERPARTY_CODE")
    @ApiParam("交易方代码")
    private String counterpartyCode;

    @Column(name = "COUNTERPARTY_NAME")
    @ApiParam("交易方名称")
    private String counterpartyName;

    @Column(name = "PRE_ENTRY_UNIFY_NO")
    @ApiParam("预录入统一编号")
    private String preEntryUnifyNo;

    @Column(name = "BUSI_DECLARE_NO")
    @ApiParam("业务申报表编号")
    private String busiDeclareNo;

    @Column(name = "OUT_SIDE_FIRM_NO")
    @ApiParam("区外企业编码")
    private String outSideFirmNo;

    @Column(name = "TRADE_TYPE")
    @ApiParam("贸易类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.TRADE_TYPE.class,refForeignKey = "value", value = "description")
    private Integer tradeType;

    @Column(name = "TRADE_CODE")
    @ApiParam("贸易编码")
    private String tradeCode;

    @Column(name = "SOCIAL_CREDIT_CODE")
    @ApiParam("社会信用代码")
    private String socialCreditCode;

    @Column(name = "INNER_ENTERPRISE_NO")
    @ApiParam("企业内部编号")
    private String innerEnterpriseNo;

    @Column(name = "ACCOUNT_NO")
    @ApiParam("账册编号")
    private String accountNo;

    @Column(name = "GOODS_FLOW_DIRECTION")
    @ApiParam("货物流向")
    @AnnoOutputColumn(refClass = CdmEnumUtil.GOODS_FLOW_DIRECTION.class, refForeignKey = "value", value = "description")
    private Integer goodsFlowDirection;

    @Column(name = "MATERIALS_COMPLETE_PRODUCT_FLAG")
    @ApiParam("料件成品标志")
    @AnnoOutputColumn(refClass = CdmEnumUtil.GOODS_TYPE.class, refForeignKey = "value", value = "description")
    private Integer materialsCompleteProductFlag;
}
