package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-cdm-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-12 9:46
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_CDM_DC_REPORT_PRODUCT_INFO", uniqueConstraints = {
        @UniqueConstraint(columnNames = {"ORGANIZE_CODE", "BUSI_DECLARE_NO","RECORD_SERIAL_NUMBER"})
})
@Api("分送集报申报产品信息表")
public class SxCdmDcReportProductInfo extends BaseBean implements Serializable {

    private static final long serialVersionUID = 7315890811583855391L;

    @Column(name = "BUSI_DECLARE_NO")
    @ApiParam("业务申报表编号")
    private String busiDeclareNo;

    @Column(name = "DECLARE_SERIAL_NUMBER")
    @ApiParam("申报序号")
    private Integer declareSerialNumber;

    @Column(name = "MATERIALS_COMPLETE_PRODUCT_FLAG")
    @ApiParam("申报表料件成品标志")
    @AnnoOutputColumn(refClass = CdmEnumUtil.GOODS_TYPE.class, refForeignKey = "value", value = "description")
    private Integer materialsCompleteProductFlag;

    @Column(name = "RECORD_SERIAL_NUMBER")
    @ApiParam("备案序号")
    private Integer recordSerialNumber;

    @Column(name = "COMMODITY_NO")
    @ApiParam("商品编码")
    private String commodityNo;

    @Column(name = "COMMODITY_NAME")
    @ApiParam("商品名称")
    private String commodityName;

    @Column(name = "SPECIFICATIONS_MODELS")
    @ApiParam("规格型号")
    private String specificationsModels;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "LEGAL_MEASURE_UNIT")
    @ApiParam("法定计量单位")
    private String legalMeasureUnit;

    @Transient
    @ApiParam("法定计量单位名称")
    private String legalMeasureUnitName;

    @Column(name = "LEGAL2_MEASURE_UNIT")
    @ApiParam("法定第二计量单位")
    private String legal2MeasureUnit;

    @Transient
    @ApiParam("法定第二计量单位名称")
    private String legal2MeasureUnitName;

    @Column(name = "MEASURE_UNIT")
    @ApiParam("计量单位")
    private String measureUnit;

    @Transient
    @ApiParam("计量单位名称")
    private String measureUnitName;

    @Column(name = "QTY")
    @ApiParam("数量")
    private Double qty;

    //取值来源为 字典 CURRENCY_SYSTEM_DICTIONARY
    @Column(name = "CURRENCY_SYSTEM")
    @ApiParam("币制")
    private String currencySystem;

    @Transient
    @ApiParam("币制描述")
    private String currencySystemName;

    @Column(name = "UNIT_PRICE")
    @ApiParam("单价")
    private Double unitPrice;

    @Column(name = "TOTAL_PRICE")
    @ApiParam("总价")
    private Double totalPrice;

    @Column(name = "PERMIT_NO")
    @ApiParam("许可证编号")
    private String permitNo;

    @Column(name = "PERMIT_VALIDITY")
    @ApiParam("许可证有效期")
    private String permitValidity;

    @Column(name = "GOODS_SIGN")
    @ApiParam("商品标记")
    private String goodsSign;

    @Column(name = "GOODS_REMARK")
    @ApiParam("商品备注")
    private String goodsRemark;

    @Column(name = "FP_TYPE")
    @ApiParam("成品类型")
    private String fpType;

    @Column(name = "REMARKS")
    @ApiParam("备注")
    private String remarks;


}
