package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-cdm-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-09 11:57
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_CDM_ELECTRONIC_LEDGER_PRODUCT_INFO",indexes = {@Index(columnList = "ACCOUNT_NO")})
@Api("电子账册产品信息库")
public class SxCdmElectronicLedgerProductInfo extends BaseBean implements Serializable {
    private static final long serialVersionUID = 7208641186227508896L;

    @Column(name = "ACCOUNT_NO")
    @ApiParam("账册编号")
    private String accountNo;

    @Column(name = "COMPANY_LEVEL")
    @ApiParam("公司级别")
    @AnnoOutputColumn(refClass = CdmEnumUtil.COMPNAY_LEVEL.class,refForeignKey = "value", value = "description")
    private Integer companyLevel;

    @Column(name = "MATERIALS_COMPLETE_PRODUCT_FLAG")
    @ApiParam("料件成品标志")
    @AnnoOutputColumn(refClass = CdmEnumUtil.GOODS_TYPE.class, refForeignKey = "value", value = "description")
    private Integer materialsCompleteProductFlag;

    @Column(name = "RECORD_SERIAL_NUMBER")
    @ApiParam("备案序号")
    private Integer recordSerialNumber;

    @Column(name = "CUSTOMS_COMMODITY_NO")
    @ApiParam("商品料号 （海关商品料号取值）")
    private String customsCommodityNo;

    @Column(name = "COMMODITY_NO")
    @ApiParam("商品编码")
    private String commodityNo;

    @Column(name = "COMMODITY_NAME")
    @ApiParam("商品名称")
    private String commodityName;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "DECLARE_MEASURE_UNIT")
    @ApiParam("申报计量单位")
    private String declareMeasureUnit;

    @Transient
    @ApiParam("申报计量单位名称")
    private String declareMeasureUnitName;

    @Column(name = "LEGAL_MEASURE_UNIT")
    @ApiParam("法定计量单位")
    private String legalMeasureUnit;

    @Transient
    @ApiParam("法定计量单位名称")
    private String legalMeasureUnitName;

    @Column(name = "LEGAL2_MEASURE_UNIT")
    @ApiParam("法定第二计量单位")
    private String legal2MeasureUnit;

    @Transient
    @ApiParam("法定第二计量单位名称")
    private String legal2MeasureUnitName;

    @Lob
    @Column(name = "DECLARE_ELEMENT")
    @ApiParam("申报要素")
    private String declareElement;

    @Column(name = "CHECKOUT_QUARANTINE_NO")
    @ApiParam("检验检疫编码")
    private String checkoutQuarantineNo;

    @Column(name = "COUNTERPARTY_PART_NO")
    @ApiParam("交易方物料编码")
    private String counterpartyPartNo;

    @Column(name = "COMMODITY_SN")
    @ApiParam("商品条码")
    private String commoditySn;

    @Column(name = "TARIFF_RATE")
    @ApiParam("关税率")
    private Double tariffRate;

    @Column(name = "VAT_RATES")
    @ApiParam("增值税率")
    private Double vatRates;
}
