package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-cdm-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-09 15:48
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_CDM_PACKAGING_RELATIONSHIP")
@Api("包装关系")
public class SxCdmPackagingRelationship extends BaseBean implements Serializable {
    private static final long serialVersionUID = 8704426917376881616L;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "PCS_QTY")
    @ApiParam("PCS数量")
    private Double pcsQty;

    @Column(name = "CTNS_BOX_QTY")
    @ApiParam("CTNS箱数量")
    private Double ctnsBoxQty;

    @Column(name = "PALLETS_TRAY_QTY")
    @ApiParam("PALLETS托数量")
    private Double palletsTrayQty;

    @Column(name = "SINGLE_PACKING_VOLUME")
    @ApiParam("单包装箱体积")
    private Double singlePackingVolume;

    @Column(name = "TRAY_TYPE")
    @ApiParam("托盘类型")
    private String trayType;

    @Column(name = "SINGLE_TRAY_VOLUME")
    @ApiParam("单托盘体积")
    private Double singleTrayVolume;

    @Column(name = "SIZE_DIVIDE_C_VOLUME")
    @ApiParam("SIZE/C体积")
    private String sizeDivideCVolume;

    public Double getSinglePackingVolume() {
        if(this.singlePackingVolume == null) {
            return 0.0;
        }
        return this.singlePackingVolume;
    }

    public Double getSingleTrayVolume() {
        if(this.singleTrayVolume == null) {
            return 0.0;
        }
        return this.singleTrayVolume;
    }
}
