package cn.estsh.i3plus.pojo.cdm.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-cdm-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-05-11 11:14
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_CDM_UNIT_CONVERSION")
@Api("单位换算")
public class SxCdmUnitConversion extends BaseBean implements Serializable {
    private static final long serialVersionUID = 8228018077276541252L;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "SAP_UNIT_NAME")
    @ApiParam("SAP单位名称")
    private String sapUnitName;

    @Column(name = "SAP_UNIT_NUMBER")
    @ApiParam("SAP单位数量")
    private Double sapUnitNumber;

    @Column(name = "DECLARE_MEASURE_UNIT")
    @ApiParam("申报计量单位代码")
    private String declareMeasureUnit;

    @Column(name = "DECLARE_MEASURE_UNIT_NAME")
    @ApiParam("申报计量单位")
    private String declareMeasureUnitName;

    @Column(name = "DECLARE_MEASURE_NUMBER")
    @ApiParam("申报计量数量")
    private Double declareMeasureNumber;

    /**
     * 取 字典管理中的 MEASURE_UNIT
     */
    @Column(name = "LEGAL_MEASURE_UNIT")
    @ApiParam("法定计量单位代码")
    private String legalMeasureUnit;

    @Column(name = "LEGAL_MEASURE_UNIT_NAME")
    @ApiParam("法定计量单位")
    private String legalMeasureUnitName;

    @Column(name = "LEGAL_MEASURE_NUMBER")
    @ApiParam("法定计量数量")
    private Double legalMeasureNumber;

    @Column(name = "LEGAL2_MEASURE_UNIT")
    @ApiParam("法定二计量单位代码")
    private String legal2MeasureUnit;

    @Column(name = "LEGAL2_MEASURE_UNIT_NAME")
    @ApiParam("法定二计量单位")
    private String legal2MeasureUnitName;

    @Column(name = "LEGAL2_MEASURE_NUMBER")
    @ApiParam("法定二计量数量")
    private Double legal2MeasureNumber;

    @Column(name = "ROUGH_WEIGHT")
    @ApiParam("毛重")
    private Double roughWeight;

    @Column(name = "NET_WEIGHT")
    @ApiParam("净重")
    private Double netWeight;

}
