package cn.estsh.i3plus.pojo.cdm.model;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * 报关导入参数
 */
@Data
public class CdmCustomsImportParamModel extends CdmBusiUtilMethodParamModel {

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("业务类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CUSTOMS_BUSI_TYPE.class,refForeignKey = "value", value = "description")
    private Integer busiType;

    @ApiParam("报关类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CUSTOMS_TYPE.class,refForeignKey = "value", value = "description")
    private Integer customsType;

    @ApiParam("公司级别")
    @AnnoOutputColumn(refClass = CdmEnumUtil.COMPNAY_LEVEL.class,refForeignKey = "value", value = "description")
    private Integer compnayLevel;
}
