package cn.estsh.i3plus.pojo.cdm.model;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description : cdm报关单model
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/16 11:27
 * @Modify:
 **/
@Data
public class CdmDocMovementDetailsModel implements Serializable {
    @ApiParam("工厂编号")
    private String organizeCode;

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("业务类型")
    public Integer busiType;

    @ApiParam("ERP单号")
    private String erpSrcNo;

    @ApiParam("客户编码")
    private String custNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("数量")
    private Double qty;

    @ApiParam("报关数量")
    private Integer declareQty;

    @ApiParam("未报关数量")
    private Double unDeclareQty;

    @ApiParam("报关状态")
    @AnnoOutputColumn(refClass = CdmEnumUtil.DECLARE_STATUS.class, refForeignKey = "value", value = "description")
    private Integer declareStatus;

    @ApiParam("业务类型")
    private List<Integer> busiTypeLst;

    @ApiParam("商品料号 （海关商品料号取值）")
    private String customsCommodityNo;

    @ApiParam(value = "单价")
    private Double unitPrice;

    @ApiParam(value = "币种")
    private String currency;

    @ApiParam("出发港")
    private String fromPort;

    @ApiParam("目的港")
    private String toPort;


    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("开始时间")
    private String createDateTimeStart;

    @ApiParam("结束时间")
    private String createDateTimeEnd;

    @ApiParam("分页信息")
    private Pager pager;

    public CdmDocMovementDetailsModel(){}

    public CdmDocMovementDetailsModel(String organizeCode,
                                      String orderNo,
                                      Integer busiType,
                                      String erpSrcNo,
                                      String custNo,
                                      String partNo,
                                      String partNameRdd,
                                      Double qty,
                                      String createDatetime) {
        this.organizeCode = organizeCode;
        this.orderNo = orderNo;
        this.busiType = busiType;
        this.erpSrcNo = erpSrcNo;
        this.custNo = custNo;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.qty = qty;
        this.createDatetime = createDatetime;
    }
}
