package cn.estsh.i3plus.pojo.cdm.model;

import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.Map;

/**
 * @Description : 导出参数model
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/11 1:34
 * @Modify:
 **/
@Data
public class CdmExcelExportParamModel extends BaseBean {

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("模块编码")
    private String moduleCode;

    @ApiParam("业务类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CUSTOMS_BUSI_TYPE.class,refForeignKey = "value", value = "description")
    private Integer busiType;

    @ApiParam("报关类型")
    @AnnoOutputColumn(refClass = CdmEnumUtil.CUSTOMS_TYPE.class,refForeignKey = "value", value = "description")
    private Integer customsType;

    @ApiParam("公司级别")
    @AnnoOutputColumn(refClass = CdmEnumUtil.COMPNAY_LEVEL.class,refForeignKey = "value", value = "description")
    private Integer compnayLevel;

    @ApiParam("交易方编码")
    private String counterpartyCode;

    @ApiParam("贸易类型")
    private Integer tradeType;

    @ApiParam("贸易编码")
    private String tradeCode;

    @ApiParam("成品材料标志")
    private Integer materialsCompleteProductFlag;

    @ApiParam("报关单号-流水号")
    private String orderNoWithSerialNumber;

    @ApiParam("业务申报表编号")
    private String busiDeclareNo;

    @ApiParam("key:业务申报表编号 - value:单号+流水号")
    private Map<String, String> keyDataMap;

    @ApiParam("导出任务编码")
    private String taskNo;


}
