package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;

/**
 * @Description : 110_发票导出model
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/17 23:48
 * @Modify:
 **/
@Data
public class CdmInvoiceExportModel{

    @ApiParam("收货人信息")
    private String receiveInfos;

    @ApiParam("发票号")
    private String invoiceNo;

    @ApiParam("订单号")
    private String poNo;

    @ApiParam("制表日期")
    private String pDate;

    @ApiParam("出区日期")
    private String dDate;

    @ApiParam("出发港")
    private String fromPort;

    @ApiParam("目的港")
    private String toPort;

    @ApiParam("运输方式")
    private String shippedBy;

    @ApiParam("付款方式")
    private String payMent;

    @ApiParam("产品英文描述")
    private String goodsEnglishDes;

    @ApiParam("成交方式")
    private String payment;

    /***********明细start***********/

    @ApiParam("产品报关名称")
    private String commodityName;

    @ApiParam("物料编号")
    private String partNo;

    /**默认为中国**/
    @ApiParam("原产国")
    private String countryOfOrigin;

    @ApiParam("报关数量")
    private Integer declareQty;

    @ApiParam("箱数")
    private Integer packageCount;

    @ApiParam("托盘数")
    private Integer palletsCount;

    @ApiParam("交易币种")
    private String currency;

    @ApiParam("单价")
    private Double unitPrice;

    @ApiParam("价格小计")
    private Double amount;

    @ApiParam("数量总计")
    private Integer sumQty;

    @ApiParam("净重")
    private Double netWeight;

    @ApiParam("毛重")
    private Double grossWeight;

    @ApiParam("体积")
    private Double volume;

    @ApiParam("SIZE/C体积")
    private String sizeDivideCVolume;

}
