package cn.estsh.i3plus.pojo.cdm.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;

@Data
@ApiModel("电子账册产品信息 MODEL")
public class SxCdmElectronicLedgerProductInfoModel {

    @ApiParam("账册编号")
    private String accountNo;

    @ApiParam("公司级别")
    private Integer companyLevel;

    @ApiParam("公司级别")
    private String companyLevelName;

    @ApiParam("料件成品标志")
    private Integer materialsCompleteProductFlag;

    @ApiParam("料件成品标志")
    private String materialsCompleteProductFlagName;

    @ApiParam("备案序号")
    private Double recordSerialNumber;

    @ApiParam("商品料号 （海关商品料号取值）")
    private String customsCommodityNo;

    @ApiParam("商品编码")
    private String commodityNo;

    @ApiParam("商品名称")
    private String commodityName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("申报计量单位")
    private String declareMeasureUnit;

    @ApiParam("申报计量单位名称")
    private String declareMeasureUnitName;

    @ApiParam("法定计量单位")
    private String legalMeasureUnit;

    @ApiParam("法定计量单位名称")
    private String legalMeasureUnitName;

    @ApiParam("法定第二计量单位")
    private String legal2MeasureUnit;

    @ApiParam("法定第二计量单位名称")
    private String legal2MeasureUnitName;

    @Column(name = "DECLARE_ELEMENT")
    @ApiParam("申报要素")
    private String declareElement;

    @Column(name = "CHECKOUT_QUARANTINE_NO")
    @ApiParam("检验检疫编码")
    private String checkoutQuarantineNo;

    @Column(name = "COUNTERPARTY_PART_NO")
    @ApiParam("交易方物料编码")
    private String counterpartyPartNo;

    @Column(name = "COMMODITY_SN")
    @ApiParam("商品条码")
    private String commoditySn;

    @Column(name = "TARIFF_RATE")
    @ApiParam("关税率")
    private Double tariffRate;

    @Column(name = "VAT_RATES")
    @ApiParam("增值税率")
    private Double vatRates;
}
