package cn.estsh.i3plus.pojo.cdm.sqlpack;


import cn.estsh.i3plus.pojo.cdm.bean.*;
import cn.estsh.i3plus.pojo.cdm.util.CdmConstWords;
import cn.estsh.i3plus.pojo.cdm.util.CdmEnumUtil;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.base.util.StringUtil;
import org.springframework.util.StringUtils;

import java.util.List;

/**
 * @Description:
     * @Reference: Cdm 条件封装
 * @Author: wangjie
 * @CreateDate:2019-04-22-14:58
 * @Modify:
 **/
public class CdmHqlPack {

    public static DdlPackBean packHqlCdmPurchaseInfo(CdmPurchaseInfo cdmPurchaseInfo) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(cdmPurchaseInfo.getPartNo(), CdmConstWords.PART_NO, result);
        DdlPreparedPack.getStringLikerPack(cdmPurchaseInfo.getVendorNo(), CdmConstWords.VENDOR_NO, result);
        getStringBuilderPack(cdmPurchaseInfo, result);
        return result;
    }

    public static DdlPackBean packHqlCdmSalesPrice(CdmSalesPrice cdmSalesPrice) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(cdmSalesPrice.getPartNo(), CdmConstWords.PART_NO, result);
        getStringBuilderPack(cdmSalesPrice, result);
        return result;
    }

    public static DdlPackBean packHqlCdmBasCustomer(CdmBasCustomer cdmBasCustomer) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(cdmBasCustomer.getCustNo(), CdmConstWords.CUST_NO, result);
        DdlPreparedPack.getStringLikerPack(cdmBasCustomer.getCustName(), "custName", result);
        DdlPreparedPack.getStringLikerPack(cdmBasCustomer.getCustDesc(), "custDesc", result);
        getStringBuilderPack(cdmBasCustomer, result);
        return result;
    }


    public static DdlPackBean packCdmCustomsDetail(CdmCustomsDetail cdmCustomsDetail) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmCustomsDetail.getOrderNo(), CdmConstWords.ORDER_NO, packBean);
        getStringBuilderPack(cdmCustomsDetail, packBean);
        return packBean;
    }

    public static DdlPackBean packCdmCustomsMaster(CdmCustomsMaster cdmCustomsMaster) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmCustomsMaster.getOrderNo(), CdmConstWords.ORDER_NO, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getIsGenerateExportTask(), CdmConstWords.IS_GENERATE_EXPORT_TASK, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getBusiType(), CdmConstWords.BUSI_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getCompnayLevel(), CdmConstWords.COMPNAY_LEVEL, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getCustomsType(), CdmConstWords.CUSTOMS_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(cdmCustomsMaster.getDeliveryDate(), CdmConstWords.DELIVERY_DATE, packBean);
        DdlPreparedPack.getStringRightLikerPack(cdmCustomsMaster.getCarNo(), CdmConstWords.CAR_NO, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getTrainNumber(), CdmConstWords.TRAIN_NUMBER, packBean);
        DdlPreparedPack.getStringEqualPack(cdmCustomsMaster.getCustNo(), CdmConstWords.CUST_NO, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getOrderStatus(), CdmConstWords.ORDER_STATUS, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getUpLoadStatus(), CdmConstWords.UP_LOAD_STATUS, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getCarAccessType(), CdmConstWords.CAR_ACCESS_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getGoodsAccessType(), CdmConstWords.GOODS_ACCESS_TYPE, packBean);
        DdlPreparedPack.getStringBiggerPack(cdmCustomsMaster.getCreateDateTimeStart(), CdmConstWords.CREATE_DATE_TIME, packBean);
        DdlPreparedPack.getStringSmallerPack(cdmCustomsMaster.getCreateDateTimeEnd(), CdmConstWords.CREATE_DATE_TIME, packBean);
        DdlPreparedPack.getStringBiggerPack(cdmCustomsMaster.getDeliveryDateStart(), CdmConstWords.DELIVERY_DATE, packBean);
        DdlPreparedPack.getStringSmallerPack(cdmCustomsMaster.getDeliveryDateEnd(), CdmConstWords.DELIVERY_DATE, packBean);
        DdlPreparedPack.getStringBiggerPack(cdmCustomsMaster.getCardEntryDateStart(), CdmConstWords.CARD_ENTRY_DATE, packBean);
        DdlPreparedPack.getStringSmallerPack(cdmCustomsMaster.getCardEntryDateEnd(), CdmConstWords.CARD_ENTRY_DATE, packBean);
        DdlPreparedPack.getNumEqualPack(cdmCustomsMaster.getGoodsType(), CdmConstWords.GOODS_TYPE, packBean);
        DdlPreparedPack.getStringRightLikerPack(cdmCustomsMaster.getVendorNo(), CdmConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getStringRightLikerPack(cdmCustomsMaster.getVendorName(), CdmConstWords.VENDOR_NAME, packBean);
        getStringBuilderPack(cdmCustomsMaster, packBean);
        return packBean;
    }


    public static DdlPackBean getAllBaseDataByNormalPro(BaseBean baseBean, String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, CdmConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(baseBean.getIsValid(), CdmConstWords.IS_VALID, packBean);
        DdlPreparedPack.getNumEqualPack(CdmEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), CdmConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getAllBaseData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, CdmConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(CdmEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), CdmConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getAllValidData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, CdmConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), CdmConstWords.IS_VALID, packBean);
        DdlPreparedPack.getNumEqualPack(CdmEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), CdmConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean packHqlCdmExportTemplate(CdmExportTemplate cdmExportTemplate) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmExportTemplate.getTemplateCode(), CdmConstWords.TEMPLATE_CODE, result);
        DdlPreparedPack.getStringEqualPack(cdmExportTemplate.getOrganizeCode(), CdmConstWords.ORGANIZE_CODE, result);
        getStringBuilderPack(cdmExportTemplate, result);
        return result;
    }


    public static DdlPackBean packHqlCdmEnum(CdmEnum cdmEnum) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmEnum.getOrganizeCode(), "organizeCode", result);
        DdlPreparedPack.getStringEqualPack(cdmEnum.getEnumType(), "enumType", result);
        DdlPreparedPack.getStringEqualPack(cdmEnum.getEnumValue(), "enumValue", result);
        DdlPreparedPack.getStringEqualPack(cdmEnum.getEnumValueDesc(), "enumValueDesc", result);
        DdlPreparedPack.getNumEqualPack(cdmEnum.getEnumValueSeq(),"enumValueSeq",result);
        getStringBuilderPack(cdmEnum, result);
        return result;
    }

    public static DdlPackBean packHqlCdmExportModule(CdmExportModule cdmExportModule) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmExportModule.getModuleCode(), CdmConstWords.MODULE_CODE, result);
        DdlPreparedPack.getStringEqualPack(cdmExportModule.getOrganizeCode(), CdmConstWords.ORGANIZE_CODE, result);
        getStringBuilderPack(cdmExportModule, result);
        return result;
    }


    public static DdlPackBean packHqlCdmExportModuleDetail(CdmExportModuleDetail cdmExportModuleDetail) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmExportModuleDetail.getModuleCode(), CdmConstWords.MODULE_CODE, result);
        DdlPreparedPack.getStringEqualPack(cdmExportModuleDetail.getTemplateCode(), CdmConstWords.TEMPLATE_CODE,result);
        DdlPreparedPack.getStringEqualPack(cdmExportModuleDetail.getOrganizeCode(), CdmConstWords.ORGANIZE_CODE, result);
        getStringBuilderPack(cdmExportModuleDetail, result);
        return result;
    }


    public static DdlPackBean packHqlCdmExportTask(CdmExportTask cdmExportTask) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmExportTask.getTaskNo(), CdmConstWords.TASK_NO, result);
        DdlPreparedPack.getNumEqualPack(cdmExportTask.getTaskStatus(), CdmConstWords.TASK_STATUS, result);
        DdlPreparedPack.getStringEqualPack(cdmExportTask.getRefOrderNo(), CdmConstWords.REF_ORDER_NO, result);
        DdlPreparedPack.getStringEqualPack(cdmExportTask.getModuleCode(), CdmConstWords.MODULE_CODE,result);
        DdlPreparedPack.getStringEqualPack(cdmExportTask.getOrganizeCode(), CdmConstWords.ORGANIZE_CODE, result);
        getStringBuilderPack(cdmExportTask, result);
        return result;
    }

    public static DdlPackBean packHqlCdmExportTaskDetail(CdmExportTaskDetail cdmExportTaskDetail) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(cdmExportTaskDetail.getTaskNo(), CdmConstWords.TASK_NO, result);
        DdlPreparedPack.getNumEqualPack(cdmExportTaskDetail.getItemStatus(), CdmConstWords.ITEM_STATUS, result);
        DdlPreparedPack.getStringEqualPack(cdmExportTaskDetail.getOrganizeCode(), CdmConstWords.ORGANIZE_CODE, result);
        getStringBuilderPack(cdmExportTaskDetail, result);
        return result;
    }

    public static DdlPackBean getStringBuilderPack(BaseBean bean, DdlPackBean hqlStr) {
        if (!StringUtils.isEmpty(bean.getOrganizeCode())) {
            DdlPreparedPack.getStringEqualPack(bean.getOrganizeCode(), "organizeCode", hqlStr);
        }

        DdlPreparedPack.getStringEqualPack(bean.getCreateUser(), "createUser", hqlStr);
        if (!StringUtils.isEmpty(bean.getCreateDateTimeStart()) && org.apache.commons.lang3.StringUtils.isNotBlank(bean.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(bean.getCreateDateTimeStart(), bean.getCreateDateTimeEnd(), "createDatetime", hqlStr, true);
        }

        if (StringUtil.isEmpty(bean.getIsValid())) {
            DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue(), "isValid", hqlStr);
        } else {
            DdlPreparedPack.getNumEqualPack(bean.getIsValid(), "isValid", hqlStr);
        }

        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), "isDeleted", hqlStr);
        return hqlStr;
    }

    public static DdlPackBean getSxCdmElectronicLedgerProductInfo(SxCdmElectronicLedgerProductInfo sxCdmElectronicLedgerProductInfo) {
        DdlPackBean packBean = getAllValidData(sxCdmElectronicLedgerProductInfo.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(sxCdmElectronicLedgerProductInfo.getMaterialsCompleteProductFlag(), CdmConstWords.MATERIALS_COMPLETE_PRODUCT_FLAG,packBean);
        DdlPreparedPack.getNumEqualPack(sxCdmElectronicLedgerProductInfo.getRecordSerialNumber(), CdmConstWords.RECORD_SERIAL_NUMBER,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmElectronicLedgerProductInfo.getCustomsCommodityNo(), CdmConstWords.CUSTOMS_COMMODITY_NO,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmElectronicLedgerProductInfo.getCommodityNo(), CdmConstWords.COMMODITY_NO,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmElectronicLedgerProductInfo.getPartNo(), CdmConstWords.PART_NO,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmElectronicLedgerProductInfo.getAccountNo(), CdmConstWords.ACCOUNT_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmPackagingRelationship(SxCdmPackagingRelationship sxCdmPackagingRelationship) {
        DdlPackBean packBean = getAllValidData(sxCdmPackagingRelationship.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(sxCdmPackagingRelationship.getPartNo(), CdmConstWords.PART_NO,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmPackagingRelationship.getPartName(), CdmConstWords.PART_NAME,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmPackagingRelationship2(SxCdmPackagingRelationship sxCdmPackagingRelationship) {
        DdlPackBean packBean = getAllValidData(sxCdmPackagingRelationship.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxCdmPackagingRelationship.getPartNo(), CdmConstWords.PART_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmElectronicLedgerProductInfo2(SxCdmElectronicLedgerProductInfo sxCdmElectronicLedgerProductInfo) {
        DdlPackBean packBean = getAllValidData(sxCdmElectronicLedgerProductInfo.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(sxCdmElectronicLedgerProductInfo.getMaterialsCompleteProductFlag(), CdmConstWords.MATERIALS_COMPLETE_PRODUCT_FLAG,packBean);
        DdlPreparedPack.getNumEqualPack(sxCdmElectronicLedgerProductInfo.getRecordSerialNumber(), CdmConstWords.RECORD_SERIAL_NUMBER,packBean);
        DdlPreparedPack.getStringEqualPack(sxCdmElectronicLedgerProductInfo.getCustomsCommodityNo(), CdmConstWords.CUSTOMS_COMMODITY_NO,packBean);
        DdlPreparedPack.getStringEqualPack(sxCdmElectronicLedgerProductInfo.getCommodityNo(), CdmConstWords.COMMODITY_NO,packBean);
        DdlPreparedPack.getStringEqualPack(sxCdmElectronicLedgerProductInfo.getPartNo(), CdmConstWords.PART_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmUnitConversion(String organizeCode, String partNo) {
        DdlPackBean packBean = getAllValidData(organizeCode);
        DdlPreparedPack.getStringEqualPack(partNo, CdmConstWords.PART_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmUnitConversion2(SxCdmUnitConversion unitConversion) {
        DdlPackBean packBean = getAllValidData(unitConversion.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(unitConversion.getPartNo(), CdmConstWords.PART_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmDcReportNoInfo(SxCdmDcReportNoInfo sxCdmDCReportNoInfo) {
        DdlPackBean packBean = getAllValidData(sxCdmDCReportNoInfo.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(sxCdmDCReportNoInfo.getCounterpartyCode(), CdmConstWords.COUNTERPARTY_CODE,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmDCReportNoInfo.getCounterpartyName(), CdmConstWords.COUNTERPARTY_NAME,packBean);
        DdlPreparedPack.getNumEqualPack(sxCdmDCReportNoInfo.getMaterialsCompleteProductFlag(), CdmConstWords.MATERIALS_COMPLETE_PRODUCT_FLAG,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmDCReportNoInfo.getBusiDeclareNo(), CdmConstWords.BUSI_DECLARE_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmDcReportNoInfo2(SxCdmDcReportNoInfo sxCdmDCReportNoInfo) {
        DdlPackBean packBean = getAllValidData(sxCdmDCReportNoInfo.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxCdmDCReportNoInfo.getCounterpartyName(), CdmConstWords.COUNTERPARTY_NAME,packBean);
        DdlPreparedPack.getNumEqualPack(sxCdmDCReportNoInfo.getTradeType(), CdmConstWords.TRADE_TYPE,packBean);
        DdlPreparedPack.getStringEqualPack(sxCdmDCReportNoInfo.getBusiDeclareNo(), CdmConstWords.BUSI_DECLARE_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmDcReportProductInfo(SxCdmDcReportProductInfo sxCdmDCReportNoInfo) {
        DdlPackBean packBean = getAllValidData(sxCdmDCReportNoInfo.getOrganizeCode());
//        DdlPreparedPack.getStringLikerPack(sxCdmDCReportNoInfo.getCounterpartyName(), CdmExtConstWords.COUNTERPARTY_NAME,packBean);
        DdlPreparedPack.getNumEqualPack(sxCdmDCReportNoInfo.getMaterialsCompleteProductFlag(), CdmConstWords.MATERIALS_COMPLETE_PRODUCT_FLAG,packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmDCReportNoInfo.getBusiDeclareNo(), CdmConstWords.BUSI_DECLARE_NO,packBean);
        return packBean;
    }

    public static DdlPackBean packHqlBasVendor(CdmBasVendor basVendor) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(basVendor.getVendorNo(), "vendorNo", result);
        DdlPreparedPack.getStringLikerPack(basVendor.getVendorName(), "vendorName", result);
        getStringBuilderPack(basVendor, result);
        return result;

    }

    public static DdlPackBean getSxCdmPart(SxCdmPart sxCdmPart) {
        DdlPackBean packBean = getAllValidData(sxCdmPart.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(sxCdmPart.getPartNo(), CdmConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringLikerPack(sxCdmPart.getPartNameRdd(), CdmConstWords.PART_NAME_RDD, packBean);
        return packBean;
    }

    public static DdlPackBean getConfig(CdmConfig cfgCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(cfgCode, cfgCode.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(cfgCode.getCfgCode(), CdmConstWords.CFG_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(cfgCode.getCfgName(), CdmConstWords.CFG_NAME, packBean);
        DdlPreparedPack.getStringEqualPack(cfgCode.getCfgKey(), CdmConstWords.CFG_KEY, packBean);
        DdlPreparedPack.getStringEqualPack(cfgCode.getCfgType(), CdmConstWords.CFG_TYPE, packBean);
        return packBean;
    }

    public static DdlPackBean getFindTheListOfChecksThatWereNotGeneratedHql(CdmExportTemplateThirtyTravel travel) {
        DdlPackBean packBean = getAllValidData(travel.getOrganizeCode());
        DdlPreparedPack.getStringBiggerPack(travel.getCreateDateTimeStart(), CdmConstWords.CREATE_DATE_TIME,packBean);
        DdlPreparedPack.getStringSmallerPack(travel.getCreateDateTimeEnd(), CdmConstWords.CREATE_DATE_TIME,packBean);
        DdlPreparedPack.getStringEqualPack(travel.getReturnNo(), CdmConstWords.RETURN_NO,packBean);
        DdlPreparedPack.getNumEqualPack(travel.getWhetherItHasBeenGenerated(), CdmConstWords.WHETHER_IT_HAS_BEEN_GENERATED,packBean);
        return packBean;
    }

    public static DdlPackBean getFindTheListOfChecksThatWereNotGeneratedByOrderNoHql(List<String> orderNos, String organizeCode) {
        DdlPackBean packBean = getAllValidData(organizeCode);
        DdlPreparedPack.getInPackList(orderNos, CdmConstWords.ORDER_NO,packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), CdmConstWords.WHETHER_IT_HAS_BEEN_GENERATED,packBean);
        return packBean;
    }

    public static DdlPackBean getFindExportTemplateFortyTravelByOrderNoHql(List<String> orderNos, String organizeCode) {
        DdlPackBean packBean = getAllValidData(organizeCode);
        DdlPreparedPack.getInPackList(orderNos, CdmConstWords.ORDER_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getSxCdmDcReportNoInfoByReturnNos(List<String> returnNos,String organizeCode) {
        DdlPackBean packBean = getAllValidData(organizeCode);
        DdlPreparedPack.getInPackList(returnNos, CdmConstWords.BUSI_DECLARE_NO,packBean);
        return packBean;
    }

    public static DdlPackBean getQueryCdmExportTemplateFiftyHql(CdmExportTemplateFifty reqModel, String organizeCode){
        DdlPackBean packBean = getAllValidData(organizeCode);
        DdlPreparedPack.getStringEqualPack(reqModel.getListNumber(), CdmConstWords.LIST_NUMBER,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getPreInputUnifiedNumber(), CdmConstWords.PRE_INPUT_UNIFIED_NUMBER,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getPartFinishedFlag(), CdmConstWords.PART_FINISHED_FLAG,packBean);
        DdlPreparedPack.getNumEqualPack(reqModel.getTemporaryHoldCheckStatus(), CdmConstWords.TEMPORARY_HOLD_CHECK_STATUS,packBean);
        DdlPreparedPack.getStringBiggerPack(reqModel.getCreateDateTimeStart(), CdmConstWords.CREATE_DATE_TIME,packBean);
        DdlPreparedPack.getStringSmallerPack(reqModel.getCreateDateTimeEnd(), CdmConstWords.CREATE_DATE_TIME,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getIntoAreaDate(), CdmConstWords.INTO_AREA_DATE,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getCounterparty(), CdmConstWords.COUNTERPARTY,packBean);
        return packBean;
    }

    public static DdlPackBean getQueryComparisonOfCustomsDeclarationDataHql(CdmFinalDeclarationDataMaster reqModel){
        DdlPackBean packBean = getAllValidData(reqModel.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(reqModel.getTheFinalCheckStatus(), CdmConstWords.THE_FINAL_CHECK_STATUS,packBean);
        DdlPreparedPack.getNumEqualPack(reqModel.getTypeOfDeclaration(), CdmConstWords.TYPE_OF_DECLARATION,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getPartFinishedFlag(), CdmConstWords.PART_FINISHED_FLAG,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getReturnNumber(), CdmConstWords.RETURN_NO,packBean);
        DdlPreparedPack.getStringBiggerPack(reqModel.getCreateDateTimeStart(), CdmConstWords.CREATE_DATE_TIME,packBean);
        DdlPreparedPack.getStringSmallerPack(reqModel.getCreateDateTimeEnd(), CdmConstWords.CREATE_DATE_TIME,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getPreInputUnifiedNumber(), CdmConstWords.PRE_INPUT_UNIFIED_NUMBER,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getFinalAuditNoteNumber(), CdmConstWords.FINAL_AUDIT_NOTE_NUMBER,packBean);
        DdlPreparedPack.getStringEqualPack(reqModel.getIntoAreaDate(), CdmConstWords.INTO_AREA_DATE,packBean);
        return packBean;
    }
}
