package cn.estsh.i3plus.pojo.cdm.util;

import java.math.BigDecimal;
import java.math.RoundingMode;

/**
 * @Description :
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/19 12:25
 * @Modify:
 **/
@SuppressWarnings("all")
public class CdmNumberUtils {

    /**
     * 保留指定小数数据
     * @param value
     * @param scale
     * @return
     */
    public static Double formatHalfUp(Double value, int scale) {
        BigDecimal bd = null;
        if(value == null) {
            bd = new BigDecimal(0.0);
        } else {
            bd = new BigDecimal(value);
        }
        bd = bd.setScale(scale, RoundingMode.HALF_UP);
        return bd.doubleValue();
    }

    /**
     * 获取包装数量
     * @param qty 数量
     * @param pcsQty PCS数量
     * @param ctnsBoxQty CTNS箱数量
     * @return
     */
    public static Integer getPackageCount(Double qty, Double pcsQty, Double ctnsBoxQty) {
        //包装数量
        int packageCount =0;
        if(qty != null && pcsQty != null && ctnsBoxQty != null) {
            //获取一箱多少数量
            Double boxPcsQty = pcsQty / ctnsBoxQty;
            //一箱不够取一箱
            if(qty % boxPcsQty>0) {
                packageCount = Double.valueOf((qty / boxPcsQty)).intValue() + 1;
            } else {
                packageCount = Double.valueOf((qty / boxPcsQty)).intValue();
            }
        }
        return packageCount;
    }

    /**
     * 获取托盘数量
     * @param qty
     * @param pcsQty
     * @return
     */
    public static Integer getPalletsCount(Double qty, Double pcsQty) {
        int PalletsCount =0;
        if(qty != null && pcsQty != null) {
            //一箱不够取一箱
            if(qty % pcsQty>0) {
                PalletsCount = Double.valueOf((qty / pcsQty)).intValue() + 1;
            } else {
                PalletsCount = Double.valueOf((qty / pcsQty)).intValue();
            }
        }
        return PalletsCount;
    }

    public static void main(String[] args) {
        System.out.println(formatHalfUp(12.9563,2));
    }
}
