package cn.estsh.i3plus.pojo.eam.common;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @author Jason
 * @ClassName: COMMON_EDIT_TYPE
 * @Description: 前端的字段编辑类型
 * @date 2022-04-12
 */
@JsonFormat(shape = JsonFormat.Shape.OBJECT)
public enum COMMON_EDIT_TYPE {
    NONE("NONE", "未知", 0),
    BOOLEAN("BOOLEAN", "布尔, 开关编辑", 1),
    CHAR("CHAR", "字符, 文本框编辑", 2),
    SHORT("SHORT", "短整型, 数字编辑", 3),
    INTEGER("INTEGER", "整型, 数字编辑", 4),
    LONG("LONG", "长整型, 数字编辑", 5),
    DOUBLE("DOUBLE", "浮点型, 文本框编辑", 6),
    DATE("DATE", "日期类型(2019-09-16)", 7),
    TIME("TIME", "时间类型(17:35:30)", 8),
    DATE_TIME("DATE_TIME", "日期时间类型(2019-09-16 17:35:30)", 9),
    DURATION("DURATION", "时间段(1H),文本框编辑", 10),
    ENUM("ENUM", "枚举,下拉选择", 11),
    MULTI_ENUM("MULTI_ENUM", "多选枚举， 下拉多选", 12),
    STRING("STRING", "字符串，文本框编辑", 13),
    OBJECT("OBJECT", "关联对象，下来选择关联对象的Code值", 14),
    LIST("LIST", "对象集合，不可编辑。", 15),
    MULTI_OBJECT("MULTI_OBJECT", "多选对象，弹出框选择，可以选择全部对象，以*表示选择全部", 16),
    QUERY_LIST("QUERY_LIST", "通过接口获取下拉选项", 17),
    COLOR_PICKER("COLOR_PICKER", "颜色选择框", 18),
    DYNAMIC_ENUM("DYNAMIC_ENUM", "自定义枚举", 19),
    ;

    private final String value;
    private final String description;
    private final Integer index;

    private COMMON_EDIT_TYPE(String value, String description, Integer index) {
        this.value = value;
        this.description = description;
        this.index = index;
    }

    public String getValue() {
        return this.value;
    }

    public String getDescription() {
        return this.description;
    }
}
