package cn.estsh.i3plus.pojo.eam.common;


import cn.estsh.impp.framework.boot.auth.AuthUtil;

import java.util.HashMap;
import java.util.Map;

public final class ServiceInfo {
    private static final Map<Class<? extends CommonBean>, ICommonService<? extends CommonBean>> services = new HashMap<>();
    private static final Map<String, Class<? extends CommonBean>> nameMapService = new HashMap<>();
    private static String org;

    public static void register(Class<? extends CommonBean> cls, ICommonService<? extends CommonBean> service) {
        services.put(cls, service);
        nameMapService.put(cls.getSimpleName(), cls);
    }

    public static <T extends CommonBean> ICommonService<T>  get(Class<? extends CommonBean> cls) {
        return (ICommonService<T>) services.get(cls);
    }

    public static <T extends CommonBean> Class<T> getBeanClass(String name) {
        return (Class<T>) nameMapService.get(name);
    }

    public static String getOrganizeCode() {
        return AuthUtil.getOrganize().getOrganizeCode();
    }

    public static String getUserName() {
        return AuthUtil.getSessionUser().getUserName();
    }
}
