package cn.estsh.i3plus.pojo.eam.common.annotation;


import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * @author Jason
 * @ClassName: FieldAnnotation
 * @Description: 字段元信息注解
 * @date 2022-03-22
 */
@Target(ElementType.FIELD)
@Retention(RetentionPolicy.RUNTIME)
public @interface FieldAnnotation {
    boolean property() default true;
        boolean modify() default true;  // 是否能修改
    boolean display() default true; // 是否需要在界面显示
    int pric() default 2;   // 对于浮点型，界面显示的精度
    boolean mainkey() default false;    // 是否为主键
    String defaultValue() default "";   // 字段的默认值
    boolean popSearch() default false;  // 弹出选择对象时是否显示
    boolean popCondition() default false;  // 弹出选择时是否使用这个条件查询
    COMMON_EDIT_TYPE editType() default COMMON_EDIT_TYPE.NONE; // 定义字段的编辑类型
    Class<?> multiEnumClass() default Object.class;  // 多选枚举的类型。
    String typeName() default "";   // 定义字段类型的简单名称，用于关联表或者动态枚举。
    boolean notEmpty() default false;   // 是否不允许为空
    boolean isShow() default true;   // 是否允许表单显示
    boolean dynamicCalculate() default false;   // 是否允许获取新增值
    boolean isWhereSelect() default true;   // 是否允许获取新增值
    String readFunction() default ""; //取值函数，查询时调用赋值;
    String excelExportVal() default ""; //导出取值函数;

    boolean isUpdate() default true;  // 是否能在编辑页面输入值 false
}
