package cn.estsh.i3plus.pojo.eam.common.dto;

import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.eam.common.COMMON_FIELD_TYPE;
import io.swagger.annotations.Api;
import lombok.Data;

import java.util.List;

/**
 * @author Jason
 * @ClassName: CommonPager
 * @Description: 通用表格分页查询参数
 * @date 2022-03-22
 */
@Data
@Api("通用表格分页查询参数")
public class CommonPager extends Pager {
    public static class SortData {
        // 排序对象
        private String field;
        // 排序类型，1为升序，0为降序
        private int orderType;

        public String getField() {
            return field;
        }

        public void setField(String field) {
            this.field = field;
        }

        public int getOrderType() {
            return orderType;
        }

        public void setOrderType(int orderType) {
            this.orderType = orderType;
        }
    }

    @Data
    public static class Filter {
        // 排序对象
        private String code;
        // 查询类型
        private String count;
        // 查询值
        private String materialValue;
        // 或者、并且
        private String and;

        //连表sql
        private String linkedTableSql;


        // 是否为字段比较
        private Boolean isField = Boolean.FALSE;
        //类型
        private COMMON_FIELD_TYPE tyep = COMMON_FIELD_TYPE.STRING;

        public Filter() {
        }

        public Filter(String code, String count, String materialValue, String and) {
            this.code = code;
            this.count = count;
            this.materialValue = materialValue;
            this.and = and;
        }

        public Filter(String code, String count, String materialValue, String and, Boolean isField) {
            this.code = code;
            this.count = count;
            this.materialValue = materialValue;
            this.and = and;
            this.isField = isField;
        }
    }

    private String filter;
    private List<SortData> sorts;
    private List<Filter> filters;
}
