package cn.estsh.i3plus.pojo.eam.common.pojo;



import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @Description:
 * @CreateDate 2022/4/11 11:08
 * @Author 尹肖
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_DYNAMIC_ENUM", uniqueConstraints = {
        @UniqueConstraint(columnNames = {"ORGANIZE_CODE", "ENUM_TYPE", "ENUM_VALUE_SEQ", "ENUM_VALUE"})})
@Api("字典")
@ExcludeImportExport
public class DynamicEnum extends CommonBean {

    @Column(name = "ENUM_TYPE")
    @ApiParam(name = "枚举类型")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String enumType;

    @Column(name = "ENUM_TYPE_DESC")
    @ApiParam(name = "枚举类型描述")
    @FieldAnnotation(popSearch = true)
    private String enumTypeDesc;

    @Column(name = "ENUM_VALUE_SEQ")
    @ApiParam(name = "枚举值序号")
    @FieldAnnotation(popSearch = true, notEmpty = true)
    private Integer enumValueSeq;

    @Column(name = "ENUM_VALUE")
    @ApiParam(name = "枚举值")
    @FieldAnnotation(popSearch = true, notEmpty = true)
    private String enumValue;

    @Column(name = "ENUM_VALUE_DESC")
    @ApiParam(name = "枚举值描述")
    @FieldAnnotation(popSearch = true)
    private String enumValueDesc;

//    @JsonIgnore
//    @ManyToMany(targetEntity = EamOpItem.class, cascade= CascadeType.ALL, mappedBy = "eamEnumList")
//    private List<EamOpItem> eamOpItemList;
//
//    @JsonIgnore
//    @ManyToMany(targetEntity = EamPart.class, cascade= CascadeType.ALL, mappedBy = "eamEnumList")
//    private List<EamPart> eamParts;
//
//    @JsonIgnore
//    @ManyToMany(targetEntity = Equipment.class, cascade= CascadeType.ALL, mappedBy = "eamEnumList")
//    private List<Equipment> equipmentList;
}

