package cn.estsh.i3plus.pojo.eam.common.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Jason
 * @ClassName: GridField
 * @Description: 表格字段信息-支持一个实体类对应多个展示表格。
 * @date 2022-06-08
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "COMMON_GRID_FIELD")
@Api("表格字段信息")
public class GridField extends CommonBean {

    @Column(name = "CODE")
    @ApiParam(value = "编码")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String code;

    @Column(name = "NAME")
    @ApiParam(value = "名称")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String name;

    @Column(name = "CLASS_NAME")
    @ApiParam(value = "所属类简称")
    private String className;

    @Column(name = "GRID_NAME")
    @ApiParam(value = "所属表格名称")
    private String gridName;

    @Column(name = "DISPLAY")
    @ApiParam(value = "是否在界面显示")
    @FieldAnnotation(defaultValue = "true")
    private Boolean display = true;

    @Column(name = "IS_SHOW")
    @ApiParam(value = "是否表单字段展示:默认1-显示，2-隐藏")
    private Boolean isShow = true;

    @Column(name = "IS_UPDATE")
    @ApiParam(value = "是否能在编辑页面输入值:默认1-不可编辑，2-可编辑")
    private Boolean isUpdate = false;

    @Column(name = "NOT_EMPTY")
    @ApiParam(value = "不能为空")
    private Boolean notEmpty;

    @Column(name = "ORDER_NUMBER")
    @ApiParam(value = "序号")
    private Integer orderNumber;
}
