package cn.estsh.i3plus.pojo.eam.common.pojo;


import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.CommonEnumUtil;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @author Jason
 * @ClassName: UploadFileConfig
 * @Description: 上传文件配置
 * @date 2022-04-13
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_UPLOAD_FILE_CONFIG")
@Api("上传文件配置")
public class UploadFileConfig extends CommonBean {
    @Column(name="NAME")
    @ApiParam(value ="名称")
    @FieldAnnotation(notEmpty = true)
    private String name;

    @Column(name="GROUP_NAME")
    @ApiParam(value ="分组名称")
    @FieldAnnotation(notEmpty = true)
    private String groupName;

    @Column(name="FILE_TYPE")
    @ApiParam(value ="文件类型")
    private CommonEnumUtil.COMMON_FILE_TYPE fileType;
}
