package cn.estsh.i3plus.pojo.eam.common.serviceimpl;


import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.FieldInfoDao;
import cn.estsh.i3plus.pojo.eam.common.IFieldInfoService;
import cn.estsh.i3plus.pojo.eam.common.pojo.FieldInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

@Service
public class FieldInfoServiceImpl implements IFieldInfoService {
    @Autowired
    private FieldInfoDao fieldInfoDao;

    @Override
    public FieldInfo getById(Long id) {
        return fieldInfoDao.getById(id);
    }

    @Override
    public void insert(List<FieldInfo> fieldInfos) {
        fieldInfoDao.insert(fieldInfos);
    }

    @Override
    public void update(FieldInfo fieldInfo) {
        fieldInfoDao.update(fieldInfo);
    }

    @Override
    public void update(List<FieldInfo> fieldInfos) {
        fieldInfoDao.update(fieldInfos);
    }

    @Override
    public void deleteById(Long id) {
        fieldInfoDao.deleteById(id);
    }

    @Override
    public List<FieldInfo> list(Class<? extends CommonBean> cls) {
        return fieldInfoDao.list(cls);
    }

    @Override
    public FieldInfo get(Class<? extends CommonBean> cls, String code) {
        return fieldInfoDao.get(cls, code);
    }

    @Override
    public List<FieldInfo> listMainKeys(Class<? extends CommonBean> cls) { return fieldInfoDao.listMainKeys(cls,new ArrayList<>()); }

    @Override
    public List<FieldInfo> listDisplay(Class<? extends CommonBean> cls) {
        List<FieldInfo> infos = list(cls);
        infos.removeIf(fieldInfo -> !fieldInfo.getDisplay());
        return infos;
    }

    @Override
    public List<FieldInfo> listForPop(Class<? extends CommonBean> cls) {
        List<FieldInfo> infos = list(cls);
        infos.removeIf(fieldInfo -> !fieldInfo.getPopSearch());
        return infos;
    }

    @Override
    public FieldInfo getByName(Class<? extends CommonBean> cls, String name) {
        return fieldInfoDao.getByName(cls, name);
    }
}
