package cn.estsh.i3plus.pojo.eam.constant;

import java.text.DecimalFormat;
import java.text.SimpleDateFormat;

/**
 * @Description: MES公共常量
 * @CreateDate 2021/06/24
 * @Author simon.song
 */
public class EamCommonConstant {
    //设备信息管理
    public static final String EAM = "/eam";

    public static final String WHITELIST_URL = "/eam-white";

    //三力士
    public static final String SANLUX = "/sanlux";


    //广东
    public static final String GD = "/gd";

    public static final String ISVALID = "isValid";

    /**
     * eam 定时任务前缀
     */
    public static final String EAM_JOB_REDIS_PREFIX = "EAM:JOB";

    /**
     * 单据任务生成单号
     */
    public static final String ORDER_NO = "ORDER_NO";

    //入库单生成单号
    public static final String RK_ORDER_NO = "RK_ORDER_NO";

    //出库单生成单号
    public static final String CK_ORDER_NO = "CK_ORDER_NO";

    //盘点单生成单号
    public static final String CS_ORDER_NO = "CS_ORDER_NO";
    //平台生成单号，获取返回值
    public static final String ORDERNO = "orderNo";


    // eam设备联络单据生成单号
    public static final String EQU_CONTACT_NO = "EQU_CONTACT_NO";
    //在字典中维护是否允许多个设备
    public static final String ENUM_MULTI_EQUIPMENT_IN_ORDER = "MULTI_EQUIPMENT_IN_ORDER";

    //打印
    public static final String DOC_PRINT = "DOC_PRINT";

    //设备等级
    public static final String A = "A";
    public static final String B = "B";
    public static final String C = "C";

    //频率cron表达式 三个月一次
    public static final String FREQUENCY_THREE_MONTHS = "0 0 0 1 1/3 ? *";
    //频率cron表达式 半年一次
    public static final String FREQUENCY_SIX_MONTHS = "0 0 0 1 1/6 ? *";
    //频率cron表达式 一年一次
    public static final String FREQUENCY_YEAR = "0 0 0 1 1/12 ? *";

    //每个4月1号
    public static final String APRIL_1ST = "04-01";

    public static final String DJ_ORDER_NO = "DJ_ORDER_NO";
    public static final String BY_ORDER_NO = "BY_ORDER_NO";
    public static final String WX_ORDER_NO = "WX_ORDER_NO";

    //松下月
    public static final Integer[] SX_MONTH = new Integer[]{4, 5, 6, 7, 8, 9, 10, 11, 12, 1, 2, 3};

    //年月日,日期格式
    public static final SimpleDateFormat YEAR_MONTH_DAY_FORMAT = new SimpleDateFormat("yyyy-MM-dd") ;

    //月份日期格式
    public static final SimpleDateFormat MONTH_FORMAT = new SimpleDateFormat("MM") ;

    //格式化占比
    public static final DecimalFormat PROPORTION_FORMAT = new DecimalFormat("##%");

    //年月日
    public static final String YEAR_MONTH_DAY = "yyyy-MM-dd";

    //年月
    public static final String YEAR_MONTH = "yyyy-MM";
}
