package cn.estsh.i3plus.pojo.eam.model;


import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.pojo.EamAreaPartGroup;
import cn.estsh.i3plus.pojo.eam.pojo.EamStock;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import javax.persistence.Transient;
import java.util.List;

/**
 * @Description : 盘点明细model
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-05-18 10:04
 * @Modify:
 **/
@Data
public class EamCsDetailModel extends CommonBean {

    @ApiParam(value = "单位")
    private Double price;

    @ApiParam(value = "物料规格")
    private String partSpec;

    @ApiParam(value = "最大库存")
    private Double max;

    @ApiParam(value = "最小库存")
    private Double min;

    @ApiParam(value = "前年结转数量")
    private Double lastYearStock;

    @ApiParam(value = "前年结转金额")
    private Double lastYearTotalPrice;

    @ApiParam(value = "本月出库数量")
    private Double monthOutStock;

    @ApiParam(value = "本月出库金额")
    private Double monthOutTotalPrice;

    @ApiParam(value = "本月入库数量")
    private Double monthInStock;

    @ApiParam(value = "类别描述")
    private String partGroupDesc;

    @ApiParam(value = "区域描述")
    private String areaDesc;

    @ApiParam(name = "单据号", value = "盘点单")
    private String orderNo;

    @ApiParam(name = "区域", value = "区域")
    private String area;

    @ApiParam(name = "类别", value = "类别")
    private String partGroup;

    @ApiParam(name = "备品备件管理编码", value = "备品备件管理编码")
    private String partNo;

    @ApiParam(name = "备品备件名称", value = "备品备件名称")
    private String partName;

    @ApiParam(name = "是否紧急", value = "是否紧急")
    private Integer isUrgent;

    @ApiParam(name = "单据状态", value = "单据状态")
    private String itemStatus;

    @ApiParam(name = "在库数量", value = "在库数量")
    private Double partQty;

    @ApiParam(name = "实盘数量", value = "实盘数量")
    private Double factQty;

    /**
     * 相当于库位
     */
    @ApiParam(name = "实际保管场所", value = "保管场所")
    private String factKeepingArea;

    @Column(name = "REMARK")
    @ApiParam(name = "备注", value = "备注")
    private String remark;

    @Transient
    @ApiParam(value = "差异数量")
    private Double diffQty;

    @Transient
    @ApiParam(value = "区域类别集合")
    public List<EamAreaPartGroup> eamAreaPartGroupList;

    @Transient
    @ApiParam(value = "备品备件集合")
    private List<EamStock> eamStockList;

    @Transient
    @ApiParam(value = "区域str")
    private String areaStr;

    @Transient
    @ApiParam(value = "类别Str")
    private String partGroupStr;

    @Transient
    @ApiParam(value = "备品备件管理编码Str")
    private String partNoStr;

    @Transient
    @ApiParam(value = "单据状态")
    private String orderStatus;

    @Transient
    @ApiParam(value = "单据状态")
    private String orderStatusVal;

    @ApiParam(name = "是否紧急", value = "是否紧急")
    private String isUrgentVal;

    public String getIsUrgentVal() {
        return CommonEnumUtil.TRUE_OR_FALSE.valueOf(this.isUrgent);
    }
}
