package cn.estsh.i3plus.pojo.eam.model;

/**
 * @Description :
 * @Reference :
 * @Author : zhanghaojie
 * @CreateDate : 2022-06-13 下午12:57
 * @Modify:
 **/

import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
public class EamDocMasterModel {
    @ApiParam(name = "设备编码")
    private String equCode;

    @ApiParam(name = "设备名称")
    private String equName;

    @ApiParam(name = "实际开始时间")
    private String factStartTime;

    @ApiParam(name = "工厂代码")
    private String organizeCode;

    @ApiParam(name = "实际结束时间")
    private String factEndTime;

    @ApiParam(name = "生产线编码")
    // TODO: 2022/6/15 需要产线弹窗来源接口
    private String workcenter;

    @ApiParam(name = "维修次数")
    private int repairCount;

    @ApiParam(name = "耗时")
    private Long elapse;

    @ApiParam(name = "耗时")
    private String elapseStr;

    @ApiParam(name = "保管场所")
    private String workcenterCode;

    @ApiParam(name = "业务类型")
    private EamEnumUtil.EAM_DOC_BUSI_TYPE busiType;

    @ApiParam(name = "状态")
    private EamEnumUtil.ORDER_DOC_STATUS orderStatus;

    @ApiParam(name = "时间维度")
    private EamEnumUtil.TIME_DIMENSION timeDimension;

    @ApiParam(name = "数据维度")
    private EamEnumUtil.DATA_DIMENSION dataDimension;

    @ApiParam(name = "占比")
    private String proportion;

    @ApiParam(name = "维修次数总数")
    private int repairCounts;

    private Map<String, Integer> returnMap;

    private List<EamDocMasterModel> returnList;

    public EamDocMasterModel(){}

    public EamDocMasterModel(String equCode, String equName, String factStartTime, String factEndTime,
                             String organizeCode, String workcenterCode){
        this.equCode = equCode;
        this.equName = equName;
        this.factEndTime = factEndTime;
        this.organizeCode=organizeCode;
        this.factStartTime=factStartTime;
        this.workcenterCode=workcenterCode;
    }
    public EamDocMasterModel(String equCode, String equName, String factStartTime, String factEndTime,
                             String organizeCode){
        this.equCode = equCode;
        this.equName = equName;
        this.factEndTime = factEndTime;
        this.organizeCode=organizeCode;
        this.factStartTime=factStartTime;
    }

    public EamDocMasterModel(String equCode, String equName, String workcenterCode){
        this.workcenterCode = workcenterCode;
        this.equCode=equCode;
        this.equName=equName;
    }
}
