package cn.estsh.i3plus.pojo.eam.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Description:
 * @CreateDate 2022/6/9 14:09
 * @Author 尹肖
 */
@Data
public class EamGdMouldModel implements Serializable {

    @ApiParam(name = "模具编码")
    private String equCode;

    @ApiParam(name = "上次保养时间")
    private String lastMaintenanceTime;

    @ApiParam(name = "模具库位")
    private String locate;

    @ApiParam(name = "预警数值")
    private Double warn;

    @ApiParam(name = "开合模次数")
    private Double processCount = 0d;

    @ApiParam(name = "显示颜色")
    @AnnoOutputColumn(refClass = EamEnumUtil.SHOW_COLOR.class)
    private String showColor = EamEnumUtil.SHOW_COLOR.NORMAL.getValue();

    @ApiParam(name = "实际开始时间")
    private String factStartTime;

    @ApiParam(name = "实际完成时间")
    private String factEndTime;

    public EamGdMouldModel(String equCode, String factStartTime, String factEndTime) {
        this.equCode = equCode;
        this.factStartTime = factStartTime;
        this.factEndTime = factEndTime;
    }

    public EamGdMouldModel() {
    }
}
