package cn.estsh.i3plus.pojo.eam.model;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.apache.commons.lang3.StringUtils;

import java.io.Serializable;

/**
 * @Description:
 * @CreateDate 2022/6/2 11:08
 * @Author 尹肖
 */
@Data
public class SxDocModel implements Serializable {

    private Long id;

    @ApiParam(value = "单号")
    private String orderNo;

    @ApiParam(name = "部门")
    private String deptName;

    @ApiParam(value = "设备编码")
    private String equCode;

    @ApiParam(value = "设备名称")
    private String equName;

    @ApiParam(value = "责任人")
    private String resUser;

    @ApiParam(name = "保养方")
    private String maintainVendor;

    @ApiParam(name = "项目")
    private String item;

    @ApiParam(value = "金额")
    private Double prlce;

    @ApiParam(value = "周期")
    private String orderNoType;

    @ApiParam(value = "区分")
    private String type;

    @ApiParam(value = "点检内容,判断基准/(保养内容)")
    private String content;

    @ApiParam(value = "点检方法/(保养方法)")
    private String method;

    @ApiParam(value = "点检备注")
    private String remark;

    @ApiParam(name = "保养备注")
    private String opItemRemark;

    @ApiParam(value = "计划时间")
    private String planTime;

    @ApiParam(name = "计划日期")
    private String planDate;

    @ApiParam("耗时")
    private Long elapse;

    @ApiParam(value = "备品备件管理编码")
    public String partNo;

    @ApiParam(value = "备品备件名称")
    public String partName;

    @ApiParam(value = "出库数量")
    public Double moveQty;

    @ApiParam(value = "实际开始时间")
    private String factStartTime;

    @ApiParam(name = "实际完成时间")
    private String factEndTime;

    @ApiParam(value = "点检结果")
    public String itmeDesc;

    @ApiParam(value = "点检结果值")
    private String itmeDescVal;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam(value = "修改人")
    private String modifyUser;

    @ApiParam(value = "修改时间")
    private String modifyDatetime;

    @ApiParam(name = "确认人")
    private String confirmUser;

    @ApiParam(name = "确认时间")
    private String confirmDate;

    @ApiParam(name = "是否标红")
    private Integer isRed = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    public SxDocModel() {
    }

    public void setItmeDesc(String itmeDesc) {
        this.itmeDesc = itmeDesc;
        if (!StringUtils.isEmpty(itmeDesc)) {
            try {
                this.itmeDescVal = EamEnumUtil.EAM_DOC_ITEM_DESC.valueOf(itmeDesc).getRemark();
            } catch (Exception e) {
                e.printStackTrace();
            }
        }
    }
}
