package cn.estsh.i3plus.pojo.eam.pojo;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;

/**
 * @Description:
 * @CreateDate 2022/5/10 11:24
 * @Author 尹肖
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_APPROVAL_HIS", indexes = {
        @Index(columnList = "ORDER_NO")

})
@ApiModel("审批履历表")
public class EamApprovalHis extends CommonBean {

    @ApiParam(value = "单号")
    @Column(name = "ORDER_NO")
    @FieldAnnotation(mainkey = true, popSearch = true, modify = false, defaultValue = "自动生成")
    private String orderNo;

    @ApiParam(value = "设备编码")
    @Column(name = "EQU_CODE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.MULTI_OBJECT, notEmpty = true, typeName = "Equipment")
    private String equCode;

    @ApiParam(value = "设备名称")
    @Column(name = "EQU_NAME")
    private String equName;

    @ApiParam(value = "业务类型")
    @Column(name = "BUSI_TYPE_CODE")
    @FieldAnnotation(notEmpty = true)
    private EamEnumUtil.EAM_DOC_BUSI_TYPE busiTypeCode;

    @ApiParam(value = "审批结果")
    @Column(name = "APPROVAL_RESULT")
    @AnnoOutputColumn(refClass = EamEnumUtil.APPROVAL_RESULT.class)
    private String approvalResult;

    @ApiParam(value = "审批人")
    @Column(name = "APPROVAL_USER")
    private String approvalUser;

    @ApiParam(value = "审批时间")
    @Column(name = "APPROVAL_TIME")
    private String approvalTime;

    @ApiParam(value = "备注")
    @Column(name = "REMARK")
    private String remark;

    @ApiParam(value = "计划日期")
    @Column(name = "PLAN_DATE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE, notEmpty = true)
    private String planDate;

    @ApiParam(value = "计划时间")
    @Column(name = "PLAN_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.TIME, notEmpty = true)
    private String planTime;

    @ApiParam(value = "责任人")
    @Column(name = "RES_USER")
    private String resUser;

    @ApiParam(value = "实际开始时间")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true)
    private String factStartTime;

    @ApiParam(value = "实际结束时间")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true)
    private String factEndTime;
}
