package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 备品备件盘点主表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-05-11 17:48
 * @Modify:
 **/
@Data
@Entity
@Table(name = "EAM_DOC_CS_MASTER")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "备品备件盘点主表", description = "备品备件盘点主表")
@ExcludeImportExport
public class EamDocCsMaster extends CommonBean {

    @Column(name = "ORDER_NO")
    @ApiParam(name = "单据号")
    @FieldAnnotation(mainkey = true)
    private String orderNo;

    @Column(name = "ORDER_STATUS")
    @ApiParam(name = "单据状态")
    @AnnoOutputColumn(refClass = EamEnumUtil.ORDER_DOC_CS_STATUS.class, refForeignKey = "value", value = "description")
    private String orderStatus;

    @Transient
    @ApiParam(value = "是否冻结")
    private String isFreeze;
}
