package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.*;

/**
 * @author ns
 * @create 2022/4/13 0013 下午 17:34
 * 点检单明细表
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_DOC_DETAILS", indexes = {
        @Index(columnList = "ORDER_NO")

})//@Index(columnList = "REF_NO"
@ApiModel("点检单明细实体类")
public class EamDocDetails extends CommonBean {

    @ApiParam(name = "单号")
    @Column(name = "ORDER_NO")
    @FieldAnnotation(mainkey = true)
    private String orderNo;

    @ApiParam(name = "行号")
    @Column(name = "ITEM")
    private String item;

    @Column(name = "IS_ISPECT_TOOL")
    @ApiParam(name = "是否检查机")
    private Boolean isIspectTool;

    @ApiParam(name = "状态")
    @Column(name = "ITEM_STATUS")
    private EamEnumUtil.EAM_DOC_STATUS itemStatus = EamEnumUtil.EAM_DOC_STATUS.CREATE;

    @ApiParam(name = "业务类型")
    @Column(name = "BUSI_TYPE")
    @FieldAnnotation(notEmpty = true)
    @Enumerated(EnumType.ORDINAL)
    public EamEnumUtil.EAM_DOC_BUSI_TYPE busiType;

    @ApiParam(name = "设备编码")
    @Column(name = "EQU_CODE")
    @FieldAnnotation(mainkey = true)
    public String equCode;

    @ApiParam(name = "设备名称")
    @Column(name = "EQU_NAME")
    public String equName;

    @ApiParam(name = "操作项")
    @Column(name = "OP_ITEM_CODE")
    public String opItemCode;

    @ApiParam(name = "操作项结果")
    @Column(name = "OP_ITEM_RESULT")
    public String opItemResult;

    @Column(name = "MAINTAIN_VENDOR")
    @ApiParam(name = "保养方")
    public String maintainVendor;

    @Column(name = "STAND")
    @ApiParam(name = "操作项标准")
    public String stand;

    @Column(name = "ITEM_DESC")
    @ApiParam(name = "作业项类别")
    public String itmeDesc;

    @ApiParam(name = "操作项备注")
    @Column(name = "OP_ITEM_REMARK",columnDefinition="nvarchar(max)")
    public String opItemRemark;

    @ApiParam(name = "备注")
    @Column(name = "REMARK",columnDefinition="nvarchar(max)")
    public String remark;

    @ApiParam(name = "区分")
    @Column(name = "TYPE")
    public String type;

    @ApiParam(name = "内容")
    @Column(name = "CONTENT")
    public String content;

    @ApiParam(name = "方法")
    @Column(name = "METHOD")
    public String method;

    @ApiParam(name = "图片")
    @Column(name = "PICTURE")
    public String picture;

    @Column(name = "AREA")
    @ApiParam(name = "区域")
    @FieldAnnotation(typeName = "EAM_AREA")
    public String area;

    @Column(name = "AREA_DESC")
    @ApiParam(name = "区域描述")
    @FieldAnnotation(modify = false, display = false, popSearch = true)
    private String areaDesc;

    @Column(name = "PART_GROUP")
    @ApiParam(name = "类别")
    @FieldAnnotation(typeName = "EAM_PART_GROUP")
    public String partGroup;

    @Column(name = "PART_GROUP_DESC")
    @ApiParam(name = "类别描述")
    @FieldAnnotation(modify = false, display = false, popSearch = true)
    private String partGroupDesc;

    @Column(name = "PART_NO")
    @ApiParam(name = "备品备件管理编码")
    public String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(name = "备品备件名称")
    public String partName;

    @Column(name = "MOVE_QTY")
    @ApiParam(name = "出库数量")
    public Double moveQty;

    @Column(name = "SRC_QTY")
    @ApiParam(name = "在库数量")
    public Double srcQty;

    @Column(name = "CONFIRM_USER")
    @ApiParam(name = "确认人")
    private String confirmUser;

    @Column(name = "CONFIRM_DATE")
    @ApiParam(name = "确认时间")
    private String confirmDate;

    @ApiParam(name = "发起确认人")
    @Column(name = "ORIGINATE_NAME")
    private String originateName;

    @ApiParam(name = "发起确认人时间")
    @Column(name = "ORIGINATE_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME)
    private String originateTime;

    @ApiParam(name = "品质确认人")
    @Column(name = "QC_USER")
    private String qcUser;

    @ApiParam(name = "品质确认时间")
    @Column(name = "QC_TIME")
    private String qcTime;
}
