package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.*;

/**
 * @author ns
 * @create 2022/4/13 0013 下午 17:33
 * 点检单主表
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_DOC_MASTER", indexes = {
        @Index(columnList = "ORDER_NO"),
        @Index(columnList = "REF_NO")
})
@ApiModel("点检单主表实体类")
public class EamDocMaster extends CommonBean {

    @ApiParam(name = "单号")
    @Column(name = "ORDER_NO")
    @FieldAnnotation(mainkey = true, popSearch = true, modify = false, defaultValue = "自动生成")
    private String orderNo;

    @ApiParam(name = "业务类型")
    @Column(name = "BUSI_TYPE")
    @FieldAnnotation(notEmpty = true)
    @Enumerated(EnumType.ORDINAL)
    private EamEnumUtil.EAM_DOC_BUSI_TYPE busiType;

    @ApiParam(name = "维修业务类型")
    @Column(name = "REPAIR_BUSI_TYPE")
    @FieldAnnotation(notEmpty = true)
    @Enumerated(EnumType.ORDINAL)
    private EamEnumUtil.EAM_REPAIR_DOC_BUSI_TYPE repairBusiType;

    @ApiParam(name = "周期")
    @Column(name = "ORDER_NO_TYPE")
    @FieldAnnotation(notEmpty = true)
    private String orderNoType = "年点检";

    @ApiParam(name = "关联单据编号")
    @Column(name = "REF_NO")
    private String refNo;

    @ApiParam(name = "关联单据类型")
    @Column(name = "REF_TYPE")
    private Integer refType;

    @ApiParam(name = "设备编码")
    @Column(name = "EQU_CODE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.MULTI_OBJECT, notEmpty = true, typeName = "Equipment")
    private String equCode;

    @ApiParam(name = "设备名称")
    @Column(name = "EQU_NAME")
    private String equName;

    @ApiParam(name = "计划日期")
    @Column(name = "PLAN_DATE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE, notEmpty = true)
    private String planDate;

    @ApiParam(name = "计划时间")
    @Column(name = "PLAN_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.TIME, notEmpty = true)
    private String planTime;

    @ApiParam(name = "优先级")
    @Column(name = "PRIORITY")
    private Integer priority;

    @ApiParam(name = "部门")
    @Column(name = "DEPT_NAME")
    private String deptName;

    @ApiParam(name = "故障现象")
    @Column(name = "FALUT_SHOW")
    private String falutShow;

    @ApiParam(name = "实际开始时间")
    @Column(name = "FACT_START_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true)
    private String factStartTime;

    @ApiParam(name = "实际结束时间")
    @Column(name = "FACT_END_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true)
    private String factEndTime;

    @ApiParam(name = "整体结果")
    @Column(name = "RESULT")
    private String result;

    @ApiParam(name = "责任人")
    @Column(name = "RES_USER")
    private String resUser;

    @ApiParam(name = "金额")
    @Column(name = "PRLCE")
    private Double prlce;

    @ApiParam(name = "状态")
    @Column(name = "ORDER_STATUS")
    @Enumerated(EnumType.ORDINAL)
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true, display = false)
    private EamEnumUtil.EAM_DOC_STATUS orderStatus = EamEnumUtil.EAM_DOC_STATUS.CREATE;

    @Lob
    @ApiParam(name = "备注")
    @Column(name = "REMARK")
    private String remark;

    @Column(name = "IS_ISPECT_TOOL")
    @ApiParam(name = "是否检查机")
    private Boolean isIspectTool;

    @ApiParam(name = "生产线编码")
    @Column(name = "WORK_CENTER")
    private String workcenter;

    @Column(name = "KEEPING_AREA")
    @ApiParam(name = "保管场所")
    private String keepingArea;

    @Column(name = "DOCMASTER_JPG")
    @ApiParam(name = "主页图片")
    private String docmasterJpg;

    @Column(name = "DOCMASTER_JPG_ID")
    @ApiParam(name = "主页图片ID")
    private String docmasterJpgId;

    @Column(name = "FILE_ROUTE")
    @ApiParam(name = "资产参考文档")
    @FieldAnnotation(popSearch = true, modify = false)
    private String fileRoute;

    @Column(name = "FILE_ROUTE_ID")
    @ApiParam(name = "资产参考文档id")
    @FieldAnnotation(modify = false, display = false, isShow = false)
    private String fileRouteId;

    @Column(name = "IS_OUT_REPAIR")
    @ApiParam(name = "是否委外")
    private Boolean isOutRepair;

    @Column(name = "REPAIR_PRLCE")
    @ApiParam(name = "委外费用")
    private Double repairPrlce;

    @Transient
    @ApiParam(name = "是否标红底")
    @FieldAnnotation(display = false)
    private Integer isRed = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    @Transient
    @ApiParam("耗时")
    private Long elapse;

    @Transient
    @ApiParam("任务完成率")
    private String taskCompletionRate;

    @Transient
    @ApiParam(name = "平均维修时间")
    private Double averRepairTime;

    @Transient
    @ApiParam(name = "故障次数")
    private Integer failNum;

    @Transient
    @FieldAnnotation(display = false)
    private String orderStatusVal;

    @Transient
    @FieldAnnotation(display = false)
    private String busiTypeVal;

    public String getOrderStatusVal() {
        return this.orderStatus.getDescription();
    }

    public String getBusiTypeVal() {
        return this.busiType.getDescription();
    }

    @ApiParam(name = "发起确认人")
    @Column(name = "ORIGINATE_NAME")
    private String originateName;

    @ApiParam(name = "发起确认人时间")
    @Column(name = "ORIGINATE_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME)
    private String originateTime;

    @ApiParam(name = "品质确认人")
    @Column(name = "QC_USER")
    private String qcUser;

    @ApiParam(name = "品质确认时间")
    @Column(name = "QC_TIME")
    private String qcTime;


    @ApiParam(name = "安灯编号")
    @Column(name = "ANDON_ORDER_NO")
    private String andonOrderNo;

    @Transient
    @ApiParam(name = "录入故障原因")
    public String opItemRemark;

    @Transient
    @ApiParam(name = "录入故障方法")
    public String method;

    @Transient
    @ApiParam(value = "备品备件管理编码")
    public String partNo;

    @Transient
    @ApiParam(value = "备品备件名称")
    public String partName;

    @Transient
    @ApiParam(value = "出库数量")
    public Double moveQty;

    @Transient
    @ApiParam(name = "是否检查机汉字")
    private String inspectionMachine;

}
