package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.*;

/**
 * @author ns
 * @create 2022/4/13 0013 下午 17:33
 * 点检单主表
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_DOC_MASTER_TASK", indexes = {
        @Index(columnList = "ORDER_NO"),
        @Index(columnList = "REF_NO")
})
@ApiModel("任务报表实体类")
public class EamDocMasterTask extends CommonBean {

    @ApiParam(value = "单号")
    @Column(name = "ORDER_NO")
    @FieldAnnotation(mainkey = true, popSearch = true, modify = false, defaultValue = "自动生成")
    private String orderNo;

    @ApiParam(value = "业务类型")
    @Column(name = "BUSI_TYPE")
    @FieldAnnotation(notEmpty = true)
    @Enumerated(EnumType.ORDINAL)
    private EamEnumUtil.EAM_DOC_BUSI_TYPE busiType;

    @ApiParam(value = "周期")
    @Column(name = "ORDER_NO_TYPE")
    @FieldAnnotation(notEmpty = true)
    private String orderNoType = "年点检";

    @ApiParam(value = "关联单据编号")
    @Column(name = "REF_NO")
    private String refNo;

    @ApiParam(value = "关联单据类型")
    @Column(name = "REF_TYPE")
    private Integer refType;

    @ApiParam(value = "设备编码")
    @Column(name = "EQU_CODE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.MULTI_OBJECT, notEmpty = true, typeName = "Equipment")
    private String equCode;

    @ApiParam(value = "设备名称")
    @Column(name = "EQU_NAME")
    private String equName;

    @ApiParam(value = "计划日期")
    @Column(name = "PLAN_DATE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE, notEmpty = true)
    private String planDate;

    @ApiParam(value = "计划时间")
    @Column(name = "PLAN_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.TIME, notEmpty = true)
    private String planTime;

    @ApiParam(value = "优先级")
    @Column(name = "PRIORITY")
    private Integer priority;

    @ApiParam(value = "部门")
    @Column(name = "DEPT_NAME")
    private String deptName;

    @ApiParam(value = "故障现象")
    @Column(name = "FALUT_SHOW")
    private String falutShow;

    @ApiParam(value = "实际开始时间")
    @Column(name = "FACT_START_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true)
    private String factStartTime;

    @ApiParam(value = "实际结束时间")
    @Column(name = "FACT_END_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true)
    private String factEndTime;

    @ApiParam(value = "整体结果")
    @Column(name = "RESULT")
    private String result;

    @ApiParam(value = "责任人")
    @Column(name = "RES_USER")
    private String resUser;

    @ApiParam(value = "金额")
    @Column(name = "PRLCE")
    private Double prlce;

    @ApiParam(value = "状态")
    @Column(name = "ORDER_STATUS")
    @Enumerated(EnumType.ORDINAL)
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME, notEmpty = true, display = false)
    private EamEnumUtil.EAM_DOC_STATUS orderStatus = EamEnumUtil.EAM_DOC_STATUS.CREATE;

    @Lob
    @ApiParam(value = "备注")
    @Column(name = "REMARK")
    private String remark;

    @Column(name = "IS_ISPECT_TOOL")
    @ApiParam(value = "是否检查机")
    private Boolean isIspectTool;

    @ApiParam(value = "生产线编码")
    @Column(name = "WORKCENTER")
    private String workcenter;

    @Transient
    @ApiParam(value = "是否标红底")
    @FieldAnnotation(display = false)
    private Integer isRed = CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue();

    @Transient
    @ApiParam("耗时")
    private Long elapse;

    @Transient
    @ApiParam("任务完成率")
    private String taskCompletionRate;

}
