package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 备品备件单据明细表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-05-09 14:23
 * @Modify:
 **/
@Data
@Entity
@Table(name = "EAM_DOC_MOVEMENT_DETAIL")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "备品备件单据明细表", description = "备品备件单据明细表")
@ExcludeImportExport
public class EamDocMovementDetail extends CommonBean {

    @Column(name = "ORDER_NO")
    @ApiParam(name = "单据号")
//    @FieldAnnotation(mainkey = true)
    private String orderNo;

    @Column(name = "ITEM_STATUS")
    @ApiParam(name = "单据状态")
    @AnnoOutputColumn(refClass = EamEnumUtil.ORDER_DOC_STATUS.class, refForeignKey = "value", value = "description")
    private String itemStatus;

    @Column(name = "AREA")
    @ApiParam(name = "区域")
    @FieldAnnotation(typeName = "EAM_AREA")
    private String area;

    @Column(name = "PART_GROUP")
    @ApiParam(name = "类别")
    @FieldAnnotation(typeName = "EAM_PART_GROUP")
    private String partGroup;

    @Column(name = "PART_NO")
    @ApiParam(name = "备品备件管理编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(name = "备品备件名称")
    private String partName;

    @Column(name = "SRC_QTY")
    @ApiParam(name = "在库数量")
    private Double srcQty;

    @Column(name = "MOVE_QTY")
    @ApiParam(name = "出入数量")
    private Double moveQty;

    @Transient
    @ApiParam(name = "领用人")
    private String takeUser;

    @Transient
    @ApiParam(name = "领用部门")
    private String takeDepartment;

    @Transient
    @ApiParam(name = "操作类型")
    private String moveType;

    @Transient
    @ApiParam(name = "最大库存")
    private Double max;

    @Transient
    @ApiParam(name = "最小库存")
    private Double min;

    @Transient
    @ApiParam(name = "类别描述")
    private String partGroupDesc;

    @Transient
    @ApiParam(name = "区域描述")
    private String areaDesc;

    public EamDocMovementDetail() {
    }

    public EamDocMovementDetail(Long id, String orderNo, String area, String partGroup, String partNo, String partName, Double srcQty,
                                Double moveQty, String takeUser, String takeDepartment, String areaDesc, String partGroupDesc,
                                String createUser, String modifyUser, String createDatetime, String modifyDatetime) {
        this.id = id;
        this.orderNo = orderNo;
        this.area = area;
        this.partGroup = partGroup;
        this.partNo = partNo;
        this.partName = partName;
        this.srcQty = srcQty;
        this.moveQty = moveQty;
        this.takeUser = takeUser;
        this.takeDepartment = takeDepartment;
        this.areaDesc = areaDesc;
        this.partGroupDesc = partGroupDesc;
        this.createUser = createUser;
        this.modifyUser = modifyUser;
        this.createDatetime = createDatetime;
        this.modifyDatetime = modifyDatetime;
    }
}
