package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 备品备件单据主表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-05-09 9:58
 * @Modify:
 **/
@Data
@Entity
@Table(name = "EAM_DOC_MOVEMENT_MASTER")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "备品备件单据主表", description = "备品备件单据主表")
@ExcludeImportExport
public class EamDocMovementMaster extends CommonBean {

    @Column(name = "ORDER_NO")
    @ApiParam(name = "单据号")
    private String orderNo;

    @Column(name = "MOVE_TYPE")
    @ApiParam(name = "操作类型")
    @AnnoOutputColumn(refClass = EamEnumUtil.ORDER_MOVE_TYPE.class, refForeignKey = "value", value = "description")
    private String moveType;

    @Column(name = "ORDER_STATUS")
    @ApiParam(name = "单据状态")
    @AnnoOutputColumn(refClass = EamEnumUtil.ORDER_DOC_STATUS.class, refForeignKey = "value", value = "description")
    private String orderStatus;

    @Column(name = "TAKE_USER")
    @ApiParam(name = "领用人")
    @FieldAnnotation
    private String takeUser;

    @Column(name = "TAKE_DEPARTMENT")
    @ApiParam(name = "领用部门")
    private String takeDepartment;

}
