package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
/**
 * 设备联络单表
 *
 * @Author : gsz
 * @date 2022/5/11 13:39
 **/
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_EQUIPMENT_CONTACT", indexes = {
        @Index(columnList = "EQU_CONTACT_NO")
})
@ApiModel("设备联络单EamEquipmentContact")
@ExcludeImportExport
public class EamEquipmentContact extends CommonBean {

    @ApiParam(name = "联络单号")
    @Column(name = "EQU_CONTACT_NO")
    @FieldAnnotation(mainkey = true, popSearch = true, modify = false, defaultValue = "自动生成")
    private String equContactNo;

    @ApiParam(name = "联络部门")
    @Column(name = "EQU_CONTACT_DEP")
    private String equContactDep;

    @ApiParam(name = "联络原因区分代码")
    @Column(name = "EQU_CAUSE_CODE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.MULTI_OBJECT, notEmpty = true, typeName = "EamEquipmentContactCause")
    private String equCauseCode;

    @ApiParam(name = "联络原因区分")
    @Column(name = "EQU_CAUSE_NAME")
    private String equCauseName;

    @ApiParam(name = "目的代码")
    @Column(name = "EQU_PURPOSE_CODE")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.MULTI_OBJECT, notEmpty = true, typeName = "EamEquipmentContactPurpose")
    private String equPurposeCode;

    @ApiParam(name = "目的")
    @Column(name = "EQU_PURPOSE_NAME")
    private String equPurposeName;

    @ApiParam(name = "具体需求内容")
    @Column(name = "SPECIFIC_NEEDS")
    private String specificNeeds;

    @ApiParam(name = "答复内容")
    @Column(name = "REPLY_CONTENT")
    private String replyContent;

    @ApiParam(name = "答复人")
    @Column(name = "REPLY_USER")
    private String replyUser;

    @ApiParam(name = "答复时间")
    @Column(name = "REPLY_TIME")
    private String replyTime;

    @ApiParam(name = "计划完成时间")
    @Column(name = "PLAN_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME)
    private String planTime;

    @ApiParam(name = "提出部门确认人")
    @Column(name = "SUBMIT_DEPARTMENT_USER")
    private String submitDepartmentUser;

    @ApiParam(name = "提出部门确认时间")
    @Column(name = "SUBMIT_DEPARTMENT_TIME")
    private String submitDepartmentTime;

    @ApiParam(name = "实际完成时间")
    @Column(name = "COMPLETE_TIME")
    private String completeTime;

    @ApiParam(name = "备注")
    @Column(name = "REMARK")
    private String remark;

    @ApiParam(name = "是否允许编辑")
    @Column(name = "IS_UPDATE")
    private Boolean isUpdate;

    @ApiParam(name = "是否品质确认")
    @Column(name = "IS_QC")
    private Boolean isQc = false;

    @ApiParam(name = "验收确认人")
    @Column(name = "ACCEPTANCE_USER")
    private String acceptanceUser;

    @ApiParam(name = "验收确认时间")
    @Column(name = "ACCEPTANCE_TIME")
    private String acceptanceTime;


    @ApiParam(name = "品质确认人")
    @Column(name = "QC_USER")
    private String qcUser;

    @ApiParam(name = "品质确认时间")
    @Column(name = "QC_TIME")
    private String qcTime;

    @ApiParam(name = "状态")
    @Column(name = "EQU_CON_STATUS")
    private EamEnumUtil.EQU_CON_STATUS equConStatus = EamEnumUtil.EQU_CON_STATUS.CREATE;
    /*
    提出部门确认人	按钮【提出部门确认】	SUBMIT_DEPARTMENT_USER
    提出部门确认时间	按钮【提出部门确认】	SUBMIT_DEPARTMENT_TIME
    实际完成时间	当“计划完成时间”为空时，该字段不能有值（判断）	COMPLETE_TIME
*/
}
