package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * 设备联络目的表
 *
 * @Author : gsz
 * @date 2022/5/11 13:39
 **/
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_EQUIPMENT_CONTACT_PURPOSE", uniqueConstraints = {
        @UniqueConstraint(columnNames = {"EQU_PURPOSE_CODE"})
})
@ApiModel("设备联络目的EamEquipmentContactPurpose")
@ExcludeImportExport
public class EamEquipmentContactPurpose extends CommonBean {

    @ApiParam(name = "目的代码")
    @Column(name = "EQU_PURPOSE_CODE")
    @FieldAnnotation(mainkey = true, popSearch = true, popCondition = true)
    private String equPurposeCode;

    @ApiParam(name = "目的")
    @Column(name = "EQU_PURPOSE_NAME")
    @FieldAnnotation(popSearch = true)
    private String equPurposeName;


}
