package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 模具库位表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-04-20 14:29
 * @Modify:
 **/
@Data
@Entity
@Table(name = "EAM_LOCATE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@ExcludeImportExport
@Api(value = "模具库位表", description = "模具库位表")
public class EamLocate extends CommonBean {

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位代码")
    private String locateNo;

    @Column(name = "LOCATE_NAME")
    @ApiParam(value = "库位名称")
    private String locateName;

    @Column(name = "IS_EMPTY")
    @ApiParam(value = "库位状态")
    @AnnoOutputColumn(refClass = EamEnumUtil.LOCATE_STATUS.class, refForeignKey = "value", value = "description")
    private String isEmpty;
}
