package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.common.validator.InsertGroup;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;
import javax.validation.constraints.NotBlank;

/**保管场所与产线关系表
 * @Author : gsz
 * @date 2022/5/17 19:39
**/
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_MANAGE_LINE_RELATION", uniqueConstraints = {
        @UniqueConstraint(columnNames = {"MANAGE_AREA"})})
@ApiModel("保管场所与产线关系")
@ExcludeImportExport
public class EamManageLineRelation extends CommonBean {

    //人为填写
    @ApiParam(value = "保管区域")
    @Column(name = "MANAGE_AREA")
    @NotBlank(groups = InsertGroup.class)
    private String manageArea;

    //取“设备台账”中的保管场所（产线编码字段）,可多选
    //多个保管场所之间用逗号隔开存储
    @ApiParam(value = "保管场所")
    @Column(name = "WORKCENTER_CODE")
    @NotBlank(groups = InsertGroup.class)
    @FieldAnnotation(popSearch = true, typeName = "Equipment", editType = COMMON_EDIT_TYPE.MULTI_OBJECT)
    private String workcenterCode;

    //"三基色"
    @ApiParam(value = "颜色")
    @Column(name = "MANAGE_COLOR")
    private String manageColor;

    //显示顺序 不能重复	必填，01，02，03……
    @ApiParam(value = "显示顺序")
    @Column(name = "MANAGE_ORDER")
    @NotBlank(groups = InsertGroup.class)
    private String manageOrder;

}
