package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @CreateDate 2022/4/11 9:31
 * @Author 尹肖
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_OP_ITEM")
@Api("作业要求")
@ExcludeImportExport
public class EamOpItem extends CommonBean {

    @Column(name = "ITEM_CODE")
    @ApiParam(name = "作业项编码")
    private String itemCode;

    @Column(name = "OP_TYPE_CODE")
    @ApiParam(name = "作业类型")
    @FieldAnnotation(typeName = "EAM_OP_TYPE", mainkey = true)
    private String opTypeCode;

    @Column(name = "EQU_TYPE")
    @ApiParam(name = "设备类型")
    @FieldAnnotation(typeName = "TYPE1",notEmpty = true)
    private String equType;

    @Column(name = "ITEM_NAME")
    @ApiParam(name = "作业项名称")
    @FieldAnnotation(mainkey = true)
    private String itemName;

    @Column(name = "ITEM_DESC")
    @ApiParam(name = "作业项类别")
    @FieldAnnotation(mainkey = true)
    private String itmeDesc;

    @Column(name = "ITEM_METHOD")
    @ApiParam(name = "作业项方法")
    @FieldAnnotation(mainkey = true)
    private String itemMethod;

    @Column(name = "EQU_CODE")
    @ApiParam(name = "设备编码")
    @FieldAnnotation(popSearch = true, typeName = "Equipment", editType = COMMON_EDIT_TYPE.OBJECT, dynamicCalculate = true, mainkey = true)
    private String equCode;

    @Column(name = "EQU_NAME")
    @ApiParam(name = "设备名称")
    private String equName;

    @Column(name = "MAX")
    @ApiParam(name = "上限")
    @FieldAnnotation(defaultValue = "0",editType = COMMON_EDIT_TYPE.DOUBLE)
    private String max;

    @Column(name = "MIN")
    @ApiParam(name = "下限")
    @FieldAnnotation(defaultValue = "0",editType = COMMON_EDIT_TYPE.DOUBLE)
    private String min;

    @Column(name = "STAND")
    @ApiParam(name = "标准")
    @FieldAnnotation(mainkey = true)
    private String stand;

    @Column(name = "IS_QUAN")
    @ApiParam(name = "是否定量")
    @FieldAnnotation(defaultValue = "false")
    private Boolean isQuan;

    @Column(name = "IS_PHOTO")
    @ApiParam(name = "是否需要图片")
    @FieldAnnotation(defaultValue = "false")
    private Boolean itPhoto;

    @Column(name = "IS_OUT_MAINTAIN")
    @ApiParam(name = "是否委外保养")
    private Boolean isOutMaintain;

    @Column(name = "MAINTAIN_VENDOR")
    @ApiParam(name = "保养方")
    private String maintainVendor;
    //    @JsonIgnore
//    @ManyToMany(targetEntity = Equipment.class, cascade = CascadeType.ALL, mappedBy = "eamOpItemList")
//    private List<Equipment> equipmentList;
//
//    @ManyToMany(targetEntity = EamEnum.class)
//    @JoinColumn(name = "eamEnumList")
//    private List<EamEnum> eamEnumList;
}
