package cn.estsh.i3plus.pojo.eam.pojo;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Index;
import javax.persistence.Table;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
/**
 * @Description:
 * @CreateDate 2022/4/11 9:31
 * @Author 尹肖
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_OP_ITEM_MAIN", indexes = {
        @Index(columnList = "")
})
@Api("作业要求主界面")
@ExcludeImportExport
public class EamOpItemMain extends CommonBean {

    @Column(name = "EQU_CODE")
    @ApiParam(name = "设备编码")
    @FieldAnnotation(popSearch = true, typeName = "Equipment", editType = COMMON_EDIT_TYPE.OBJECT, dynamicCalculate = true, mainkey = true)
    private String equCode;

    @Column(name = "EQU_NAME")
    @ApiParam(name = "设备名称")
    private String equName;

    @Column(name = "IS_OUT_MAINTAIN")
    @ApiParam(name = "是否委外保养")
    private Boolean isOutMaintain;

    @Column(name = "OP_TYPE_CODE")
    @ApiParam(name = "作业类型")
    @FieldAnnotation(typeName = "EAM_OP_TYPE", mainkey = true)
    private String opTypeCode;
}
