package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.UniqueConstraint;

/**
 * @Description:
 * @CreateDate 2022/4/11 11:08
 * @Author 尹肖
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_PART", uniqueConstraints = {
        @UniqueConstraint(columnNames = {"PART_NO"})
})
@Api("备品备件清单")
@ExcludeImportExport
public class EamPart extends CommonBean {

    @Column(name = "PART_NO")
    @ApiParam(name = "物料编码")
    @FieldAnnotation(mainkey = true)
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(name = "物料名称")
    private String partName;

    @Column(name = "PART_SPEC")
    @ApiParam(name = "物料规格")
    private String partSpec;

    @Column(name = "PART_QTY")
    @ApiParam(name = "当前数量")
    private Integer partQty;

    @Column(name = "MAX")
    @ApiParam(name = "最大库存")
    private Double max;

    @Column(name = "MIN")
    @ApiParam(name = "最小库存")
    private Double min;

    @Column(name = "PART_TYPE")
    @ApiParam(name = "物料类型")
    @FieldAnnotation(typeName = "EAM_PART_TYPE")
    private String partType;

    @Column(name = "EQU_TYPE")
    @ApiParam(name = "设备类型")
    @FieldAnnotation(typeName = "TYPE1")
    private String equType;

    @Column(name = "PART_TYPE_DESC")
    @ApiParam(name = "物料类型描述")
    private String partTypeDesc;

    @Column(name = "PRICE")
    @ApiParam(name = "单价")
    private Double price;

    @Column(name = "PRICE_UNIT")
    @ApiParam(name = "计价单位")
    private String priceUnit;

    @Column(name = "AREA")
    @ApiParam(name = "区域")
    @FieldAnnotation(typeName = "EAM_AREA", isShow = false)
    private String area;

    @Column(name = "PART_GROUP")
    @ApiParam(name = "物料组")
    @FieldAnnotation(typeName = "EAM_PART_GROUP", isShow = false)
    private String partGroup;

    @Column(name = "KEEPING_AREA")
    @ApiParam(name = "保管场所")
    private String keepingArea;

    @Column(name = "EAM_AREA_PART_GROUP")
    @ApiParam(name = "区域类别")
    @FieldAnnotation(typeName = "EamAreaPartGroup", editType = COMMON_EDIT_TYPE.OBJECT, display = false, dynamicCalculate = true)
    private String eamAreaPartGroup;

    @Column(name = "EAM_AREA_PART_GROUP_NAME")
    @ApiParam(name = "区域类别名称")
    @FieldAnnotation(display = false)
    private String eamAreaPartGroupName;
}
