package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.*;

/**
 * @Description : 备品备件操作记录
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-05-09 14:28
 * @Modify:
 **/
@Data
@Entity
@Table(name = "EAM_PART_OPERATE_RECORD")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "备品备件操作记录", description = "备品备件操作记录")
@ExcludeImportExport
public class EamPartOperateRecord extends CommonBean {

    @Column(name = "ORDER_NO")
    @ApiParam(value = "单据号")
    private String orderNo;

    @Column(name = "MOVE_TYPE")
    @ApiParam(value = "操作类型")
    @AnnoOutputColumn(refClass = EamEnumUtil.ORDER_MOVE_TYPE.class, refForeignKey = "value", value = "description")
    private String moveType;

    @Column(name = "BUSI_TYPE")
    @ApiParam(value = "业务类型")
    @AnnoOutputColumn(refClass = EamEnumUtil.EAM_DOC_BUSI_TYPE.class, refForeignKey = "value", value = "description")
    private String busiType;

    @Column(name = "AREA")
    @ApiParam(value = "区域")
    @FieldAnnotation(typeName = "EAM_AREA")
    private String area;

    @Column(name = "PART_GROUP")
    @ApiParam(value = "物料组")
    @FieldAnnotation(typeName = "EAM_PART_GROUP")
    private String partGroup;

    @Column(name = "PART_NO")
    @ApiParam(value = "备品备件管理编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam(value = "备品备件名称")
    private String partName;

    @Column(name = "SRC_QTY")
    @ApiParam(value = "原数量")
    private Double srcQty;

    @Column(name = "MOVE_QTY")
    @ApiParam(value = "出入数量")
    private Double moveQty;

    @Column(name = "KEEPING_AREA")
    @ApiParam(value = "实际保管场所")
    private String KeepingArea;


}
