package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :  模具条码操作记录表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-04-20 14:04
 * @Modify:
 **/
@Data
@Entity
@Table(name = "EAM_SN_OPERATE_RECORD")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "模具条码操作记录表", description = "模具条码操作记录表")
@ExcludeImportExport
public class EamSnOperateRecord extends CommonBean {

    @Column(name = "SN")
    @ApiParam(value = "条码")
    private String sn;

    @Column(name = "SN_STATUS")
    @ApiParam(value = "条码状态")
    @AnnoOutputColumn(refClass = EamEnumUtil.MOULD_SN_STATUS.class, refForeignKey = "value", value = "description")
    private String snStatus;

    @Column(name = "OPERATE_MOVE_TYPE")
    @ApiParam(value = "操作类型")
    @AnnoOutputColumn(refClass = EamEnumUtil.MOULD_OPERATE_MOVE_TYPE.class, refForeignKey = "value", value = "description")
    private String operateMoveType;

    @Column(name = "OPERATE_BUSI_TYPE")
    @ApiParam(value = "业务类型")
    @AnnoOutputColumn(refClass = EamEnumUtil.MOULD_OPERATE_BUSI_TYPE.class, refForeignKey = "value", value = "description")
    private String operateBusiType;

    @Column(name = "OUT_REASON")
    @ApiParam(value = "出库原因")
    @AnnoOutputColumn(refClass = EamEnumUtil.MOULD_OUT_REASON.class, refForeignKey = "value", value = "description")
    private String outReason;

    @Column(name = "SN_QTY")
    @ApiParam(value = "条码数量")
    private Double snQty;

    @Column(name = "OPERATE_TIME")
    @ApiParam(value = "操作时间")
    private String operateTime;

    @Column(name = "LOCATE_NO")
    @ApiParam(value = "库位代码")
    private String locateNo;

    @Column(name = "LOCATE_NAME")
    @ApiParam(value = "库位名称")
    private String locateName;
}
