package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 静态库存表
 * @Reference :
 * @Author : jimmy.zeng
 * @CreateDate : 2022-05-19 16:38
 * @Modify:
 **/
@Data
@Entity
@Table(name = "EAM_STATIC_STOCK")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value = "静态库存表", description = "静态库存表")
@ExcludeImportExport
public class EamStaticStock extends CommonBean {

    @Column(name = "YEAR")
    @ApiParam(value = "年份")
    private String year;

    @Column(name = "MONTH")
    @ApiParam(value = "月份")
    private String month;

    @Column(name = "PART_NO")
    @ApiParam(value = "备品备件编号")
    private String partNo;

    @Column(name = "LAST_YEAR_STOCK")
    @ApiParam(value = "年库存")
    private Double lastYearStock;

    @Column(name = "MONTH_IN_STOCK")
    @ApiParam(value = "月入库总量")
    private Double monthInStock;

    @Column(name = "MONTH_OUT_STOCK")
    @ApiParam(value = "月出库总量")
    private Double monthOutStock;

    @Column(name = "MONTH_OUT_TOTAL_PRICE")
    @ApiParam(value = "月出库总金额")
    private Double monthOutTotalPrice;

    @Column(name = "LAST_YEAR_TOTAL_PRICE")
    @ApiParam(value = "年总金额")
    private Double lastYearTotalPrice;


}
