package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @CreateDate 2022/3/30 13:50
 * @Author 尹肖
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EQUIPMENT_TYPE")
@Api("设备台账类型")
@ExcludeImportExport
public class EquipmentType extends CommonBean {

    @Column(name = "EQU_TYPE_CODE")
    @ApiParam(name = "资产类型代码")
    @FieldAnnotation(mainkey = true)
    private String equTypeCode;

    @Column(name = "EQU_TYPE_GROUP_NAME")
    @ApiParam(name = "资产类型分组名称")
    private String equTypeGroupName;

    @Column(name = "EQU_TYPE_NAME")
    @ApiParam(name = "资产类型名称")
    private String equTypeName;

    @Column(name = "EQU_TYPE_COLOR")
    @ApiParam(name = "资产类型颜色")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.COLOR_PICKER)
    private String equTypeColor;

    @Column(name = "EQU_TYPE_SORT")
    @ApiParam(name = "资产类型顺序")
    private Integer equTypeSort;
}
