package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.List;

@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_MATERIAL")
@Api("物料")
public class Material extends CommonBean {

    @Column(name="CODE")
    @ApiParam(value ="编码")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String code;

    @Column(name="NAME")
    @ApiParam(value ="名称")
    @FieldAnnotation(popSearch = true)
    private String name;

    @Column(name="TYPE")
    @ApiParam(value ="类型")
    @FieldAnnotation(typeName = "MATERIAL_TYPE")
    private String type;

    @JsonIgnore
    @OneToMany(targetEntity = SalesOrder.class, cascade=CascadeType.ALL, mappedBy = "material", orphanRemoval = true)
    private List<SalesOrder> salesOrders;
}
