package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.ExcludeImportExport;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import cn.estsh.i3plus.pojo.eam.common.COMMON_EDIT_TYPE;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description:
 * @CreateDate 2022/4/11 11:08
 * @Author 尹肖
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "MOULD_MES_TO_EAM")
@Api("开合模次")
@ExcludeImportExport
public class MouldMesToEam extends CommonBean {

    @ApiParam(name = "模具编码")
    @Column(name = "EQU_CODE")
    private String equCode;

    @ApiParam(name = "开合模次数")
    @Column(name = "PROCESS_COUNT")
    private Double processCount;

    @ApiParam(name = "工单号")
    @Column(name = "ORDER_NO")
    private String orderNo;

    @Column(name = "LAST_MAINTENANCE_TIME")
    @FieldAnnotation(editType = COMMON_EDIT_TYPE.DATE_TIME)
    @ApiParam(name = "上次保养时间")
    private String lastMaintenanceTime;
}
