package cn.estsh.i3plus.pojo.eam.pojo;


import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.List;

@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "EAM_WORK")
@Api("工作")
public class Work extends CommonBean {
    @Column(name="CODE")
    @ApiParam(value ="编码")
    @FieldAnnotation(popSearch = true, mainkey = true)
    private String code;

    @Column(name="TYPE")
    @ApiParam(value ="类型")
    private EamEnumUtil.TASK_TYPE type;

    @OneToOne
    @JoinColumn(name = "salesOrder")
    private SalesOrder salesOrder;

    @JsonIgnore
    @ManyToMany(targetEntity = WorkPlan.class, cascade=CascadeType.ALL, mappedBy = "workList")
    private List<WorkPlan> workPlans;
}
