package cn.estsh.i3plus.pojo.eam.pojo.importexport;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

/**
 * @author Jason
 * @ClassName: ExportField
 * @Description: 导出字段配置
 * @date 2022-04-11
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_EXPORT_FIELD")
public class ExportField extends CommonBean {

    @Column(name="FIELD_NAME")
    @ApiParam(name = "字段名")
    private String fieldName;

    @Column(name="LABEL_NAME")
    @ApiParam(name = "标签名称")
    private String labelName;

    @Column(name="DEFAULT_VALUE")
    @ApiParam(name = "默认值")
    private String defaultValue;

    @Column(name="RELATION_TABLE")
    @ApiParam(name = "关联表名")
    private String relationTable;

    @Column(name="RELATION_FIELD")
    @ApiParam(name = "关联字段")
    private String relationField;

    @Column(name="ORDER_NUMBER")
    @ApiParam(name ="序号")
    private Integer orderNumber;

    @ManyToOne
    @JoinColumn(name = "exportTable")
    @FieldAnnotation(display = false, isShow = false)
    private ExportTable exportTable;
}
