package cn.estsh.i3plus.pojo.eam.pojo.importexport;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.List;

@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_EXPORT_PROJECT")
@Api("数据导出明细集合")
public class ExportProject extends CommonBean {
    private static final long serialVersionUID = 1515882386747763487L;

    @Column(name="NAME")
    @ApiParam(name ="名称")
    @FieldAnnotation(mainkey = true)
    private String name;

    @Column(name="GROUP_NAME")
    @ApiParam(name ="分组名称")
    @FieldAnnotation(notEmpty = true)
    private String groupName;

    @Column(name="SUB_GROUP_NAME")
    @ApiParam(name ="子分组名称")
    private String subGroupName;

    @JsonIgnore
    @OneToMany(targetEntity = ExportTable.class, mappedBy = "exportProject", orphanRemoval = true)
    @FieldAnnotation(display = false, isShow = false)
    private List<ExportTable> exportTables;
}
