package cn.estsh.i3plus.pojo.eam.pojo.importexport;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import java.util.List;

/**
 * @author Jason
 * @ClassName: ExportTable
 * @Description: 通用导出表
 * @date 2022-04-11
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_EXPORT_TABLE")
public class ExportTable extends CommonBean {

    @Column(name="IN_NAME")
    @ApiParam(name ="内部表名")
    @FieldAnnotation(notEmpty = true)
    private EamEnumUtil.EXPORT_TABLE_NAME inName;

    @Column(name="OUT_NAME")
    @ApiParam(name ="外部表名")
    @FieldAnnotation(notEmpty = true)
    private String outName;

    @Column(name="ORDER_NUMBER")
    @ApiParam(name ="序号")
    private Integer orderNumber;

    @Lob
    @Column(name="INNER_FILTER")
    @ApiParam(name ="内部对象筛选")
    private String innerFilter;

    @ManyToOne
    @JoinColumn(name = "exportProject")
    @FieldAnnotation(display = false, isShow = false)
    private ExportProject exportProject;

    @JsonIgnore
    @OneToMany(targetEntity = ExportField.class, mappedBy = "exportTable", orphanRemoval = true, fetch=FetchType.EAGER)
    @FieldAnnotation(display = false, isShow = false)
    private List<ExportField> exportFields;
}
