package cn.estsh.i3plus.pojo.eam.pojo.importexport;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;

/**
 * @author Jason
 * @ClassName: ImportField
 * @Description: 通用导入字段映射
 * @date 2022-04-14
 */
@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_IMPORT_FIELD")
public class ImportField extends CommonBean {
    @Column(name="FIELD_NAME")
    @ApiParam(name = "字段名")
    private String fieldName;

    @Column(name="LABEL_NAME")
    @ApiParam(name = "标签名称")
    private String labelName;

    @Column(name="DEFAULT_VALUE")
    @ApiParam(name = "默认值")
    private String defaultValue;

    @Column(name="IS_REQUIRE")
    @ApiParam(name = "是否必填", example = "0")
    private Boolean isRequire;

    @Column(name="IGNORE_NOT_VALID")
    @ApiParam(name = "无效忽略", example = "0")
    private Boolean ignoreNotValid;

    @Column(name="MAX_LENGTH")
    @ApiParam(name = "最大长度", example = "0")
    @FieldAnnotation(defaultValue = "255")
    private Integer maxLength;

    @Column(name="ADD_VALUE")
    @ApiParam(name = "累加数值", example = "0")
    private Boolean addValue;

    @Column(name="VALIDATOR")
    @ApiParam(name = "校验表达式")
    private String validator;

    @Column(name="VALIDATOR_MESSAGE")
    @ApiParam(name = "校验表达式报错")
    private String validatorMessage;

    @Column(name="RELATION_TABLE")
    @ApiParam(name = "关联表名")
    private String relationTable;

    @Column(name="RELATION_FIELD")
    @ApiParam(name = "关联字段")
    private String relationField;

    @Column(name="ORDER_NUMBER")
    @ApiParam(name ="序号")
    private Integer orderNumber;

    @ManyToOne
    @JoinColumn(name = "importTable")
    @FieldAnnotation(display = false, isShow = false)
    private ImportTable importTable;
}
