package cn.estsh.i3plus.pojo.eam.pojo.importexport;

import cn.estsh.i3plus.pojo.eam.common.CommonBean;
import cn.estsh.i3plus.pojo.eam.common.annotation.FieldAnnotation;
import cn.estsh.i3plus.pojo.eam.util.EamEnumUtil;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiParam;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.OneToMany;
import javax.persistence.Table;
import java.util.List;

@Getter
@Setter
@EqualsAndHashCode(callSuper = true)
@Entity
@Table(name = "COMMON_IMPORT_PROJECT")
public class ImportProject extends CommonBean {
    private static final long serialVersionUID = 5928921171163874326L;

    @Column(name="NAME", unique = true)
    @ApiParam(name ="标识名")
    @FieldAnnotation(mainkey = true)
    private String name;

    @Column(name="GROUP_NAME")
    @ApiParam(name ="分组名称")
    @FieldAnnotation(notEmpty = true)
    private String groupName;

    @Column(name="SUB_GROUP_NAME")
    @ApiParam(name ="子分组名称")
    private String subGroupName;

    @Column(name="LINK_TYPE")
    @ApiParam(name ="链接类型")
    @FieldAnnotation(defaultValue = "EXCEL", notEmpty = true)
    private EamEnumUtil.DATA_LINK_TYPE linkType;

    @Column(name="PATH")
    @ApiParam(name ="IP/文件路径")
    private String path;

    @Column(name="PORT")
    @ApiParam(name ="端口")
    private Integer port;

    @Column(name="DB_NAME")
    @ApiParam(name ="数据库名")
    private String dbName;

    @Column(name="USER_NAME")
    @ApiParam(name ="用户名")
    private String userName;

    @Column(name="PASSWORD")
    @ApiParam(name ="密码")
    private String password;

    @Column(name="SCRIPT_NO")
    @ApiParam(name ="脚本编号")
    private String scriptNo;

    @JsonIgnore
    @OneToMany(targetEntity = ImportTable.class, mappedBy = "importProject", orphanRemoval = true)
    @FieldAnnotation(display = false, isShow = false)
    private List<ImportTable> importTables;
}
