package cn.estsh.i3plus.pojo.eam.repository;


import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.eam.pojo.EamPart;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2022/4/11 17:56
 * @Author 尹肖
 */
@Repository
public interface EamPartRepository extends BaseRepository<EamPart, Long> {

    /**
     * 统计各区域个数
     * @param organizeCode
     * @return
     */
    @Query("select p.area,count(p) from EamPart p group by p.area,p.organizeCode having p.organizeCode = ?1")
    List<Object[]> findGroupByAreaCount(@Param("organizeCode") String organizeCode);

    /**
     * 计算总库存金额
     * @param organizeCode
     * @return
     */
    @Query("select sum(p.price * s.partQty) from EamStock s inner join EamPart p on s.partNo = p.partNo and s.organizeCode = :organizeCode and p.organizeCode = :organizeCode")
    double getStockTotalAmount(@Param("organizeCode") String organizeCode);
}
