package cn.estsh.i3plus.pojo.eam.util;


import cn.estsh.i3plus.platform.common.tool.TimeTool;

import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Calendar;
import java.util.Date;

public class DateUtil {
    private static SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");

    public static final String BASE_FORMAT = "yyyy-MM-dd HH:mm:ss";
    public static final String BASE_FORMAT1 = "yyyy-MM-dd HH:mm";
    public static final String BASE_FORMAT2 = "yyyyMMdd HH:mm";
    public static final String SHORT_FORMAT = "yyyy-MM-dd";
    public static final String SHORT_FORMAT_MY = "yyyy-MM";
    public static final String SHORT_FORMAT_MM = "MM";
    public static final String SHORT_FORMAT_MY_CHINESE = "yyyy年MM月";
    public static final String CHINESE_FORMAT = "yyyy年MM月dd日HH时mm分ss秒";
    public static final String CHINESE_FORMAT_NOSECOND = "yyyy年MM月dd日HH时mm分";
    public static final String SHORT_C_FORMAT = "yyyy年MM月dd日";
    public static final String EN_FORMAT_A = "yyyyMMddHHmmss";
    public static final String EN_FORMAT_B = "yyyy/MM/dd HH:mm:ss";
    public static final String EN_FORMAT_C = "yyyyMMddHHmmss.SSS";
    public static final String BASE_FORMAT3 = "MM/dd HH:mm";
    public static final String BASE_FORMAT4 = "yy/MM/dd HH:mm";
    public static final String BASE_FORMAT5 = "yy/MM/dd";
    public static final String END_DAY_FOMAT_A = "yyyy/MM/dd 23:59:59";
    public static final String END_DAY_FOMAT_B = "yyyy-MM-dd 23:59:59";
    public static final String SHORT_EN_FORMAT = "yyyyMMdd";
    public static final String MINUTE_FORMAT = "yyyyMMddHHmm";
    public static final String SHORT_FORMAT_HOUR = "HH:mm";
    public static final String SHORT_FORMAT_HOUR_MINUTE = "HH:mm:ss";
    public static final String CN_SHORT_FORMAT = "MM月dd日";

    public static final String CN_CUT_FORMAT = "MM月dd日 HH:mm";
    public static final String CN_NOSECOND_FORMAT = "yyyy年MM月dd日 HH:mm";
    public static final String EN_NOSECOND_FORMAT = "yyyy-MM-dd HH:mm";

    public final static int ERA = 0;
    public final static int YEAR = 1;
    public final static int MONTH = 2;
    public final static int WEEK_OF_YEAR = 3;
    public final static int WEEK_OF_MONTH = 4;
    public final static int DATE = 5;
    public final static int DAY_OF_MONTH = 5;
    public final static int DAY_OF_YEAR = 6;
    public final static int DAY_OF_WEEK = 7;
    public final static int DAY_OF_WEEK_IN_MONTH = 8;
    public final static int AM_PM = 9;
    public final static int HOUR = 10;
    public final static int HOUR_OF_DAY = 11;
    public final static int MINUTE = 12;
    public final static int SECOND = 13;
    public final static int MILLISECOND = 14;

    public static final SimpleDateFormat FORMAT_HH_MM = new SimpleDateFormat("HH:mm");
    public static final SimpleDateFormat FORMAT_YYYY_MM_DD = new SimpleDateFormat("yyyy-MM-dd");
    private static final String START_HH_MM = "08:00:00";
    private static final String END_HH_MM = "08:00:00";

    public static String getStartDateTime() {
        Date date = new Date();
        String startTime = FORMAT_HH_MM.format(date);
        if (startTime.compareTo(START_HH_MM) < 1) {
            Date yesterday = TimeTool.getDateBefore(date, 1);
            return FORMAT_HH_MM.format(yesterday) + " " + START_HH_MM;
        } else {
            String todayDate = TimeTool.getToday();
            return todayDate + " " + START_HH_MM;
        }
    }

    public static String getStartTime() {
        return START_HH_MM;
    }

    public static String getEndTime() {
        return END_HH_MM;
    }

    public static String getEndDateTime() {
        Date date = new Date();
        String startTime = FORMAT_HH_MM.format(date);
        if (startTime.compareTo(START_HH_MM) < 1) {
            String todayDate = TimeTool.getToday();
            return todayDate + " " + END_HH_MM;
        } else {
            Date yesterday = TimeTool.getDateAfter(date, 1);
            return FORMAT_YYYY_MM_DD.format(yesterday) + " " + END_HH_MM;
        }
    }

    public static String getStartDateTime(String startTime) {
        Date date = new Date();
        if (startTime.compareTo(START_HH_MM) < 1) {
            Date yesterday = TimeTool.getDateBefore(TimeTool.stringParseToDate(startTime), 1);
            return FORMAT_HH_MM.format(yesterday) + " " + START_HH_MM;
        } else {
            String todayDate = TimeTool.getToday();
            return todayDate + " " + START_HH_MM;
        }
    }

    public static String getDateTimeHHMM(String dateTime) {
        return dateTime + " " + START_HH_MM;
    }

    public static String getEndDateTime(String endTime) {
        Date date = new Date();
        if (endTime.compareTo(START_HH_MM) < 1) {
            String todayDate = TimeTool.getToday();
            return todayDate + " " + END_HH_MM;
        } else {
            Date yesterday = TimeTool.getDateAfter(date, 1);
            return FORMAT_YYYY_MM_DD.format(yesterday) + " " + END_HH_MM;
        }
    }

    public static String getLastDateTime(String dateTime) {
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        Date yesterday = null;
        try {
            yesterday = TimeTool.getDateAfter(sdf.parse(dateTime), 1);
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return sdf.format(yesterday) + " " + END_HH_MM;
    }

    public static String getMonthFirstDay() {
        Calendar cale = Calendar.getInstance();
        cale.add(Calendar.MONTH, 0);
        cale.set(Calendar.DAY_OF_MONTH, 1);
        return FORMAT_YYYY_MM_DD.format(cale.getTime());
    }

    public static String getMonthLastDay() {
        Calendar cale = Calendar.getInstance();
        cale.add(Calendar.MONTH, 1);
        cale.set(Calendar.DAY_OF_MONTH, 0);
        return FORMAT_YYYY_MM_DD.format(cale.getTime());
    }


    public static Date now() {
        return new Date();
    }

    public static String formatDateYesterday() {
        Calendar c = Calendar.getInstance();
        c.add(DAY_OF_MONTH, -1);
        SimpleDateFormat a = new SimpleDateFormat(END_DAY_FOMAT_B);
        String format = a.format(c.getTime());
        return format;

    }

    public static String formatDateCou() {
        SimpleDateFormat format = new SimpleDateFormat(EN_FORMAT_A);
        return format.format(new Date());
    }

    public static String formatDate() {
        SimpleDateFormat format = new SimpleDateFormat(BASE_FORMAT);
        return format.format(new Date());
    }

    public static String formatDateCoupon() {
        SimpleDateFormat format = new SimpleDateFormat(SHORT_EN_FORMAT);
        return format.format(new Date());
    }

    public static String formatBaseDate(Date date) {
        SimpleDateFormat format = new SimpleDateFormat(BASE_FORMAT);
        return format.format(date);
    }

    public static String formatDateBase() {
        SimpleDateFormat format = new SimpleDateFormat(BASE_FORMAT1);
        return format.format(new Date());
    }

    public static String formatDate(String hour) {
        SimpleDateFormat format = new SimpleDateFormat(SHORT_FORMAT_HOUR);
        return format.format(parse(hour, SHORT_FORMAT_HOUR));
    }

    public static String formatDateCou(Date date) {
        SimpleDateFormat format = new SimpleDateFormat(EN_FORMAT_A);
        return format.format(date);
    }

    public static String formatDateApp() {
        SimpleDateFormat format = new SimpleDateFormat(EN_FORMAT_B);
        return format.format(new Date());
    }

    public static String formatDate(String formatter, Date date) {
        if (date == null) {
            return null;
        }
        SimpleDateFormat format = new SimpleDateFormat(formatter);
        return format.format(date);
    }

    public static String formatDateCnNosecondFormat(String time) {
        SimpleDateFormat format = new SimpleDateFormat(CN_NOSECOND_FORMAT);
        return format.format(parse(time));
    }

    public static String formatDateCN(String dateStr) {
        SimpleDateFormat format = new SimpleDateFormat(CN_SHORT_FORMAT);
        return format.format(parse(dateStr));
    }

    public static Date yesterday() {
        Calendar calendar = Calendar.getInstance();
        calendar.add(Calendar.DATE, -1);
        return calendar.getTime();
    }

    public static String calendarYesterday(String dateStr) {
        SimpleDateFormat format = new SimpleDateFormat(CN_SHORT_FORMAT);
        return format.format(parse(dateStr));
    }
    public static Date lastMinute() {
        return lastMinute(new Date());
    }

    public static Long oneMinute() {
        return 60000l;
    }

    public static Long minutes(int num) {
        return num * oneMinute();
    }

    public static Long oneHour() {
        return 60 * oneMinute();
    }

    public static Long hours(int num) {
        return num * oneHour();
    }

    public static Date lastMinute(Date date) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.MINUTE, -1);
        return calendar.getTime();
    }

    public static Date addDays(Date date, int days) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.DATE, days);
        return calendar.getTime();
    }

    public static Date addDays(String time, int days) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(parse(time));
        calendar.add(Calendar.DATE, days);
        return calendar.getTime();
    }

//    public static String checkTwoTime(String timeS, String timeE, String dayTime, int addDay, int type) {
//        if (timeS == null) {
//            return null;
//        }
//        if (addDay != 0) {
//            dayTime = formatBaseDate(addDays(dayTime, addDay));
//        }
//        String dayS = dayTime.substring(0, 11) + "00:00:00", dayE = dayTime.substring(0, 11) + "23:59:59";
//        long time1 = parse(timeS).getTime(), time2 = parse(timeS).getTime(), dayStart = parse(dayS).getTime(), dayEnd = parse(dayE).getTime();
//
//        if (type == 2) {
//            if (time2 > dayEnd && time1 < dayEnd) {//中间
//                timeS = dayE.substring(0, 16);
//            }
//            if (time2 >= dayStart && time2 <= dayEnd) {//中间
//                timeS = timeE.substring(0, 16);
//            } else {
//                timeS = null;
//            }
//        } else {
//            if (time1 >= dayStart && time1 <= dayEnd) {//中间
//                timeS = timeS.substring(0, 16);
//            } else if (time1 < dayStart && time2 > dayStart) {//左边
//                timeS = dayS.substring(0, 16);
//            } else {
//                timeS = null;
//            }
//        }
//
//        return timeS;
//    }

    public static Date addMonths(Date date, int months) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.MONTH, months);
        return calendar.getTime();
    }

    public static Date addMinutes(Date date, int minute) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(Calendar.MINUTE, minute);
        return calendar.getTime();
    }

    public static Date addTime(Date date, int minute, int hour, int days, int months) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        if (minute != 0) {
            calendar.add(Calendar.MINUTE, minute);
        }
        if (hour != 0) {
            calendar.add(Calendar.HOUR, hour);
        }
        if (days != 0) {
            calendar.add(Calendar.DATE, days);
        }
        if (months != 0) {
            calendar.add(Calendar.MONTH, months);
        }
        return calendar.getTime();
    }

    public static String formatDate(Date date) {
        SimpleDateFormat format = new SimpleDateFormat(BASE_FORMAT);
        return format.format(date);
    }

    public static String formatDateShort(Date date) {
        SimpleDateFormat format = new SimpleDateFormat(SHORT_FORMAT);
        return format.format(date);
    }

    public static Date addFileds(Date date, int filed, int val) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.add(filed, val);
        return calendar.getTime();
    }

    public static Date startOfDay(Date date) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        Calendar calendar2 = Calendar.getInstance();
        calendar2.setTime(date);
        calendar2.set(Calendar.HOUR_OF_DAY, 0);
        calendar2.set(Calendar.MINUTE, 0);
        calendar2.set(Calendar.SECOND, 0);
        calendar2.set(Calendar.MILLISECOND, 0);
        return calendar2.getTime();
    }

    public static Date endOfDay(Date date) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        Calendar calendar2 = Calendar.getInstance();
        calendar2.setTime(date);
        calendar2.set(Calendar.HOUR_OF_DAY, 23);
        calendar2.set(Calendar.MINUTE, 59);
        calendar2.set(Calendar.SECOND, 59);
        calendar2.set(Calendar.MILLISECOND, 999);
        return calendar2.getTime();
    }

    public static Date startOfMonth(Date date) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        Calendar calendar2 = Calendar.getInstance();
        calendar2.setTime(date);
        calendar2.set(Calendar.YEAR, calendar.get(Calendar.YEAR));
        calendar2.set(Calendar.MONTH, calendar.get(Calendar.MONTH));
        calendar2.set(Calendar.DATE, 1);
        return startOfDay(calendar2.getTime());
    }

    public static Date endOfMonth(Date date) {
        Date tempDate = startOfMonth(date);
        tempDate = addMonths(tempDate, 1);
        tempDate = addDays(tempDate, -1);
        tempDate = endOfDay(tempDate);
        return tempDate;
    }

    public static Date parse(String dateStr) {
        if (dateStr.length() == 16) {
            return parse(dateStr, BASE_FORMAT1);
        }
        if (dateStr.length() == 10) {
            return parse(dateStr, SHORT_FORMAT);
        }
        return parse(dateStr, BASE_FORMAT);
    }

    public static Date parse(String dateStr, String formatStr) {
        return parse(dateStr, formatStr, null);
    }

    public static Date parse(String dateStr, String formatStr, Date defaultDate) {
        SimpleDateFormat format = new SimpleDateFormat(formatStr);
        try {
            return format.parse(dateStr);
        } catch (ParseException e) {
            return defaultDate;
        }
    }

    public static Date set(Date srcDate, int field, int value) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(srcDate);
        calendar.set(field, value);
        return calendar.getTime();
    }

    public static int get(Date srcDate, int field) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(srcDate);
        return calendar.get(field);
    }

    public static long randomNum(int len) {
        int sum = 1;
        for (int i = 0; i < len; i++) {
            sum *= 10;
        }
        return (long) (Math.random() * sum);
    }

    public static String itenfiy(int len) {
        return formatDate(SHORT_EN_FORMAT, new Date()) + randomNum(len);
    }

    public static long minutesBetweenTwoTime(Date end, Date start) {
        Calendar dateOne = Calendar.getInstance(), dateTwo = Calendar.getInstance();
        dateOne.setTime(end);
        dateTwo.setTime(start);
        long timeOne = dateOne.getTimeInMillis();
        long timeTwo = dateTwo.getTimeInMillis();
        long minute = (timeOne - timeTwo) / (1000 * 60);//转化minute
        return minute;
    }

    public static long houresBetweenTwoTime(Date end, Date start) {
        Calendar dateOne = Calendar.getInstance(), dateTwo = Calendar.getInstance();
        dateOne.setTime(end);
        dateTwo.setTime(start);
        long timeOne = dateOne.getTimeInMillis();
        long timeTwo = dateTwo.getTimeInMillis();
        long hours = (timeOne - timeTwo) / (1000 * 60 * 60);//转化小时
        if ((timeOne - timeTwo) % (1000 * 60 * 60) > 0) {
            hours += 1L;
        }
        return hours;
    }

    public static long daysBetweenTwoTime(Date end, Date start) {
        Calendar dateOne = Calendar.getInstance(), dateTwo = Calendar.getInstance();
        dateOne.setTime(end);
        dateTwo.setTime(start);
        long timeOne = dateOne.getTimeInMillis();
        long timeTwo = dateTwo.getTimeInMillis();
        long days = (timeOne - timeTwo) / (1000 * 60 * 60 * 24) + 1L;//转化minute
        return days;
    }

    public static String getDayOfWeek(Date date) {
        SimpleDateFormat dateFm = new SimpleDateFormat("EEEE");
        return dateFm.format(date);
    }

    @SuppressWarnings("deprecation")
    public static String translateBaseTime(String time) {
        Date tim = parse(time);
        String t = formatDate(CN_SHORT_FORMAT, tim);
        //t += hourVal(tim.getHours())+tim.getMinutes()+"分";
        return t;
    }

    public static String hourVal(int hour) {
        if (0 < hour && hour <= 6) {
            return "凌晨" + hour + "点";
        } else if (hour <= 8) {
            return "早晨" + hour + "点";
        } else if (hour <= 11) {
            return "上午" + hour + "点";
        } else if (hour <= 13) {
            if (hour == 13) {
                hour = 1;
            }
            return "中午" + hour + "点";
        } else if (hour <= 17) {
            hour = hour - 12;
            return "下午" + hour + "点";
        } else if (hour <= 22) {
            hour = hour - 12;
            return "晚上" + hour + "点";
        } else {
            hour = hour - 12;
            return "夜间" + hour + "点";
        }
    }

    public static int getCurDayOfWeek(Date dt) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(dt);
        int w = cal.get(Calendar.DAY_OF_WEEK) - 1;
        if (w < 0)
            w = 0;
        if (w == 0) {
            return 7;
        }
        return w;
    }

    public static int getCurDayEnOfWeek(Date dt) {
        Calendar cal = Calendar.getInstance();
        cal.setTime(dt);
        return cal.get(Calendar.DAY_OF_WEEK);
    }

    public static String getWeekOfDate(String dateStr) {
        String[] weekOfDays = {"星期日", "星期一", "星期二", "星期三", "星期四", "星期五", "星期六"};
        Calendar calendar = Calendar.getInstance();
        if (dateStr != null && dateStr.length() > 9) {
            Date da = parse(dateStr);
            calendar.setTime(da);
        }
        int w = calendar.get(Calendar.DAY_OF_WEEK) - 1;
        if (w < 0) {
            w = 0;
        }
        return weekOfDays[w];
    }

    public static String getWeekOfDateShort(String dateStr) {
        String[] weekOfDays = {"日", "一", "二", "三", "四", "五", "六"};
        Calendar calendar = Calendar.getInstance();
        if (dateStr != null && dateStr.length() > 9) {
            Date da = parse(dateStr);
            calendar.setTime(da);
        }
        int w = calendar.get(Calendar.DAY_OF_WEEK) - 1;
        if (w < 0) {
            w = 0;
        }
        return weekOfDays[w];
    }

//    public static int daysOfTwo(String startTime, String endTime) {
//        int days = (int) ((parse(startTime).getTime() - parse(endTime).getTime()) / 86400000);
//        if (days < 0) {
//            return -days;
//        }
//        return days;
//
//    }
//
//    public static boolean boolTwodays(String oneTime, String twoTime) {//oneTime > true
//        long a = (parse(oneTime).getTime() - parse(twoTime).getTime());
//        boolean flag = a > 0 ? true : false;
//        return flag;
//
//    }

//    public static boolean boolTwodays(Date dateS, Date dateE) {//oneTime > true
//        long a = (dateE.getTime() - dateS.getTime());
//        boolean flag = a > 0 ? true : false;
//        return flag;
//
//    }

    /**
     * 获取上一周的起始时间
     *
     * @return
     * @author sundf
     * 2016年9月19日下午5:44:58
     */
    public static Date getStartOfWeek() {
        Calendar calendar = Calendar.getInstance();
        calendar.add(Calendar.WEEK_OF_YEAR, -1);
        calendar.set(Calendar.DAY_OF_WEEK, Calendar.SUNDAY);
        calendar.set(Calendar.HOUR_OF_DAY, 0);
        calendar.set(Calendar.MINUTE, 0);
        calendar.set(Calendar.SECOND, 0);
        return calendar.getTime();
    }

    /**
     * 获取上一周 的结束时间
     *
     * @return
     * @author sundf
     * 2016年9月19日下午5:45:11
     */
    public static Date getEndOfWeek() {
        Calendar calendar = Calendar.getInstance();
        calendar.add(Calendar.WEEK_OF_YEAR, -1);
        calendar.set(Calendar.DAY_OF_WEEK, Calendar.SATURDAY);
        calendar.set(Calendar.HOUR_OF_DAY, 23);
        calendar.set(Calendar.MINUTE, 59);
        calendar.set(Calendar.SECOND, 59);
        return calendar.getTime();
    }

//    public static List<String> getDayListBetweenDate(String startTime, String endTime) {
//        Long startMills = DateUtil.parse(startTime).getTime();
//        Long endMills = DateUtil.parse(endTime).getTime();
//        List<String> rlist = new ArrayList<>();
//        Long oneDay = (long) (24 * 60 * 60 * 1000);
//        rlist.add(DateUtil.formatDateShort(new Date(startMills)));
//        while (endMills - startMills > oneDay) {
//            startMills += oneDay;
//            rlist.add(DateUtil.formatDateShort(new Date(startMills)));
//        }
//        return rlist;
//    }

    public static int getTotalDay(String time) {
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(DateUtil.parse(time));
        return calendar.getActualMaximum(DateUtil.DAY_OF_MONTH);
    }

    public static int getMonthsBetweenTime(String fromTime, String toTime) {
        int result = 0;
        Calendar c1 = Calendar.getInstance();
        Calendar c2 = Calendar.getInstance();
        c1.setTime(DateUtil.parse(fromTime));
        c2.setTime(DateUtil.parse(toTime));
        int months = (c2.get(DateUtil.YEAR) - c1.get(DateUtil.YEAR)) * 12;
        result = c2.get(Calendar.MONTH) - c1.get(Calendar.MONTH) + months;
        if (c1.get(DateUtil.DAY_OF_MONTH) != 1) {
            result = result - 1;
        }
        return result == 0 ? 1 : Math.abs(result);
    }

    /**
     * 按半小时分割两个时间段
     *
     * @param startTime 开始时间，格式yyyy-MM-dd HH:mm
     * @param endTime   结束时间，格式同上
     * @param separate  分隔数，例：30代表按半小时分割
     * @return
     * @author zhangjx
     * @date 2017年6月19日 下午5:10:11
     */
//    public static List<String> splitTimeBySeparate(String startTime, String endTime, int separate) {
//
//        Date startDate = parse(startTime, DateUtil.BASE_FORMAT1);
//        Date endDate = parse(endTime, DateUtil.BASE_FORMAT1);
//        List<String> dateList = new ArrayList<String>();
//        for (Date tempDate = startDate; tempDate.before(endDate) == true; tempDate = addMinutes(tempDate, separate)) {
//            dateList.add(formatDate(DateUtil.BASE_FORMAT1, tempDate));
//        }
//        dateList.add(formatDate(DateUtil.BASE_FORMAT1, endDate));
//        return dateList;
//    }

    /**
     * 获取当前时间的月份的第一天第一秒
     *
     * @param "startTime" 开始时间，格式yyyy-MM-dd HH:mm
     * @param "endTime"   结束时间，格式同上
     * @param "separate"
     * @return
     * @author liwq
     * @date 2017年8月06日 下午5:10:11
     */
    public static String getFirstDayOfMonth() {
        SimpleDateFormat dateFormat = new SimpleDateFormat(BASE_FORMAT);
        Calendar c = Calendar.getInstance();
        c.add(Calendar.MONTH, 0);
        c.set(Calendar.DAY_OF_MONTH, 1);
        c.set(Calendar.HOUR_OF_DAY, 0);
        c.set(Calendar.MINUTE, 0);
        c.set(Calendar.SECOND, 0);
        return dateFormat.format(c.getTime());
    }


    /**
     * 获取时间差
     *
     * @param "startTime" 开始时间，格式yyyy-MM-dd HH:mm
     * @param "endTime"   结束时间，格式同上
     * @param "separate"
     * @return
     * @author liwq
     * @date 2017年8月06日 下午5:10:11
     */
    public static String getTimeDifference(String arriveTime, String auditTime, Byte status) {
        SimpleDateFormat format = new SimpleDateFormat(BASE_FORMAT);
        try {
            String date = format.format(new Date());
            Date parse1 = format.parse(arriveTime);
            Date parse2 = format.parse(date);
            Date parse3 = format.parse(auditTime);
            long l = 0;
            if (status == (byte) 1) {

                l = parse2.getTime() - parse1.getTime();
            } else {
                l = parse3.getTime() - parse1.getTime();

            }
            long day = l / (24 * 60 * 60 * 1000);
            long hour = (l / (60 * 60 * 1000) - day * 24);
            long min = ((l / (60 * 1000)) - day * 24 * 60 - hour * 60);
//    		    long s=(l/1000-day*24*60*60-hour*60*60-min*60);
            String m = day + "天" + hour + "小时" + min + "分";
            if (day == (long) 0) {
                m = hour + "小时" + min + "分";
            }
            if (day == (long) 0 && hour == (long) 0) {
                m = min + "分";
            }
            return m;
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return null;

    }


    /**
     * 获取指定格式的时间格式
     *
     * @param format
     * @return
     */
    public static String getShortHourMinute(String format) {
        try {
            DateTimeFormatter dateTimeFormatter = DateTimeFormatter.ofPattern(format);
            String shortHourMinute = dateTimeFormatter.format(LocalDateTime.now());
            return shortHourMinute;
        } catch (Exception e) {
            e.printStackTrace();
            return null;
        }
    }

    /**
     * 获取前一天
     *
     * @return yyyy-MM-dd
     */
    public static String getPreviousDay(Date dateTime) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        Calendar c = Calendar.getInstance();
        if (dateTime != null) {
            c.setTime(dateTime);
        }
        c.add(Calendar.DATE, -1);
        Date start = c.getTime();
        String date = format.format(start);//前一天
        return date;
    }

    /**
     * 获取后一天
     *
     * @return yyyy-MM-dd
     */
    public static String getTomorrowDay(Date dateTime) {
        SimpleDateFormat format = new SimpleDateFormat("yyyy-MM-dd");
        Calendar c = Calendar.getInstance();
        if (dateTime != null) {
            c.setTime(dateTime);
        }
        c.add(Calendar.DATE, 1);
        Date start = c.getTime();
        String date = format.format(start);//前一天
        return date;
    }

    public static Date strToFormatDate(String date, String initformat, String endformat) {
        SimpleDateFormat initsdf = new SimpleDateFormat(initformat);
        try {
            Date parse = initsdf.parse(date);
            SimpleDateFormat endsdf = new SimpleDateFormat(endformat);
            return endsdf.parse(endsdf.format(parse));
        } catch (ParseException e) {
            e.printStackTrace();
        }
        return null;
    }

    public static long millisBetweenTwoTime(Date end, Date start) {
        Calendar dateOne = Calendar.getInstance(), dateTwo = Calendar.getInstance();
        dateOne.setTime(end);
        dateTwo.setTime(start);
        long timeOne = dateOne.getTimeInMillis();
        long timeTwo = dateTwo.getTimeInMillis();
        long minute = timeOne - timeTwo;//转化minute
        return minute;
    }

    /**
     * 获取过去第几天的日期
     */
    public static String getPastDate(int past) {
        Calendar calendar = Calendar.getInstance();
        calendar.set(Calendar.DAY_OF_YEAR, calendar.get(Calendar.DAY_OF_YEAR) - past);
        Date today = calendar.getTime();
        SimpleDateFormat format = new SimpleDateFormat(SHORT_FORMAT);
        return format.format(today);
    }

    public static void main(String[] args) {
        System.out.println(getPastDate(7));
        System.out.println(formatDateShort(new Date()));
    }

    public static boolean isValidDate(String dateStr) {
        //判断结果 默认为true
        boolean judgeresult = true;
        //1、首先使用SimpleDateFormat初步进行判断，过滤掉注入 yyyy-01-32 或yyyy-00-0x等格式
        //此处可根据实际需求进行调整，如需判断yyyy/MM/dd格式将参数改掉即可
        SimpleDateFormat format = new SimpleDateFormat(BASE_FORMAT);
        try {
            //增加强判断条件，否则 诸如2022-02-29也可判断出去
            format.setLenient(false);
            Date date = DateUtil.parse(DateUtil.formatDate(DateUtil.BASE_FORMAT,DateUtil.parse(dateStr)));
            ;
            System.out.println(date);
        } catch (Exception e) {
            judgeresult = false;
        }
        //由于上述方法只能验证正常的日期格式，像诸如 0001-01-01、11-01-01，10001-01-01等无法校验，此处再添加校验年费是否合法
        String yearStr = dateStr.split("-")[0];
        if (yearStr.startsWith("0") || yearStr.length() != 4) {
            judgeresult = false;
        }
        return judgeresult;
    }

    /**
     * 获取上个月最后一天
     */
    public static String getLastMonthLastDay() {
        Calendar calendar = Calendar.getInstance();
        //指定日期月份减去一
        calendar.add(Calendar.MONTH, -1);
        //指定日期月份减去一后的 最大天数
        calendar.set(Calendar.DATE, calendar.getActualMaximum(Calendar.DATE));
        //获取上给月最后一天的日期
        Date lastDateOfPrevMonth = calendar.getTime();

        return dateFormat.format(lastDateOfPrevMonth);
    }

    /**
     * 获取上个月第一天
     */
    public static String getLastMonthFristDay() {

        Calendar calendar = Calendar.getInstance();
        //指定日期月份减去一
        calendar.add(Calendar.MONTH, -1);
        //指定日期月份减去一后的 最大天数
        calendar.set(Calendar.DATE, calendar.getActualMinimum(Calendar.DATE));
        //获取上给月第一天的日期
        Date lastDateOfPrevMonth = calendar.getTime();

        return dateFormat.format(lastDateOfPrevMonth);
    }

    /**
     * 获取上个月
     */
    public static String getLastMonth() {
        Date date = new Date();

        SimpleDateFormat dateFormat = new SimpleDateFormat("MM");
        Calendar calendar = Calendar.getInstance();
        calendar.setTime(date);
        calendar.set(Calendar.MONTH, calendar.get(Calendar.MONTH) - 1);
        Date lastDateOfPrevMonth = calendar.getTime();

        return dateFormat.format(lastDateOfPrevMonth);
    }
}
