package cn.estsh.i3plus.pojo.eam.util;

import com.fasterxml.jackson.annotation.JsonFormat;

/**
 * @Description :
 * @Reference :
 * @Author : yinxiao
 * @CreateDate : 2022-01-20 15点04分
 * @Modify:
 **/
public class EamEnumUtil {

    /**
     * 可以导入的内部表
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum IMPORT_TABLE_NAME {
        Equipment("Equipment", "设备台账"),
        EamOpItem("EamOpItem", "作业要求"),
        EamPart("EamPart", "备品备件清单"),
        DynamicEnum("DynamicEnum", "字典"),
        EamAreaPartGroup("EamAreaPartGroup", "区别类别"),
        EamDocMaster("EamDocMaster", "单据主表"),
        EamDocDetails("EamDocDetails", "单据明细"),
        EamDocMovementDetail("EamDocMovementDetail", "备品备件出入库导入"),
        EamDocCsDetails("EamDocCsDetails", "备品备件盘点导入"),
        EamPlanRule("EamPlanRule", "计划规则表"),
        EamPlanRuleMaintenance("EamPlanRuleMaintenance", "计划规则表(保养)"),
        EamEquipmentContact("EamEquipmentContact", "设备联络单表"),
        EamEquipmentContactCause("EamEquipmentContactCause", "设备联络原因区分表"),
        EamEquipmentContactPurpose("EamEquipmentContactPurpose", "设备联络目的表"),
        EamOpItemMain("EamOpItemMain", "主作业要求"),
        amStock("EamStock", "备品备件库存"),
        EamManageLineRelation("EamManageLineRelation", "保管场所与产线关系"),
        EquipmentType("EquipmentType", "设备类型"),
        EamGdUser("EamGdUser", "人员信息(广东)"),
        EamHnUser("EamHnUser", "人员信息(海宁)"),
        EamGdPlanRule("EamGdPlanRule", "计划规则表(广东)"),
        EamHnPlanRule("EamHnPlanRule", "计划规则表(海宁)"),
        ;

        private final String value;
        private final String description;

        IMPORT_TABLE_NAME(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }
    }

    /**
     * 可以导出的内部表
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EXPORT_TABLE_NAME {
        Equipment("Equipment", "设备台账/模具台账"),
        EamOpItem("EamOpItem", "作业要求"),
        EamPart("EamPart", "备品备件清单"),
        DynamicEnum("DynamicEnum", "字典"),
        EamAreaPartGroup("EamAreaPartGroup", "区别类别"),
        EamDocMaster("EamDocMaster", "单据主表"),
        EamDocDetails("EamDocDetails", "单据明细"),
        EamDocMovementMaster("EamDocMovementMaster", "备品备件单据主表"),
        EamDocMovementDetail("EamDocMovementDetail", "备品备件单据明细表"),
        EamDocCsMaster("EamDocCsMaster", "备品备件盘点主表"),
        EamDocCsDetails("EamDocCsDetails", "备品备件盘点明细表"),
        EamPlanRule("EamPlanRule", "计划规则表"),
        EamPlanRuleMaintenance("EamPlanRuleMaintenance", "计划规则表(保养)"),
        EamEquipmentContact("EamEquipmentContact", "设备联络单表"),
        EamEquipmentContactCause("EamEquipmentContactCause", "设备联络原因区分表"),
        EamEquipmentContactPurpose("EamEquipmentContactPurpose", "设备联络目的表"),
        EamOpItemMain("EamOpItemMain", "主作业要求"),
        EamStock("EamStock", "备品备件库存"),
        EamManageLineRelation("EamManageLineRelation", "保管场所与产线关系"),
        EquipmentType("EquipmentType", "设备类型"),
        EamGdUser("EamGdUser", "人员信息(广东)"),
        EamHnUser("EamHnUser", "人员信息(海宁)"),
        EamGdPlanRule("EamGdPlanRule", "计划规则表(广东)"),
        EamHnPlanRule("EamHnPlanRule", "计划规则表(海宁)"),
        ;

        private final String value;
        private final String description;

        EXPORT_TABLE_NAME(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }
    }

    /**
     * 工艺路径有效性判断类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ROUTING_VALID_TYPE {
        ORDER_CALC_LET("ORDER_CALC_LET", "与订单的最晚结束时刻计算值做比较"),
        CALC_LET_LT("CALC_LET_LT", "与最晚结束时刻计算值-提前期做比较"),
        BASE_TIME("BASE_TIME", "与基准时刻做比较");

        private final String value;
        private final String description;

        ROUTING_VALID_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }
    }

    /**
     * 字段的编辑类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EDIT_TYPE {
        NONE("NONE", "未知"),
        BOOLEAN("BOOLEAN", "布尔, 开关编辑"),
        CHAR("CHAR", "字符, 文本框编辑"),
        SHORT("SHORT", "短整型, 数字编辑"),
        INTEGER("INTEGER", "整型, 数字编辑"),
        LONG("LONG", "长整型, 数字编辑"),
        DOUBLE("DOUBLE", "浮点型, 文本框编辑"),
        DATE("DATE", "日期类型(2019-09-16)"),
        TIME("TIME", "时间类型(17:35:30)"),
        DATE_TIME("DATE_TIME", "日期时间类型(2019-09-16 17:35:30)"),
        DURATION("DURATION", "时间段(1H),文本框编辑"),
        ENUM("ENUM", "枚举,下拉选择"),
        MULTI_ENUM("MULTI_ENUM", "多选枚举， 下拉多选"),
        STRING("STRING", "字符串，文本框编辑"),
        OBJECT("OBJECT", "关联对象，下来选择关联对象的Code值"),
        LIST("LIST", "对象集合，不可编辑。"),
        MULTI_OBJECT("MULTI_OBJECT", "多选对象，弹出框选择，可以选择全部对象，以*表示选择全部"),
        QUERY_LIST("QUERY_LIST", "通过接口获取下拉选项"),
        COLOR_PICKER("COLOR_PICKER", "颜色选择框");

        private final String value;
        private final String description;

        EDIT_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }
    }

    /**
     * 字段类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum FIELD_TYPE {
        NONE("NONE", "未知"),
        BOOLEAN("BOOLEAN", "布尔"),
        CHAR("CHAR", "字符"),
        SHORT("SHORT", "短整型"),
        INTEGER("INTEGER", "整型"),
        LONG("LONG", "长整型"),
        DOUBLE("DOUBLE", "浮点型"),
        DATE("DATE", "日期类型(2019-09-16)"),
        TIME("TIME", "时间类型(17:35:30)"),
        DATE_TIME("DATE_TIME", "日期时间类型(2019-09-16 17:35:30)"),
        DURATION("DURATION", "时间段(1H)"),
        ENUM("ENUM", "枚举"),
        MULTI_ENUM("MULTI_ENUM", "多选枚举"),
        STRING("STRING", "字符串"),
        OBJECT("OBJECT", "关联对象，下来选择关联对象的Code值"),
        LIST("LIST", "对象集合，不可编辑。");

        private final String value;
        private final String description;

        FIELD_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }
    }

    public static enum LANGUAGE_TYPE {
        GROOVY(1, "Groovy", 10),
        PYTHON(2, "jython", 20),
        JS(3, "JavaScript", 30);

        private int index;
        private String description;
        private int value;

        private LANGUAGE_TYPE(int index, String description, int value) {
            this.index = index;
            this.description = description;
            this.value = value;
        }

        public String getDescription() {
            return this.description;
        }

        public int getIndex() {
            return this.index;
        }

        public int getValue() {
            return this.value;
        }

        public static String getCodeByIndex(Integer index) {
            LANGUAGE_TYPE[] var1 = values();
            int var2 = var1.length;

            for (int var3 = 0; var3 < var2; ++var3) {
                LANGUAGE_TYPE languageType = var1[var3];
                if (languageType.getValue() == index) {
                    return languageType.getDescription();
                }
            }

            return null;
        }
    }

    /**
     * 日志推送至MQ的处理类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum LOG_TO_MQ_HANDLE_TYPE {
        INSERT(10, "新增"), UPDATE(20, "修改"), DELETE(30, "删除");
        private int value;
        private String description;

        LOG_TO_MQ_HANDLE_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 自定义列表：优先级  (CUSTOMIZE_PROP)
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum CUSTOMIZE_PROP {
        DEFAULT(1, "默认"), CUSTOMIZE(2, "自定义");
        private int value;
        private String description;

        CUSTOMIZE_PROP(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOf(int val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum QUEUE_JIT_ACTUAL_DETAIL_STATUS {
        NORMAL(10, "正常"),
        WASHED_MATERIAL(20, "已冲料");

        private int value;
        private String description;

        private QUEUE_JIT_ACTUAL_DETAIL_STATUS(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public enum TASK_TYPE {
        QUALITATIVE(10, "定性"),
        QUANTITATIVE(20, "定量");

        private int value;
        private String description;

        private TASK_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum ASC_OR_DESC {
        ASC(0, "正序"),
        DESC(1, "倒序");

        private int value;
        private String description;

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        private ASC_OR_DESC(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public static String valueOf(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum SHOW_COLOR {
        NORMAL("NORMAL", "正常"),
        YELLOW("YELLOW", "黄色"),

        RED("RED", "红色"),
        ;

        private String value;
        private String description;

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        private SHOW_COLOR(String value, String description) {
            this.value = value;
            this.description = description;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum APPROVAL_STATE {
        YES("YES", "已审批"),
        NO("NO", "待审批");

        private String value;
        private String description;

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        private APPROVAL_STATE(String value, String description) {
            this.value = value;
            this.description = description;
        }
    }

    /**
     * 审核是否通过
     */
    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum APPROVAL_RESULT {
        OK("OK", "通过"),
        NO("NO", "未通过");

        private String value;
        private String description;

        private APPROVAL_RESULT(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 设备状态
     */
    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum EQU_STATUS {
        NORMAL("NORMAL", "正常"),
        MAINTENANCE("MAINTENANCE", "保养"),
        REPAIR("REPAIR", "维修");

        private String value;
        private String description;

        private EQU_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 寿命分布
     */
    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum LIFE_DISTR {
        SOP("SOP", "SOP"),
        LESS_EOP("LESS_EOP", "EOP(少用)"),
        EOP_RIN_SCRAP("EOP_RIN_SCRAP", "EOP(待报废)");

        private String value;
        private String description;

        private LIFE_DISTR(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 审核是否通过
     */
    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum TRUE_OR_FALSE {
        YES("YES", "是"),
        FALSE("FALSE", "否");

        private String value;
        private String description;

        private TRUE_OR_FALSE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum EAM_EQUIPMENT_TYPE {
        PHYSICAL("10", "物理设备"),
        LOGIC("20", "逻辑设备");

        private String value;
        private String description;

        private EAM_EQUIPMENT_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum EQUIPMENT_BIG_CLAESS {
        ZS("10", "注塑机");

        private String value;
        private String description;

        private EQUIPMENT_BIG_CLAESS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum EAM_EQUIPMENT_CATEGORY {
        A("A", "A"),
        B("B", "B"),
        C("C", "C"),
        D("D", "D");

        private String value;
        private String description;

        private EAM_EQUIPMENT_CATEGORY(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum EAM_DOC_ITEM_DESC {
        A("A", "合格(正常)", "●", "A"),
        B("B", "设备故障中", "▲", ""),
        C("C", "设备异常", "×", "B"),
        D("D", "合格，并在选择的同时自动在备注字段带出“该项不需要点检", "■", ""),
        E("E", "保养", "OK", "▲"),
        F("F", "维修(点检)", "NG", "■"),
        G("G", "确认", "", "O");

        private String value;
        private String description;
        private String remark;
        private String gdRemark;

        private EAM_DOC_ITEM_DESC(String value, String description, String remark, String gdRemark) {
            this.value = value;
            this.description = description;
            this.remark = remark;
            this.gdRemark = gdRemark;
        }

        public String getValue() {
            return this.value;
        }

        public String getRemark() {
            return this.remark;
        }

        public String getGdRemark() {
            return this.gdRemark;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static String descriptionOfValue(String description) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }

    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum EAM_EQUIPMENT_CONNECT_TYPE {
        PLC(10, "PLC"),
        DB(20, "DB"),
        OTHER(30, "其他");

        private int value;
        private String description;

        private EAM_EQUIPMENT_CONNECT_TYPE(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }

        public static Integer descriptionOfValue(String description) {
            Integer tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].description.equals(description)) {
                    tmp = values()[i].value;
                }
            }

            return tmp;
        }
    }


    @JsonFormat(
            shape = JsonFormat.Shape.OBJECT
    )
    public static enum CHECK_MODEL {
        NO_CHECK(10, "不校验"),
        CHECK(20, "校验设备就绪信号");

        private int value;
        private String description;

        private CHECK_MODEL(int value, String description) {
            this.value = value;
            this.description = description;
        }

        public int getValue() {
            return this.value;
        }

        public String getDescription() {
            return this.description;
        }

        public static String valueOfDescription(int val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 导入类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum IMPORT_DETAIL_TYPE {
        REPLACE("REPLACE", "替代导入"),
        DIFF("DIFF", "差分导入");

        private final String value;
        private final String description;

        IMPORT_DETAIL_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }
    }


    /**
     * 数据连接类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum DATA_LINK_TYPE {
        EXCEL("EXCEL", "EXCEL"),
        MYSQL("MYSQL", "MySql"),
        ORACLE("ORACLE", "Oracle"),
        SQLSERVER("SQLSERVER", "SqlServer");

        private final String value;
        private final String description;

        DATA_LINK_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }
    }


    /**
     * 点检计划单状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EAM_DOC_STATUS {

        CREATE("CREATE", "创建"),
        PROCESSING("PROCESSING", "处理中"),
        COMPLETE("COMPLETE", "完成"),
        CLOSE("CLOSE", "关闭"),
        PENDING("PENDING", "待审批");

        private String value;
        private String description;

        EAM_DOC_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static Integer valueIndex(String val) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    return i;
                }
            }
            return null;
        }
    }


    /**
     * 周期作业业务类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EAM_DOC_BUSI_TYPE {
        CHECK("CHECK", "点检"),
        MAINTENANCE("MAINTENANCE", "保养"),
        REPAIR("REPAIR", "维修");

        private String value;
        private String description;

        EAM_DOC_BUSI_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static EAM_DOC_BUSI_TYPE getByValue(String value) {
            for (EAM_DOC_BUSI_TYPE type : values()) {
                if (type.getValue().equals(value)) {
                    return type;
                }
            }
            return null;
        }

        public static Integer valueIndex(String val) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    return i;
                }
            }
            return null;
        }

        public static Integer descriptionIndex(String desc) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    return i;
                }
            }
            return null;
        }
    }

    /**
     * 周期作业业务类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EAM_REPAIR_DOC_BUSI_TYPE {
        CHECK_TO_REPAIR("CHECK_TO_REPAIR", "点检维修"),
        MAINTENANCE_TO_REPAIR("MAINTENANCE_TO_REPAIR", "保养维修"),
        REPAIR("REPAIR", "维修");

        private String value;
        private String description;

        EAM_REPAIR_DOC_BUSI_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static EAM_REPAIR_DOC_BUSI_TYPE getByValue(String value) {
            for (EAM_REPAIR_DOC_BUSI_TYPE type : values()) {
                if (type.getValue().equals(value)) {
                    return type;
                }
            }
            return null;
        }

        public static Integer valueIndex(String val) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    return i;
                }
            }
            return null;
        }

        public static Integer descriptionIndex(String desc) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    return i;
                }
            }
            return null;
        }
    }

    /**
     * 周期作业业务类型
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum EQU_CON_STATUS {
        CREATE("CREATE", "创建"),
        REPLY("REPLY", "已答复"),
        CONFIRM("CONFIRM", "已确认"),
        COMPLETE("COMPLETE", "完成"),
        CLOSE("CLOSE", "关闭");

        private String value;
        private String description;

        EQU_CON_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value == val) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

        public static EQU_CON_STATUS getByValue(String value) {
            for (EQU_CON_STATUS type : values()) {
                if (type.getValue().equals(value)) {
                    return type;
                }
            }
            return null;
        }

        public static Integer valueIndex(String val) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    return i;
                }
            }
            return null;
        }

        public static Integer descriptionIndex(String desc) {
            for (int i = 0; i < values().length; i++) {
                if (values()[i].description.equals(desc)) {
                    return i;
                }
            }
            return null;
        }
    }

    /**
     * 模具条码状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MOULD_SN_STATUS {
        IN_STOCK("IN_STOCK", "在库"),
        OUT_STOCK("OUT_STOCK", "出库"),
        IN_ONLINE("IN_ONLINE", "上线");

        private String value;
        private String description;

        MOULD_SN_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equalsIgnoreCase(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

    }

    /**
     * 模具条码操作类型状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MOULD_OPERATE_MOVE_TYPE {
        IN_STOCK("IN_STOCK", "入库"),
        OUT_STOCK("OUT_STOCK", "出库"),
        IN_ONLINE("IN_ONLINE", "上线");

        private String value;
        private String description;

        MOULD_OPERATE_MOVE_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equalsIgnoreCase(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

    }

    /**
     * 模具条码业务类型状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MOULD_OPERATE_BUSI_TYPE {
        START_CHANGE("START_CHANGE", "开始换膜"),
        END_CHANGE("END_CHANGE", "结束换膜"),
        START_DEBUG("START_DEBUG", "开始调试"),
        END_DEBUG("END_DEBUG", "结束调试"),
        START_UNLOAD_MOULD("START_UNLOAD_MOULD", "开始卸膜"),
        END_UNLOAD_MOULD("END_UNLOAD_MOULD", "结束卸膜");

        private String value;
        private String description;

        MOULD_OPERATE_BUSI_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equalsIgnoreCase(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }


    }

    /**
     * 模具条码出库原因
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum MOULD_OUT_REASON {
        SPOT_CHECK("SPOT_CHECK", "点检"),
        MAINTAIN("MAINTAIN", "保养"),
        REPAIR("REPAIR", "维修");

        private String value;
        private String description;

        MOULD_OUT_REASON(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equalsIgnoreCase(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

    }

    /**
     * 库位状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum LOCATE_STATUS {
        EMPTY("EMPTY", "空"),
        FULL("FULL", "满");

        private String value;
        private String description;

        LOCATE_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equalsIgnoreCase(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 入库单操作类型状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORDER_MOVE_TYPE {
        IN_STOCK("IN_STOCK", "入库"),
        OUT_STOCK("OUT_STOCK", "出库");

        private String value;
        private String description;

        ORDER_MOVE_TYPE(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;

            for (int i = 0; i < values().length; ++i) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }

            return tmp;
        }
    }

    /**
     * 入库、出库单据状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORDER_DOC_STATUS {

        CREATE("CREATE", "创建"),
        PROCESSING("PROCESSING", "处理中"),
        COMPLETE("COMPLETE", "完成");

        private String value;
        private String description;

        ORDER_DOC_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 盘点单据状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum ORDER_DOC_CS_STATUS {

        CREATE("CREATE", "创建"),
        STARTING_INVENTORY("STARTING_INVENTORY", "开启盘点"),
        IN_INVENTORY("IN_INVENTORY", "盘点中"),
        INVENTORY_FINISH("INVENTORY_FINISH", "盘点完成");

        private String value;
        private String description;

        ORDER_DOC_CS_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }


    /**
     * 库存状态
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum STOCK_STATUS {

        NORMAL("NORMAL", "正常"),
        FROZEN("FROZEN", "冻结");

        private String value;
        private String description;

        STOCK_STATUS(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    /**
     * 区域类别
     */
    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum PART_GROUP {
        CABINET_ONE("CABINET_ONE", "一号柜（光电传感类）"),
        CABINET_TWO("CABINET_TWO", "二号柜（主控电器类）"),
        CABINET_THREE("CABINET_THREE", "三号柜（主控接插类）"),
        CABINET_FOUR("CABINET_FOUR", "四号柜（控制电器类）"),
        CABINET_FIVE("CABINET_FIVE", "五号柜（执行电器类）"),
        CABINET_SIX("CABINET_SIX", "六号柜（控制元件类）"),
        CABINET_SEVEN("CABINET_SEVEN", "七号柜（执行元件类）"),
        CABINET_EIGHT("CABINET_EIGHT", "八号柜（机械传动类）"),
        CABINET_NINE("CABINET_NINE", "九号柜（机械五金类）"),
        CABINET_TEN("CABINET_TEN", "十号柜（水气配件类）"),
        CABINET_ELEVEN("CABINET_ELEVEN", "十一号柜（常用消耗类）"),
        CABINET_TWELVE("CABINET_TWELVE", "十二号柜（其它附件类）"),
        CABINET_THIRTEEN("CABINET_THIRTEEN", "十三号柜（气动接头类）"),
        CABINET_FOURTEEN("CABINET_FOURTEEN", "十四号柜（机械工具类）"),
        CABINET_FIFTEEN("CABINET_FIFTEEN", "十五号柜（紧固件分类）"),
        CABINET_SIXTEEN("CABINET_SIXTEEN", "十六号小仓库（电缆气管灯管）");

        private String value;
        private String description;

        PART_GROUP(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equals(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum TIME_DIMENSION {
        YEAR("YEAR", "年"),
        MONTH("MONTH", "月"),
        DAY("DAY", "日");

        private String value;
        private String description;

        TIME_DIMENSION(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equalsIgnoreCase(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }

    }

    @JsonFormat(shape = JsonFormat.Shape.OBJECT)
    public enum DATA_DIMENSION {
        WORKCENTERCODE("WORKCENTERCODE", "保管场所"),
        EQUCODE("EQUCODE", "设备名称");


        private String value;
        private String description;

        DATA_DIMENSION(String value, String description) {
            this.value = value;
            this.description = description;
        }

        public String getValue() {
            return value;
        }

        public String getDescription() {
            return description;
        }

        public static String valueOfDescription(String val) {
            String tmp = null;
            for (int i = 0; i < values().length; i++) {
                if (values()[i].value.equalsIgnoreCase(val)) {
                    tmp = values()[i].description;
                }
            }
            return tmp;
        }
    }
}
