package cn.estsh.i3plus.pojo.form.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.form.bean.BlockFormConfig;
import org.springframework.stereotype.Repository;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2022/10/18 17:20
 * @Modify:
 **/
@Repository
public interface BlockFormRepository extends BaseRepository<BlockFormConfig, Long> {

    /**
     * 按照工厂代码和配置代码查询配置信息
     * @param organizeCode 工厂代码
     * @param configCode 配置代码
     * @return 配置信息
     */
    BlockFormConfig getFirstByOrganizeCodeAndConfigCode(String organizeCode, String configCode);

    /**
     * 按照配置代码查询配置信息
     * @param configCode 配置代码
     * @return 配置信息
     */
    BlockFormConfig getFirstByConfigCode(String configCode);
}
