package cn.estsh.i3plus.pojo.form.repository;

import cn.estsh.i3plus.pojo.base.jpa.dao.BaseRepository;
import cn.estsh.i3plus.pojo.form.bean.EngineRulePersistence;
import org.springframework.stereotype.Repository;

/**
 * @Description : 规则引擎持久化类
 * @Reference :
 * @Author : Rock.Yu
 * @CreateDate : 2019-04-16 09:53
 * @Modify:
 **/
@Repository
public interface IEngineRulePersistenceRepository extends BaseRepository<EngineRulePersistence, Long> {
    /**
     * 按照规则编号查询规则实体
     * @param organizeCode 工厂代码
     * @param ruleNo 规则编号
     * @return 规则实体
     */
    EngineRulePersistence findByOrganizeCodeAndRuleNo(String organizeCode, String ruleNo);
}
