package cn.estsh.i3plus.pojo.mes.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description:
 * @Author: jokelin
 * @Date: 2020/9/6 1:25 下午
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_BYPASS_MAPPING")
@Api("MES_BYPASS项映射关系")
public class MesBypassMapping extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6362769913660089402L;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("工作中心代码")
    private String workCenterCode;

    @Column(name = "BYPASS_SEQ")
    @ApiParam("BYPASS项序号")
    private Integer bypassSeq;

    @Column(name = "CHECK_NAME")
    @ApiParam("检测项描述")
    private String checkName;

    @Column(name = "IS_DISPLAY")
    @ApiParam("是否显示")
    private Integer isDisplay;

    @Column(name = "PART_LOCATION")
    @ApiParam("产品位置")
    private String partLocation;

    @Column(name = "PROD_CFG_TYPE_CODE")
    @ApiParam("项目代码")
    private String prodCfgTypeCode;
}
