package cn.estsh.i3plus.pojo.mes.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :mes系统业务动作
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-12
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "MES_CUST_PROD_LINE")
@Api("客户产线代码")
public class MesCustProdLine extends BaseBean implements Serializable {
    private static final long serialVersionUID = 7865628597341120516L;
    @Column(name = "CUST_PROD_LINE_CODE")
    @ApiParam("客户产线代码")
    private String custProdLineCode;

    @Column(name = "CUST_PROD_LINE_NAME")
    @ApiParam("客户产线名称")
    private String custProdLineName;

    @Column(name = "PG_CODE")
    @ApiParam("生产组代码")
    private String pgCode;

    @Column(name = "CUST_CODE")
    @ApiParam("客户代码")
    private String custCode;

    @Column(name = "CUST_PLANT_CODE")
    @ApiParam("客户工厂代码")
    private String custPlantCode;

    @Column(name = "CUST_PROD_LINE_FLAG")
    @ApiParam("客户产线标识")
    private String custProdLineFlag;

    @Column(name = "DOCK_NO")
    @ApiParam("dock")
    private String dockNo;

    @Column(name = "ZONE_NO")
    @ApiParam("区域代码")
    private String zoneNo;
}
