package cn.estsh.i3plus.pojo.model.softswitch;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.enumutil.BlockSoftSwitchEnumUtil;
import cn.estsh.i3plus.pojo.softswitch.bean.BsSuitCaseParam;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @Description :
 *      软适配执行适配器(客户端服务端适配总入口)
 *      所需的参数模型
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2020-10-28 15:51
 * @Modify:
 **/
@Data
public class SuitModel implements Serializable {

    private static final long serialVersionUID = 8981933192688480221L;

    @ApiParam(value = "适配器代码")
    private String suitCaseCode;

    @ApiParam(value = "适配SID")
    private String suitSid;

    @AnnoOutputColumn(refClass = BlockSoftSwitchEnumUtil.REQUEST_SOURCE.class)
    @ApiParam(value = "适配来源")
    private Integer requestSource;

    @ApiParam(value = "重试记录id")
    private Long retryRecordId;

    @ApiParam(value = "适配器参数XML")
    private String paramXml;

    @ApiParam(value = "适配器参数")
    private List<BsSuitCaseParam> bsSuitCaseParamList;

    @ApiParam(value = "请求id")
    private String requestId;

    @ApiParam(value = "业务id列表")
    private List<String> busiIdList;
}
