package cn.estsh.i3plus.pojo.model.wms;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @author ns
 * @create 2022/5/31 0031 下午 16:21
 */
@Data
@ApiModel("对账单查询model")
public class ReconciliaQueryModel implements Serializable {

    @ApiModelProperty(notes = "物料编号")
    private String partNo;

    @ApiModelProperty(notes = "仓库编号")
    private String whNo;

    /**
     * 库存地
     * 前端输入，sap中的字段
     */
    @ApiModelProperty(notes = "库存地编号")
    private String areaNo;

    @ApiModelProperty(notes = "wms快照时间")
    private String wmsSnapshotTime;

    @ApiModelProperty(notes = "sap快照时间")
    private String sapSnapshotTime;

    @ApiModelProperty(notes = "业务类型")
    private Integer busiTypeCode;

    @ApiModelProperty(notes = "单号")
    private String orderNo;

    @ApiModelProperty(notes = "单据状态")
    public Integer orderStatus;

    @ApiModelProperty(notes = "来源存储区")
    private String srcZoneNo;

    @ApiModelProperty(notes = "目标存储区")
    private String destZoneNo;

    @ApiModelProperty(notes = "操作开始时间")
    private String actionStartDateTime;

    @ApiModelProperty(notes = "操作结束时间")
    private String actionEndDateTime;

    @ApiModelProperty(notes = "创建开始时间")
    private String createStartDateTime;

    @ApiModelProperty(notes = "创建结束时间")
    private String createEndDateTime;

    @ApiModelProperty(notes = "库存移动单号")
    private String moveNo;

    @ApiModelProperty(notes = "移动单状态")
    private Integer moveItemStatus;

    @ApiModelProperty(notes = "movetoerp状态")
    private Integer moveToERPStatus;

    @ApiModelProperty(notes = "中间表")
    private String middleTable;

    @ApiModelProperty(notes = "中间表状态")
    private Integer middleTableStatus;

    @ApiModelProperty(notes = "是否启用IQ")
    private Integer iQEnabled;

    @ApiModelProperty(notes = "是否启用OQ")
    private Integer oQEnabled;

    @ApiModelProperty(notes = "是否启用软适配")
    private Integer softswitchEnabled;

}
