package cn.estsh.i3plus.pojo.model.wms;

import cn.estsh.i3plus.pojo.wms.bean.WmsMoveMaster;
import cn.estsh.i3plus.pojo.wms.bean.WmsMoveSn;
import cn.estsh.i3plus.pojo.wms.bean.WmsStockSn;
import cn.estsh.i3plus.pojo.wms.bean.WmsWorkCenterZone;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @Description : 原材料扣减model
 * @Reference :
 * @Author : junsheng.li
 * @CreateDate 2021/10/27 11:37
 * @Modify:
 **/
@Data
@Api("原材料扣减model")
@NoArgsConstructor
public class WmsProdModel implements Serializable {

    private static final long serialVersionUID = 4743847310569744772L;

    @ApiParam("move明细集合")
    public List<WmsMovePartModel> movePartList;

    @ApiParam("产线/工作中心集合")
    public List<WmsWorkCenterZone> workCenterInCodeList;

    @ApiParam("记录主表，报错信息")
    Map<Long, WmsMoveMaster> errorMasterMap;

    //按存储区加物料分组partNo+zoneNo
    Map<String, List<WmsStockSn>> partZoneStockSnOrderByFifoListMap;

    String organizeCode;

    //本次需要扣减的move物料明细
    List<WmsMovePartModel> newPartMoveDetailList;

    //产线对应多个存储区ListMap集合
    Map<String, List<String>> workCenterToZoneListMap;

    List<WmsMovePartModel> partMoveDetailList;

    //更新move条码集合
    List<WmsMoveSn> toInsertMoveSnList;

    //记录move主表masterId对应的move明细(待处理)个数
    Map<Long, Integer> countMoveItemStatusMap;

    //记录主表，报错信息（没有符合条件的扣减条码）
    Map<Long, WmsMoveMaster> errorToUpdateMasterMap;
}
