package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;

/**
 * @Description :
 * @Reference :
 * @Author :
 * @CreateDate : 2022-12-07 20:36
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_LOG_USER_STATUS")
@ApiModel(value="用户状态变更记录",description = "用户状态变更记录")
public class SysLogUserStatus extends BaseBean {

    private static final long serialVersionUID = 4665598896654312569L;
    @Column(name="USER_ID")
    @ApiModelProperty(value ="用户ID" , access ="用户ID")
    @AnnoOutputColumn(hidden = true)
    private Long userId;

    @Column(name = "USER_NAME")
    @ApiParam(value = "用户名称", access = "账号名称")
    private String userName;

    @Column(name="LOG_LOGIN_NAME")
    @ApiModelProperty(value ="登录名称" , access ="登录名称")
    private String logLoginName;

    @Column(name = "DEPARTMENT_NAME_RDD")
    @ApiParam(value = "部门名称", access = "部门名称")
    private String departmentNameRdd;

    @Column(name = "DEPARTMENT_ID")
    @ApiParam(value = "部门ID", access = "部门ID")
    private Long departmentId;

    @Column(name = "ROLE_ID")
    @ApiParam(value = "用户角色ID逗号分割")
    private String roleId;

    @Column(name = "ROLE_NAME")
    @ApiParam(value = "用户角色名称逗号分割")
    private String roleName;

    @Column(name="USER_STATUS")
    @ApiModelProperty(value ="账号状态" , example ="1")
    @AnnoOutputColumn(refClass = CommonEnumUtil.USER_LOGIN_STATUS.class)
    private Integer userStatus;

    @Column(name="USER_STATUS_RDD")
    @ApiModelProperty(value ="账号状态描述")
    private String userStatusRdd;
}
