package cn.estsh.i3plus.pojo.platform.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @author ns
 * @create 2022/3/17 0017 上午 10:33
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name="SYS_TABLE_TEMPLATE",indexes =
        {
                @Index(name="page",columnList = "page"),
        })
@ApiModel(value="自定义表格结构",description = "自定义表格结构")
public class SysTableTemplate extends BaseBean {
    /**
     * 产品类型 属于哪个产品
     */
    @Column(name="SOFT_TYPE")
    @ApiParam(value ="产品类型", example = "0",access = "softTyp DOC: http://doc.estsh.com/docs/i3plus_api/i3plus_api-impp")
    @AnnoOutputColumn
    private Integer softType;

    @Column(name="PAGE")
    @ApiParam(value ="表格所属页面")
    private String page;

    @Column(name="TEMPLATE_TYPE")
    @ApiParam(value ="模板类型")
    private String templateType;

    @Lob
    @Column(name="TEMPLATE_DATA")
    @ApiParam(value ="模板数据")
    private String templateData;
}
