package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 异常联络单确认
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022-02-19 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_ABNORMAL_CONFIRM",indexes = {@Index(columnList = "ORDER_NO")})
@Api("异常联络单确认记录")
public class SxQmsAbnormalConfirm extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name="CONFIRM_STATUS")
    @ApiParam("确认状态")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PASS_OR_NO_PASS.class, refForeignKey = "value", value = "description")
    public Integer confirmStatus;
    /**
     * 枚举值:10-物管确认，20-调达确认，30-受人确认，40-联络单确认，50-回复确认
     */
    @Column(name="CONFIRM_TYPE")
    @ApiParam("确认类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_CONFIRM_TYPE.class, refForeignKey = "value", value = "description")
    public Integer confirmType;

    @Column(name = "CONFIRM_OPTION")
    @ApiParam("意见")
    private String confirmOption;

    @Column(name = "IS_REPORT")
    @ApiParam("是否向事业部汇报")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isReport;

    @Column(name = "IS_PREVENT_OCCUR")
    @ApiParam("是否再发防止")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isPreventOccur;

}
