package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.List;

/**
 * @Description : 异常联络单明细
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022-02-19 15:58
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_ABNORMAL_DETAIL",indexes = {@Index(columnList = "ORDER_NO")})
@Api("异常联络单")
public class SxQmsAbnormalDetail extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name = "ABNORMAL_TYPE")
    @ApiParam("不良项目")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_TYPE.class, refForeignKey = "value", value = "description")
    private Integer abnormalType;

    @Column(name = "BAD_CONTENT")
    @ApiParam("不良内容")
    private String badContent;

    @Lob
    @Column(name = "EXCPTION_INFO")
    @ApiParam("异常信息")
    private String excptionInfo;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDateTime;

    @Column(name = "FILE_ID")
    @ApiParam("文件ID")
    private Long fileId;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件源名")
    private String fileOriginName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "FREQUENCY")
    @ApiParam("异常频次")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_FREQUENCY.class, refForeignKey = "value", value = "description")
    private Integer frequency;

    @Column(name = "IS_STOP_PRODUCE")
    @ApiParam("是否停止生产")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isStopProduce;

    @Column(name = "IS_REPORT")
    @ApiParam("是否向事业部汇报")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isReport;

    @Column(name = "OCCURE_DATE")
    @ApiParam("发生日期")
    private String occureDate;

    @Column(name = "OCCURE_COUNT")
    @ApiParam("发生数")
    private Integer occureCount;

    @Column(name = "RECHECK_PLACE")
    @ApiParam("检查数")
    private Integer recheckPlace;

    @Column(name = "QTY")
    @ApiParam("对象台数")
    private Double qty;

    @Column(name = "FACTORY_STOCK_QTY")
    @ApiParam("工厂在库数")
    private Double factoryStockQty;

    @Column(name = "PRE_BATCH_REQUIREMENT")
    @ApiParam("前批次处理要求")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer preBatchRequirement;

    @Column(name = "MATERIAL_OPTION")
    @ApiParam("部品对应")
    private String materialOption;

    @Column(name = "PRODUCT_OPTION")
    @ApiParam("成品对应")
    private String productOption;

    @Column(name = "CHECK_DATE")
    @ApiParam("检查日期")
    private String checkDate;

    @Column(name = "DATE_CODE")
    @ApiParam("部品生产日期")
    private String dateCode;

    @Column(name = "VENDOR_STOCK_QTY")
    @ApiParam("厂家在库数")
    private Double vendorStockQty;

    @Column(name = "CURRENT_BATCH_OPTION")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_DETAIL_OPTION.class, refForeignKey = "value", value = "description")
    @ApiParam("本批次处理意见")
    private Integer currentBatchOption;

    /* BU使用字段 */
    @Column(name = "ABNORMAL_PROJECT")
    @ApiParam("不良项目")
    private String abnormalProject;

    @Transient
    @ApiParam("文件列表")
    private List<SxQmsFile> sxQmsFileList;


}
