package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :配置表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_BADNESS", indexes = {
        @Index(columnList = "BADNESS_CODE"),
        @Index(columnList = "BADNESS_NAME"),
        @Index(columnList = "BADNESS_CODE, BADNESS_NAME")
})
@Api("不良表")
public class SxQmsBadness extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2171261617112342637L;

    @Column(name = "BADNESS_MODULE")
    @ApiParam("不良类型模块")
    private Integer badnessModule;

    @Column(name = "BADNESS_CODE")
    @ApiParam("不良编码")
    private String badnessCode;

    @Column(name = "BADNESS_NAME")
    @ApiParam("不良名称 ")
    private String badnessName;
}
