package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @description: 事业别表
 * @author: jiaqi.hou
 * @date: 2022/06/15
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_BU_CAREER", indexes = {@Index(columnList = "SERIAL,CAREER_CODE,CAREER_NAME")})
@Api("事业别表")
public class SxQmsBuCareer extends BaseBean implements Serializable {

    @Column(name = "SERIAL")
    @ApiParam("顺序")
    private Integer serial;

    @Column(name = "CAREER_CODE")
    @ApiParam("事业别代码")
    private String careerCode;

    @Column(name = "CAREER_NAME")
    @ApiParam("事业别名称")
    private String careerName;
}
