package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @author yumingxing
 * @version 1.0
 * @date 2021/1/29 13:58
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SX_QMS_BU_OQC_PROJECT", indexes = {
        @Index(columnList = "PART_NO,OQC_TYPE")
})
@Api("QMS_BU出货检验项目")
public class SxQmsBuOqcProject extends BaseBean implements Serializable {
    private static final long serialVersionUID = 8572799206832897539L;

    @Column(
            name = "SEQ",
            columnDefinition = "decimal(18,8)"
    )
    @ColumnDefault("0")
    @ApiParam("序号")
    private Double seq;

    @Column(name = "CATEGORY_CODE3")
    @ApiParam("产品类别")
    private String categoryCode3;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "OQC_PROJECT")
    @ApiParam("检验项目")
    @Lob
    private String oqcProject;

    @Column(name = "STANDARD")
    @ApiParam("判断基准")
    @Lob
    private String standard;

    /**
     * 比值类型、结果类型、等值类型
     */
    @Column(name = "VALUE_TYPE")
    @ApiParam("值类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.BU_CHECK_JUDGE_TYPE.class, refForeignKey = "value", value = "description", hidden = true)
    private Integer valueType;

    @Transient
    @ApiParam("值类型")
    private String valueTypeName;

    @Column(name = "STANDARD_VALUE")
    @ApiParam("标准值")
    private String standardValue;

    @Column(name = "UP_LIMIT")
    @ApiParam("上限值")
    private String upLimit;

    @Column(name = "DOWN_LIMT")
    @ApiParam("下限值")
    private String downLimit;

    @Column(name = "APPLIANCE")
    @ApiParam("启用器具")
    private String appliance;

    @Column(name = "OQC_TYPE")
    @ApiParam("检验类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.OQC_CHECK_TYPE.class, refForeignKey = "value", value = "description", hidden = true)
    private Integer oqcType;

    @Transient
    @ApiParam("检验类型")
    private String oqcTypeName;

}
