package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @description: 委外商品供应商
 * @author: jiaqi.hou
 * @date: 2022/07/12
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_BU_OUTSOURCED_COMMODITY_SUPPLIERS",indexes = {@Index(columnList = "VENDOR_NO,PART_NO")})
@Api("委外商品供应商")
public class SxQmsBuOutsourcedCommoditySuppliers extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "ORDER_NO")
    @ApiParam("PO单号")
    private String orderNo;

    @Column(name = "RC_DATE_TIME")
    @ApiParam("收货时间")
    private String rcDateTime;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDateTime;

    @Column(name = "FILE_ID")
    @ApiParam("文件ID")
    private Long fileId;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件源名")
    private String fileOriginName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "UPLOAD_USER_NAME")
    @ApiParam("上传用户")
    private String uploadUserName;

    @Column(name = "FILE_TYPE")
    @ApiParam("文件类型")
    private String fileType;

    @Column(name = "FILE_SIZE")
    @ApiParam("文件大小")
    private String fileSize;

}
