package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @description: SX_QMS_业务配置表
 * @author: jiaqi.hou
 * @date: 2022/07/12
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SX_QMS_BUSI_CONFIG")
@Api("SX_QMS_业务配置表")
public class SxQmsBusiConfig extends BaseBean implements Serializable {
    @Column(name = "BUSI_CODE")
    @ApiParam("配置代码")
    private String busiCode;

    @Column(name = "BUSI_NAME")
    @ApiParam("配置名称")
    private String busiName;

    @Column(name = "BUSI_VALUE")
    @ApiParam("配置值")
    private String busiValue;

    @Column(name = "HOURLY_BASIS")
    @AnnoOutputColumn(refClass = QmsEnumUtil.HOURLY_BASIS.class, refForeignKey = "value", value = "description")
    @ApiParam("时间单位")
    private String hourlyBasis;
}
