package cn.estsh.i3plus.pojo.qms.bean;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :原因分类表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_CAUSE_CLASSIFY", indexes = {
        @Index(columnList = "CAUSE_CLASSIFY_CODE"),
        @Index(columnList = "CAUSE_CLASSIFY_NAME"),
        @Index(columnList = "CAUSE_CLASSIFY_CODE, CAUSE_CLASSIFY_NAME")
})
@Api("原因分类表")
public class SxQmsCauseClassify extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2171261617112342637L;

    @Column(name = "CAUSE_CLASSIFY_CODE")
    @ApiParam("原因分类代码")
    private String causeClassifyCode;

    @Column(name = "CAUSE_CLASSIFY_NAME")
    @ApiParam("原因分类名称 ")
    private String causeClassifyName;
}
