package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

/**
 * @description: 变更履历
 * @author: jiaqi.hou
 */
@Data
@Entity
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_CHANGE_RESUME")
@Api("变更履历表")
public class SxQmsChangeResume extends BaseBean {
    @Column(name = "CHANGE_THE_CONTACT_NUMBER")
    @ApiParam("变更联络单号")
    private String changeTheContactNumber;

    @Column(name = "CHANGE_TIME")
    @ApiParam("计划变更时间")
    private String changeTime;

    @Column(name = "PART_NO")
    @ApiParam("物料代码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商代码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Lob
    @Column(name = "CHANGE_CONTENT")
    @ApiParam("变更内容")
    private String changeContent;

    @Column(name = "ACTUAL_CHANGE_TIME")
    @ApiParam("实际变更时间")
    private String actualChangeTime;

    @ApiParam("计划变更时间Start")
    private String changeTimeStart;

    @ApiParam("计划变更时间End")
    private String changeTimeEnd;
}
