package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-15 11:14
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_CUSTOMER_COMPLAINT_ABARBEITUNG",indexes = {@Index(columnList = "COMPLAINT_NO")})
@Api("客诉整改表")
public class SxQmsCustomerComplaintAbarbeitung extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7583945509760043557L;

    @Column(name = "COMPLAINT_NO")
    @ApiParam("客诉单号")
    private String complaintNo;

    @Column(name = "DUTY_DIFF")
    @ApiParam("责任区分")
    private Integer dutyDiff;

    @Column(name = "ARRIVE_DATE")
    @ApiParam("实物到达日期")
    private String arriveDate;

    @Column(name = "PREVENTION_METHOD")
    @ApiParam("再发防止（防止方法）")
    private String preventionMethod;

    @Column(name = "OCCUR_REASON")
    @ApiParam("发生原因")
    private String occurReason;

    @Column(name = "OUTFLOW_REASON")
    @ApiParam("流出原因")
    private String outflowReason;

    @Column(name = "SOLUTION")
    @ApiParam("对策")
    private String solution;

    @Column(name = "ABNORMAL_RELEASE_DATE")
    @ApiParam("异常发行日期")
    private String abnormalReleaseDate;

    @Column(name = "EXPECTED_REPLY_DATE")
    @ApiParam("预定回复日期")
    private String expectedReplyDate;

    @Column(name = "CORRESPONDING_TO_THE_DATE")
    @ApiParam("对应日期")
    private String correspondingToTheDate;

    @Column(name = "ACTUAL_REPLY_DATE")
    @ApiParam("实际回答日期")
    private String actualReplyDate;

    @Column(name = "TEMPORARY_COUNTERMEASURE_OF_SOURCE")
    @ApiParam("发生源临时对策")
    private String temporaryCountermeasureOfSource;

    @Column(name = "PERSISTENT_GAME_OF_ORIGIN")
    @ApiParam("发生源恒久对策")
    private String persistentGameOfOrigin;

    @Column(name = "OUTFLOW_SOURCE_TEMPORARY_COUNTERMEASURE")
    @ApiParam("流出源临时对策")
    private String outflowSourceTemporaryCountermeasure;

    @Column(name = "OUTFLOW_SOURCE_PERMANENT_COUNTERMEASURE")
    @ApiParam("流出源恒久对策")
    private String outflowSourcePermanentCountermeasure;

    @Column(name = "FILE_ID")
    @ApiParam("文件id 对策附件id")
    private Long fileId;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件原名")
    private String fileOriginName;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDatetime;

    public SxQmsCustomerComplaintAbarbeitung() {
    }

    public SxQmsCustomerComplaintAbarbeitung(String occurReason, String outflowReason, String temporaryCountermeasureOfSource,
                                             String persistentGameOfOrigin, String abnormalReleaseDate, String expectedReplyDate,
                                             String actualReplyDate) {
        this.occurReason = occurReason;
        this.outflowReason = outflowReason;
        this.temporaryCountermeasureOfSource = temporaryCountermeasureOfSource;
        this.persistentGameOfOrigin = persistentGameOfOrigin;
        this.abnormalReleaseDate = abnormalReleaseDate;
        this.expectedReplyDate = expectedReplyDate;
        this.actualReplyDate = actualReplyDate;
    }
}
