package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-16 14:39
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_CUSTOMER_COMPLAINT_ABARBEITUNG_CONFIRM",indexes = {@Index(columnList = "COMPLAINT_NO")})
@Api("客诉回复状态表")
public class SxQmsCustomerComplaintAbarbeitungConfirm extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6928463390276132576L;

    @Column(name = "COMPLAINT_NO")
    @ApiParam("客诉单号")
    private String complaintNo;

    @Column(name = "ACTUAL_REPLY_DATE")
    @ApiParam("实际回答日期")
    private String actualReplyDate;

    @Column(name = "REPLY_STATUS")
    @ApiParam("回复状态")
    private Integer replyStatus;

    @Column(name = "SHIPPING_BD")
    @ApiParam("发往DB")
    private Integer shippingBd;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;


    @Column(name = "FILE_ID")
    @ApiParam("文件编号")
    private Long fileId;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件原名")
    private String fileOriginName;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDatetime;
}
