package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-15 11:14
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_CUSTOMER_COMPLAINT_ANALYSE",indexes = {@Index(columnList = "COMPLAINT_NO")})
@Api("客诉分析表")
public class SxQmsCustomerComplaintAnalyse extends BaseBean implements Serializable {

    private static final long serialVersionUID = 5321994093082677149L;

    @Column(name = "COMPLAINT_NO")
    @ApiParam("客诉单号")
    private String complaintNo;

    @Column(name = "DUTY_DIFF")
    @ApiParam("责任区分 10-制造、20-部品、30技术、40-其他，每个客诉单分析可选择多条原因区分项")
    private String dutyDiff;

    @Column(name = "REASON_PROJECT")
    @ApiParam("原因项目 10-制造-组立、20-部品-成型、30-组立、40-电装、50-熔接、60-组立、70-技术、80-设计、90-其他。原因区分子项目可多选。")
    private String reasonProject;

    @Column(name = "CUSTOMER_NO")
    @ApiParam("客户编码")
    private String customerNo;

    @Column(name = "CUSTOMER_NAME")
    @ApiParam("客户名称")
    private String customerName;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "IS_COST")
    @ApiParam("费用有无 10-有，20-无")
    private Integer isCost;

    @Column(name = "IS_ENTITY_RETURN")
    @ApiParam("是否实体返回 10-是，20-否")
    private Integer isEntityReturn;

    @Column(name = "ABNORMAL_NO")
    @ApiParam("工程异常编号")
    private String abnormalNo;

    @Column(name = "COUNTERMEASURE_ACTION")
    @ApiParam("对策前/后")
    private Integer countermeasureAction;

    @Column(name = "TEMPORARY_DISPOSAL")
    @ApiParam("临时对策")
    private String temporaryDisposal;

    @Column(name = "FINISH_PRODUCT_DIFF")
    @ApiParam("完成品区分")
    private String finishProductDiff;

    @Column(name = "RECUR_TIMES")
    @ApiParam("再发次数")
    private Integer recurTimes;

    @Column(name = "DEPARTMENT_OF_PRODUCT_CODING")
    @ApiParam("部品编码")
    private String departmentOfProductCoding;

    @Column(name = "DEPARTMENT_OF_PRODUCT_NAME")
    @ApiParam("部品名称")
    private String departmentOfProductName;

    @Column(name = "PRODUCT_LINE_CODE")
    @ApiParam("产线代码")
    private String productLineCode;

    @Column(name = "PRODUCT_CLASSIFICATION")
    @ApiParam("产品分类")
    private String productClassification;

    @Column(name = "CATEGORY_CODE")
    @ApiParam("机种分类")
    private String categoryCode;

    @Column(name = "DEFECT_LEVEL")
    @ApiParam("缺陷等级  10-轻度缺陷，20-中度缺陷，30-重度缺陷")
    private Integer defectLevel;

    @Column(name = "PRODUCE_DATE")
    @ApiParam("生产日期")
    private String produceDate;

    @Column(name = "PROD_LOT")
    @ApiParam("生产批次")
    private String prodLot;

    @Column(name = "FILE_ID1")
    @ApiParam("文件编号1")
    private Long fileId1;

    @Column(name = "FILE_URL1")
    @ApiParam("文件URL1")
    private String fileUrl1;

    @Column(name = "FILE_ORIGIN_NAME1")
    @ApiParam("文件原名1")
    private String fileOriginName1;

    @Column(name = "FILE_ID2")
    @ApiParam("文件编号2")
    private Long fileId2;

    @Column(name = "FILE_URL2")
    @ApiParam("文件URL2")
    private String fileUrl2;

    @Column(name = "FILE_ORIGINNAME2")
    @ApiParam("文件原名2")
    private String fileOriginName2;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDatetime;

    @Column(name = "QUANTITY_OF_PARTS_IN_WAREHOUSE")
    @ApiParam("部品在库数量")
    private BigDecimal quantityOfPartsInWarehouse;

    @Column(name = "QUANTITY_OF_FINISHED_PRODUCTS_IN_WAREHOUSE")
    @ApiParam("成品在库数量")
    private BigDecimal quantityOfFinishedProductsInWarehouse;

    @Column(name = "WTCRPR")
    @ApiParam("是否进行再发防止报告")
    private Integer wtcrpr;

    @Column(name = "CAUSE_OF_DEFECT")
    @ApiParam("不良原因")
    private String causeOfDefect;

    @Column(name = "CORRESPONDING_DATE")
    @ApiParam("对应日期")
    private String correspondingDate;
}
