package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: Xinwang.Yi
 * @CreateDate: 2022/02/11 02:01 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_CUSTOMER_COMPLAINT_SN_RECORD",indexes = {@Index(columnList = "COMPLAINT_NO")})
@Api("客诉关联条码表")
public class SxQmsCustomerComplaintSnRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7596108366351143473L;

    @Column(name = "COMPLAINT_NO")
    @ApiParam("客诉单号")
    private String complaintNo;

    @AnnoOutputColumn(
            refClass = CommonEnumUtil.TRUE_OR_FALSE.class,
            refForeignKey = "value",
            value = "description",
            hidden = true
    )
    @Column(name = "SN_EXIST_FLAG")
    @ApiParam("条码是否存在于MES包装条码库 1-是；2-否")
    private Integer snExistFlag;

    @Column(name = "SN")
    @ApiParam("条码")
    private String sn;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "WORK_TIME")
    @ApiParam("生产日期")
    private String workTime;

}
