package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :不良率目标表
 * @Reference :
 * @Author : wangjie
 * @CreateDate : 2019-06-04
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_DEFECT_RATE_TARGET", indexes = {
        @Index(columnList = "TARGET_TYPE"),
        @Index(columnList = "TARGET_TIME"),
        @Index(columnList = "DATA_TYPE"),
        @Index(columnList = "DATA_VALUE")
})
@Api("不良率目标表")
public class SxQmsDefectRateTarget extends BaseBean implements Serializable {

    private static final long serialVersionUID = 8611171654839315886L;

    @Column(name = "DATA_TYPE")
    @ApiParam("数据类型")
    private Integer dataType;

    @Column(name = "DATA_VALUE")
    @ApiParam("数据值")
    private String dataValue;

    @Column(name = "TARGET_DESC")
    @ApiParam("描述")
    private String targetDesc;

    @Column(name = "TARGET_TYPE")
    @ApiParam("目标类型 字典维护")
    private String targetType;

    @Column(name = "TARGET_VALUE")
    @ApiParam("目标值")
    private String targetValue;

    @Column(name = "TARGET_TIME")
    @ApiParam("目标年月")
    private String targetTime;
}
