package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/12/4 1:28 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_EVALUATION_MANAGE", indexes = {
        @Index(columnList = "APPLY_NO"),
        @Index(columnList = "DEPARTMENT_CODE"),
        @Index(columnList = "PRODUCT_TYPE"),
        @Index(columnList = "CAUSE_TYPE"),
        @Index(columnList = "VENDOR_NO"),
        @Index(columnList = "PART_NO"),
        @Index(columnList = "RELATE_NO"),
        @Index(columnList = "APPLY_USER"),
        @Index(columnList = "EVALUATION_USER"),
        @Index(columnList = "APPLY_DATE_TIME"),
        @Index(columnList = "EVALUATION_DATE_TIME"),
        @Index(columnList = "CHECK_DATE_TIME")
})
@Api("评价管理表")
public class SxQmsEvaluationManage extends BaseBean implements Serializable {

    private static final long serialVersionUID = 7715068443625877987L;

    @Column(name = "APPLY_NO")
    @ApiParam("申请编号")
    private String applyNo;

    @Column(name = "DEPARTMENT_CODE")
    @ApiParam("部门代码")
    private String departmentCode;

    @Column(name = "PRODUCT_TYPE")
    @ApiParam("产品分类")
    private Integer productType;

    @Column(name = "BU_PRODUCT_TYPE")
    @ApiParam("BU产品分类")
    private String buProductType;

    @Column(name = "CAUSE_TYPE")
    @ApiParam("原因分类")
    private Integer causeType;

    @Column(name = "BU_CAUSE_TYPE")
    @ApiParam("BU原因分类")
    private String buCauseType;

    @Column(name = "APPLY_USER")
    @ApiParam("申请人")
    private String applyUser;

    @Lob
    @Column(name = "APPLY_CONTENT")
    @ApiParam("申请内容")
    private String applyContent;

    @Column(name = "APPLY_DATE_TIME")
    @ApiParam(value = "申请日期")
    private String applyDatetime;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "SAMPLE_PRE_DATE_TIME")
    @ApiParam(value = "样品预交日期")
    private String samplePreDatetime;

    @Column(name = "SAMPLE_REAL_DATE_TIME")
    @ApiParam(value = "样品实交日期")
    private String sampleRealDatetime;

    @Column(name = "EVALUATION_USER")
    @ApiParam(value = "评价人")
    private String evaluationUser;

    @Column(name = "EVALUATION_DATE_TIME")
    @ApiParam(value = "评价时间")
    private String evaluationDatetime;

    @Lob
    @Column(name = "EVALUATION_CONTENT")
    @ApiParam("评价结果")
    private String evaluationContent;

    @Column(name = "RELATE_NO")
    @ApiParam(value = "关联编号")
    private String relateNo;

    @Column(name = "CHECK_DATE_TIME")
    @ApiParam(value = "结果输出时间")
    private String checkDatetime;

    @Lob
    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDatetime;

    @Column(name = "FILE_ID")
    @ApiParam("文件ID")
    private Long fileId;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件源名")
    private String fileOriginName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

}
