package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-21 15:43
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_IMPROVEMENT_EXPERIENCE")
@Api("改善经验库表")
public class SxQmsImprovementExperience extends BaseBean implements Serializable {
    private static final long serialVersionUID = -3362434680574391652L;

    @Column(name = "IMPROVE_TYPE")
    @ApiParam(value = "改善类别")
    private Integer improveType;

    @Lob
    @Column(name = "PROBLEM_DESC")
    @ApiParam(value = "问题描述")
    private String problemDesc;

    @Lob
    @Column(name = "SOLUTION")
    @ApiParam(value = "解决方案")
    private String solution;

    @Column(name = "REMARK")
    @ApiParam(value = "备注")
    private String remark;

    @Column(name = "MACHINE_CODE")
    @ApiParam(value = "机种编码")
    private String machineCode;

    @Column(name = "MACHINE_NAME")
    @ApiParam(value = "机种名称")
    private String machineName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "产线")
    private String workCenterCode;

    @Column(name = "PART_NO")
    @ApiParam(value = "物料编码")
    public String partNo;

    @ApiParam("分类1")
    @Column(name = "CATEGORY_CODE1")
    @AnnoOutputColumn(refClass = QmsEnumUtil.CATEGORY_CODE1.class, refForeignKey = "value", value = "description", hidden = true)
    private String categoryCode1;

}
