package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.*;

/**
 * @description: 检验方式变更管理表
 * @author: jiaqi.hou
 * @date: 2022/04/26
 */
@Data
@Entity
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_INSPECTION_METHOD_CHANGE_MANAGEMENT", indexes = {@Index(columnList = "PART_NO,PART_NAME,VENDOR_NO,VENDOR_NAME,IS_STRICTER,IS_CONFIRM")})
@Api("检验方式变更管理表")
public class SxQmsInspectionMethodChangeManagement extends BaseBean {
    @Column(name = "PART_NO")
    @ApiParam("物料代码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商代码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "IS_STRICTER")
    @ApiParam("是否加严检")
    @AnnoOutputColumn(refClass = QmsEnumUtil.IS_STRICTER.class, refForeignKey = "value", value = "description")
    private Integer isStricter;

    @Column(name = "IS_CONFIRM")
    @ApiParam("是否确认检")
    @AnnoOutputColumn(refClass = QmsEnumUtil.IS_CONFIRM.class, refForeignKey = "value", value = "description")
    private Integer isConfirm;

}
