package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_KNOWHOW")
@Api("KNOWHOW集")
public class SxQmsKnowhow extends BaseBean {

    @Column(name = "MACHINE_CODE")
    @ApiParam("机种编码")
    private String machineCode;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "PROBLEM_DESC")
    @ApiParam("问题描述")
    private String problemDesc;

    @Column(name = "TEMPORARY_ACTION")
    @ApiParam("现行对策")
    private String temporaryAction;

    @Column(name = "NEW_PRODUCTS_DESC")
    @ApiParam("新品推进")
    private String newProductsDesc;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;
}
