package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/12/4 1:28 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_LIMIT_COLOR_CFG", indexes = {
        @Index(columnList = "MODULE")
})
@Api("上下限颜色配置表")
public class SxQmsLimitColorCfg extends BaseBean implements Serializable {

    private static final long serialVersionUID = -2136605955136620660L;

    @Column(name = "MODULE")
    @ApiParam("功能模块")
    private Integer module;

    @Column(name = "UP_LIMIT")
    @ApiParam("上限值")
    private String upLimit;

    @Column(name = "DOWN_LIMIT")
    @ApiParam("下限值")
    private String downLimit;

    @Column(name = "COLOR_CODE")
    @ApiParam("颜色代码")
    private String colorCode;

}
