package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :机种信息
 * @Reference :
 * @Author : puxiao.liao
 * @CreateDate : 2022-04-03 20:37
 * @Modify:
 **/
@Data
@Entity
@Table(name="SX_QMS_MACHINE")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="机种信息",description = "机种信息")
public class SxQmsMachine extends BaseBean{

    @Column(name = "MACHINE_CODE")
    @ApiParam(value = "机种编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String machineCode;

    @Column(name = "MACHINE_NAME")
    @ApiParam(value = "机种名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String machineName;
}
