package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description : 管理试验监控记录
 * @Reference :
 * @Author : dominic
 * @CreateDate : 2022/5/30 14:52
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MANAGEMENT_TEST_MONITORING_RECORD")
@Api("管理试验监控记录")
public class SxQmsManagementTestMonitoringRecord extends BaseBean implements Serializable {


    @Column(name = "MONITORING_TYPE")
    @ApiParam("监控类型")
    private Integer monitoringType;

    @Column(name = "PRODUCT_TYPE")
    @ApiParam("产品类型")
    private String productType;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "TO_LAND")
    @ApiParam("仕向地")
    private String toLand;

    @Column(name = "VOLTAGE_FREQUENCY")
    @ApiParam("电压频率")
    private String voltageFrequency;

    @Column(name = "COUNT")
    @ApiParam("台数")
    private String count;

    @Column(name = "TEST_CYCLE")
    @ApiParam("试验周期")
    private String testCycle;

    @Column(name = "PART_PRODUCE_TYPE")
    @ApiParam("部品区分")
    private Integer partProduceType;

    @Column(name = "TEST_TYPE_DISTINGUISH")
    @ApiParam("试验类型区分")
    private Integer testTypeDistinguish;

    @Column(name = "PLAN")
    @ApiParam("计划")
    private String plan;

    @Column(name = "RESULT")
    @ApiParam("实绩")
    private String result;

    @Column(name = "MEMO")
    @ApiParam("备注")
    private String memo;

    @Lob
    @Column(name = "MANUFACTURER_REPORT_ATTACHMENT")
    @ApiParam("厂家报表附件")
    private String manufacturerReportAttachment;

    @Lob
    @Column(name = "SELF_CHECK_REPORT_ATTACHMENT")
    @ApiParam("自检报表附件")
    private String selfCheckReportAttachment;

    @Transient
    @ApiParam("计划开始时间")
    private String planBegin;

    @Transient
    @ApiParam("计划结束时间")
    private String planEnd;

    @Transient
    @ApiParam("实绩开始时间")
    private String resultBegin;

    @Transient
    @ApiParam("实绩结束时间")
    private String resultEnd;

    @Transient
    @ApiParam("颜色")
    private String color;
}
