package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.annotation.EntityColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :
 * @Author : FutureSoldiers
 * @Create : 2022/10/26 11:25
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MIDDLE_CHECK_DETAILS",indexes = {@Index(columnList = "ORDER_NO")})
@Api("中间检查明细表")
public class SxQmsMiddleCheckDetails  extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;
    @Column(name = "TASK_DESC")
    @AnnoOutputColumn(name = "任务描述")
    @ApiParam("任务描述")
    private String taskDesc;

    @Column(name = "TASK_NO")
    @AnnoOutputColumn(name = "任务编码")
    @ApiParam("任务编码")
    private String taskNo;


    @Column(name = "TASK_NAME")
    @AnnoOutputColumn(name = "任务名称")
    @ApiParam("任务名称")
    private String taskName;


    @EntityColumn(isRequired = true,isPrimary = true)
    @Column(name = "CHECK_TYPE")
    @ApiParam("检测类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.CHECK_JUDGE_TYPE.class, refForeignKey = "value", value = "description")
    private Integer checkType;

    @Column(name = "STANDARD_VALUE")
    @ApiParam("标准值")
    private String standardValue;

    @Column(name = "MAX_VALUE")
    @ApiParam("最大值")
    private Double maxValue;

    @Column(name = "MIN_VALUE")
    @ApiParam("最小值")
    private Double minValue;

    @Column(name = "IS_NECESSARY",columnDefinition = "int(11) default 1")
    @ApiParam("是否必检")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isNecessary;

    @Column(name = "CHECK_SEQ")
    @ApiParam("检验顺序")
    private Integer checkSeq;

    @Column(name = "PROJECT_TYPE")
    @ApiParam("项目分类")
    private String projectType;

    @Column(name = "CHECK_ITEM")
    @ApiParam("检查项")
    private String checkItem;

    @Column(name = "CHECK_ITEM_DESC")
    @ApiParam("检查项内容")
    private String checkItemDesc;

    @Column(name = "CHECK_STANDARD_DESC")
    @ApiParam("检测标准描述")
    private String checkStandardDesc;

    @Column(name = "CHECK_TOOL")
    @ApiParam("检查器具")
    private String checkTool;






}
