package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Description :
 * @Author : FutureSoldiers
 * @Create : 2022/10/26 11:18
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MIDDLE_CHECK_MASTER",indexes = {@Index(columnList = "ORDER_NO")})
@Api("中间检查主表")
public class SxQmsMiddleCheckMaster  extends BaseBean implements Serializable {


    @Column(name = "TASK_DESC")
    @AnnoOutputColumn(name = "任务描述", refForeignKey = "value", value = "description")
    @ApiParam("任务描述")
    private String taskDesc;

    @Column(name = "TASK_NO")
    @AnnoOutputColumn(name = "任务编码", refForeignKey = "value", value = "description")
    @ApiParam("任务编码")
    private String taskNo;


    @Column(name = "TASK_NAME")
    @AnnoOutputColumn(name = "任务名称", refForeignKey = "value", value = "description")
    @ApiParam("任务名称")
    private String taskName;

    @Column(name = "FILE_PATH")
    @ApiParam("文件路径")
    private String filePath;

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;



    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "FILE_ORIGINAL_NAME")
    @ApiParam("文件名称")
    private String fileOriginalName;


}
