package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :
 * @Author : FutureSoldiers
 * @Create : 2022/10/25 16:39
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MIDDLE_CHECK_TASK",indexes = {@Index(columnList = "ORDER_NO")})
@Api("中间检查任务表")
public class SxQmsMiddleCheckTask  extends BaseBean {

    @Column(name = "TASK_NO")
    @ApiParam("任务编码")
    private String taskNo;

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "TASK_DESC")
    @AnnoOutputColumn(name = "任务描述")
    @ApiParam("任务描述")
    private String taskDesc;

    @Column(name = "TASK_NAME")
    @AnnoOutputColumn(name = "任务名称")
    @ApiParam("任务名称")
    private String taskName;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

//    @Column(name = "INSPECTION_NAME")
//    @ApiParam("巡查项名称")
//    private String inspectionName;

//    @Column(name = "AREA_CODE")
//    @ApiParam("区域编码")
//    private String areaCode;

    /*@Column(name = "AREA_NAME")
    @ApiParam("区域名称")
    private String areaName;*/

//    @Column(name = "WORK_CENTER")
//    @ApiParam("生产线编码")
//    private String workCenter;
//
//    @Column(name = "WORK_CENTER_NAME")
//    @ApiParam("生产线名称")
//    private String workCenterName;

    @Column(name = "ORDER_STATUS")
    @ApiParam("单据状态")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PROJECT_INSPECTION_TASK_ORDER_STATUS.class, refForeignKey = "value", value = "description")
    private Integer orderStatus;

    @Column(name = "ORDER_RESULT")
    @ApiParam("单据结果")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QMS_OQC_CHECK_DETAIL_RESULT.class, refForeignKey = "value", value = "description")
    private Integer orderResult;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "FILE_ORIGINAL_NAME")
    @ApiParam("文件名称")
    private String fileOriginalName;

    @Column(name = "FILE_PATH")
    @ApiParam("文件路径")
    private String filePath;

    @Column(name = "DUTY_DIFF")
    @ApiParam("责任区分 QmsEnumUtil.EP_QMS_OQC_CHECK_DUTY_DIFF  10-制造、20-部品、30技术、40-其他，每个客诉单分析可选择多条原因区分项")
    private String dutyDiff;

}
