package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :
 * @Author : FutureSoldiers
 * @Create : 2022/10/25 16:54
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MIDDLE_CHECK_TASK_RECORD",indexes = {@Index(columnList = "ORDER_NO")})
@Api("中间检查检测记录表")
public class SxQmsMiddleCheckTaskRecord extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "TASK_NO")
    @AnnoOutputColumn(name = "任务编码")
    @ApiParam("任务编码")
    private String taskNo;


    @Column(name = "RECORD_RESULT")
    @ApiParam("结果")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QMS_OQC_CHECK_DETAIL_RESULT.class, refForeignKey = "value", value = "description")
    private Integer recordResult;

    @Column(name = "CHECK_TYPE")
    @ApiParam("检测类型")
    private Integer checkType;

    @Column(name = "ACTUAL_VALUE")
    @ApiParam("实测值")
    private String actualValue;

    /**
     * 比值类型 可能为字符串
     **/
    @Column(name = "STANDARD_VALUE")
    @ApiParam("标准值")
    private String standardValue;

    @Column(name = "MAX_VALUE")
    @ApiParam("最大值")
    private Double maxValue;

    @Column(name = "MIN_VALUE")
    @ApiParam("最小值")
    private Double minValue;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "IS_NECESSARY")
    @ApiParam("是否必检")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isNecessary;

    @Column(name = "PROJECT_TYPE")
    @ApiParam("项目分类")
    private String projectType;

    @Column(name = "CHECK_ITEM")
    @ApiParam("检查项")
    private String checkItem;

    @Column(name = "CHECK_SEQ")
    @ApiParam("检验顺序")
    private Integer checkSeq;

    @Column(name = "CHECK_ITEM_DESC")
    @ApiParam("检查项内容")
    private String checkItemDesc;

    @Column(name = "CHECK_STANDARD_DESC")
    @ApiParam("检测标准描述")
    private String checkStandardDesc;

    @Column(name = "CHECK_TOOL")
    @ApiParam("检查器具")
    private String checkTool;



    @Transient
    @ApiParam("单据状态")
    private Integer orderStatus;

    @Transient
    @ApiParam("总结果")
    private Integer taskRecordResult;

    @Transient
    @ApiParam(value = "开始时间")
    private String createDatetimeStart;

    @Transient
    @ApiParam(value = "结束时间")
    private String createDatetimeEnd;

}

