package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/7/30 9:30 AM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MODULE_EXCEL_MANAGE", indexes = {
        @Index(columnList = "MODULE_CODE"),
        @Index(columnList = "MODULE_NAME")
})
@Api("模块EXCEL管理表")
public class SxQmsModuleExcelManage extends BaseBean implements Serializable {

    private static final long serialVersionUID = -7408420967872044535L;

    @Column(name = "MODULE_CODE")
    @ApiParam("模块代码")
    private String moduleCode;

    @Column(name = "MODULE_NAME")
    @ApiParam("模块名称")
    private String moduleName;

    @Column(name = "FILE_ID")
    @ApiParam("文件id")
    private Long fileId;

    @Transient
    @ApiParam("文件URL")
    private String fileUrl;

}
