package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/7/30 9:30 AM
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MODULE_FILE_IMPORT_LOT", indexes = {
        @Index(columnList = "LOT_NO"),
        @Index(columnList = "MODULE")
})
@Api("模块文件导入批次表")
public class SxQmsModuleFileImportLot extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6337301955352888766L;

    @Column(name = "LOT_NO")
    @ApiParam("批次号")
    private String lotNo;

    @Column(name = "MODULE")
    @ApiParam("模块")
    private String module;

}
