package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/12/4 1:28 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MONITOR_MANAGE", indexes = {
        @Index(columnList = "MODULE"),
        @Index(columnList = "MANAGE_NO"),
        @Index(columnList = "PART_NO"),
        @Index(columnList = "VENDOR_NO"),
        @Index(columnList = "PRODUCT_TYPE"),
        @Index(columnList = "MACHINE_CODE"),
        @Index(columnList = "CLASSIFY"),
        @Index(columnList = "LEVEL"),
        @Index(columnList = "CHECK_DIFF"),
        @Index(columnList = "CATEGORY"),
        @Index(columnList = "PROJECT_NAME")
})
@Api("RoHS检测/管理试验监控 管理表")
public class SxQmsMonitorManage extends BaseBean implements Serializable {

    private static final long serialVersionUID = -6293666166432566762L;

    @Column(name = "MODULE")
    @ApiParam(value = "模块")
    private Integer module;

    @Column(name = "MANAGE_NO")
    @ApiParam("编号")
    private String manageNo;

    @Column(name = "CHECK_DATE")
    @ApiParam("检测时间 不进行计算,仅显示,可编辑")
    private String checkDate;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "PRODUCT_TYPE")
    @ApiParam("产品分类")
    private Integer productType;

    @Column(name = "PRODUCT_TYPE_STR")
    @ApiParam("BU产品分类")
    private String productTypeStr;

    @Column(name = "MACHINE_CODE")
    @ApiParam("机种编码")
    private String machineCode;

    @Column(name = "MACHINE_NAME")
    @ApiParam(value = "机种名称")
    private String machineName;

    @Column(name = "CLASSIFY")
    @ApiParam(value = "分类")
    private Integer classify;

    @Column(name = "LEVEL")
    @ApiParam(value = "等级")
    private Integer level;

    @Column(name = "CHECK_FREQUENCY")
    @ApiParam(value = "检测频度")
    private Integer checkFrequency;

    @Column(name = "CHECK_DATE_TIME")
    @ApiParam(value = "计划检测日期")
    private String checkDatetime;

    @Column(name = "CHECKED_DATE_TIME")
    @ApiParam(value = "检测确认日期")
    private String checkedDatetime;

    @Column(name = "CHECKED_USER")
    @ApiParam(value = "检测确认人")
    private String checkedUser;

    @Column(name = "CHECK_DIFF")
    @ApiParam("检查区分")
    private String checkDiff;

    @Column(name = "CATEGORY")
    @ApiParam("类别")
    private String category;

    @Column(name = "PROJECT_NAME")
    @ApiParam("管理试验项目")
    private String projectName;

    @Column(name = "PHTHALATES_CHECK")
    @ApiParam(value = "邻苯是否检测")
    private Integer phthalatesCheck;

    @Column(name = "PHTHALATES_LEVEL")
    @ApiParam("邻苯等级")
    private Integer phthalatesLevel;

    @Column(name = "PHTHALATES_CHECK_FREQUENCY")
    @ApiParam("邻苯检测频度")
    private Integer phthalatesCheckFrequency;

    @Column(name = "PHTHALATES_ACTUAL_CHECK_DATE")
    @ApiParam("邻苯实际检测日期")
    private String phthalatesActualCheckDate;

    @Column(name = "PHTHALATES_CHECKED_USER")
    @ApiParam(value = "邻苯检测确认人")
    private String phthalatesCheckedUser;

    @Column(name = "PHTHALATES_EXPECTED_CHECK_DATE")
    @ApiParam(value = "邻苯预计检测日期")
    private String phthalatesExpectedCheckDate;

//    @Column(name = "PHTHALATES_CHECK_REMIND")
//    @ApiParam(value = "邻苯检测提醒")
//    private Integer phthalatesCheckRemind;

}
