package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/12/4 1:28 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_MONITOR_MANAGE_RECORD", indexes = {
        @Index(columnList = "MANAGE_NO")
})
@Api("RoHS检测记录表")
public class SxQmsMonitorManageRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = 9063204896109148540L;

    @Column(name = "MODULE")
    @ApiParam(value = "模块")
    private Integer module;

    @Column(name = "MANAGE_NO")
    @ApiParam("编号")
    private String manageNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "PRODUCT_TYPE")
    @ApiParam("产品分类")
    private Integer productType;

    @Column(name = "PRODUCT_TYPE_STR")
    @ApiParam("BU产品分类")
    private String productTypeStr;

    @Column(name = "MACHINE_CODE")
    @ApiParam("机种编码")
    private String machineCode;

    @Column(name = "MACHINE_NAME")
    @ApiParam(value = "机种名称")
    private String machineName;

    @Column(name = "CLASSIFY")
    @ApiParam(value = "分类")
    private Integer classify;

    @Column(name = "LEVEL")
    @ApiParam(value = "等级")
    private Integer level;

    @Column(name = "CHECK_FREQUENCY")
    @ApiParam(value = "检测频度")
    private Integer checkFrequency;

    @Column(name = "CHECK_DATE_TIME")
    @ApiParam(value = "计划检测日期")
    private String checkDatetime;

    @Column(name = "CHECK_STATUS")
    @ApiParam(value = "检测确认状态")
    private Integer checkStatus;

    @Column(name = "CHECKED_DATE_TIME")
    @ApiParam(value = "检测确认日期")
    private String checkedDatetime;

    @Column(name = "CHECKED_FRE_DATE_TIME")
    @ApiParam(value = "检测确认计划日期")
    private String checkedFreDatetime;

    @Column(name = "CHECKED_USER")
    @ApiParam(value = "检测确认人")
    private String checkedUser;

    @Column(name = "CHECK_DIFF")
    @ApiParam("检查区分")
    private String checkDiff;

    @Column(name = "CATEGORY")
    @ApiParam("类别")
    private String category;

    @Column(name = "PROJECT_NAME")
    @ApiParam("管理试验项目")
    private String projectName;

    @Column(name = "CHECK_REMIND")
    @ApiParam(value = "检测提醒")
    private Integer checkRemind;

    @Column(name = "CHECK_REMIND_COLOR")
    @ApiParam(value = "检测提醒颜色")
    private String checkRemindColor;

    /**
     * 10-普通检查 20-邻苯检测
     */
    @Column(name = "ACTION_TYPE")
    @ApiParam("检测类型")
    private Integer actionType;

    @Column(name = "LAST_CHECK_DATE_TIME")
    @ApiParam(value = "上次预计检测日期")
    private String lastCheckDatetime;

    @Column(name = "LAST_CHECKED_DATE_TIME")
    @ApiParam(value = "上次实际检测日期")
    private String lastCheckedDatetime;

    @Column(name = "REMARK")
    @ApiParam(value = "备注")
    private String remark;

    @Column(name = "CHECK_RESULT")
    @ApiParam(value = "检测确认结果 10-合格；20-不合格")
    private Integer checkResult;

//    @Column(name = "PHTHALATES_CHECKED_USER")
//    @ApiParam(value = "邻苯检测确认人")
//    private String phthalatesCheckedUser;

//    @Column(name = "DODP_LAST_EXPECTED_CHECK_DATE")
//    @ApiParam(value = "邻苯上次计划时间")
//    private String dODPLastExpectedCheckDate;

//    @Column(name = "DODP_EXPECTED_CHECK_DATE")
//    @ApiParam(value = "邻苯预测检测日期")
//    private String dODPExpectedCheckDate;

//    @Column(name = "DODP_CHECK_REMIND")
//    @ApiParam(value = "邻苯检测提醒")
//    private Integer dODPCheckRemind;


//    @Column(name = "DODP_CHECK")
//    @ApiParam(value = "邻苯是否检测")
//    private Integer dODPCheck;

//    @Column(name = "DODP_LEVEL")
//    @ApiParam("邻苯等级")
//    private String dODPLevel;

//    @Column(name = "DODP_CHECK_FREQUENCY")
//    @ApiParam("邻苯检测频度")
//    private Integer dODPCheckFrequency;

//    @Column(name = "DODP_ACTUAL_CHECK_DATE")
//    @ApiParam("邻苯实际检测日期")
//    private String dODPActualCheckDate;
}
