package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @Author: wangjie
 * @CreateDate: 2019/12/4 1:28 下午
 * @Description:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_OQC_RULE_NOTE", indexes = {
        @Index(columnList = "PART_NO")
})
@Api("出货检验式样书表")
public class SxQmsOqcRuleNote extends BaseBean implements Serializable {

    private static final long serialVersionUID = 4676564294981232898L;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "CATEGORY_CODE")
    @ApiParam("机种分类")
    private String categoryCode;

    @Column(name = "COMPLATE_DATE")
    @ApiParam("作成日期")
    private String complateDate;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDatetime;

    @Column(name = "FILE_ID")
    @ApiParam("文件ID")
    private Long fileId;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件源名")
    private String fileOriginName;

    @Column(name = "LOT_NO")
    @ApiParam("批次号")
    private String lotNo;
}
