package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description : 物料产线信息
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022/5/17 14:31
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_PART_WORK_CENTER", indexes = {
        @Index(columnList = "PART_NO"),
        @Index(columnList = "WORK_CENTER_CODE")
})
@Api("QMS物料产线信息")
public class SxQmsPartWorkCenter extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam("产线代码")
    private String workCenterCode;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam("产线名称")
    private String workCenterName;

    public SxQmsPartWorkCenter (){}

    public SxQmsPartWorkCenter(String partNo,
                               String partName,
                               String workCenterCode,
                               String workCenterName,
                               String organizeCode) {
        this.partNo = partNo;
        this.partName = partName;
        this.workCenterCode = workCenterCode;
        this.workCenterName = workCenterName;
        this.organizeCode = organizeCode;
    }
}
