package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;
import javax.persistence.Transient;
import java.io.Serializable;

/**
 * @Description:
 * @Author: Dominic
 * @Date: 2022-05-27 10:53:53
 * @Modify:
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "SX_QMS_PROCEDURE_PROJECT")
@Api("质量巡检项目")
public class SxQmsProcedureProject extends BaseBean implements Serializable {

    private static final long serialVersionUID = 6743916346649297107L;

    @Column(name = "PROJECT_SORT_NO")
    @ApiParam(value = "项目分类代码")
    private String projectSortNo;

    @Column(name = "PROJECT_CODE")
    @ApiParam(value = "项目代码")
    public String projectCode;

    @Column(name = "PROJECT_NAME")
    @ApiParam(value = "项目名称")
    public String projectName;

    @Column(name = "CHECK_TYPE")
    @ApiParam(value = "巡检类型")
    public Integer checkType;

    @Transient
    @ApiParam(value = "巡检类型描述")
    public String checkTypeStr;

    @Column(name = "STANDARD_VALUE")
    @ApiParam(value = "标准值")
    public String standardValue;

    @Column(name = "MIN_VALUE")
    @ApiParam(value = "下限值")
    public String minValue;

    @Column(name = "MAX_VALUE")
    @ApiParam(value = "上限值")
    public String maxValue;

    @Column(name = "MEMO")
    @ApiParam(value = "备注")
    public String memo;
}
