package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_PRODUCT_STOP_ORDER")
@Api("生产停止指令书")
public class SxQmsProductStopOrder extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "MANAGE_NO")
    @ApiParam("管理NO")
    private String manageNo;

    @Column(name = "STANDARD")
    @ApiParam("基准")
    private String standard;

    @Column(name = "PIECE_NAME")
    @ApiParam("件名")
    private String pieceName;

    @Column(name = "REASON")
    @ApiParam("理由")
    private String reason;

    @Column(name = "SUM_QTY")
    @ApiParam("在库部品数量")
    private Integer sumQty;

    @Column(name = "ORDER_STATUS")
    @ApiParam("状态")
    @AnnoOutputColumn(refClass = QmsEnumUtil.STOP_ORDER_STATUS.class)
    private Integer orderStatus;

    @Column(name = "DEAL_OPTION")
    @ApiParam("在库部处置方法")
    private String dealOption;

    @Column(name = "HELF_PRODUCT_QTY")
    @ApiParam("半成品数量")
    private Double helfProductQty;

    @Column(name = "HELF_DEAL_OPTION")
    @ApiParam("半成品处置方法")
    private String helfDealOption;

    @Column(name = "PRODUCT_QTY")
    @ApiParam("在库成品数量")
    private Double productQty;

    @Column(name = "PRODUCT_DEAL_OPTION")
    @ApiParam("在库成品处置方法")
    private String productDealOption;

    @Column(name = "VENDOR_QTY")
    @ApiParam("厂家库存数量")
    private Double vendorQty;

    @Column(name = "VENDOR_DEAL_OPTION")
    @ApiParam("厂家库存处置方法")
    private String vendorDealOption;

    @Column(name = "IS_APPEND_CHANGE")
    @ApiParam("是否追加变更")
    private Integer isAppendChange;

    @Column(name = "CHANGE_CONTENT_TYPE")
    @ApiParam("变更内容")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PRODUCT_STOP_CHANGE_CONTENT.class)
    private Integer changeContentType;

    @Column(name = "REF_ORDER_NO")
    @ApiParam("关联单号")
    private String refOrderNo;

    @Column(name = "PUBLISH_DATE")
    @ApiParam("发行日期")
    private String publishDate;

    @Column(name = "MACHINE_CODE")
    @ApiParam("机种编码")
    private String machineCode;

    @Column(name = "RELIEVE_DATE")
    @ApiParam("解除日期")
    private String relieveDate;

    @Column(name = "RELIEVE_REASON")
    @ApiParam("解除理由")
    private String relieveReason;

    @Column(name = "RELIEVE_USER_NAME")
    @ApiParam("解除人")
    private String relieveUserName;

    @Column(name = "RELIEVE_TIME")
    @ApiParam("解除时间")
    private String relieveTime;

    @Transient
    @ApiParam("查询参数，起始发行日期")
    private String publishDateStart;

    @Transient
    @ApiParam("查询参数，结束发行日期")
    private String publishDateEnd;
}
