package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.annotation.EntityColumn;
import cn.estsh.i3plus.pojo.qms.annotation.ExcelColumn;
import cn.estsh.i3plus.pojo.qms.annotation.ExcelTable;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_PROJECT_INSPECTION_DETAILS",indexes = {@Index(columnList = "INSPECTION_NO")})
@Api("工程巡查任务维护明细")
@ExcelTable(onlyReadLabel = false)
public class SxQmsProjectInspectionDetails extends BaseBean {

    @EntityColumn(isRequired = true,isPrimary = true)
    @Column(name = "INSPECTION_NO")
    @ApiParam("巡检单号")
    private String inspectionNo;

    @EntityColumn(isRequired = true,isPrimary = true)
    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @ExcelColumn(customLogicGet = true,customLogicGetCommon = true)
    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @EntityColumn(isRequired = true,isPrimary = true)
    @Column(name = "CHECK_TYPE")
    @ApiParam("检测类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.CHECK_JUDGE_TYPE.class, refForeignKey = "value", value = "description")
    private Integer checkType;

    @Column(name = "STANDARD_VALUE")
    @ApiParam("标准值")
    private String standardValue;

    @Column(name = "MAX_VALUE")
    @ApiParam("最大值")
    private Double maxValue;

    @Column(name = "MIN_VALUE")
    @ApiParam("最小值")
    private Double minValue;

    @Column(name = "IS_NECESSARY",columnDefinition = "int(11) default 1")
    @ApiParam("是否必检")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isNecessary;
}
