package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.annotation.EntityColumn;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_PROJECT_INSPECTION_MASTER",indexes = {@Index(columnList = "INSPECTION_NO")})
@Api("工程巡查任务维护")
public class SxQmsProjectInspectionMaster extends BaseBean {

    @EntityColumn(isPrimary = true)
    @Column(name = "INSPECTION_NO")
    @ApiParam("巡检项编码")
    private String inspectionNo;

    @EntityColumn(isRequired = true)
    @Column(name = "INSPECTION_NAME")
    @ApiParam("巡检项名称")
    private String inspectionName;

    @EntityColumn()
    @Column(name = "INSPECTION_DESC")
    @ApiParam("巡检项描述")
    private String inspectionDesc;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "FILE_ORIGINAL_NAME")
    @ApiParam("原始文件名称")
    private String fileOriginalName;

    @Column(name = "FILE_PATH")
    @ApiParam("文件路径")
    private String filePath;
}
