package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_PROJECT_INSPECTION_TASK",indexes = {@Index(columnList = "INSPECTION_NO")})
@Api("工程巡查任务主表")
public class SxQmsProjectInspectionTask extends BaseBean {

    @Column(name = "TASK_NO")
    @ApiParam("任务编码")
    private String taskNo;

    @Column(name = "INSPECTION_NO")
    @ApiParam("巡查项单号")
    private String inspectionNo;

    @Column(name = "INSPECTION_NAME")
    @ApiParam("巡查项名称")
    private String inspectionName;

    @Column(name = "AREA_CODE")
    @ApiParam("区域编码")
    private String areaCode;

    /*@Column(name = "AREA_NAME")
    @ApiParam("区域名称")
    private String areaName;*/

    @Column(name = "WORK_CENTER")
    @ApiParam("生产线编码")
    private String workCenter;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam("生产线名称")
    private String workCenterName;

    @Column(name = "ORDER_STATUS")
    @ApiParam("单据状态")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PROJECT_INSPECTION_TASK_ORDER_STATUS.class, refForeignKey = "value", value = "description")
    private Integer orderStatus;

    @Column(name = "ORDER_RESULT")
    @ApiParam("单据结果")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QMS_OQC_CHECK_DETAIL_RESULT.class, refForeignKey = "value", value = "description")
    private Integer orderResult;

    @Column(name = "TASK_DESC")
    @ApiParam("任务描述")
    private String taskDesc;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Column(name = "FILE_ORIGINAL_NAME")
    @ApiParam("原始文件名称")
    private String fileOriginalName;

    @Column(name = "FILE_PATH")
    @ApiParam("文件路径")
    private String filePath;

    @Transient
    @ApiParam(value = "开始时间")
    private String createDatetimeStart;

    @Transient
    @ApiParam(value = "结束时间")
    private String createDatetimeEnd;
}
