package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * 文件描述
 * 出货检验项目类型 & 受检项目类型
 *
 * @author puxiao.liao
 * @date 2021年02月11日 9:59
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_PROJECT_TYPE", indexes = {
        @Index(columnList = "PROJECT_CODE, MODULE")
})
@Api("检验项目类型")
public class SxQmsProjectType extends BaseBean {

    @Column(name = "PROJECT_CODE")
    @ApiParam("项目类型编码")
    private String projectCode;

    @Column(name = "PROJECT_NAME")
    @ApiParam("项目类型名称")
    private String projectName;

    @Column(name = "MODULE")
    @ApiParam("所属模块")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PROJECT_TYPE_MODULE.class, refForeignKey = "value", value = "description")
    private Integer module;
}


