package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_QC_TRANS_DETAILS",indexes = {@Index(columnList = "ORDER_NO")})
@Api("收货检测记录结果值")
public class SxQmsQCTransDetails extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "PROJECT_CODE")
    @ApiParam("项目类型")
    private String projectCode;

    @Column(name = "PROJECT_NAME")
    @ApiParam("项目类型")
    private String projectName;

    @Column(name = "CHECK_CONTENT")
    @ApiParam("项目规格")
    private String checkContent;

    @Column(name = "CHECK_TYPE")
    @ApiParam("检测类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.CHECK_JUDGE_TYPE.class, refForeignKey = "value", value = "description")
    private Integer checkType;

    @Column(name = "STANDARD_VALUE")
    @ApiParam("标准值")
    private String standardValue;

    @Column(name = "STANDARD",columnDefinition = "longtext")
    @ApiParam("判定基准")
    private String standard;

    @Column(name = "ACTUAL_VALUE1")
    @ApiParam("实1")
    private String actualValue1;

    @Column(name = "ACTUAL_VALUE2")
    @ApiParam("实2")
    private String actualValue2;

    @Column(name = "ACTUAL_VALUE3")
    @ApiParam("实3")
    private String actualValue3;

    @Column(name = "ACTUAL_VALUE4")
    @ApiParam("实4")
    private String actualValue4;

    @Column(name = "ACTUAL_VALUE5")
    @ApiParam("实5")
    private String actualValue5;

    @Column(name = "ACTUAL_VALUE6")
    @ApiParam("实6")
    private String actualValue6;

    @Column(name = "ACTUAL_VALUE7")
    @ApiParam("实7")
    private String actualValue7;

    @Column(name = "ACTUAL_VALUE8")
    @ApiParam("实8")
    private String actualValue8;

    @Column(name = "ACTUAL_VALUE9")
    @ApiParam("实9")
    private String actualValue9;

    @Column(name = "ACTUAL_VALUE10")
    @ApiParam("实10")
    private String actualValue10;

    @Column(name = "UP_LIMIT")
    @ApiParam("最大值")
    private String upLimit;

    @Column(name = "DOWN_LIMIT")
    @ApiParam("最小值")
    private String downLimit;

    @Column(name = "CHECK_TOOL")
    @ApiParam("测定器")
    private String checkTool;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDateTime;

    @Column(name = "FILE_ID")
    @ApiParam("文件ID")
    private String fileId;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件源名")
    private String fileOriginName;

    @Column(name = "LOT_NO")
    @ApiParam("批次号")
    private String lotNo;

    @Column(name = "OUT_PROJECT")
    @ApiParam("外协工程")
    private String outProject;

    @Column(name = "OUT_FACTORY")
    @ApiParam("外协出厂")
    private String outFactory;

    @Column(name = "SPECIAL_DESC")
    @ApiParam("特记事项")
    private String specialDesc;

    @Column(name = "DEFECT_LEVEL")
    @ApiParam("缺陷等级")
    @AnnoOutputColumn(refClass = QmsEnumUtil.DEFECT_LEVEL.class, refForeignKey = "value", value = "description")
    private Integer defectLevel;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;


    @Transient
    @ApiParam("结果类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QC_MODE_TYPE.class, refForeignKey = "value", value = "description")
    private Integer qcMode;

    @ApiParam("检测结果")
    @Column(name = "QC_STATUS")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QMS_OQC_CHECK_DETAIL_RESULT.class, refForeignKey = "value", value = "description")
    private Integer qcStatus;

    @Transient
    @ApiParam("检测结果描述")
    private String qcStatusDesc;



    @Transient
    @ApiParam(value = "开始时间")
    private String createDatetimeStart;

    @Transient
    @ApiParam(value = "结束时间")
    private String createDatetimeEnd;

    @Transient
    @ApiParam(value = "报表统计周期：day-按日统计显示，week-按周统计显示，month-按月")
    private String region;

    @Transient
    @ApiParam(value = "生产日期")
    private String dateCode;

    @Transient
    @Column(name = "CHECK_DATE")
    @ApiParam(value = "检查日期")
    private String checkDate;

    @ApiParam(value = "关联单号")
    @Column(name = "REF_SRC")
    private String refSrc;

    @Transient
    @ApiParam(value = "数量")
    private String qty;

    @Transient
    @ApiParam("部品分类")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PART_PRODUCT_TYPE.class, refForeignKey = "value", value = "description")
    private Integer partType;

    @Transient
    @ApiParam("产品分类")
    @AnnoOutputColumn(refClass = QmsEnumUtil.EP_PRODUCT_TYPE.class, refForeignKey = "value", value = "description")
    private Integer productType;

    @Transient
    @ApiParam("生产线编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.LIST, getValWay = CommonEnumUtil.DYNAMIC_FIELD_GET_WAY.OBJ,
            dataSrc = "cn.estsh.i3plus.ext.qms.pojo.bean.WmsWorkCenter",
            searchColumnName = "workCenterCode,workCenterName", listColumnName = "workCenterCode,workCenterName", explicitColumnName = "workCenterCode")
    private String workCenterCode;

    @Transient
    @ApiParam("检查区分")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PART_CHECK_TYPE.class, refForeignKey = "value", value = "description")
    private Integer partCheckType;

    @ApiParam("抽检条码")
    private String sn;

    @ApiParam("抽检数")
    private Double actQty;

    @ApiParam("单据类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ITEM_TYPE.class, refForeignKey = "value", value = "description")
    private Integer itemType;

    @ApiParam("控制区域")
    private String controlArea;

    @ApiParam("上下限预警区域")
    private String theWarningArea;

    @ApiParam(value = "模块")
    @Column(name = "MODULE")
    @AnnoOutputColumn(refClass = QmsEnumUtil.SX_QMS_RC_RULE_NOTE_MODULE.class, refForeignKey = "value", value = "description")
    private Integer module;

    @Column(name = "CHECK_ITEM")
    @ApiParam("检验项目")
    private String checkItem;

    @Column(name = "STANDARD_OF_CRITERION",columnDefinition = "longtext")
    @ApiParam("BU判定基准")
    private String standardOfCriterion;

    @Column(name = "CHECK_RESULT")
    @ApiParam("检验结果")
    private Integer checkResult;

    @Transient
    @ApiParam("序号")
    private Integer seq;

    @Transient
    @ApiParam("供应商全称")
    private String vendorDesc;

    @Transient
    @ApiParam("预警底色")
    private String isSendEmil;
}
