package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_QC_TRANS_SN",indexes = {@Index(columnList = "ORDER_NO")})
@Api("收货条码检测记录")
public class SxQmsQCTransSn extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("单号")
    private String orderNo;

    @Column(name = "SN")
    @ApiParam("包装条码")
    private String sn;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "ACT_QTY")
    @ApiParam("检测数量")
    private Double actQty;

    @Column(name = "QTY")
    @ApiParam("条码数量")
    private Double qty;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;
}
