package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-20 13:28
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_QUALITY_ABNORMAL_QI_RECORD",indexes = {@Index(columnList = "MEETING_NO")})
@Api("品质异常QI记录")
public class SxQmsQualityAbnormalQIRecord extends BaseBean implements Serializable {

    private static final long serialVersionUID = 7022790811341802100L;

    @Column(name = "MEETING_NO")
    @ApiParam("会议编号")
    private String meetingNo;

    @Column(name = "RECORD_CONTENTS")
    @Lob
    @ApiParam("记录内容")
    private String recordContents;

    @Column(name = "DISPOSE_METHOD")
    @Lob
    @ApiParam("处置对策")
    private String disposeMethod;

    @Column(name = "UNDERTAKE")
    @ApiParam("担当")
    private String undertake;

    @Column(name = "EXECUTE_DATE")
    @ApiParam("实施日")
    private String executeDate;

    @Column(name = "COMPLETE_DATE")
    @ApiParam("完了日")
    private String completeDate;

    @Column(name = "PROGRESS_TRACKING")
    @ApiParam("进度跟踪")
    private String progressTracking;

    @Column(name = "CONTINUE_REVIEW_CONFIRM")
    @ApiParam("继续检讨确认")
    private String continueReviewConfirm;
}
