package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-20 13:28
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_QUALITY_ABNORMAL_QI_RECORD_DETAIL",indexes = {@Index(columnList = "MEETING_NO")})
@Api("品质异常QI记录详细")
public class SxQmsQualityAbnormalQIRecordDetail extends BaseBean implements Serializable {

    private static final long serialVersionUID = -5961264843313444067L;

    @Column(name = "MEETING_NO")
    @ApiParam("会议编号")
    private String meetingNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME")
    @ApiParam("物料名称")
    private String partName;

    @Column(name = "DUTY_DIFF")
    @ApiParam("责任区分")
    private Integer dutyDiff;

    @Column(name = "QTY")
    @ApiParam("生产数量")
    private Integer qty;

    @Column(name = "DEFECT_QTY")
    @ApiParam("不良数量")
    private Integer defectQty;

    @Column(name = "DEFECT_RATE")
    @ApiParam("不良率")
    private String defectRate;

    @Transient
    @ApiParam("责任区分")
    private String dutyDiffName;
}
