package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_RC_INSPECTION_FREE",indexes = {@Index(columnList = "PART_NO")})
@Api("物料免检清单")
public class SxQmsRcInspectionFree extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "QC_SAME_BATCH_COUNT", columnDefinition = "int default 0")
    @ApiParam("已质检批次")
    private Integer qcSameBatchCount;


    @Column(name = "STATUS",columnDefinition = "int default 2")
    @ApiParam("生效/失效")
    @AnnoOutputColumn(refClass = QmsEnumUtil.INSPECTION_FREE_STATUS.class, refForeignKey = "value", value = "description")
    private Integer status;
}
