package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * 受入检验
 * 零部件校验规格书明细
 *
 * @author songlian.shi
 * @date 2021年02月11日 17:07
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_RC_RULE_NOTE_DETAIL",indexes = {@Index(columnList = "PART_NO")})
@Api("零部件校验规格书明细(受入检验)")
public class SxQmsRcRuleNoteDetail extends BaseBean {

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "PROJECT_CODE")
    @ApiParam("项目类型编码")
    private String projectCode;

    @Column(name = "PROJECT_NAME")
    @ApiParam("项目类型名称")
    private String projectName;

    @Column(name = "CHECK_CONTENT")
    @ApiParam("项目规格")
    private String checkContent;

    @Column(name = "CHECK_TYPE")
    @ApiParam("检测类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.BU_CHECK_JUDGE_TYPE.class, refForeignKey = "value", value = "description")
    private Integer checkType;

/*
    @Column(name = "STANDARD_VALUE")
    @ApiParam("标准值")
    private String standardValue;
*/

    @Column(name = "STANDARD")
    @ApiParam("标准值")
    private String standard;

    @Column(name = "UP_LIMIT")
    @ApiParam("最大值")
    private String upLimit;

    @Column(name = "DOWN_LIMIT")
    @ApiParam("最小值")
    private String downLimit;

    @Column(name = "CHECK_TOOL")
    @ApiParam("测定器具")
    private String checkTool;

    @Column(name = "ACT_QTY")
    @ApiParam("抽检数")
    private Integer actQty;

    @Column(name = "ACT_QTY_DESC")
    @ApiParam("抽检数描述")
    private String actQtyDesc;

    @Column(name = "OUT_PROJECT")
    @ApiParam("外协工程")
    private String outProject;

    @Column(name = "OUT_FACTORY")
    @ApiParam("外协出厂")
    private String outFactory;

    @Column(name = "SPECIAL_DESC")
    @ApiParam("特记事项")
    private String specialDesc;

    @Column(name = "DEFECT_LEVEL")
    @ApiParam("缺陷等级")
    @AnnoOutputColumn(refClass = QmsEnumUtil.DEFECT_LEVEL.class, refForeignKey = "value", value = "description")
    private Integer defectLevel;

    @ApiParam("控制区域")
    @Transient
    private String controlArea;

    @Column(name = "ITEM_TYPE")
    @ApiParam("单据类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ITEM_TYPE.class, refForeignKey = "value", value = "description")
    private Integer itemType;

    @ApiParam("上下限预警区域")
    @Transient
    private String theWarningArea;

    @ApiParam("订单号")
    @Transient
    private String orderNo;

    @ApiParam("区分检验作业和零部件受检项目页面")
    @Transient
    @AnnoOutputColumn(refClass = QmsEnumUtil.SX_QMS_RC_RULE_NOTE_PAGE.class, refForeignKey = "value", value = "description")
    private Integer page;

    @ApiParam(value = "模块")
    @Column(name = "MODULE")
    @AnnoOutputColumn(refClass = QmsEnumUtil.SX_QMS_RC_RULE_NOTE_MODULE.class, refForeignKey = "value", value = "description")
    private Integer module;

    @Column(name = "STANDARD_OF_CRITERION",columnDefinition = "longtext")
    @ApiParam("判定基准")
    private String standardOfCriterion;

    @Column(name = "CHECK_ITEM")
    @ApiParam("检验项目")
    private String checkItem;

    @Column(
            name = "CHECK_SERIAL",
            columnDefinition = "decimal(18,8)"
    )
    @ApiParam("检验序列号")
    private Double checkSerial;

    @Transient
    @ApiParam("OK/NG")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QC_STATUS.class, refForeignKey = "value", value = "description")
    private Integer qcStatus;

    private Integer counting;

    @Transient
    @ApiParam("检测值1")
    private int count1;

    @Transient
    @ApiParam("检测值2")
    private int count2;

    @Transient
    @ApiParam("检测值3")
    private int count3;

    @Transient
    @ApiParam("检测值4")
    private int count4;

    @Transient
    @ApiParam("检测值5")
    private int count5;

    @Transient
    @ApiParam("检测值6")
    private int count6;

    @Transient
    @ApiParam("检测值7")
    private int count7;

    @ApiParam("检测值8")
    private int count8;

    @Transient
    @ApiParam("检测值9")
    private int count9;

    @Transient
    @ApiParam("检测值10")
    private int count10;

    @Transient
    @ApiParam("检测值11")
    private int count11;

    @Transient
    @ApiParam("检测值12")
    private int count12;

    @ApiParam("检测值13")
    private int count13;

    @Transient
    @ApiParam("检测值14")
    private int count14;

    @Transient
    @ApiParam("检测值15")
    private int count15;

    @Transient
    @ApiParam("检测值16")
    private int count16;

    @Transient
    @ApiParam("检测值17")
    private int count17;

    @Transient
    @ApiParam("检测值18")
    private int count18;

    @Transient
    @ApiParam("检测值19")
    private int count19;

    @Transient
    @ApiParam("检测值20")
    private int count20;

    @Transient
    @ApiParam("检测值21")
    private int count21;

    @Transient
    @ApiParam("检测值22")
    private int count22;

    @Transient
    @ApiParam("检测值23")
    private int count23;

    @Transient
    @ApiParam("检测值24")
    private int count24;

    @Transient
    @ApiParam("检测值25")
    private int count25;

    @Transient
    @ApiParam("检测值26")
    private int count26;

    @Transient
    @ApiParam("检测值27")
    private int count27;

    @Transient
    @ApiParam("检测值28")
    private int count28;

    @Transient
    @ApiParam("检测值29")
    private int count29;

    @Transient
    @ApiParam("检测值30")
    private int count30;

    @Transient
    @ApiParam("检测值31")
    private int count31;

    @Transient
    @ApiParam("检查区分")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QC_MODE_TYPE.class, refForeignKey = "value", value = "description")
    private String qcMode;

    @Transient
    @ApiParam("批次")
    private String dateCode;

    @Transient
    @ApiParam("质检日期")
    private String qcDate;

    @Transient
    @ApiParam(value = "开始时间")
    private String createDatetimeStart;

    @Transient
    @ApiParam(value = "结束时间")
    private String createDatetimeEnd;

    @Transient
    @ApiParam(value = "报表统计周期：day-按日统计显示，week-按周统计显示，month-按月")
    private String region;



    public SxQmsRcRuleNoteDetail() {

    }

    public SxQmsRcRuleNoteDetail(String partNo, String partNameRdd, String vendorNo, String vendorName, Integer qcStatus, String qcMode, String projectCode) {
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.qcStatus = qcStatus;
        this.qcMode = qcMode;
        this.projectCode = projectCode;
    }

    public SxQmsRcRuleNoteDetail(String partNo,
                                 String partNameRdd,
                                 String vendorNo,
                                 String vendorName,
                                 String projectCode,
                                 String projectName,
                                 Integer qcStatus) {
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.projectCode = projectCode;
        this.projectName = projectName;
        this.qcStatus = qcStatus;
    }
}
