package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-15 11:14
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_RECHECK_INSTRUCTION",indexes = {
        @Index(columnList = "RECHECK_INSTRUCTION_NO"),
        @Index(columnList = "PART_NO"),
        @Index(columnList = "PART_NAME_RDD"),
        @Index(columnList = "MACHINE_CODE")})
@Api("再检指示书表")
public class SxQmsRecheckInstruction extends BaseBean implements Serializable {

    private static final long serialVersionUID = 3577017917154837015L;

    @Column(name = "RECHECK_INSTRUCTION_NO")
    @ApiParam("再检指示单号")
    private String recheckInstructionNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "MACHINE_CODE")
    @ApiParam("机种编码")
    private String machineCode;

    @Column(name = "BELOW_STANDARD_CONTENT")
    @ApiParam("不合格内容")
    private String belowStandardContent;

    @Column(name = "RECHECK_METHOD")
    @ApiParam("再检方法")
    private String recheckMethod;

    @Column(name = "RECHECK_PLACE")
    @ApiParam("再检场所")
    private String recheckPlace;

    @Column(name = "DISPOSAL_METHODS1")
    @ApiParam("处置方法1")
    private String disposalMethods1;

    @Column(name = "DISPOSAL_METHODS2")
    @ApiParam("处置方法2")
    private String disposalMethods2;

    @Column(name = "DISPOSAL_METHODS3")
    @ApiParam("处置方法3")
    private String disposalMethods3;

    @Column(name = "OTHER_NONCONFORMING_ITEMS1")
    @ApiParam("其他不符合1")
    private String otherNonconformingItems1;

    @Column(name = "OTHER_NONCONFORMING_ITEMS2")
    @ApiParam("其他不符合2")
    private String otherNonconformingItems2;

    @Column(name = "OTHER_NONCONFORMING_ITEMS3")
    @ApiParam("其他不符合3")
    private String otherNonconformingItems3;

    @Column(name = "SPOT_CHECK_RESULTS1")
    @ApiParam("抽检结果1")
    private String spotCheckResults1;

    @Column(name = "SPOT_CHECK_RESULTS2")
    @ApiParam("抽检结果2")
    private String spotCheckResults2;

    @Column(name = "INSTRUCTION_STATUS")
    @ApiParam("单据状态 10-已创建,20-已完成")
    private Integer instructionStatus;

    @Column(name = "CONFIRM_STATUS")
    @ApiParam("出货停止指令书确认")
    @AnnoOutputColumn(refClass = QmsEnumUtil.PASS_OR_NO_PASS.class, refForeignKey = "value", value = "description")
    private Integer confirmStatus;
}
