package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @description: ODM/OEM单据生成规则
 * @author: jiaqi.hou
 * @date: 2022/07/12
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_RULES_OF_DOCUMENT_GENERATION",indexes = {@Index(columnList = "VENDOR_NO,PART_NO")})
@Api("ODM/OEM单据生成规则")
public class SxQmsRulesOfDocumentGeneration extends BaseBean {
    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNameRdd;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "UP_LIMIT")
    @ApiParam("上限值")
    private Integer upLimit;

    @Column(name = "DOWN_LIMIT")
    @ApiParam("下限值")
    private Integer downLimit;

    @Column(name = "CREATE_QTY")
    @ApiParam("生成数量")
    private Integer createQty;
}
