package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_SHIP_STOP_ORDER_DETAIL")
@Api("出货停止指令书明细")
public class SxQmsShipStopOrderDetail extends BaseBean {

    @Column(name = "ORDER_NO")
    @ApiParam("出货停止指令书单号")
    private String orderNo;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    private String partNameRdd;

    @Column(name = "MACHINE_CODE")
    @ApiParam("机种编码")
    private String machineCode;

    @Column(name = "START_SERIAL_SN")
    @ApiParam("开始产品条码")
    private String startSerialSn;

    @Column(name = "END_SERIAL_SN")
    @ApiParam("结束产品条码")
    private String endSerialSn;

    @Column(name = "REF_OQC_NO")
    @ApiParam("出货检验单号")
    private String refOqcNo;

    @Column(name = "RE_CHECK_RESULTS")
    @ApiParam("再检结果")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QMS_OQC_CHECK_RESULT.class)
    private Integer reCheckResults;

    @Column(name = "DEAL_CONTEN")
    @ApiParam("处置内容")
    private String dealConten;

    @Column(name = "RELIEVE_MACHINE_CODE")
    @ApiParam("解除机种")
    private String relieveMachineCode;

    @Column(name = "RELIEVE_START_SERIAL_SN")
    @ApiParam("解除开始产品条码")
    private String relieveStartSerialSn;

    @Column(name = "RELIEVE_END_SERIAL_SN")
    @ApiParam("解除结束产品条码")
    private String relieveEndSerialSn;

    public SxQmsShipStopOrderDetail() {}

    public SxQmsShipStopOrderDetail(String startSerialSn, String endSerialSn) {
        this.startSerialSn = startSerialSn;
        this.endSerialSn = endSerialSn;
    }
}
