package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_VQE_ABNORMAL_DETAIL",indexes = {@Index(columnList = "ORDER_NO")})
@Api("供应商业绩异常联络单回复明细")
public class SxQmsVqeAbnormalDetail extends BaseBean {

    @Column(name="ORDER_NO")
    @ApiParam("单号")
    public String orderNo;

    @Column(name="CLASSIFY")
    @ApiParam("分类")
    @AnnoOutputColumn(refClass = QmsEnumUtil.VQE_ABNORMAL_CLASSIFY.class)
    public Integer classify;

    @Column(name="CAUSE_ANALYSIS")
    @ApiParam("原因分析")
    public String causeAnalysis;

    @Column(name="TEMPORARY_COUNTERMEASURE")
    @ApiParam("临时对策")
    public String temporaryCountermeasure;

    @Column(name = "DEPARTMENT_NAME")
    @ApiParam("实施部门名称")
    private String departmentName;

    @Column(name = "DEPARTMENT_CODE")
    @ApiParam("实施部门代码")
    private String departmentCode;

    @Column(name = "IMPLEMENT_DATE")
    @ApiParam("实施日期")
    private String implementDate;

    @Column(name = "PRINCIPAL")
    @ApiParam("负责人")
    private String principal;

    @Column(name = "PERMANENT_COUNTERMEASURE")
    @ApiParam("永久对策")
    private String permanentCountermeasure;
}
