package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_VQE_ARTIFICIAL_PLUS_MINUS",indexes = {@Index(columnList = "VENDOR_NO")})
@Api("供应商Q评价-人工加减分")
public class SxQmsVqeArtificialPlusMinus extends BaseBean {

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "PLUS_MINUS_ITEM")
    @ApiParam("加减分项")
    @AnnoOutputColumn(refClass = QmsEnumUtil.VQE_PLUS_MINUS_ITEM.class)
    private Integer plusMinusItem;

    @Column(name = "MINUS_SCORE")
    @ApiParam("扣减分数")
    private Integer minusScore;

    @Column(name = "HAPPEN_DATE")
    @ApiParam("发生日期")
    private String happenDate;

    @Column(name = "REMARK")
    @ApiParam("备注")
    private String remark;

    @Transient
    @ApiParam("查询参数，起始发生日期")
    private String happenDateStart;

    @Transient
    @ApiParam("查询参数，截止发生日期")
    private String happenDateEnd;
}
