package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.annotation.EntityColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_VQE_DEFECT_GRADE_SCORE",indexes = {@Index(columnList = "PLUS_MINUS_FORM")})
@Api("供应商Q评价-缺陷等级及分数")
public class SxQmsVqeDefectGradeScore extends BaseBean {

    @Column(name = "PLUS_MINUS_FORM")
    @ApiParam("加减分形式")
    @AnnoOutputColumn(refClass = QmsEnumUtil.VQE_PLUS_MINUS_FORM.class)
    @EntityColumn(isPrimary = true)
    private Integer plusMinusForm;

    @Column(name = "DEFECT_GRADE")
    @ApiParam("缺陷等级")
    @AnnoOutputColumn(refClass = QmsEnumUtil.VQE_DEFECT_GRADE.class)
    @EntityColumn(isPrimary = true)
    private Integer defectGrade;

    @Column(name = "EVALUATION_GRADE")
    @ApiParam("评价等级")
    @AnnoOutputColumn(refClass = QmsEnumUtil.VQE_EVALUATION_GRADE.class)
    @EntityColumn(isRequired = true)
    private Integer evaluationGrade;

    @Column(name = "MINUS_SCORE")
    @ApiParam("扣减分数")
    @EntityColumn(isRequired = true)
    private Integer minusScore;
}
