package cn.estsh.i3plus.pojo.qms.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.qms.annotation.EntityColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Table(name = "SX_QMS_VQE_PLUS_MINUS_FORM",indexes = {@Index(columnList = "PLUS_MINUS_FORM")})
@Api("供应商Q评价-加减分形式")
public class SxQmsVqePlusMinusForm extends BaseBean {

    @Column(name = "PLUS_MINUS_FORM")
    @ApiParam("加减分形式")
    @AnnoOutputColumn(refClass = QmsEnumUtil.VQE_PLUS_MINUS_FORM.class)
    @EntityColumn(isPrimary = true)
    private Integer plusMinusForm;

    @Column(name = "MAX_SCORE")
    @ApiParam("最大分数")
    @EntityColumn(isRequired = true)
    private Integer maxScore;
}
