package cn.estsh.i3plus.pojo.qms.bean;


import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;

/**
 * @Description :生产线信息
 * @Reference :
 * @Author : puxiao
 * @CreateDate : 2022-02-15 14:56
 * @Modify:
 **/
@Data
@Entity
@Table(name="SX_QMS_WORK_CENTER")
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="",description = "生产线信息")
public class SxQmsWorkCenter extends BaseBean {

    @Column(name = "WORK_CENTER_CODE")
    @ApiParam(value = "生产线代码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String workCenterCode;

    @Column(name = "WORK_CENTER_NAME")
    @ApiParam(value = "生产线名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String workCenterName;

}
