package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP工程不良统计参数MODEL")
public class EpQmsBadCellDetailModel implements Serializable {

    private static final long serialVersionUID = 7821704472465740881L;

    @ApiParam("查询维度")
    private Integer dimension;

    @ApiParam("查询维度")
    private Integer dimension1;

    @ApiParam("工位维度")
    private Boolean cellFlag = false;

    @ApiParam("机种编码")
    private String machineCode;

    @ApiParam("机种编码")
    private String machineName;

    @ApiParam(value = "物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("原材料物料编码")
    private String itemPartNo;

    @ApiParam("原材料物料名称")
    private String itemPartName;

    @ApiParam(value = "生产线代码")
    private String workCenterCode;

    @ApiParam(value = "工位代码")
    private String workCellCode;

    @ApiParam("不良时间")
    private String defectActionTime;

    @ApiParam("不良类型代码")
    private String defectType;

    @ApiParam("不良类型描述")
    private String defectTypeName;

    @ApiParam("不良标识代码")
    private String defectCode;

    @ApiParam("不良标识描述")
    private String defectName;

    @ApiParam("发生岗位")
    private String happenStation;

    @ApiParam("维修措施代码")
    private String repairCode;

    @ApiParam("维修措施名称")
    private String repairName;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("不良时间起始")
    private String defectActionTimeStart;

    @ApiParam("不良时间截止")
    private String defectActionTimeEnd;

    @ApiParam("上年度不良时间起始")
    private String lastDefectActionTimeStart;

    @ApiParam("上年度良时间截止")
    private String lastDefectActionTimeEnd;

    public EpQmsBadCellDetailModel() {}

    public EpQmsBadCellDetailModel(String organizeCode, String workCenterCode, String defectActionTimeStart, String defectActionTimeEnd) {
        this.workCenterCode = workCenterCode;
        this.organizeCode = organizeCode;
        this.defectActionTimeStart = defectActionTimeStart;
        this.defectActionTimeEnd = defectActionTimeEnd;
    }

    public EpQmsBadCellDetailModel(String organizeCode, String workCenterCode, String defectActionTimeStart, String defectActionTimeEnd, String lastDefectActionTimeStart, String lastDefectActionTimeEnd) {
        this.workCenterCode = workCenterCode;
        this.organizeCode = organizeCode;
        this.defectActionTimeStart = defectActionTimeStart;
        this.defectActionTimeEnd = defectActionTimeEnd;
        this.lastDefectActionTimeStart = lastDefectActionTimeStart;
        this.lastDefectActionTimeEnd = lastDefectActionTimeEnd;
    }
}
