package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME:
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2021-12-20 13:01
 */
@Data
@ApiModel("产量MODEL")
public class EpQmsOutPutStatisticsModel implements Serializable {

    private static final long serialVersionUID = -5319529507303469957L;

    @ApiParam("产线代码")
    private String workCenterCode;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("开始时间")
    private String startTime;

    @ApiParam("结束时间")
    private String endTime;

    @ApiParam("工单开始时间")
    private String orderStartTime;

    @ApiParam("产量")
    private Double qty;

    @ApiParam("工单计划数量")
    private Double planQty;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("数据:年度作业时间开始")
    private String curWorkTimeStart;

    @ApiParam("数据:年度作业时间结束")
    private String curWorkTimeEnd;

    @ApiParam("数据:上个年度作业时间开始")
    private String lastWorkTimeStart;

    @ApiParam("数据:上个年度作业时间结束")
    private String lastWorkTimeEnd;

    public EpQmsOutPutStatisticsModel() {}

    public EpQmsOutPutStatisticsModel(String organizeCode, String workCenterCode, String curWorkTimeStart, String curWorkTimeEnd, String lastWorkTimeStart, String lastWorkTimeEnd) {
        this.organizeCode = organizeCode;
        this.workCenterCode = workCenterCode;
        this.curWorkTimeStart = curWorkTimeStart;
        this.curWorkTimeEnd = curWorkTimeEnd;
        this.lastWorkTimeStart = lastWorkTimeStart;
        this.lastWorkTimeEnd = lastWorkTimeEnd;
    }

}
