package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME:
 * @DESCRIPTION:
 * @USER: wangjie
 * @DATE: 2021-12-20 13:01
 */
@Data
@ApiModel("维修作业单MODEL")
public class EpQmsRepirTaskModel implements Serializable {

    private static final long serialVersionUID = -8616441130447940550L;

    @ApiParam("维修单号")
    private String repairNo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam(value = "产线代码")
    private String workCenterCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("维修数量")
    private Double repairQty;

    @ApiParam("维修日期")
    private String repairDate;

    @ApiParam("维修人员")
    private String repairUser;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("不良类型代码")
    private String defectType;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("数据:年度作业时间开始")
    private String curWorkTimeStart;

    @ApiParam("数据:年度作业时间结束")
    private String curWorkTimeEnd;

    @ApiParam("数据:上个年度作业时间开始")
    private String lastWorkTimeStart;

    @ApiParam("数据:上个年度作业时间结束")
    private String lastWorkTimeEnd;

    public EpQmsRepirTaskModel() {}

    public EpQmsRepirTaskModel(String organizeCode, String workCenterCode, String curWorkTimeStart, String curWorkTimeEnd, String lastWorkTimeStart, String lastWorkTimeEnd) {
        this.organizeCode = organizeCode;
        this.workCenterCode = workCenterCode;
        this.curWorkTimeStart = curWorkTimeStart;
        this.curWorkTimeEnd = curWorkTimeEnd;
        this.lastWorkTimeStart = lastWorkTimeStart;
        this.lastWorkTimeEnd = lastWorkTimeEnd;
    }
}
