package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.ColumnDefault;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-04-18 11:09
 */
@Data
@ApiModel("EP返修任务数据MODEL")
public class EpRepairTaskModel implements Serializable {
    private static final long serialVersionUID = -8102029769560013605L;

    @ApiParam("维修单号")
    private String repairNo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam(value = "产线代码")
    private String workCenterCode;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ColumnDefault("0")
    @ApiParam("维修数量")
    private Double repairQty;

    @ApiParam("维修日期")
    private String repairDate;

    @ApiParam("维修人员")
    private String repairUser;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("作业时间")
    private String workTime;
}
