package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @PROJECT_NAME: i3plus-mes-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-14 10:15
 */
@Data
@ApiModel("客诉导出信息MODEL")
public class SxCustomerComplaintExportModel implements Serializable {

    private static final long serialVersionUID = -459781765216077637L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建开始时间")
    private String createDateTimeStart;

    @ApiParam("创建结束时间")
    private String createDateTimeEnd;

    @ApiParam("客诉单号")
    private String complaintNo;

    @ApiParam("客诉类型 10-异常联络，20-速报")
    private Integer complaintType;

    @ApiParam("客诉类型描述")
    private String complaintTypeName;

    @ApiParam("异常场所 10-市场不良、20-到货不良、30-受入不良、40-工程不良、50-改判")
    private Integer abnormalSource;

    @ApiParam("异常场所描述")
    private String abnormalSourceName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("机种编码")
    private String machineCode;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("产品分类描述")
    private String productTypeName;

    @ApiParam("生产线编码")
    private String workCenterCode;

    @ApiParam("客户编码")
    private String customerNo;

    @ApiParam("客户名称")
    private String customerName;

    @ApiParam("发行日期")
    private String publishDate;

    @ApiParam("发行日期开始时间")
    private String publishDateStart;

    @ApiParam("发行日期结束时间")
    private String publishDateEnd;

    @ApiParam("预定回达日")
    private String planArriveDate;

    @ApiParam("预定回达日开始日期")
    private String planArriveDateStart;

    @ApiParam("预定回达日结束日期")
    private String planArriveDateEnd;

    @ApiParam("对应日期")
    private String correspondingDate;

    @ApiParam("对应日期开始日期")
    private String correspondingDateStart;

    @ApiParam("对应日期结束日期")
    private String correspondingDateEnd;

    @ApiParam("事业部管理NO")
    private String departmentNo;

    @ApiParam("问题点描述")
    private String issueDesc;

    @ApiParam("缺陷等级 10-轻度缺陷，20-中度缺陷，30-重度缺陷")
    private Integer defectLevel;

    @ApiParam("缺陷等级描述")
    private String defectLevelName;

    @ApiParam("件数")
    private Integer qty;

    @ApiParam("发生情况 10-初发，20-再发")
    private Integer situation;

    @ApiParam("发生情况描述")
    private String situationName;

    @ApiParam("再发次数")
    private Integer recurTimes;

    @ApiParam("生产日期")
    private String produceDate;

    @ApiParam("生产日期开始时间")
    private String produceDateStart;

    @ApiParam("生产日期结束时间")
    private String produceDateEnd;

    @ApiParam("客诉单状态 10-已创建、20-已分析、30-已整改、40-已确认")
    private Integer complaintStatus;

    @ApiParam("客诉单状态描述")
    private String complaintStatusName;

    @ApiParam("文件URL1")
    private String fileUrl1;

    @ApiParam("文件原名1")
    private String fileOriginName1;

    @ApiParam("文件URL2")
    private String fileUrl2;

    @ApiParam("文件原名1")
    private String fileOriginName2;

    @ApiParam("责任区分 10-制造、20-部品、30技术、40-其他，每个客诉单分析可选择多条原因区分项")
    private String dutyDiff;

    @ApiParam("责任区分 10-制造、20-部品、30技术、40-其他，每个客诉单分析可选择多条原因区分项")
    private Integer dutyDiffNo;

    @ApiParam("责任区分 10-制造、20-部品、30技术、40-其他，每个客诉单分析可选择多条原因区分项")
    private String dutyDiffName;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("原因项目 10-制造-组立、20-部品-成型、30-组立、40-电装、50-熔接、60-组立、70-技术、80-设计、90-其他。原因区分子项目可多选。")
    private String reasonProject;

    @ApiParam("原因项目名称 10-制造-组立、20-部品-成型、30-组立、40-电装、50-熔接、60-组立、70-技术、80-设计、90-其他。原因区分子项目可多选。")
    private String reasonProjectName;

    @ApiParam("费用有无 10-有，20-无")
    private Integer isCost;

    @ApiParam("费用有无 10-有，20-无")
    private String isCostName;

    @ApiParam("是否实体返回 10-是，20-否")
    private Integer isEntityReturn;

    @ApiParam("是否实体返回名称 10-是，20-否")
    private String isEntityReturnName;

    @ApiParam("工程异常编号")
    private String abnormalNo;

    @ApiParam("对策前/后")
    private Integer countermeasureAction;

    @ApiParam("对策前/后 描述")
    private String countermeasureActionName;

    @ApiParam("临时对策")
    private String temporaryDisposal;

    @ApiParam("完成品区分")
    private String finishProductDiff;

    @ApiParam("到达日期")
    private String arriveDate;

    @ApiParam("再发防止（防止方法）")
    private String preventionMethod;

    @ApiParam("发生原因")
    private String occurReason;

    @ApiParam("流出原因")
    private String outflowReason;

    @ApiParam("对策")
    private String solution;

    @ApiParam("实际回答日期")
    private String actualReplyDate;

    @ApiParam("实际回答日期 开始日期")
    private String actualReplyDateStart;

    @ApiParam("实际回答日期 结束日期")
    private String actualReplyDateEnd;

    @ApiParam("回复状态")
    private Integer replyStatus;

    @ApiParam("回复状态名称")
    private String replyStatusName;

    @ApiParam("发往BD")
    private Integer shippingBd;

    @ApiParam("发往BD 10-中国语，20-日本语")
    private String shippingBdName;

    @ApiParam("备注")
    private String remark;

    @ApiParam("文件URL")
    private String fileUrl;

//    @ApiParam("文件原名")
//    private String fileOriginName;
//
//    @ApiParam("PDF文件上传时间")
//    private String pdfFileUploadDatetime;

    @ApiParam("对策确认 10-通过，20-不通过")
    private Integer countermeasureConfirm;

    @ApiParam("对策确认描述 10-通过，20-不通过")
    private String countermeasureConfirmName;

    @ApiParam("整改确认 10-通过，20-不通过")
    private Integer abarbeitungConfirm;

    @ApiParam("整改确认描述 10-通过，20-不通过")
    private String abarbeitungConfirmName;


    public SxCustomerComplaintExportModel() {
    }

    public SxCustomerComplaintExportModel(String complaintNo, Integer complaintType, Integer abnormalSource, String abnormalSourceName,
                                          String partNo, String partNameRdd, String customerNo, String customerName, String publishDate,
                                          String planArriveDate, String departmentNo, String issueDesc, Integer defectLevel, String defectLevelName,
                                          Integer qty, Integer situation, String situationName, String produceDate, Integer complaintStatus,
                                          String complaintStatusName, String fileUrl1, String fileUrl2, String dutyDiff, String dutyDiffName,
                                          String reasonProject, String reasonProjectName, Integer isCost, String isCostName, Integer isEntityReturn,
                                          String isEntityReturnName, String abnormalNo, Integer countermeasureAction, String countermeasureActionName,
                                          String temporaryDisposal, String finishProductDiff, String actualReplyDate, Integer replyStatus,
                                          String replyStatusName, Integer shippingBd, String shippingBdName, String remark, String fileUrl,
                                          Integer countermeasureConfirm, String countermeasureConfirmName, Integer abarbeitungConfirm,
                                          String abarbeitungConfirmName, String arriveDate, String preventionMethod, String occurReason,
                                          String outflowReason, String solution) {
        this.complaintNo = complaintNo;
        this.complaintType = complaintType;
        this.abnormalSource = abnormalSource;
        this.abnormalSourceName = abnormalSourceName;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.publishDate = publishDate;
        this.planArriveDate = planArriveDate;
        this.departmentNo = departmentNo;
        this.issueDesc = issueDesc;
        this.defectLevel = defectLevel;
        this.defectLevelName = defectLevelName;
        this.qty = qty;
        this.situation = situation;
        this.situationName = situationName;
        this.produceDate = produceDate;
        this.complaintStatus = complaintStatus;
        this.complaintStatusName = complaintStatusName;
        this.fileUrl1 = fileUrl1;
        this.fileUrl2 = fileUrl2;
        this.dutyDiff = dutyDiff;
        this.dutyDiffName = dutyDiffName;
        this.reasonProject = reasonProject;
        this.reasonProjectName = reasonProjectName;
        this.isCost = isCost;
        this.isCostName = isCostName;
        this.isEntityReturn = isEntityReturn;
        this.isEntityReturnName = isEntityReturnName;
        this.abnormalNo = abnormalNo;
        this.countermeasureAction = countermeasureAction;
        this.countermeasureActionName = countermeasureActionName;
        this.temporaryDisposal = temporaryDisposal;
        this.finishProductDiff = finishProductDiff;
        this.actualReplyDate = actualReplyDate;
        this.replyStatus = replyStatus;
        this.replyStatusName = replyStatusName;
        this.shippingBd = shippingBd;
        this.shippingBdName = shippingBdName;
        this.remark = remark;
        this.fileUrl = fileUrl;
        this.countermeasureConfirm = countermeasureConfirm;
        this.countermeasureConfirmName = countermeasureConfirmName;
        this.abarbeitungConfirm = abarbeitungConfirm;
        this.abarbeitungConfirmName = abarbeitungConfirmName;
        this.arriveDate = arriveDate;
        this.preventionMethod = preventionMethod;
        this.occurReason = occurReason;
        this.outflowReason = outflowReason;
        this.solution = solution;
    }

    public SxCustomerComplaintExportModel(String complaintNo, Integer complaintType, Integer abnormalSource, String abnormalSourceName,
                                          String partNo, String partNameRdd, String customerNo, String customerName, String publishDate,
                                          String planArriveDate, String departmentNo, String issueDesc, Integer defectLevel, String defectLevelName,
                                          Integer qty, Integer situation, String situationName, String produceDate, Integer complaintStatus,
                                          String complaintStatusName, String fileUrl1, String fileOriginName1, String fileUrl2, String fileOriginName2, String dutyDiff, String dutyDiffName,
                                          String reasonProject, String reasonProjectName, Integer isCost, String isCostName, Integer isEntityReturn,
                                          String isEntityReturnName, String abnormalNo, Integer countermeasureAction, String countermeasureActionName,
                                          String temporaryDisposal, String finishProductDiff, String actualReplyDate, Integer replyStatus,
                                          String replyStatusName, Integer shippingBd, String shippingBdName, String remark, String fileUrl,
                                          Integer countermeasureConfirm, String countermeasureConfirmName, Integer abarbeitungConfirm,
                                          String abarbeitungConfirmName, String arriveDate, String preventionMethod, String occurReason,
                                          String outflowReason, String solution, String correspondingDate, Integer productType, String machineCode, String workCenterCode) {
        this.complaintNo = complaintNo;
        this.complaintType = complaintType;
        this.abnormalSource = abnormalSource;
        this.abnormalSourceName = abnormalSourceName;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.publishDate = publishDate;
        this.planArriveDate = planArriveDate;
        this.departmentNo = departmentNo;
        this.issueDesc = issueDesc;
        this.defectLevel = defectLevel;
        this.defectLevelName = defectLevelName;
        this.qty = qty;
        this.situation = situation;
        this.situationName = situationName;
        this.produceDate = produceDate;
        this.complaintStatus = complaintStatus;
        this.complaintStatusName = complaintStatusName;
        this.fileUrl1 = fileUrl1;
        this.fileOriginName1 = fileOriginName1;
        this.fileOriginName2 = fileOriginName2;
        this.fileUrl2 = fileUrl2;
        this.dutyDiff = dutyDiff;
        this.dutyDiffName = dutyDiffName;
        this.reasonProject = reasonProject;
        this.reasonProjectName = reasonProjectName;
        this.isCost = isCost;
        this.isCostName = isCostName;
        this.isEntityReturn = isEntityReturn;
        this.isEntityReturnName = isEntityReturnName;
        this.abnormalNo = abnormalNo;
        this.countermeasureAction = countermeasureAction;
        this.countermeasureActionName = countermeasureActionName;
        this.temporaryDisposal = temporaryDisposal;
        this.finishProductDiff = finishProductDiff;
        this.actualReplyDate = actualReplyDate;
        this.replyStatus = replyStatus;
        this.replyStatusName = replyStatusName;
        this.shippingBd = shippingBd;
        this.shippingBdName = shippingBdName;
        this.remark = remark;
        this.fileUrl = fileUrl;
        this.countermeasureConfirm = countermeasureConfirm;
        this.countermeasureConfirmName = countermeasureConfirmName;
        this.abarbeitungConfirm = abarbeitungConfirm;
        this.abarbeitungConfirmName = abarbeitungConfirmName;
        this.arriveDate = arriveDate;
        this.preventionMethod = preventionMethod;
        this.occurReason = occurReason;
        this.outflowReason = outflowReason;
        this.solution = solution;
        this.correspondingDate = correspondingDate;
        this.productType = productType;
        this.workCenterCode = workCenterCode;
        this.machineCode = machineCode;
    }

    public SxCustomerComplaintExportModel(String complaintNo, Integer complaintType, Integer abnormalSource, String partNo,
                                          String partNameRdd, String customerNo, String customerName, String publishDate,
                                          String planArriveDate, String departmentNo, String issueDesc, Integer defectLevel,
                                          Integer qty, Integer situation, Integer recurTimes, String produceDate,
                                          Integer complaintStatus, String fileUrl1, String fileUrl2, String dutyDiff,
                                          String vendorNo, String vendorName, String reasonProject, Integer isCost,
                                          Integer isEntityReturn, String abnormalNo, Integer countermeasureAction,
                                          String temporaryDisposal, String finishProductDiff, String actualReplyDate,
                                          Integer replyStatus, Integer shippingBd, String remark, String fileUrl,
                                          Integer countermeasureConfirm, Integer abarbeitungConfirm, String arriveDate,
                                          String preventionMethod, String occurReason, String outflowReason, String solution) {
        this.complaintNo = complaintNo;
        this.complaintType = complaintType;
        this.abnormalSource = abnormalSource;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.publishDate = publishDate;
        this.planArriveDate = planArriveDate;
        this.departmentNo = departmentNo;
        this.issueDesc = issueDesc;
        this.defectLevel = defectLevel;
        this.qty = qty;
        this.situation = situation;
        this.produceDate = produceDate;
        this.complaintStatus = complaintStatus;
        this.fileUrl1 = fileUrl1;
        this.fileUrl2 = fileUrl2;
        this.dutyDiff = dutyDiff;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.reasonProject = reasonProject;
        this.isCost = isCost;
        this.isEntityReturn = isEntityReturn;
        this.abnormalNo = abnormalNo;
        this.countermeasureAction = countermeasureAction;
        this.temporaryDisposal = temporaryDisposal;
        this.finishProductDiff = finishProductDiff;
        this.actualReplyDate = actualReplyDate;
        this.replyStatus = replyStatus;
        this.shippingBd = shippingBd;
        this.remark = remark;
        this.fileUrl = fileUrl;
        this.countermeasureConfirm = countermeasureConfirm;
        this.abarbeitungConfirm = abarbeitungConfirm;
        this.recurTimes = recurTimes;
        this.arriveDate = arriveDate;
        this.preventionMethod = preventionMethod;
        this.occurReason = occurReason;
        this.outflowReason = outflowReason;
        this.solution = solution;
    }

    public SxCustomerComplaintExportModel(String complaintNo, Integer complaintType, Integer abnormalSource, String partNo,
                                          String partNameRdd, String customerNo, String customerName, String publishDate,
                                          String planArriveDate, String departmentNo, String issueDesc, Integer defectLevel,
                                          Integer qty, Integer situation, Integer recurTimes, String produceDate,
                                          Integer complaintStatus, String fileUrl1, String fileOriginName1, String fileUrl2, String fileOriginName2, Integer dutyDiffNo,
                                          String vendorNo, String vendorName, String reasonProject, Integer isCost,
                                          Integer isEntityReturn, String abnormalNo, Integer countermeasureAction,
                                          String temporaryDisposal, String finishProductDiff, String actualReplyDate,
                                          Integer replyStatus, Integer shippingBd, String remark, String fileUrl,
                                          Integer countermeasureConfirm, Integer abarbeitungConfirm, String arriveDate,
                                          String preventionMethod, String occurReason, String outflowReason, String solution,
                                          String correspondingDate, Integer productType, String machineCode, String workCenterCode) {
        this.complaintNo = complaintNo;
        this.complaintType = complaintType;
        this.abnormalSource = abnormalSource;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.publishDate = publishDate;
        this.planArriveDate = planArriveDate;
        this.departmentNo = departmentNo;
        this.issueDesc = issueDesc;
        this.defectLevel = defectLevel;
        this.qty = qty;
        this.situation = situation;
        this.produceDate = produceDate;
        this.complaintStatus = complaintStatus;
        this.fileUrl1 = fileUrl1;
        this.fileUrl2 = fileUrl2;
        this.dutyDiffNo = dutyDiffNo;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.reasonProject = reasonProject;
        this.isCost = isCost;
        this.isEntityReturn = isEntityReturn;
        this.abnormalNo = abnormalNo;
        this.countermeasureAction = countermeasureAction;
        this.temporaryDisposal = temporaryDisposal;
        this.finishProductDiff = finishProductDiff;
        this.actualReplyDate = actualReplyDate;
        this.replyStatus = replyStatus;
        this.shippingBd = shippingBd;
        this.remark = remark;
        this.fileUrl = fileUrl;
        this.countermeasureConfirm = countermeasureConfirm;
        this.abarbeitungConfirm = abarbeitungConfirm;
        this.recurTimes = recurTimes;
        this.fileOriginName1 = fileOriginName1;
        this.fileOriginName2 = fileOriginName2;
        this.arriveDate = arriveDate;
        this.preventionMethod = preventionMethod;
        this.occurReason = occurReason;
        this.outflowReason = outflowReason;
        this.solution = solution;
        this.correspondingDate = correspondingDate;
        this.productType = productType;
        this.machineCode = machineCode;
        this.workCenterCode = workCenterCode;
    }
}
