package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP折线图不良统计报表MODEL")
public class SxEpLineChartStatisticsModel implements Serializable {

    private static final long serialVersionUID = 7147828721167817497L;

    @ApiParam("当前年度")
    private String curYear;

    @ApiParam("上一年度")
    private String lastYear;

    @ApiParam("导出文件名称")
    private String exportFileName;

    @ApiParam("上一年度不良实绩")
    private List<String> lastYearDataList;

    @ApiParam("当前年度不良件数")
    private List<String> curYearDataList;

    @ApiParam("当前年度目标")
    private List<String> curYearTargetList;

    @ApiParam("当前年度时间跨度:yyyy-MM")
    private List<String> curCheckTimeList;

    @ApiParam("上一年度时间跨度:yyyy-MM")
    private List<String> lastCheckTimeList;

    @ApiParam("折线图X轴:月")
    private List<String> xList;

    @ApiParam("上一年度实绩折线名称")
    private String lastYearDataListName;

    @ApiParam("当前年度不良件数折线名称")
    private String curYearDataListName;

    @ApiParam("当前年度目标折线名称")
    private String curYearTargetListName;

    @ApiParam("月度统计报表数据")
    private List<SxMonthStatisticsReportModel> dataList;

    @ApiParam("table动态列名")
    private List<SxDynamicAttributeModel> attributeList;

}
