package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验检验项MODEL")
public class SxEpOqcCheckDetailModel implements Serializable {

    private static final long serialVersionUID = -428795326522481258L;

    @ApiParam("id")
    private Long id;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("班次")
    private String shiftCode;

    @ApiParam("检验顺序")
    private Double seq;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("过程条码")
    private String serialNumber;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("检验项目ID")
    public Long pid;

    @ApiParam("项目分类")
    private String projectCode;

    @ApiParam("检查内容")
    private String checkContent;

    @ApiParam("检查项目")
    private String checkItem;

    @ApiParam("判定基准")
    private String standard;

    @ApiParam("判断方式")
    private Integer checkType;

    @ApiParam("标准值")
    private String standardValue;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("检查器具")
    private String checkTool;

    @ApiParam("文件ID")
    private Long fileId;

    @ApiParam("文件源名")
    private String fileOriginName;

    @ApiParam("文件地址")
    private String fileUrl;

    @ApiParam("备注")
    private String remark;

    @ApiParam("实际值")
    private String checkValue;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("项目检验时间")
    private String itemCheckTime;

    @ApiParam("单据检验时间")
    private String checkTime;

    @ApiParam("机种分类")
    private String categoryCode;

    @ApiParam("产品分类")
    private Integer productType;

    public SxEpOqcCheckDetailModel() {}

    public SxEpOqcCheckDetailModel(Long id, String oqcNo, String workCenterCode, String partNo, String checkTime, String projectCode,
                                   String checkItem, Integer checkResult, String categoryCode, Integer productType) {
        this.id = id;
        this.oqcNo = oqcNo;
        this.workCenterCode = workCenterCode;
        this.partNo = partNo;
        this.checkTime = checkTime;
        this.projectCode = projectCode;
        this.checkItem = checkItem;
        this.checkResult = checkResult;
        this.categoryCode = categoryCode;
        this.productType = productType;
    }
}
