package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验项目明细MODEL")
public class SxEpOqcManageCheckDetailModel implements Serializable {

    private static final long serialVersionUID = -6337919995940618747L;

    @ApiParam("id")
    private Long id;

    @ApiParam("检验顺序")
    private Double seq;

    @ApiParam("项目分类")
    private String projectCode;

    @ApiParam("项目类型名称")
    private String projectName;

    @ApiParam("检查内容")
    private String checkContent;

    @ApiParam("检查项目")
    private String checkItem;

    @ApiParam("判定基准")
    private String standard;

    @ApiParam("判断方式")
    private Integer checkType;

    @ApiParam("判断方式")
    private String checkTypeName;

    @ApiParam("标准值")
    private String standardValue;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("检查器具")
    private String checkTool;

    @ApiParam("是否必检")
    private Integer isNecessary;

    @ApiParam("实际值")
    private String checkValue;

    @ApiParam("判定结果")
    private Integer checkResult;

    @ApiParam("判定结果(OK/NG)")
    private String checkResultEn;

    @ApiParam("判定结果(合格/不合格)")
    private String checkResultCn;

    public String getCheckResultEn() {
        if (checkResult == null || checkResult == 0) {
            return "无";
        }
        return QmsEnumUtil.QMS_OQC_CHECK_DETAIL_RESULT.valueOfDescription(checkResult);
    }

    public String getCheckResultCn() {
        if (checkResult == null || checkResult == 0) {
            return "无";
        }
        return QmsEnumUtil.QMS_OQC_CHECK_RESULT.valueOfDescription(checkResult);
    }
}
