package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.qms.bean.SxQmsOqcCheck;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.List;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("出货检验MODEL")
public class SxEpOqcManageModel implements Serializable {

    private static final long serialVersionUID = 6344556402114815989L;

    @ApiParam("扫描条码")
    private String sn;

    @ApiParam("扫描条码类型:产品条码=10,包装条码=20")
    private String snType;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次名称")
    private String shiftName;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("工单类型")
    private String workOrderTypeName;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("生产数量")
    private Double completeQty;

    @ApiParam("已检测数量")
    private Double totalOqcQty;

    @ApiParam("机种分类")
    private String categoryCode;

    @ApiParam("作成日期")
    private String complateDate;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("出货检验单号")
    private String oqcNo;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("检验结果")
    private String checkResultName;

    @ApiParam("检验结果背景色")
    private String checkResultColor;

    @ApiParam("原因区分")
    private String dutyDiff;

    @ApiParam("合格按钮")
    private Boolean qualifiedButton = false;

    @ApiParam("不合格按钮")
    private Boolean unQualifiedButton = false;

    @ApiParam("生成检验单按钮")
    private Boolean genOqcCheckButton = false;

    @ApiParam("重载检验项按钮")
    private Boolean reloadCheckDetailButton = false;

    @ApiParam("重置按钮")
    private Boolean resetButton = true;

    @ApiParam("扫描条码类型下拉框")
    private Boolean typeSelect = true;

    @ApiParam("条码输入框")
    private Boolean snInput = true;

    @ApiParam("查询按钮")
    private Boolean queryButton = true;

    @ApiParam("原因区分下拉框")
    private Boolean dutyDiffSelect = false;

    @ApiParam("出货检验项目明细(必检)")
    private List<SxEpOqcManageCheckDetailModel> checkDetailList;

    @ApiParam("出货检验项目明细(不必检)")
    private List<SxEpOqcManageCheckDetailModel> checkDetailList2;

    @ApiParam("一个包装对应的多个产品条码集合")
    private List<String> serialNumberList;

    @ApiParam("下线产品集合")
    private List<Map<String, String>> prodMapList;

    @ApiParam("用户ID")
    private Long userId;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("用户")
    private String userInfo;

    @ApiParam("出货检验单据集合")
    private List<SxQmsOqcCheck> oqcCheckDbList;

    @ApiParam("上传时间")
    private String uploadDatetime;

    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("文件源名")
    private String fileOriginName;

    @ApiParam("备注")
    private String remark;

    //false代表不能点   true代表可以点
}
