package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("EP出货检验报表MODEL")
public class SxEpOqcReportModel implements Serializable {

    private static final long serialVersionUID = -3255659159101689455L;

    @ApiParam("id")
    private Long id;

    @ApiParam("单据号")
    private String oqcNo;

    @ApiParam("生产工单号")
    private String workOrderNo;

    @ApiParam("工单类型")
    private Integer workOrderType;

    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("包装条码")
    private String packageNo;

    @ApiParam("产品条码")
    private String serialNumber;

    @ApiParam("检测方式")
    private Integer oqcType;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("检测数量")
    private Double oqcQty;

    @ApiParam("生产日期")
    private String workTime;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("原因区分")
    private String dutyDiff;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("检验人")
    private String checkUser;

    @ApiParam("检验时间")
    private String checkTime;

    @ApiParam("检验时间bak")
    private String checkTimeBak;

    @ApiParam("备注")
    private String remark;

    @ApiParam("机种分类")
    private String categoryCode;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("机种分类")
    private String categoryCodeName;

    @ApiParam("产品分类")
    private String productTypeName;

    @ApiParam("工单类型")
    private String workOrderTypeName;

    @ApiParam("检验结果")
    private String checkResultName;

    @ApiParam("检测方式")
    private String oqcTypeName;

    @ApiParam("原因区分")
    private String dutyDiffName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("检验时间开始")
    private String checkTimeStart;

    @ApiParam("检验时间结束")
    private String checkTimeEnd;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("查询维度")
    private Integer dimension;

    @ApiParam("查询维度")
    private Integer dimension1;

    @ApiParam("上个年度检验时间开始")
    private String lastCheckTimeStart;

    @ApiParam("上个年度检验时间结束")
    private String lastCheckTimeEnd;

    public SxEpOqcReportModel() {}

    public SxEpOqcReportModel(Long id, String oqcNo, String workOrderNo, Integer workOrderType, Double qty, String packageNo, String serialNumber,
                              Integer oqcType, String partNo, String partNameRdd, Double oqcQty, String workTime, String shiftCode, String workCenterCode,
                              String dutyDiff, Integer checkResult, String checkUser, String checkTime, String remark, String categoryCode, Integer productType,
                              String organizeCode, String createUser, String createDatetime, String modifyUser, String modifyDatetime) {
        this.id = id;
        this.oqcNo = oqcNo;
        this.workOrderNo = workOrderNo;
        this.workOrderType = workOrderType;
        this.qty = qty;
        this.packageNo = packageNo;
        this.serialNumber = serialNumber;
        this.oqcType = oqcType;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.oqcQty = oqcQty;
        this.workTime = workTime;
        this.shiftCode = shiftCode;
        this.workCenterCode = workCenterCode;
        this.dutyDiff = dutyDiff;
        this.checkResult = checkResult;
        this.checkUser = checkUser;
        this.checkTime = checkTime;
        this.remark = remark;
        this.categoryCode = categoryCode;
        this.productType = productType;
        this.organizeCode = organizeCode;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }

    public SxEpOqcReportModel(String oqcNo, String partNo, String workCenterCode, String dutyDiff, Integer checkResult, String checkTime, String categoryCode, Integer productType) {
        this.oqcNo = oqcNo;
        this.partNo = partNo;
        this.workCenterCode = workCenterCode;
        this.dutyDiff = dutyDiff;
        this.checkResult = checkResult;
        this.checkTime = checkTime;
        this.categoryCode = categoryCode;
        this.productType = productType;
    }

}
