package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @USER: wangjie
 * @DATE: 2022-02-14 10:15
 */
@Data
@ApiModel("评价管理MODEL")
public class SxEvaluationManageModel implements Serializable {

    private static final long serialVersionUID = 4328604958454074274L;

    @ApiParam("id")
    private Long id;

    @ApiParam("id")
    private String idStr;

    @ApiParam("申请编号")
    private String applyNo;

    @ApiParam("部门代码")
    private String departmentCode;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("BU产品分类")
    private String buProductType;

    @ApiParam("原因分类")
    private Integer causeType;

    @ApiParam("原因分类")
    private String buCauseType;

    @ApiParam("申请人")
    private String applyUser;

    @ApiParam("申请内容")
    private String applyContent;

    @ApiParam(value = "申请日期")
    private String applyDatetime;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam(value = "样品预交日期")
    private String samplePreDatetime;

    @ApiParam(value = "样品实交日期")
    private String sampleRealDatetime;

    @ApiParam(value = "评价人")
    private String evaluationUser;

    @ApiParam(value = "评价时间")
    private String evaluationDatetime;

    @ApiParam("评价结果")
    private String evaluationContent;

    @ApiParam(value = "关联编号")
    private String relateNo;

    @ApiParam(value = "结果输出时间")
    private String checkDatetime;

    @ApiParam("备注")
    private String remark;

    @ApiParam("上传时间")
    private String uploadDatetime;

    @ApiParam("文件ID")
    private Long fileId;

    @ApiParam("文件源名")
    private String fileOriginName;

    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("部门名称")
    private String departmentName;

    @ApiParam("产品分类")
    private String productTypeName;

    @ApiParam("原因分类")
    private String causeTypeName;

    @ApiParam("申请日期起始")
    public String applyDatetimeStart;

    @ApiParam("申请日期截止")
    public String applyDatetimeEnd;

    @ApiParam("评价时间起始")
    public String evaluationDatetimeStart;

    @ApiParam("评价时间截止")
    public String evaluationDatetimeEnd;

    @ApiParam("结果输出时间起始")
    public String checkDatetimeStart;

    @ApiParam("结果输出时间截止")
    public String checkDatetimeEnd;

    @ApiParam("排序属性")
    public String orderByParam = "";

    @ApiParam(
            value = "排序类型，1 正序，2 倒序",
            example = "1"
    )
    public transient Integer ascOrDesc = 1;

    public String orderBy() {
        String result = "";
        if (this.orderByParam != null && this.orderByParam.trim().length() > 0) {
            result = " order by " + this.orderByParam;
            if (this.ascOrDesc == CommonEnumUtil.ASC_OR_DESC.ASC.getValue()) {
                result = result + " asc";
            } else {
                result = result + " desc";
            }
        }

        return result;
    }

}
