package cn.estsh.i3plus.pojo.qms.model;


import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.common.Pager;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.util.StringUtil;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Transient;
import java.util.List;

/**
 *  @Description: 部品批次不良统计model
 * @author puxiao.liao
 * @version 1.0
 * @date 2022-04-14 15:32
 **/
@Data
@ApiModel("部品批次不良统计model")
public class SxPartDefectCountDataTableModel {

    @ApiParam("导出文件名称")
    private String exportFileName;

    @ApiParam("table动态列名")
    private List<SxDynamicAttributeModel> attributeList;

    @ApiParam("工厂编码")
    private String organizeCode;

    @ApiParam("标题")
    private List<SxDynamicAttributeModel> tableTitle;

    @ApiParam("数据")
    private List<SxPartDefectCountDataTableModel> tableData;


    @ApiParam("分页数据")
    private Pager pager;

    @Transient
    @ApiParam(value = "开始时间")
    private String createDatetimeStart;

    @Transient
    @ApiParam(value = "结束时间")
    private String createDatetimeEnd;

    @Transient
    @ApiParam(value = "项目")
    private String projectName;


    @Transient
    @ApiParam("产品分类")
    @AnnoOutputColumn(refClass = QmsEnumUtil.EP_PRODUCT_TYPE.class, refForeignKey = "value", value = "description")
    private Integer productType;

    @Transient
    @ApiParam("生产线编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.LIST, getValWay = CommonEnumUtil.DYNAMIC_FIELD_GET_WAY.OBJ,
            dataSrc = "cn.estsh.i3plus.ext.qms.pojo.bean.WmsWorkCenter",
            searchColumnName = "workCenterCode,workCenterName", listColumnName = "workCenterCode,workCenterName", explicitColumnName = "workCenterCode")
    private String workCenterCode;

    @ApiParam("目标类型 字典维护")
    private String targetType;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("合计")
    private String sumCount;

    public String getSumCount() {
        if(StringUtil.isEmpty(this.sumCount)) {
            return "0";
        }
        return sumCount;
    }


    @ApiParam("4月")
    private String month4;
    @ApiParam("5月")
    private String month5;
    @ApiParam("6月")
    private String month6;
    @ApiParam("7月")
    private String month7;
    @ApiParam("8月")
    private String month8;
    @ApiParam("9月")
    private String month9;
    @ApiParam("10月")
    private String month10;
    @ApiParam("11月")
    private String month11;
    @ApiParam("12月")
    private String month12;
    @ApiParam("1月")
    private String month1;
    @ApiParam("2月")
    private String month2;
    @ApiParam("3月")
    private String month3;

}
