package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author: Xinwang.Yi
 * @CreateDate: 2022/02/11 02:01 下午
 * @Description:
 **/
@Data
@ApiModel("客诉记录MODEL")
public class SxQmsCustomerComplaintModel implements Serializable {
    private static final long serialVersionUID = -3053263203223813977L;

    @ApiParam("id")
    private Long id;

    @ApiParam("客诉单号")
    private String complaintNo;

    @ApiParam("客诉类型 10-异常联络，20-速报")
    private Integer complaintType;

    @ApiParam("客诉类型描述")
    private String complaintTypeName;

    @ApiParam("异常场所 10-市场不良、20-到货不良、30-受入不良、40-工程不良、50-改判")
    private Integer abnormalSource;

    @ApiParam("异常场所描述")
    private String abnormalSourceName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("客户编码")
    private String customerNo;

    @ApiParam("客户名称")
    private String customerName;

    @ApiParam("发行日期")
    private String publishDate;

    @ApiParam("预定回达日")
    private String planArriveDate;

    @ApiParam("事业部管理NO")
    private String departmentNo;

    @ApiParam("问题点描述")
    private String issueDesc;

    @ApiParam("缺陷等级 10-轻度缺陷，20-中度缺陷，30-重度缺陷")
    private Integer defectLevel;

    @ApiParam("缺陷等级描述")
    private String defectLevelName;

    @ApiParam("件数")
    private Integer qty;

    @ApiParam("发生情况 10-初发，20-再发")
    private Integer situation;

    @ApiParam("不良点")
    private String badnessCode;

    @ApiParam("不良点")
    private String badnessName;

    @ApiParam("发生情况描述")
    private String situationName;

    @ApiParam("生产日期")
    private String produceDate;

    @ApiParam("客诉单状态 ")
    private Integer complaintStatus;

    @ApiParam("客诉单状态描述")
    private String complaintStatusName;

    @ApiParam("文件ID1")
    private Long fileId1;

    @ApiParam("文件URL1")
    private String fileUrl1;

    @ApiParam("文件原名1")
    private String fileOriginName1;

    @ApiParam("文件ID2")
    private Long fileId2;

    @ApiParam("文件URL2")
    private String fileUrl2;

    @ApiParam("文件原名2")
    private String fileOriginName2;

    @ApiParam("对策确认 10-通过，20-不通过")
    private Integer countermeasureConfirm;

    @ApiParam("整改确认 10-通过，20-不通过")
    private Integer abarbeitungConfirm;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("创建日期开始区间")
    private String createDatetimeStart;

    @ApiParam("创建日期结束区间")
    private String createDatetimeEnd;

    @ApiParam("更新人")
    private String modifyUser;

    @ApiParam("更新日期")
    private String modifyDatetime;

    @ApiParam("责任区分")
    private String dutyDiff;

    @ApiParam("对策确认描述 10-通过，20-不通过")
    private String countermeasureConfirmName;

    @ApiParam("整改确认描述 10-通过，20-不通过")
    private String abarbeitungConfirmName;

    @ApiParam("客诉确认拒绝说明")
    private String countermeasureNoPassExplain;

    @ApiParam("整改确认拒绝说明")
    private String abarbeitungNoPassExplain;

    @ApiParam("上传时间")
    private String uploadDatetime;

    @ApiParam("仕向地")
    private String sendAddress;

//    @ApiParam("制造编号")
//    private String manufacturingSerialNo;
//
//    @ApiParam("安装时间")
//    private String installationTime;
//
//    @ApiParam("购机时间")
//    private String theCostOfTime;
//
//    @ApiParam("故障发生时间")
//    private String timeOfFailure;
//
//    @ApiParam("使用时间 故障发生时间-安装时间。单位：月")
//    private Double hoursOfUse;
//
//    @ApiParam("故障现象")
//    private String faultPhenomenon;
//
//    @ApiParam("故障原因")
//    private String failureCause;
//
//    @ApiParam("制造日期")
//    private String manufacturingDate;
//
//    @ApiParam("部品编码")
//    private String departmentOfProductCoding;
//
//    @ApiParam("部品名称")
//    private String departmentOfProductName;
//
//    @ApiParam("单价")
//    private BigDecimal unitPrice;
//
//    @ApiParam("金额")
//    private BigDecimal amount;
//
//    @ApiParam("服务网点")
//    private String serviceNetworkStation;
//
//    @ApiParam("是否二次维修")
//    private Integer whetherSecondaryMaintenance;

    public SxQmsCustomerComplaintModel() {
    }

    public SxQmsCustomerComplaintModel(Long id, String complaintNo, Integer complaintType, String complaintTypeName, Integer abnormalSource, String abnormalSourceName, String partNo, String partNameRdd, String customerNo, String customerName, String publishDate, String planArriveDate, String departmentNo, String issueDesc, Integer defectLevel, String defectLevelName, Integer qty, Integer situation, String situationName, String produceDate, Integer complaintStatus, String complaintStatusName, Long fileId1, String fileUrl1, String fileOriginName1, Long fileId2, String fileUrl2, String fileOriginName2, Integer countermeasureConfirm, Integer abarbeitungConfirm, String organizeCode, Integer isValid, Integer isDeleted, String createUser, String createDatetime, String createDatetimeStart, String createDatetimeEnd, String modifyUser, String modifyDatetime, String dutyDiff, String countermeasureConfirmName, String abarbeitungConfirmName, String uploadDatetime) {
        this.id = id;
        this.complaintNo = complaintNo;
        this.complaintType = complaintType;
        this.complaintTypeName = complaintTypeName;
        this.abnormalSource = abnormalSource;
        this.abnormalSourceName = abnormalSourceName;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.publishDate = publishDate;
        this.planArriveDate = planArriveDate;
        this.departmentNo = departmentNo;
        this.issueDesc = issueDesc;
        this.defectLevel = defectLevel;
        this.defectLevelName = defectLevelName;
        this.qty = qty;
        this.situation = situation;
        this.situationName = situationName;
        this.produceDate = produceDate;
        this.complaintStatus = complaintStatus;
        this.complaintStatusName = complaintStatusName;
        this.fileId1 = fileId1;
        this.fileUrl1 = fileUrl1;
        this.fileOriginName1 = fileOriginName1;
        this.fileId2 = fileId2;
        this.fileUrl2 = fileUrl2;
        this.fileOriginName2 = fileOriginName2;
        this.countermeasureConfirm = countermeasureConfirm;
        this.abarbeitungConfirm = abarbeitungConfirm;
        this.organizeCode = organizeCode;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.createDatetimeStart = createDatetimeStart;
        this.createDatetimeEnd = createDatetimeEnd;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.dutyDiff = dutyDiff;
        this.countermeasureConfirmName = countermeasureConfirmName;
        this.abarbeitungConfirmName = abarbeitungConfirmName;
        this.uploadDatetime = uploadDatetime;
    }

    public SxQmsCustomerComplaintModel(Long id, String createDatetime, String createUser , String modifyUser, String modifyDatetime,
                                       String organizeCode, Long fileId1, String fileOriginName1, Long fileId2, String fileOriginName2,
                                       String uploadDatetime, Integer isValid, Integer isDeleted, String complaintNo, Integer complaintType, Integer abnormalSource,
                                       String partNo, String partNameRdd, String customerNo, String customerName,
                                       String publishDate, String planArriveDate, String departmentNo, String issueDesc,
                                       Integer defectLevel, Integer qty, Integer situation, String produceDate,
                                       Integer complaintStatus, String fileUrl1, String fileUrl2, String dutyDiff,
                                       Integer countermeasureConfirm, Integer abarbeitungConfirm, String badnessCode, String sendAddress) {
        this.id = id;
        this.createDatetime = createDatetime;
        this.createUser = createUser;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.organizeCode = organizeCode;
        this.fileId1 = fileId1;
        this.fileOriginName1 = fileOriginName1;
        this.fileId2 = fileId2;
        this.fileOriginName2 = fileOriginName2;
        this.uploadDatetime = uploadDatetime;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.complaintNo = complaintNo;
        this.complaintType = complaintType;
        this.abnormalSource = abnormalSource;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.publishDate = publishDate;
        this.planArriveDate = planArriveDate;
        this.departmentNo = departmentNo;
        this.issueDesc = issueDesc;
        this.defectLevel = defectLevel;
        this.qty = qty;
        this.situation = situation;
        this.produceDate = produceDate;
        this.complaintStatus = complaintStatus;
        this.fileUrl1 = fileUrl1;
        this.fileUrl2 = fileUrl2;
        this.dutyDiff = dutyDiff;
        this.countermeasureConfirm = countermeasureConfirm;
        this.abarbeitungConfirm = abarbeitungConfirm;
        this.badnessCode = badnessCode;
        this.sendAddress = sendAddress;
    }

    public SxQmsCustomerComplaintModel(Long id, String createDatetime, String createUser , String modifyUser, String modifyDatetime,
                                       String organizeCode, Long fileId1, String fileOriginName1, Long fileId2, String fileOriginName2,
                                       String uploadDatetime, Integer isValid, Integer isDeleted, String complaintNo, Integer complaintType, Integer abnormalSource,
                                       String partNo, String partNameRdd, String customerNo, String customerName,
                                       String publishDate, String planArriveDate, String departmentNo, String issueDesc,
                                       Integer defectLevel, Integer qty, Integer situation, String produceDate,
                                       Integer complaintStatus, String fileUrl1, String fileUrl2, String dutyDiff,
                                       Integer countermeasureConfirm, Integer abarbeitungConfirm) {
        this.id = id;
        this.createDatetime = createDatetime;
        this.createUser = createUser;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
        this.organizeCode = organizeCode;
        this.fileId1 = fileId1;
        this.fileOriginName1 = fileOriginName1;
        this.fileId2 = fileId2;
        this.fileOriginName2 = fileOriginName2;
        this.uploadDatetime = uploadDatetime;
        this.isValid = isValid;
        this.isDeleted = isDeleted;
        this.complaintNo = complaintNo;
        this.complaintType = complaintType;
        this.abnormalSource = abnormalSource;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.publishDate = publishDate;
        this.planArriveDate = planArriveDate;
        this.departmentNo = departmentNo;
        this.issueDesc = issueDesc;
        this.defectLevel = defectLevel;
        this.qty = qty;
        this.situation = situation;
        this.produceDate = produceDate;
        this.complaintStatus = complaintStatus;
        this.fileUrl1 = fileUrl1;
        this.fileUrl2 = fileUrl2;
        this.dutyDiff = dutyDiff;
        this.countermeasureConfirm = countermeasureConfirm;
        this.abarbeitungConfirm = abarbeitungConfirm;
    }
}
