package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.List;

/**
 * @Author: Dominic
 * @CreateDate: 2022/06/07 13:26:20
 * @Description:
 **/
@Data
@ApiModel("客诉记录报表MODEL")
public class SxQmsCustomerComplaintReportModel implements Serializable {

    @ApiParam("工厂代码")
    private String organizeCode;

    @ApiParam("客诉单号")
    private String complaintNo;

    @ApiParam("客诉单状态")
    @AnnoOutputColumn(refClass = QmsEnumUtil.BU_COMPLAINT_STATUS.class, refForeignKey = "value", value = "description")
    private Integer complaintStatus;

    @ApiParam("客诉单状态描述")
    private String complaintStatusName;

    @ApiParam("责任区分")
    @AnnoOutputColumn(refClass = QmsEnumUtil.DUTY_DIFF.class, refForeignKey = "value", value = "description")
    private Integer dutyDiff;

    @ApiParam("责任区分 前端传参用")
    private String dutyDiffs;

    @ApiParam("管理编码")
    private String departmentNo;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料编码集合")
    private List<String> partNoList;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("购机时间")
    private String theCostOfTime;

    @ApiParam("安装时间")
    private String installationTime;

    @ApiParam("故障发生时间")
    private String timeOfFailure;

    @ApiParam("使用时间 故障发生时间-安装时间。单位：月")
    private Double hoursOfUse;

    @ApiParam("服务网点")
    private String serviceNetworkStation;

    @ApiParam("部品编码")
    private String departmentOfProductCoding;

    @ApiParam("部品名称")
    private String departmentOfProductName;

    @ApiParam("产线代码")
    private String productLineCode;

    @ApiParam("客户编码")
    private String customerNo;

    @ApiParam("客户名称")
    private String customerName;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("产品分类")
    private String productClassification;

    @ApiParam("机种分类")
    private String categoryCode;

    @ApiParam("缺陷等级 10-轻度缺陷，20-中度缺陷，30-重度缺陷")
    private Integer defectLevel;

    @ApiParam("缺陷等级描述")
    private String defectLevelName;

    @ApiParam("再发次数")
    private Integer recurTimes;

    @ApiParam("生产时间")
    private String produceTime;

    @ApiParam("生产日期")
    private String produceDate;

    @ApiParam("生产批次")
    private String prodLot;

    @ApiParam("对策前/后")
    @AnnoOutputColumn(refClass = QmsEnumUtil.COUNTERMEASURE_ACTION.class, refForeignKey = "value", value = "description")
    private Integer countermeasureAction;

    @ApiParam("部品在库数量")
    private BigDecimal quantityOfPartsInWarehouse;

    @ApiParam("成品在库数量")
    private BigDecimal quantityOfFinishedProductsInWarehouse;

    @ApiParam("是否进行再发防止报告")
    private Integer wtcrpr;

    @ApiParam("不良原因")
    private String causeOfDefect;

    @Column(name = "FILE_URL1")
    @ApiParam("文件URL1")
    private String fileUrl1;

    @Column(name = "FILE_URL2")
    @ApiParam("文件URL2")
    private String fileUrl2;

    @ApiParam("异常发行日期")
    private String abnormalReleaseDate;

    @ApiParam("异常发行日期开始")
    private String abnormalReleaseDateStart;

    @ApiParam("异常发行日期结束")
    private String abnormalReleaseDateEnd;

    @ApiParam("预定回复日期")
    private String expectedReplyDate;

    @ApiParam("对应日期")
    private String correspondingToTheDate;

    @ApiParam("实际回答日期")
    private String actualReplyDate;

    @ApiParam("发生原因")
    private String occurReason;

    @ApiParam("发生源临时对策")
    private String temporaryCountermeasureOfSource;

    @ApiParam("发生源恒久对策")
    private String persistentGameOfOrigin;

    @ApiParam("流出原因")
    private String outflowReason;

    @ApiParam("流出源临时对策")
    private String outflowSourceTemporaryCountermeasure;

    @ApiParam("流出源恒久对策")
    private String outflowSourcePermanentCountermeasure;

    @ApiParam("对策附件信息")
    private String fileUrl;

    @ApiParam("备注")
    private String remark;

    @ApiParam("更新人")
    private String modifyUser;

    @ApiParam("更新日期")
    private String modifyDatetime;

    @ApiParam("更新日期开始")
    private String modifyDatetimeStart;

    @ApiParam("更新日期结束")
    private String modifyDatetimeEnd;

    @ApiParam("文件原名1")
    private String fileOriginName1;

    @ApiParam("文件原名2")
    private String fileOriginName2;

    @ApiParam("上传时间")
    private String uploadDatetime;

    @ApiParam("附件文件原名")
    private String abarbeitungFileOriginName;

    @ApiParam("附件上传时间")
    private String abarbeitungUploadDatetime;

    public SxQmsCustomerComplaintReportModel(String complaintNo, Integer complaintStatus, Integer dutyDiff,
                                             String departmentNo, String expectedReplyDate, String partNo,
                                             String partNameRdd, String theCostOfTime, String installationTime,
                                             String timeOfFailure, Double hoursOfUse, String serviceNetworkStation,
                                             String departmentOfProductCoding, String departmentOfProductName,
                                             String productLineCode, String customerNo, String customerName,
                                             String vendorNo, String vendorName,
                                             String productClassification, String categoryCode, Integer defectLevel,
                                             Integer recurTimes, String produceTime, String produceDate, String prodLot,
                                             Integer countermeasureAction, BigDecimal quantityOfPartsInWarehouse,
                                             BigDecimal quantityOfFinishedProductsInWarehouse, Integer wtcrpr,
                                             String causeOfDefect, String fileUrl1, String fileUrl2, String fileOriginName1,
                                             String fileOriginName2, String uploadDatetime,
                                             String abnormalReleaseDate,
                                             String correspondingToTheDate, String actualReplyDate, String occurReason,
                                             String temporaryCountermeasureOfSource, String persistentGameOfOrigin,
                                             String outflowReason, String outflowSourceTemporaryCountermeasure,
                                             String outflowSourcePermanentCountermeasure, String fileUrl, String abarbeitungFileOriginName,
                                             String abarbeitungUploadDatetime, String remark,
                                             String modifyUser, String modifyDatetime) {
        this.complaintNo = complaintNo;
        this.complaintStatus = complaintStatus;
        this.dutyDiff = dutyDiff;
        this.departmentNo = departmentNo;
        this.expectedReplyDate = expectedReplyDate;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.theCostOfTime = theCostOfTime;
        this.installationTime = installationTime;
        this.timeOfFailure = timeOfFailure;
        this.hoursOfUse = hoursOfUse;
        this.serviceNetworkStation = serviceNetworkStation;
        this.departmentOfProductCoding = departmentOfProductCoding;
        this.departmentOfProductName = departmentOfProductName;
        this.productLineCode = productLineCode;
        this.customerNo = customerNo;
        this.customerName = customerName;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.productClassification = productClassification;
        this.categoryCode = categoryCode;
        this.defectLevel = defectLevel;
        this.recurTimes = recurTimes;
        this.produceTime = produceTime;
        this.produceDate = produceDate;
        this.prodLot = prodLot;
        this.countermeasureAction = countermeasureAction;
        this.quantityOfPartsInWarehouse = quantityOfPartsInWarehouse;
        this.quantityOfFinishedProductsInWarehouse = quantityOfFinishedProductsInWarehouse;
        this.wtcrpr = wtcrpr;
        this.causeOfDefect = causeOfDefect;
        this.fileUrl1 = fileUrl1;
        this.fileUrl2 = fileUrl2;
        this.fileOriginName1 = fileOriginName1;
        this.fileOriginName2 = fileOriginName2;
        this.uploadDatetime = uploadDatetime;
        this.abnormalReleaseDate = abnormalReleaseDate;
        this.correspondingToTheDate = correspondingToTheDate;
        this.actualReplyDate = actualReplyDate;
        this.occurReason = occurReason;
        this.temporaryCountermeasureOfSource = temporaryCountermeasureOfSource;
        this.persistentGameOfOrigin = persistentGameOfOrigin;
        this.outflowReason = outflowReason;
        this.outflowSourceTemporaryCountermeasure = outflowSourceTemporaryCountermeasure;
        this.outflowSourcePermanentCountermeasure = outflowSourcePermanentCountermeasure;
        this.fileUrl = fileUrl;
        this.abarbeitungFileOriginName = abarbeitungFileOriginName;
        this.abarbeitungUploadDatetime = abarbeitungUploadDatetime;
        this.remark = remark;
        this.modifyUser = modifyUser;
        this.modifyDatetime = modifyDatetime;
    }
}
