package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;
import java.util.List;

/**
 * @PROJECT_NAME: i3plus-qms-panasonic
 * @DESCRIPTION:
 * @USER: xinwang.yi
 * @DATE: 2022-02-21 15:43
 */
@Data
@ApiModel("改善经验库主表MODEL")
public class SxQmsImprovementExperienceModel implements Serializable {

    private static final long serialVersionUID = -7865109707606633181L;

    @ApiParam("id")
    private Long id;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("有效性")
    private Integer isValid;

    @ApiParam("是否已删除")
    private Integer isDeleted;

    @ApiParam(value = "改善类别")
    private Integer improveType;

    @ApiParam(value = "改善类别描述")
    private String improveTypeName;

    @ApiParam(value = "问题描述")
    private String problemDesc;

    @ApiParam(value = "解决方案")
    private String solution;

    @Column(name = "REMARK")
    @ApiParam(value = "备注")
    private String remark;

    @ApiParam(value = "机种编码")
    private String machineCode;

    @ApiParam(value = "机种名称")
    private String machineName;

    @ApiParam(value = "产线")
    private String workCenterCode;

    @ApiParam("问题描述文件列表")
    private List<String> problemDescList;

    @ApiParam("解决方案文件列表")
    private List<String> solutionList;

    @ApiParam(value = "物料名称")
    private String partNo;

    @ApiParam("分类1")
    private String categoryCode1;
}
