package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.annotation.DynamicField;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;

@Api("供应商业绩异常联络单model,非创建状态不可编辑项")
@Data
public class SxQmsVqeAbnormalMasterModel {

    @Column(name = "MONTH")
    @ApiParam("评价月份")
    private Integer month;

    @Column(name = "VENDOR_NO")
    @ApiParam("供应商编码")
    private String vendorNo;

    @Column(name = "VENDOR_NAME")
    @ApiParam("供应商名称")
    private String vendorName;

    @Column(name = "PART_NO")
    @ApiParam("物料编码")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNo;

    @Column(name = "PART_NAME_RDD")
    @ApiParam("物料名称")
    @DynamicField(webFieldType = CommonEnumUtil.FIELD_TYPE.TEXT)
    private String partNameRdd;

    @Column(name = "MONTH_GRADE")
    @ApiParam("当月等级")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABCD.class)
    private Integer monthGrade;

}
