package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Data
@Api("供应商Q评价明细model")
public class SxVendorQEvaluateDetailReportModel {
    @ApiParam("工厂编号")
    private String organizeCode;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("发生日期")
    private String occureDate;

    @ApiParam("异常发生场所")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_SOURCE.class, refForeignKey = "value", value = "description")
    public Integer busiType;

    @ApiParam("线别")
    private String workCenterCode;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("不良内容")
    private String badContent;

    @ApiParam("缺陷等级")
    @AnnoOutputColumn(refClass = QmsEnumUtil.DEFECT_LEVEL.class, refForeignKey = "value", value = "description")
    private Integer defectLevel;

    @ApiParam("扣减分数")
    private Integer minusScore;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("查询参数，开始创建时间")
    private String createDatetimeStart;

    @ApiParam("查询参数，结束创建时间")
    private String createDatetimeEnd;

    public SxVendorQEvaluateDetailReportModel(String organizeCode, String vendorNo, String vendorName, String occureDate, Integer busiType, String workCenterCode, String partNo, String partNameRdd, String badContent, Integer defectLevel, String createUser, String createDatetime) {
        this.organizeCode = organizeCode;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.occureDate = occureDate;
        this.busiType = busiType;
        this.workCenterCode = workCenterCode;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.badContent = badContent;
        this.defectLevel = defectLevel;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
    }
}
