package cn.estsh.i3plus.pojo.qms.model;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Api("供应商Q评价月报model")
public class SxVendorQEvaluateMonthReportModel {

    @ApiParam("年份")
    private Integer year;

    @ApiParam("月份")
    private Integer month;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("受入检查(重)次数")
    private Integer incomingSevereCount;

    @ApiParam("受入检查(重)分数")
    private Integer incomingSevereScore;

    @ApiParam("受入检查(中)次数")
    private Integer incomingModerateCount;

    @ApiParam("受入检查(中)分数")
    private Integer incomingModerateScore;

    @ApiParam("受入检查(轻)次数")
    private Integer incomingMinorCount;

    @ApiParam("受入检查(轻)分数")
    private Integer incomingMinorScore;

    @ApiParam("制造工程(重)次数")
    private Integer engineeringSevereCount;

    @ApiParam("制造工程(重)分数")
    private Integer engineeringSevereScore;

    @ApiParam("制造工程(中)次数")
    private Integer engineeringModerateCount;

    @ApiParam("制造工程(中)分数")
    private Integer engineeringModerateScore;

    @ApiParam("制造工程(轻)次数")
    private Integer engineeringMinorCount;

    @ApiParam("制造工程(轻)分数")
    private Integer engineeringMinorScore;

    @ApiParam("市场反馈(重)次数")
    private Integer marketSevereCount;

    @ApiParam("市场反馈(重)分数")
    private Integer marketSevereScore;

    @ApiParam("市场反馈(中)次数")
    private Integer marketModerateCount;

    @ApiParam("市场反馈(中)分数")
    private Integer marketModerateScore;

    @ApiParam("市场反馈(轻)次数")
    private Integer marketMinorCount;

    @ApiParam("市场反馈(轻)分数")
    private Integer marketMinorScore;

    @ApiParam("品质管理(次数)")
    private Integer qualityManagementCount;

    @ApiParam("品质管理(分值)")
    private Integer qualityManagementScore;

    @ApiParam("RoHS违反(次数)")
    private Integer rohsViolationCount;

    @ApiParam("RoHS违反(分值)")
    private Integer rohsViolationScore;

    @ApiParam("重大事件发生(次数)")
    private Integer majorIncidentCount;

    @ApiParam("重大事件发生(分值)")
    private Integer majorIncidentScore;

    @ApiParam("4M擅自变更(次数)")
    private Integer unauthorizedChangeCount;

    @ApiParam("4M擅自变更(分值)")
    private Integer unauthorizedChangeScore;

    @ApiParam("其他(次数)")
    private Integer otherCount;

    @ApiParam("其他(分值)")
    private Integer otherScore;

    @ApiParam("总分")
    private Integer totalScore;

    @ApiParam("等级")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABCD.class)
    private Integer monthGrade;

    @ApiParam("工厂编号")
    private String organizeCode;
}
