package cn.estsh.i3plus.pojo.qms.model;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 16:29
 **/
@ApiModel("生产工单MODEL")
@Data
public class SxWorkOrderModel implements Serializable {

    private static final long serialVersionUID = 5430390206403006189L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("工单号")
    private String orderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("区域代码")
    private String areaCode;

    @ApiParam("生产线代码")
    private String workCenterCode;

    @ApiParam("生产线名称")
    public String workCenterName;

    @ApiParam("工单状态代码")
    private Integer workOrderStatus;

    @ApiParam("工单状态")
    private String workOrderStatusName;

    @ApiParam("工单类型代码-正常/试制/返工")
    private Integer workOrderType;

    @ApiParam("工单类型")
    private String workOrderTypeName;

    @ApiParam("计划开始时间")
    private String startTime;

    @ApiParam("计划结束时间")
    private String endTime;

    @ApiParam("排产日期")
    private String scheduleDate;

    @ApiParam("计划数量")
    private Double qty;

    @ApiParam("返工计划数量")
    private Double planQty;

    @ApiParam("完成数量")
    private Double completeQty;

    @ApiParam("工单来源")
    private String workOrderSource;

    @ApiParam("创建人")
    private String createUser;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("编辑人")
    private String modifyUser;

    @ApiParam("编辑时间")
    private String modifyDatetime;

    @ApiParam("id")
    private Long id;

    @ApiParam("缺件数量")
    private Double missingQty;

    @ApiParam("生产排序")
    private Double seq;

    @ApiParam("排序属性")
    public String orderByParam = "";

    @ApiParam(
            value = "排序类型，1 正序，2 倒序",
            example = "1"
    )
    public Integer ascOrDesc = 1;

    @ApiParam("计划开始时间开始")
    private String startTimeStart;

    @ApiParam("计划开始时间结束")
    private String startTimeEnd;

    @ApiParam("更新开始时间")
    private String modifyStartTime;

    @ApiParam("更新结束时间")
    private String modifyEndTime;

    @ApiParam("计划结束时间开始")
    private String endTimeStart;

    @ApiParam("计划结束时间结束")
    private String endTimeEnd;

    @ApiParam("条码生成状态")
    private Integer snCreateStatus;


}
