package cn.estsh.i3plus.pojo.qms.model.bu;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import org.hibernate.annotations.ColumnDefault;

import javax.persistence.Column;
import javax.persistence.Transient;


@Data
public class SwebPurchaseOrderExt extends BaseBean {

    @ApiParam("SAP单号")
    @Column(name = "SAP_ORDER_NO")
    private String sapOrderNo;

    @ApiParam("工厂代码")
    @Column(name = "FACTORY_NO")
    private String factoryNo;

    @ApiParam("工厂名称")
    @Column(name = "FACTORY_NAME")
    private String factoryName;

    @ApiParam("币种")
    @Column(name = "CURRENCY_TYPE")
    private String currencyType;

    @ApiParam("单价")
    @Column(name = "PRICE")
    @ColumnDefault("0")
    private Double price = 0.0;

    @ApiParam("数量")
    @Column(name = "ORDER_QTY")
    @ColumnDefault("0")
    private Double orderQty = 0.0;

    @ApiParam("总价")
    @Column(name = "TOTAL")
    @ColumnDefault("0")
    private Double total = 0.0;

    @ApiParam("物料编码")
    @Column(name = "PART_NO")
    private String partNo;

    @ApiParam("物料名称")
    @Column(name = "PART_NAME")
    private String partName;

    @ApiParam("单位")
    @Column(name = "UNIT")
    private String unit;

    @ApiParam("变更前需求日")
    @Column(name = "DEMAND_DAY_BEFORE_CHANGE")
    private String demandDayBeforeChange;

    @ApiParam("变更前交货数量")
    @Column(name = "DELIVERY_AMOUNT_BEFORE_CHANGE")
    private Double deliveryAmountBeforeChange = 0.0;

    @ApiParam("变更后需求日")
    @Column(name = "DEMAND_DAY_AFTER_CHANGE")
    private String demandDayAfterChange;

    @ApiParam("变更后交货数量")
    @Column(name = "DELIVERY_AMOUNT_AFTER_CHANGE")
    private Double deliveryAmountAfterChange = 0.0;

    @ApiParam("收货数量")
    @Column(name = "REC_QTY")
    private Double recQty = 0.0;

    @ApiParam("检验合格数量")
    @Column(name = "QUALIFIED_QTY")
    private Double qualifiedQty = 0.0;

    @ApiParam("入库数量")
    @Column(name = "IN_STOCK_QTY")
    private Double inStockQty = 0.0;

    @ApiParam("同步标识")
    @Column(name = "IS_SYNC_WMS")
    private Integer isSyncWms = 2;

    @Transient
    @ApiParam("订单状态名称")
    private String poStatusName;

    @Transient
    @ApiParam("未清数量")
    private Double outstandingQty;

    @ApiParam("PO单价")
    @Column(name = "net_price")
    private Double netPrice;

    @ApiParam("PO单价(货币)")
    @Column(name = "currency")
    private String currency;

    @ApiParam("单位(倍数)")
    @Column(name = "multiple_unit")
    private Double multipleUnit;

    @ApiParam("PO金额")
    @Column(name = "PO_AMOUNT")
    private Double poAmount;

    @ApiParam("PO金额(币别)")
    @Column(name = "PO_CURRENCY")
    private String poCurrency;

    @ApiParam("打印状态")
    @Column(name = "PRINT_STATUS")
    private Integer printStatus = 20;

    @Transient
    @ApiParam("打印状态中文名称")
    private String printStatusCn;

    @Column(name = "UPLOAD_DATE_TIME")
    @ApiParam("上传时间")
    private String uploadDateTime;

    @Column(name = "FILE_ORIGIN_NAME")
    @ApiParam("文件源名")
    private String fileOriginName;

    @Column(name = "FILE_URL")
    @ApiParam("文件URL")
    private String fileUrl;

    @ApiParam("单据号")
    private String orderNo;

    @ApiParam("供应商编号")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam(value = "订单类型", example = "10")
    private Integer orderType;

    @ApiParam(value = "库存地")
    private String erpWarehouse;

    @ApiParam(value = "合同号")
    private String refNo;

    @ApiParam(value = "是否导入使用")
    private boolean isImport;

}
