package cn.estsh.i3plus.pojo.qms.model.bu;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

@Api("bu异常联络单报表model")
@Data
public class SxBuAbnormalReportModel {

    /** 异常联络单主表 start **/

    @ApiParam("异常联络单号")
    public String orderNo;

    @ApiParam("异常场所")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_SOURCE.class, refForeignKey = "value", value = "description")
    public Integer busiType;

    @ApiParam("责任区分")
    @AnnoOutputColumn(refClass = QmsEnumUtil.DUTY_DIFF.class, refForeignKey = "value", value = "description")
    private Integer dutyDiff;

    @ApiParam("机种名称")
    private String machineName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    /** 异常联络单主表 end **/


    //异常联络单明细表
    @ApiParam("是否向事业部汇报")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isReport;

    //异常联络单确认表
    @ApiParam("是否再发防止")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isPreventOccur;

    //异常联络单明细表(不良项目)
    @ApiParam("不良区分")
    private String abnormalPorject;

    /** 异常联络单回复表 start **/

    @ApiParam("发生原因")
    public String occureReason;

    @ApiParam("流出原因")
    public String outFlowReason;

    @ApiParam("临时应急对策")
    public String tempDealOption;

    @ApiParam("原因分析")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ABNORMAL_ANALYSIS_CAUSE.class, refForeignKey = "value", value = "description")
    public Integer causeAnalysis;

    @ApiParam("恒久防止对策(再发防止对策)")
    private String preventOption;

    /** 异常联络单回复表 end **/


    /** 异常联络单主表 start **/

    @ApiParam("问题提出日期")
    private String applyDatetime;

    @ApiParam("回复期限日期")
    private String replyEndDate;

    @ApiParam("完成时间(联络单确认时间)")
    private String contactConfirmDateTime;

    /** 异常联络单主表 end **/


    @ApiParam("订单状态")
    private Integer orderStatus;

    @ApiParam("工厂代码")
    private String organizeCode;

    public SxBuAbnormalReportModel() {
    }

    public SxBuAbnormalReportModel(String orderNo, Integer busiType, Integer dutyDiff, String machineName,
                                   String partNo, String partNameRdd, String vendorNo, String vendorName, Integer isReport,
                                   String abnormalPorject, String applyDatetime, String replyEndDate, String contactConfirmDateTime) {
        this.orderNo = orderNo;
        this.busiType = busiType;
        this.dutyDiff = dutyDiff;
        this.machineName = machineName;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.vendorNo = vendorNo;
        this.vendorName = vendorName;
        this.isReport = isReport;
        this.abnormalPorject = abnormalPorject;
        this.applyDatetime = applyDatetime;
        this.replyEndDate = replyEndDate;
        this.contactConfirmDateTime = contactConfirmDateTime;
    }
}
