package cn.estsh.i3plus.pojo.qms.model.bu;

import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * RoHS检测/管理试验监控 管理MODEL
 * jiaqi.hou
 */
@Data
@ApiModel("RoHS检测/管理试验监控管理MODEL")
public class SxBuMonitorManageModel implements Serializable {

    private static final long serialVersionUID = -4239047036461795363L;

    @ApiParam("id")
    private Long id;

    @ApiParam("id")
    private String idStr;

    @ApiParam(value = "模块")
    private Integer module;

    @ApiParam("编号")
    private String manageNo;

    @ApiParam("检测时间 不进行计算,仅显示,可编辑")
    private String checkDate;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("产品分类")
    private Integer productType;

    @ApiParam("BU产品分类")
    private String productTypeStr;

    @ApiParam("机种编码")
    private String machineCode;

    @ApiParam(value = "机种名称")
    private String machineName;

    @ApiParam(value = "分类")
    private Integer classify;

    @ApiParam(value = "等级")
    private Integer level;

    @ApiParam(value = "检测频度")
    private Integer checkFrequency;

    @ApiParam(value = "计划检测日期")
    private String checkDatetime;

    @ApiParam(value = "检测确认日期")
    private String checkedDatetime;

    @ApiParam(value = "检测确认计划日期")
    private String checkedFreDatetime;

    @ApiParam(value = "检测确认人")
    private String checkedUser;

    @ApiParam("检查区分")
    private String checkDiff;

    @ApiParam("类别")
    private String category;

    @ApiParam("管理试验项目")
    private String projectName;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("创建用户")
    private String createUser;

    @ApiParam("创建日期")
    private String createDatetime;

    @ApiParam("修改人")
    private String modifyUser;

    @ApiParam("修改日期")
    private String modifyDatetime;

    @ApiParam("产品分类")
    private String productTypeName;

    @ApiParam("分类")
    private String classifyName;

    @ApiParam("检查区分")
    private String checkDiffName;

    @ApiParam("类别")
    private String categoryName;

    @ApiParam(value = "等级")
    private String levelName;

    @ApiParam(value = "检测提醒")
    private Integer checkRemind;

    @ApiParam(value = "检测提醒颜色")
    private String checkRemindColor;

    @ApiParam("检测类型")
    private Integer actionType;

    @ApiParam("检测类型")
    private String actionTypeName;

    @ApiParam(value = "备注")
    private String remark;

    @ApiParam(value = "检测确认结果 10-合格；20-不合格")
    private Integer checkResult;

    @ApiParam(value = "检测确认结果 10-合格；20-不合格")
    private String checkResultName;

    @ApiParam("计划检测日期起始")
    public String checkDatetimeStart;

    @ApiParam("计划检测日期截止")
    public String checkDatetimeEnd;

    @ApiParam("检测确认日期起始")
    public String checkedDatetimeStart;

    @ApiParam("检测确认日期截止")
    public String checkedDatetimeEnd;

    @ApiParam("检测确认计划日期起始")
    public String checkedFreDatetimeStart;

    @ApiParam("检测确认计划日期截止")
    public String checkedFreDatetimeEnd;

    @ApiParam("排序属性")
    public String orderByParam = "";

    @ApiParam(value = "邻苯是否检测")
    private Integer phthalatesCheck;

    @ApiParam(value = "邻苯是否检测")
    private String phthalatesCheckName;

    @ApiParam("邻苯等级")
    private Integer phthalatesLevel;

    @ApiParam("邻苯等级")
    private String phthalatesLevelName;

    @ApiParam("邻苯检测频度")
    private String phthalatesCheckFrequency;

    @ApiParam("邻苯实际检测日期")
    private String phthalatesActualCheckDate;

    @ApiParam(value = "邻苯预计检测日期")
    private String phthalatesExpectedCheckDate;

    @ApiParam(value = "邻苯检测提醒")
    private Integer phthalatesCheckRemind;

    @ApiParam(value = "邻苯检测提醒颜色")
    private String phthalatesCheckRemindColor;

    @ApiParam(value = "上次计划检测日期")
    private String lastCheckDatetime;

    @ApiParam(value = "上次计划检测日期")
    private String lastCheckDatetimeStart;

    @ApiParam(value = "上次开始计划检测日期")
    private String lastCheckDatetimeEnd;

    @ApiParam(value = "上次结束计划检测日期")
    private String lastCheckFreDatetime;

    @ApiParam(value = "上次检测日期")
    private String lastCheckedDatetime;

    @ApiParam(value = "上次开始检测日期范围")
    private String lastCheckedDatetimeStart;

    @ApiParam(value = "上次结束检测日期范围")
    private String lastCheckedDatetimeEnd;

    @ApiParam(value = "邻苯检测确认人")
    private String phthalatesCheckedUser;

//    @ApiParam(value = "邻苯上次计划时间")
//    private String lastCheckDate;


    @ApiParam(
            value = "排序类型，1 正序，2 倒序",
            example = "1"
    )
    public transient Integer ascOrDesc = 1;

    public String orderBy() {
        String result = "";
        if (this.orderByParam != null && this.orderByParam.trim().length() > 0) {
            result = " order by " + this.orderByParam;
            if (this.ascOrDesc == CommonEnumUtil.ASC_OR_DESC.ASC.getValue()) {
                result = result + " asc";
            } else {
                result = result + " desc";
            }
        }

        return result;
    }

}
