package cn.estsh.i3plus.pojo.qms.model.bu;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("BU出货检验参数MODEL")
public class SxBuOqcManageManualModel implements Serializable {

    private static final long serialVersionUID = -1995566346621217318L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("操作人")
    private String userInfo;

    @ApiParam("返回信息")
    private String msg;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("检验类型")
    private Integer oqcNoType = 10;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("生产工单")
    private String workOrderNo;

    @ApiParam("不良类型代码")
    private String badnessTypeCode;

    @ApiParam("不良类型名称")
    private String badnessTypeName;

    @ApiParam("不良分类代码")
    private String badnessClassifyCode;

    @ApiParam("不良分类名称")
    private String badnessClassifyName;

    @ApiParam("不良分类明细名称")
    private String badnessClassifyDetailName;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("生产线")
    private String workCenterCode;

    @ApiParam("作业时间")
    private String workTime;

    @ApiParam("班次代码")
    private String shiftCode;

    @ApiParam("班次完工数量")
    private Double completeQty;

    @ApiParam("已检测范围数量")
    private Double checkLimit;

    @ApiParam("未检批次范围")
    private Double batchLimit;

    @ApiParam("当前批次范围")
    private Double curBatchLimit;

    @ApiParam("产品类型")
    private String categoryCode3;

    @ApiParam("工单类型名称")
    private String workOrderTypeName;

    @ApiParam("产量统计ID")
    private String idStr;

    @ApiParam("检验类型只读状态")
    private Map<Integer, Boolean> oqcNoTypeBooMap = new HashMap<>();

}
