package cn.estsh.i3plus.pojo.qms.model.bu;

import cn.estsh.i3plus.pojo.base.common.Pager;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import java.io.Serializable;

/**
 * @author wangjie
 * @version 1.0
 * @date 2021/1/15 15:32
 **/
@Data
@ApiModel("BU出货检验参数MODEL")
public class SxBuOqcManageParamModel implements Serializable {

    private static final long serialVersionUID = -1693182178033633122L;

    @ApiParam("组织代码")
    private String organizeCode;

    @ApiParam("操作人")
    private String userInfo;

    @ApiParam("操作人ID")
    private String userId;

    @ApiParam("条码")
    private String sn;

    @ApiParam("产量统计ID")
    private String idStr;

    @ApiParam("检验单号")
    private String oqcNo;

    @ApiParam("抽检数量")
    private Double spotCheckQty = new Double(1);

    @ApiParam("批次范围")
    private Double batchLimit = new Double(1);

    @ApiParam("检验类型")
    private Integer oqcNoType = 10;

    @ApiParam("检验结果")
    private Integer checkResult;

    @ApiParam("生产工单")
    private String workOrderNo;

    @ApiParam("明细分页条件")
    private Pager pager;

    @ApiParam("不良类型代码")
    private String badnessTypeCode;

    @ApiParam("不良分类代码")
    private String badnessClassifyCode;

    @ApiParam("不良分类明细代码")
    private String badnessClassifyDetailCode;

    @ApiParam("不良分类明细名称")
    private String badnessClassifyDetailName;

    public String toBaseString() {
        return "SxBuOqcManageParamModel{" +
                "organizeCode='" + organizeCode + '\'' +
                ", userInfo='" + userInfo + '\'' +
                ", userId='" + userId + '\'' +
                ", sn='" + sn + '\'' +
                ", idStr='" + idStr + '\'' +
                ", oqcNo='" + oqcNo + '\'' +
                '}';
    }
}
