package cn.estsh.i3plus.pojo.qms.model.bu;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;


/**
 * @Description : 四时会议model
 * @Reference :
 * @Author : ssl
 * @CreateDate : 2022-06-30 14:22
 * @Modify:
 **/
@Api("四时会议model")
@Data
public class SxQmsFourHourMeetModel {

    @Column(name = "BAD_NATURE")
    @ApiParam("不良性质")
    private String badNature;

    @Column(name = "IMPERMANENT_POLICY")
    @ApiParam("临时对策")
    private String impermanentPolicy;

    @Column(name = "IS_RELEASE_QUALITY")
    @ApiParam("是否发行质量异常联络")
    @AnnoOutputColumn(refClass = QmsEnumUtil.TRUE_OR_FALSE.class, refForeignKey = "value", value = "description")
    private Integer isReleaseQuality;

    @Column(name = "ACTUAL_REPLY_DATE")
    @ApiParam("实际回复日")
    private String actualReplyDate;

    @Column(name = "END_DATE")
    @ApiParam("完结日")
    private String endDate;

    @Column(name = "PROGRESS_TRACK")
    @ApiParam("进度跟踪")
    private String progressTrack;

    @Column(name = "EFFECT_TRACK")
    @ApiParam("对策后效果跟踪")
    private String effectTrack;

    @Column(name = "MEET_PERSONNEL")
    @ApiParam("与会部门/人员")
    private String meetPersonnel;
}
