package cn.estsh.i3plus.pojo.qms.model.bu;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

import javax.persistence.Column;
import java.io.Serializable;

/**
 * 受入检验报表
 * @author JiaQi.Hou
 */
@Data
@Api("受入检验报表")
public class SxQmsQCTransDetailsModel implements Serializable {

    private static final long serialVersionUID = 373201307007194297L;

    @ApiParam("ID")
    private Long id;

    @ApiParam("组织代码")
    public String organizeCode;

    @ApiParam("创建人")
    public String createUser;

    @ApiParam("创建时间")
    public String createDatetime;

    @ApiParam("修改人")
    public String modifyUser;

    @ApiParam("修改时间")
    public String modifyDatetime;

    @ApiParam("单号")
    private String orderNo;

    @ApiParam("抽检条码")
    private String sn;

    @ApiParam("抽检数")
    private Double actQty;

    @ApiParam("检测结果")
    @AnnoOutputColumn(refClass = QmsEnumUtil.QC_STATUS.class, refForeignKey = "value", value = "description")
    private Integer qcStatus;

    @ApiParam("单据类型")
    @AnnoOutputColumn(refClass = QmsEnumUtil.ITEM_TYPE.class, refForeignKey = "value", value = "description")
    private Integer itemType;

    @ApiParam("项目类型")
    private String projectName;

    @ApiParam("供应商编码")
    private String vendorNo;

    @ApiParam(value = "关联单号")
    private String refSrc;

    @ApiParam("供应商名称")
    private String vendorName;

    @ApiParam("物料编码")
    private String partNo;

    @ApiParam("物料名称")
    private String partNameRdd;

    @ApiParam("项目规格")
    private String checkContent;

    @ApiParam("上限值")
    private String upLimit;

    @ApiParam("下限值")
    private String downLimit;

    @ApiParam("测定器")
    private String checkTool;

    @Column(name = "ACTUAL_VALUE1")
    @ApiParam("实1")
    private String actualValue1;

    @Column(name = "ACTUAL_VALUE2")
    @ApiParam("实2")
    private String actualValue2;

    @Column(name = "ACTUAL_VALUE3")
    @ApiParam("实3")
    private String actualValue3;

    @Column(name = "ACTUAL_VALUE4")
    @ApiParam("实4")
    private String actualValue4;

    @Column(name = "ACTUAL_VALUE5")
    @ApiParam("实5")
    private String actualValue5;

    @Column(name = "ACTUAL_VALUE6")
    @ApiParam("实6")
    private String actualValue6;

    @Column(name = "ACTUAL_VALUE7")
    @ApiParam("实7")
    private String actualValue7;

    @Column(name = "ACTUAL_VALUE8")
    @ApiParam("实8")
    private String actualValue8;

    @Column(name = "ACTUAL_VALUE9")
    @ApiParam("实9")
    private String actualValue9;

    @Column(name = "ACTUAL_VALUE10")
    @ApiParam("实10")
    private String actualValue10;

    @ApiParam("检验人")
    public String checkUser;

    @ApiParam("检验时间")
    public String checkDatetime;

    @ApiParam("备注")
    private String remark;

    @ApiParam("控制区域")
    private String controlArea;

    @ApiParam("上下限预警区域")
    private String theWarningArea;

    @AnnoOutputColumn(refClass = QmsEnumUtil.QMS_OQC_CHECK_DETAIL_RESULT.class, refForeignKey = "value", value = "description")
    @ApiParam("检验结果")
    private Integer checkResult;

    public SxQmsQCTransDetailsModel() {
    }

    public SxQmsQCTransDetailsModel(String orderNo, String sn, Double actQty, Integer qcStatus, Integer itemType, String projectName, String vendorNo, String refSrc, String vendorName, String partNo, String partNameRdd, String checkContent, String upLimit, String downLimit, String checkTool, String actualValue1, String actualValue2, String actualValue3, String actualValue4, String actualValue5, String actualValue6, String actualValue7, String actualValue8, String actualValue9, String actualValue10, String createUser, String createDatetime, String remark, Integer checkResult) {
        this.orderNo = orderNo;
        this.sn = sn;
        this.actQty = actQty;
        this.qcStatus = qcStatus;
        this.itemType = itemType;
        this.projectName = projectName;
        this.vendorNo = vendorNo;
        this.refSrc = refSrc;
        this.vendorName = vendorName;
        this.partNo = partNo;
        this.partNameRdd = partNameRdd;
        this.checkContent = checkContent;
        this.upLimit = upLimit;
        this.downLimit = downLimit;
        this.checkTool = checkTool;
        this.actualValue1 = actualValue1;
        this.actualValue2 = actualValue2;
        this.actualValue3 = actualValue3;
        this.actualValue4 = actualValue4;
        this.actualValue5 = actualValue5;
        this.actualValue6 = actualValue6;
        this.actualValue7 = actualValue7;
        this.actualValue8 = actualValue8;
        this.actualValue9 = actualValue9;
        this.actualValue10 = actualValue10;
        this.createUser = createUser;
        this.createDatetime = createDatetime;
        this.remark = remark;
        this.checkResult = checkResult;
    }
}
