package cn.estsh.i3plus.pojo.qms.sqlpack;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.base.util.StringUtil;
import cn.estsh.i3plus.pojo.qms.bean.*;
import cn.estsh.i3plus.pojo.qms.model.SxDefectRateTargetModel;
import cn.estsh.i3plus.pojo.qms.model.SxEvaluationManageModel;
import cn.estsh.i3plus.pojo.qms.model.SxMonitorManageModel;
import cn.estsh.i3plus.pojo.qms.model.bu.BuOqcCheckReportModel;
import cn.estsh.i3plus.pojo.qms.model.bu.SxBuMonitorManageModel;
import cn.estsh.i3plus.pojo.qms.util.QmsConstWords;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;

import org.springframework.util.StringUtils;

import java.util.Arrays;

/**
 * @Description:
 * @Reference: Qms 条件封装
 * @Author: wangjie
 * @CreateDate:2019-04-22-14:58
 * @Modify:
 **/
public class QmsHqlPack {

    public static DdlPackBean getAllBaseDataByNormalPro(BaseBean baseBean, String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, QmsConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(baseBean.getIsValid(), QmsConstWords.IS_VALID, packBean);
        DdlPreparedPack.getNumEqualPack(QmsEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), QmsConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getAllBaseDataByIsValid(String organizeCode, Integer valid) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, QmsConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(valid, QmsConstWords.IS_VALID, packBean);
        DdlPreparedPack.getNumEqualPack(QmsEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), QmsConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getAllBaseData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, QmsConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(QmsEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), QmsConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getAllValidData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, QmsConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), QmsConstWords.IS_VALID, packBean);
        DdlPreparedPack.getNumEqualPack(QmsEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), QmsConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getModuleFileImportLot(SxQmsModuleFileImportLot moduleFileImportLot) {
        DdlPackBean packBean = getAllValidData(moduleFileImportLot.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(moduleFileImportLot.getLotNo(), QmsConstWords.LOT_NO, packBean);
        DdlPreparedPack.getStringEqualPack(moduleFileImportLot.getModule(), QmsConstWords.MODULE, packBean);
        if (!StringUtils.isEmpty(moduleFileImportLot.getCreateDateTimeStart()) || !StringUtils.isEmpty(moduleFileImportLot.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    moduleFileImportLot.getCreateDateTimeStart(), moduleFileImportLot.getCreateDateTimeEnd(),
                    QmsConstWords.CREATE_DATE_TIME, packBean, true);
        }
        return packBean;
    }

    public static DdlPackBean getProjectType(SxQmsProjectType projectType) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(projectType, projectType.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(projectType.getProjectCode(), QmsConstWords.PROJECT_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(projectType.getProjectName(), QmsConstWords.PROJECT_NAME, packBean);
        DdlPreparedPack.getNumEqualPack(projectType.getModule(), QmsConstWords.MODULE, packBean);
        return packBean;
    }

    public static DdlPackBean getOqcRuleNoteDetail(SxQmsOqcRuleNoteDetail oqcRuleNoteDetail) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(oqcRuleNoteDetail, oqcRuleNoteDetail.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(oqcRuleNoteDetail.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getNumEqualPack(oqcRuleNoteDetail.getCheckType(), QmsConstWords.CHECK_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(oqcRuleNoteDetail.getIsNecessary(), QmsConstWords.IS_NECESSARY, packBean);
        DdlPreparedPack.getStringEqualPack(oqcRuleNoteDetail.getProjectCode(), QmsConstWords.PROJECT_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getCheckContent(), QmsConstWords.CHECK_CONTENT, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getCheckItem(), QmsConstWords.CHECK_ITEM, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getStandard(), QmsConstWords.STANDARD, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getCheckTool(), QmsConstWords.CHECK_TOOL, packBean);
        return packBean;
    }

    public static DdlPackBean packHqlQmsEnum(SxQmsEnum sxQmsEnum) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(sxQmsEnum.getOrganizeCode(), "organizeCode", result);
        DdlPreparedPack.getStringEqualPack(sxQmsEnum.getEnumType(), "enumType", result);
        DdlPreparedPack.getStringEqualPack(sxQmsEnum.getEnumValue(), "enumValue", result);
        getStringBuilderPack(sxQmsEnum, result);
        return result;
    }

    public static DdlPackBean packHqlBasCustomer(SxQmsBasCustomer basCustomer) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(basCustomer.getCustNo(), "custNo", result);
        DdlPreparedPack.getStringLikerPack(basCustomer.getCustName(), "custName", result);
        DdlPreparedPack.getStringLikerPack(basCustomer.getCustDesc(), "custDesc", result);
        getStringBuilderPack(basCustomer, result);
        return result;
    }

    public static DdlPackBean packHqlBasVendor(SxQmsBasVendor basVendor) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(basVendor.getVendorNo(), "vendorNo", result);
        DdlPreparedPack.getStringLikerPack(basVendor.getVendorName(), "vendorName", result);
        DdlPreparedPack.getStringLikerPack(basVendor.getVendorDesc(), "vendorDesc", result);
        getStringBuilderPack(basVendor, result);
        return result;

    }

    public static DdlPackBean getStringBuilderPack(BaseBean bean, DdlPackBean hqlStr) {
        if (!StringUtils.isEmpty(bean.getOrganizeCode())) {
            DdlPreparedPack.getStringEqualPack(bean.getOrganizeCode(), "organizeCode", hqlStr);
        }

        DdlPreparedPack.getStringEqualPack(bean.getCreateUser(), "createUser", hqlStr);
        if (!StringUtils.isEmpty(bean.getCreateDateTimeStart()) && org.apache.commons.lang3.StringUtils.isNotBlank(bean.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(bean.getCreateDateTimeStart(), bean.getCreateDateTimeEnd(), "createDatetime", hqlStr, true);
        }

        if (StringUtil.isEmpty(bean.getIsValid())) {
            DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue(), "isValid", hqlStr);
        } else {
            DdlPreparedPack.getNumEqualPack(bean.getIsValid(), "isValid", hqlStr);
        }

        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), "isDeleted", hqlStr);
        return hqlStr;
    }

    public static DdlPackBean getConfig(SxQmsConfig cfgCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(cfgCode, cfgCode.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(cfgCode.getCfgCode(), QmsConstWords.CFG_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(cfgCode.getCfgName(), QmsConstWords.CFG_NAME, packBean);
        DdlPreparedPack.getStringEqualPack(cfgCode.getCfgKey(), QmsConstWords.CFG_KEY, packBean);
        DdlPreparedPack.getStringEqualPack(cfgCode.getCfgType(), QmsConstWords.CFG_TYPE, packBean);
        return packBean;
    }

    public static DdlPackBean getSxQmsImprovementExperience(SxQmsImprovementExperience sxQmsImprovementExperience) {
        DdlPackBean packBean = getAllValidData(sxQmsImprovementExperience.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getWorkCenterCode(),QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getProblemDesc(), QmsConstWords.PROBLEM_DESC, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getSolution(), QmsConstWords.SOLUTION, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(sxQmsImprovementExperience.getImproveType(), QmsConstWords.IMPROVE_TYPE, packBean);
        return packBean;
    }

    public static DdlPackBean getSxQmsBuImprovementExperience(SxQmsImprovementExperience sxQmsImprovementExperience) {
        DdlPackBean packBean = getAllValidData(sxQmsImprovementExperience.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getWorkCenterCode(),QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getProblemDesc(), QmsConstWords.PROBLEM_DESC, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getSolution(), QmsConstWords.SOLUTION, packBean);
        if(!StringUtils.isEmpty(sxQmsImprovementExperience.getMachineCode())){
            String[] productTypes = sxQmsImprovementExperience.getMachineCode().split(QmsConstWords.COMMA);
            if(productTypes.length > 1){
                DdlPreparedPack.getInPackArray(productTypes, QmsConstWords.MACHINE_CODE, packBean);
            }else{
                DdlPreparedPack.getStringLikerPack(sxQmsImprovementExperience.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
            }
        }
        DdlPreparedPack.getNumEqualPack(sxQmsImprovementExperience.getImproveType(), QmsConstWords.IMPROVE_TYPE, packBean);
        DdlPreparedPack.getStringLikerPack(sxQmsImprovementExperience.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getCategoryCode1(), QmsConstWords.CATEGORY_CODE1, packBean);
        return packBean;
    }

    public static DdlPackBean getOqcCheckPackageDetail(SxQmsOqcCheckPackageDetail oqcCheckPackageDetail) {
        DdlPackBean packBean = getAllValidData(oqcCheckPackageDetail.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(oqcCheckPackageDetail.getOqcNo(), QmsConstWords.OQC_NO, packBean);
        DdlPreparedPack.getStringLikerPack(oqcCheckPackageDetail.getSerialNumber(), QmsConstWords.SERIAL_NUMBER, packBean);
        DdlPreparedPack.getStringLikerPack(oqcCheckPackageDetail.getPackageNo(), QmsConstWords.PACKAGENO, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getWorkOrderNo(), QmsConstWords.WORK_ORDER_NO, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getWorkCenterCode(), QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getWorkTime(), QmsConstWords.WORK_TIME, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getShiftCode(), QmsConstWords.SHIFT_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(oqcCheckPackageDetail.getCheckResult(), QmsConstWords.CHECK_RESULT, packBean);
        return packBean;
    }

    public static DdlPackBean getPartExt(SxQmsPartExt partExt) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(partExt, partExt.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(partExt.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringLikerPack(partExt.getPartNameRdd(), QmsConstWords.PART_NAME_RDD, packBean);
        DdlPreparedPack.getStringEqualPack(partExt.getWorkCenterCode(), QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(partExt.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(partExt.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getNumEqualPack(partExt.getPartType(), QmsConstWords.PART_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(partExt.getProductType(), QmsConstWords.PRODUCT_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(partExt.getIsOqc(), QmsConstWords.IS_OQC, packBean);
        return packBean;
    }

    public static DdlPackBean getPart(SxQmsPart part) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(part, part.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(part.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringLikerPack(part.getPartNameRdd(), QmsConstWords.PART_NAME_RDD, packBean);
        DdlPreparedPack.getStringEqualPack(part.getCategoryCode1(), QmsConstWords.CATEGORY_CODE1, packBean);
        DdlPreparedPack.getStringEqualPack(part.getCategoryCode2(), QmsConstWords.CATEGORY_CODE2, packBean);
        DdlPreparedPack.getStringEqualPack(part.getCategoryCode3(), QmsConstWords.CATEGORY_CODE3, packBean);
        return packBean;
    }

    public static DdlPackBean getMonitorManage(SxMonitorManageModel monitorManage) {
        DdlPackBean packBean = getAllBaseDataByIsValid(monitorManage.getOrganizeCode(), monitorManage.getIsValid());
        DdlPreparedPack.getNumEqualPack(monitorManage.getModule(), QmsConstWords.MODULE, packBean);
        DdlPreparedPack.getStringLikerPack(monitorManage.getManageNo(), QmsConstWords.MANAGE_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getProductType(), QmsConstWords.PRODUCT_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getClassify(), QmsConstWords.CLASSIFY, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getLevel(), QmsConstWords.LEVEL, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getCategory(), QmsConstWords.CATEGORY, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getCheckDiff(), QmsConstWords.CHECK_DIFF, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getProjectName(), QmsConstWords.PROJECT_NAME, packBean);
        if (!StringUtils.isEmpty(monitorManage.getCheckDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckDatetimeStart(), monitorManage.getCheckDatetimeEnd(),
                    QmsConstWords.CHECK_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(monitorManage.getCheckedDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckedDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedDatetimeStart(), monitorManage.getCheckedDatetimeEnd(),
                    QmsConstWords.CHECKED_DATE_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getMonitorManageRecord(SxMonitorManageModel monitorManage) {
        DdlPackBean packBean = getAllValidData(monitorManage.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(monitorManage.getManageNo(), QmsConstWords.MANAGE_NO, packBean);
        if (!StringUtils.isEmpty(monitorManage.getCheckedFreDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckedFreDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedFreDatetimeStart(), monitorManage.getCheckedFreDatetimeEnd(),
                    QmsConstWords.CHECKED_FRE_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(monitorManage.getCheckedDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckedDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedDatetimeStart(), monitorManage.getCheckedDatetimeEnd(),
                    QmsConstWords.CHECKED_DATE_TIME, packBean, false);
        }
        return packBean;
    }


    public static DdlPackBean getEvaluationManage(SxEvaluationManageModel evaluationManage) {
        DdlPackBean packBean = getAllValidData(evaluationManage.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(evaluationManage.getApplyNo(), QmsConstWords.APPLY_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getDepartmentCode(), QmsConstWords.DEPARTMENT_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(evaluationManage.getProductType(), QmsConstWords.PRODUCT_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(evaluationManage.getCauseType(), QmsConstWords.CAUSE_TYPE, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getRelateNo(), QmsConstWords.RELATE_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getApplyUser(), QmsConstWords.APPLY_USER, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getEvaluationUser(), QmsConstWords.EVALUATION_USER, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getEvaluationContent(), QmsConstWords.EVALUATION_CONTENT, packBean);
        if (!StringUtils.isEmpty(evaluationManage.getApplyDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getApplyDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getApplyDatetimeStart(), evaluationManage.getApplyDatetimeEnd(),
                    QmsConstWords.APPLY_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(evaluationManage.getEvaluationDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getEvaluationDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getEvaluationDatetimeStart(), evaluationManage.getEvaluationDatetimeEnd(),
                    QmsConstWords.EVALUATION_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(evaluationManage.getCheckDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getCheckDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getCheckDatetimeStart(), evaluationManage.getCheckDatetimeEnd(),
                    QmsConstWords.CHECK_DATE_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getSxQmsRecheckInstruction(SxQmsRecheckInstruction sxQmsRecheckInstruction) {
        DdlPackBean packBean = getAllValidData(sxQmsRecheckInstruction.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxQmsRecheckInstruction.getPartNo(),QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsRecheckInstruction.getPartNameRdd(), QmsConstWords.PART_NAME_RDD, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsRecheckInstruction.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(sxQmsRecheckInstruction.getInstructionStatus(), QmsConstWords.INSTRUCTION_STATUS, packBean);
        if (!StringUtils.isEmpty(sxQmsRecheckInstruction.getCreateDateTimeStart()) || !StringUtils.isEmpty(sxQmsRecheckInstruction.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    sxQmsRecheckInstruction.getCreateDateTimeStart(), sxQmsRecheckInstruction.getCreateDateTimeEnd(),
                    QmsConstWords.CREATE_DATE_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getLimitColorCfg(SxQmsLimitColorCfg limitColorCfg) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(limitColorCfg, limitColorCfg.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(limitColorCfg.getModule(), QmsConstWords.MODULE, packBean);
        return packBean;
    }

    public static DdlPackBean getBadness(SxQmsBadness sxQmsBadness) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(sxQmsBadness, sxQmsBadness.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(sxQmsBadness.getBadnessModule(), QmsConstWords.BADNESS_MODULE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsBadness.getBadnessCode(), QmsConstWords.BADNESS_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsBadness.getBadnessName(), QmsConstWords.BADNESS_NAME, packBean);
        return packBean;
    }

    public static DdlPackBean getDefectRateTarget(SxQmsDefectRateTarget sxQmsDefectRateTarget) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(sxQmsDefectRateTarget, sxQmsDefectRateTarget.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(sxQmsDefectRateTarget.getDataType(), QmsConstWords.DATA_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsDefectRateTarget.getDataValue(), QmsConstWords.DATA_VALUE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsDefectRateTarget.getTargetTime(), QmsConstWords.TARGET_TIME, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsDefectRateTarget.getTargetType(),QmsConstWords.TARGET_TYPE, packBean);
        return packBean;
    }

    public static DdlPackBean getMachine(SxQmsMachine sxQmsMachine) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(sxQmsMachine, sxQmsMachine.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(sxQmsMachine.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(sxQmsMachine.getMachineName(), QmsConstWords.MACHINE_NAME, packBean);
        return packBean;
    }

    public static DdlPackBean getReportDefectRateTarget(SxDefectRateTargetModel model) {
        DdlPackBean packBean = getAllValidData(model.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(model.getDataType(), QmsConstWords.DATA_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(model.getDataValue(), QmsConstWords.DATA_VALUE, packBean);
        DdlPreparedPack.getStringEqualPack(model.getTargetType(), QmsConstWords.TARGET_TYPE, packBean);
        if (!StringUtils.isEmpty(model.getTargetTimeStart()) || !StringUtils.isEmpty(model.getTargetTimeEnd())) {
            DdlPreparedPack.timeBuilder(model.getTargetTimeStart(), model.getTargetTimeEnd(), QmsConstWords.TARGET_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getSxQmsQualityAbnormalQIRecord(SxQmsQualityAbnormalQIRecord sxQmsQualityAbnormalQIRecord) {
        DdlPackBean packBean = getAllValidData(sxQmsQualityAbnormalQIRecord.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(sxQmsQualityAbnormalQIRecord.getMeetingNo(), QmsConstWords.MEETING_NO, packBean);
        if (!StringUtils.isEmpty(sxQmsQualityAbnormalQIRecord.getCreateDateTimeStart()) || !StringUtils.isEmpty(sxQmsQualityAbnormalQIRecord.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(sxQmsQualityAbnormalQIRecord.getCreateDateTimeStart(), sxQmsQualityAbnormalQIRecord.getCreateDateTimeEnd(), QmsConstWords.TARGET_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getSxQmsQualityAbnormalQIRecordDetail(SxQmsQualityAbnormalQIRecordDetail sxQmsQualityAbnormalQIRecordDetail) {
        DdlPackBean packBean = getAllValidData(sxQmsQualityAbnormalQIRecordDetail.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxQmsQualityAbnormalQIRecordDetail.getMeetingNo(), QmsConstWords.MEETING_NO, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsQualityAbnormalQIRecordDetail.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getNumEqualPack(sxQmsQualityAbnormalQIRecordDetail.getDutyDiff(), QmsConstWords.DUTY_DIFF, packBean);
        return packBean;
    }


    public static DdlPackBean packHqlSxPartWorkCenter(SxQmsPartWorkCenter sxQmsPartWorkCenter) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringRightLikerPack(sxQmsPartWorkCenter.getPartNo(), "partNo", result);
        DdlPreparedPack.getStringLikerPack(sxQmsPartWorkCenter.getPartName(), "partName", result);
        DdlPreparedPack.getStringLikerPack(sxQmsPartWorkCenter.getWorkCenterCode(), "workCenterCode", result);
        getStringBuilderPack(sxQmsPartWorkCenter, result);
        return result;
    }


    public static DdlPackBean getCauseClassify(SxQmsCauseClassify causeClassify) {
        DdlPackBean packBean = getAllValidData(causeClassify.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(causeClassify.getCauseClassifyCode(), "causeClassifyCode", packBean);
        DdlPreparedPack.getStringLikerPack(causeClassify.getCauseClassifyName(), "causeClassifyName", packBean);
        return packBean;
    }

    public static DdlPackBean getMonitorManage(SxBuMonitorManageModel monitorManage) {
        DdlPackBean packBean = getAllValidData(monitorManage.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(monitorManage.getModule(), QmsConstWords.MODULE, packBean);
        DdlPreparedPack.getStringLikerPack(monitorManage.getManageNo(), QmsConstWords.MANAGE_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getProductType(), QmsConstWords.PRODUCT_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getClassify(), QmsConstWords.CLASSIFY, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getLevel(), QmsConstWords.LEVEL, packBean);
        //DdlPreparedPack.getStringEqualPack(monitorManage.getCategory(), QmsConstWords.CATEGORY, packBean);
        //DdlPreparedPack.getStringEqualPack(monitorManage.getCheckDiff(), QmsConstWords.CHECK_DIFF, packBean);
        //DdlPreparedPack.getStringEqualPack(monitorManage.getProjectName(), QmsConstWords.PROJECT_NAME, packBean);
//        if (!StringUtils.isEmpty(monitorManage.getCheckDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckDatetimeEnd())) {
//            DdlPreparedPack.timeBuilder(
//                    monitorManage.getCheckDatetimeStart(), monitorManage.getCheckDatetimeEnd(),
//                    QmsConstWords.CHECK_DATE_TIME, packBean, false);
//        }
        if (!StringUtils.isEmpty(monitorManage.getCheckedDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckedDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedDatetimeStart(), monitorManage.getCheckedDatetimeEnd(),
                    QmsConstWords.CHECKED_DATE_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getOqcCheckDetailByOqcNo(SxQmsOqcCheck oqcCheckDb) {
        DdlPackBean packBean = getAllValidData(oqcCheckDb.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(oqcCheckDb.getOqcNo(), QmsConstWords.OQC_NO, packBean);
        return packBean;
    }

    public static DdlPackBean getBuEvaluationManage(SxEvaluationManageModel evaluationManage) {
        DdlPackBean packBean = getAllValidData(evaluationManage.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(evaluationManage.getApplyNo(), QmsConstWords.APPLY_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getDepartmentCode(), QmsConstWords.DEPARTMENT_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(evaluationManage.getBuCauseType(), QmsConstWords.BU_CAUSE_TYPE, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getRelateNo(), QmsConstWords.RELATE_NO, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getApplyUser(), QmsConstWords.APPLY_USER, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getEvaluationUser(), QmsConstWords.EVALUATION_USER, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getEvaluationContent(), QmsConstWords.EVALUATION_CONTENT, packBean);
        if (!StringUtils.isEmpty(evaluationManage.getApplyDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getApplyDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getApplyDatetimeStart(), evaluationManage.getApplyDatetimeEnd(),
                    QmsConstWords.APPLY_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(evaluationManage.getEvaluationDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getEvaluationDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getEvaluationDatetimeStart(), evaluationManage.getEvaluationDatetimeEnd(),
                    QmsConstWords.EVALUATION_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(evaluationManage.getCheckDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getCheckDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getCheckDatetimeStart(), evaluationManage.getCheckDatetimeEnd(),
                    QmsConstWords.CHECK_DATE_TIME, packBean, false);
        }

        if(!StringUtils.isEmpty(evaluationManage.getBuProductType())){
            String[] productTypes = evaluationManage.getBuProductType().split(QmsConstWords.COMMA);
            if(productTypes.length > 1){
                DdlPreparedPack.getInPackArray(productTypes, QmsConstWords.BU_PRODUCT_TYPE, packBean);
            }else{
                DdlPreparedPack.getStringLikerPack(evaluationManage.getBuProductType(), QmsConstWords.BU_PRODUCT_TYPE, packBean);
            }
        }

        return packBean;
    }

    public static DdlPackBean getOqcCheck(BuOqcCheckReportModel model) {
        DdlPackBean packBean = getAllValidData(model.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(model.getWorkOrderNo(), QmsConstWords.WORK_ORDER_NO, packBean);
        DdlPreparedPack.getStringLikerPack(model.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(model.getWorkCenterCode(), QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(model.getOqcType(), QmsConstWords.OQC_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(model.getCheckResult(), QmsConstWords.CHECK_RESULT, packBean);
        DdlPreparedPack.getStringLikerPack(model.getOqcNo(), QmsConstWords.OQC_NO, packBean);
        DdlPreparedPack.getNumEqualPack(model.getSnType(), QmsConstWords.SN_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(model.getOqcNoType(), QmsConstWords.OQC_NO_TYPE, packBean);
        DdlPreparedPack.getIsNotNull(QmsConstWords.CHECK_RESULT, packBean);
        if (!StringUtils.isEmpty(model.getCreateDatetimeStart()) || !StringUtils.isEmpty(model.getCreateDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(model.getCreateDatetimeStart(), model.getCreateDatetimeEnd(), QmsConstWords.CREATE_DATE_TIME, packBean, true);
        }
        return packBean;
    }

    public static DdlPackBean getBusiConfig(SxQmsBusiConfig busiConfig) {
        String[] split = busiConfig.getBusiCode().split(",");
        DdlPackBean packBean = getAllBaseDataByNormalPro(busiConfig, busiConfig.getOrganizeCode());
        if (split.length>QmsConstWords.ONE){
            DdlPreparedPack.getInPackList(Arrays.asList(split), QmsConstWords.BUSI_CODE, packBean);
        }else {
            DdlPreparedPack.getStringLikerPack(busiConfig.getBusiCode(), QmsConstWords.BUSI_CODE, packBean);
        }
        DdlPreparedPack.getStringLikerPack(busiConfig.getBusiName(), QmsConstWords.BUSI_NAME, packBean);
        return packBean;
    }

}
