package cn.estsh.i3plus.pojo.qms.sqlpack.bu;


import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.bean.DdlPackBean;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import cn.estsh.i3plus.pojo.base.tool.DdlPreparedPack;
import cn.estsh.i3plus.pojo.base.util.StringUtil;
import cn.estsh.i3plus.pojo.qms.bean.*;
import cn.estsh.i3plus.pojo.qms.model.SxEvaluationManageModel;
import cn.estsh.i3plus.pojo.qms.model.bu.SxBuMonitorManageModel;
import cn.estsh.i3plus.pojo.qms.util.QmsConstWords;
import cn.estsh.i3plus.pojo.qms.util.QmsEnumUtil;
import org.springframework.util.StringUtils;

/**
 * @Description:
 * @Reference: Qms-bu条件封装
 * @Author: jiaqi.Hou
 * @Modify:
 **/
public class QmsBuHqlPack {

    public static DdlPackBean getAllBaseDataByNormalPro(BaseBean baseBean, String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, QmsConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(baseBean.getIsValid(), QmsConstWords.IS_VALID, packBean);
        DdlPreparedPack.getNumEqualPack(QmsEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), QmsConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getAllBaseData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, QmsConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(QmsEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), QmsConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getAllValidData(String organizeCode) {
        DdlPackBean packBean = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(organizeCode, QmsConstWords.ORGANIZE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.IS_VAILD.VAILD.getValue(), QmsConstWords.IS_VALID, packBean);
        DdlPreparedPack.getNumEqualPack(QmsEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), QmsConstWords.IS_DELETED, packBean);
        return packBean;
    }

    public static DdlPackBean getModuleFileImportLot(SxQmsModuleFileImportLot moduleFileImportLot) {
        DdlPackBean packBean = getAllValidData(moduleFileImportLot.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(moduleFileImportLot.getLotNo(), QmsConstWords.LOT_NO, packBean);
        DdlPreparedPack.getStringEqualPack(moduleFileImportLot.getModule(), QmsConstWords.MODULE, packBean);
        if (!StringUtils.isEmpty(moduleFileImportLot.getCreateDateTimeStart()) || !StringUtils.isEmpty(moduleFileImportLot.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    moduleFileImportLot.getCreateDateTimeStart(), moduleFileImportLot.getCreateDateTimeEnd(),
                    QmsConstWords.CREATE_DATE_TIME, packBean, true);
        }
        return packBean;
    }

    public static DdlPackBean getProjectType(SxQmsProjectType projectType) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(projectType, projectType.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(projectType.getProjectCode(), QmsConstWords.PROJECT_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(projectType.getProjectName(), QmsConstWords.PROJECT_NAME, packBean);
        DdlPreparedPack.getNumEqualPack(projectType.getModule(), QmsConstWords.MODULE, packBean);
        return packBean;
    }

    public static DdlPackBean getOqcRuleNote(SxQmsOqcRuleNote oqcRuleNote) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(oqcRuleNote, oqcRuleNote.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(oqcRuleNote.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNote.getPartNameRdd(), QmsConstWords.PART_NAME_RDD, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNote.getCategoryCode(), QmsConstWords.CATEGORY_CODE, packBean);
        return packBean;
    }

    public static DdlPackBean getOqcRuleNoteDetail(SxQmsOqcRuleNoteDetail oqcRuleNoteDetail) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(oqcRuleNoteDetail, oqcRuleNoteDetail.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(oqcRuleNoteDetail.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getNumEqualPack(oqcRuleNoteDetail.getCheckType(), QmsConstWords.CHECK_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(oqcRuleNoteDetail.getProjectCode(), QmsConstWords.PROJECT_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getCheckContent(), QmsConstWords.CHECK_CONTENT, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getCheckItem(), QmsConstWords.CHECK_ITEM, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getStandard(), QmsConstWords.STANDARD, packBean);
        DdlPreparedPack.getStringLikerPack(oqcRuleNoteDetail.getCheckTool(), QmsConstWords.CHECK_TOOL, packBean);
        return packBean;
    }

    public static DdlPackBean packHqlQmsEnum(SxQmsEnum sxQmsEnum) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringEqualPack(sxQmsEnum.getOrganizeCode(), "organizeCode", result);
        DdlPreparedPack.getStringEqualPack(sxQmsEnum.getEnumType(), "enumType", result);
        DdlPreparedPack.getStringEqualPack(sxQmsEnum.getEnumValue(), "enumValue", result);
        getStringBuilderPack(sxQmsEnum, result);
        return result;
    }

    public static DdlPackBean packHqlBasCustomer(SxQmsBasCustomer basCustomer) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(basCustomer.getCustNo(), "custNo", result);
        DdlPreparedPack.getStringLikerPack(basCustomer.getCustName(), "custName", result);
        DdlPreparedPack.getStringLikerPack(basCustomer.getCustDesc(), "custDesc", result);
        getStringBuilderPack(basCustomer, result);
        return result;
    }

    public static DdlPackBean packHqlBasVendor(SxQmsBasVendor basVendor) {
        DdlPackBean result = new DdlPackBean();
        DdlPreparedPack.getStringLikerPack(basVendor.getVendorNo(), "vendorNo", result);
        DdlPreparedPack.getStringLikerPack(basVendor.getVendorName(), "vendorName", result);
        getStringBuilderPack(basVendor, result);
        return result;

    }

    public static DdlPackBean getStringBuilderPack(BaseBean bean, DdlPackBean hqlStr) {
        if (!StringUtils.isEmpty(bean.getOrganizeCode())) {
            DdlPreparedPack.getStringEqualPack(bean.getOrganizeCode(), "organizeCode", hqlStr);
        }

        DdlPreparedPack.getStringEqualPack(bean.getCreateUser(), "createUser", hqlStr);
        if (!StringUtils.isEmpty(bean.getCreateDateTimeStart()) && org.apache.commons.lang3.StringUtils.isNotBlank(bean.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(bean.getCreateDateTimeStart(), bean.getCreateDateTimeEnd(), "createDatetime", hqlStr, true);
        }

        if (StringUtil.isEmpty(bean.getIsValid())) {
            DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.TRUE.getValue(), "isValid", hqlStr);
        } else {
            DdlPreparedPack.getNumEqualPack(bean.getIsValid(), "isValid", hqlStr);
        }

        DdlPreparedPack.getNumEqualPack(CommonEnumUtil.TRUE_OR_FALSE.FALSE.getValue(), "isDeleted", hqlStr);
        return hqlStr;
    }

    public static DdlPackBean getConfig(SxQmsConfig cfgCode) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(cfgCode, cfgCode.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(cfgCode.getCfgCode(), QmsConstWords.CFG_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(cfgCode.getCfgName(), QmsConstWords.CFG_NAME, packBean);
        DdlPreparedPack.getStringEqualPack(cfgCode.getCfgKey(), QmsConstWords.CFG_KEY, packBean);
        DdlPreparedPack.getStringEqualPack(cfgCode.getCfgType(), QmsConstWords.CFG_TYPE, packBean);
        return packBean;
    }

    public static DdlPackBean getSxQmsImprovementExperience(SxQmsImprovementExperience sxQmsImprovementExperience) {
        DdlPackBean packBean = getAllValidData(sxQmsImprovementExperience.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getWorkCenterCode(),QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getProblemDesc(), QmsConstWords.PROBLEM_DESC, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getSolution(), QmsConstWords.SOLUTION, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsImprovementExperience.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(sxQmsImprovementExperience.getImproveType(), QmsConstWords.IMPROVE_TYPE, packBean);
        return packBean;
    }

    public static DdlPackBean getOqcCheckPackageDetail(SxQmsOqcCheckPackageDetail oqcCheckPackageDetail) {
        DdlPackBean packBean = getAllValidData(oqcCheckPackageDetail.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(oqcCheckPackageDetail.getOqcNo(), QmsConstWords.OQC_NO, packBean);
        DdlPreparedPack.getStringLikerPack(oqcCheckPackageDetail.getSerialNumber(), QmsConstWords.SERIAL_NUMBER, packBean);
        DdlPreparedPack.getStringLikerPack(oqcCheckPackageDetail.getPackageNo(), QmsConstWords.PACKAGENO, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getWorkOrderNo(), QmsConstWords.WORK_ORDER_NO, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getWorkCenterCode(), QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getWorkTime(), QmsConstWords.WORK_TIME, packBean);
        DdlPreparedPack.getStringEqualPack(oqcCheckPackageDetail.getShiftCode(), QmsConstWords.SHIFT_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(oqcCheckPackageDetail.getCheckResult(), QmsConstWords.CHECK_RESULT, packBean);
        return packBean;
    }

    public static DdlPackBean getPartExt(SxQmsPartExt partExt) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(partExt, partExt.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(partExt.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringLikerPack(partExt.getPartNameRdd(), QmsConstWords.PART_NAME_RDD, packBean);
        DdlPreparedPack.getStringEqualPack(partExt.getWorkCenterCode(), QmsConstWords.WORK_CENTER_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(partExt.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(partExt.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getNumEqualPack(partExt.getPartType(), QmsConstWords.PART_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(partExt.getProductType(), QmsConstWords.PRODUCT_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(partExt.getIsOqc(), QmsConstWords.IS_OQC, packBean);
        return packBean;
    }

    public static DdlPackBean getMonitorManage(SxBuMonitorManageModel monitorManage) {
        DdlPackBean packBean = getAllValidData(monitorManage.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(monitorManage.getModule(), QmsConstWords.MODULE, packBean);
        DdlPreparedPack.getStringLikerPack(monitorManage.getManageNo(), QmsConstWords.MANAGE_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getStringEqualPack(monitorManage.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getProductType(), QmsConstWords.PRODUCT_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getClassify(), QmsConstWords.CLASSIFY, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getLevel(), QmsConstWords.LEVEL, packBean);

        if (!StringUtils.isEmpty(monitorManage.getCheckedDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckedDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedDatetimeStart(), monitorManage.getCheckedDatetimeEnd(),
                    QmsConstWords.CHECKED_DATE_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getMonitorManageRecord(SxBuMonitorManageModel monitorManage) {
        DdlPackBean packBean = getAllValidData(monitorManage.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(monitorManage.getManageNo(), QmsConstWords.MANAGE_NO, packBean);
        DdlPreparedPack.getNumEqualPack(monitorManage.getActionType(), QmsConstWords.ACTION_TYPE, packBean);
        if (!StringUtils.isEmpty(monitorManage.getCheckedDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getCheckedDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedFreDatetimeStart(), monitorManage.getCheckedFreDatetimeEnd(),
                    QmsConstWords.CHECKED_DATE_TIME, packBean, false);
        }
        //上一次计划检测日期
        if (!StringUtils.isEmpty(monitorManage.getLastCheckDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getLastCheckDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedDatetimeStart(), monitorManage.getCheckedDatetimeEnd(),
                    QmsConstWords.LAST_CHECK_DATE_TIME, packBean, false);
        }
        //上一次检测确认日期
        if (!StringUtils.isEmpty(monitorManage.getLastCheckedDatetimeStart()) || !StringUtils.isEmpty(monitorManage.getLastCheckedDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    monitorManage.getCheckedDatetimeStart(), monitorManage.getCheckedDatetimeEnd(),
                    QmsConstWords.LAST_CHECKED_DATE_TIME, packBean, false);
        }
        return packBean;
    }


    public static DdlPackBean getEvaluationManage(SxEvaluationManageModel evaluationManage) {
        DdlPackBean packBean = getAllValidData(evaluationManage.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(evaluationManage.getApplyNo(), QmsConstWords.APPLY_NO, packBean);
        DdlPreparedPack.getStringEqualPack(evaluationManage.getDepartmentCode(), QmsConstWords.DEPARTMENT_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(evaluationManage.getProductType(), QmsConstWords.PRODUCT_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(evaluationManage.getCauseType(), QmsConstWords.CAUSE_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(evaluationManage.getVendorNo(), QmsConstWords.VENDOR_NO, packBean);
        DdlPreparedPack.getStringEqualPack(evaluationManage.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(evaluationManage.getRelateNo(), QmsConstWords.RELATE_NO, packBean);
        DdlPreparedPack.getStringEqualPack(evaluationManage.getApplyUser(), QmsConstWords.APPLY_USER, packBean);
        DdlPreparedPack.getStringEqualPack(evaluationManage.getEvaluationUser(), QmsConstWords.EVALUATION_USER, packBean);
        DdlPreparedPack.getStringLikerPack(evaluationManage.getEvaluationContent(), QmsConstWords.EVALUATION_CONTENT, packBean);
        if (!StringUtils.isEmpty(evaluationManage.getApplyDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getApplyDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getApplyDatetimeStart(), evaluationManage.getApplyDatetimeEnd(),
                    QmsConstWords.APPLY_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(evaluationManage.getEvaluationDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getEvaluationDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getEvaluationDatetimeStart(), evaluationManage.getEvaluationDatetimeEnd(),
                    QmsConstWords.EVALUATION_DATE_TIME, packBean, false);
        }
        if (!StringUtils.isEmpty(evaluationManage.getCheckDatetimeStart()) || !StringUtils.isEmpty(evaluationManage.getCheckDatetimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    evaluationManage.getCheckDatetimeStart(), evaluationManage.getCheckDatetimeEnd(),
                    QmsConstWords.CHECK_DATE_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getSxQmsRecheckInstruction(SxQmsRecheckInstruction sxQmsRecheckInstruction) {
        DdlPackBean packBean = getAllValidData(sxQmsRecheckInstruction.getOrganizeCode());
        DdlPreparedPack.getStringEqualPack(sxQmsRecheckInstruction.getPartNo(),QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsRecheckInstruction.getPartNameRdd(), QmsConstWords.PART_NAME_RDD, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsRecheckInstruction.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getNumEqualPack(sxQmsRecheckInstruction.getInstructionStatus(), QmsConstWords.INSTRUCTION_STATUS, packBean);
        if (!StringUtils.isEmpty(sxQmsRecheckInstruction.getCreateDateTimeStart()) || !StringUtils.isEmpty(sxQmsRecheckInstruction.getCreateDateTimeEnd())) {
            DdlPreparedPack.timeBuilder(
                    sxQmsRecheckInstruction.getCreateDateTimeStart(), sxQmsRecheckInstruction.getCreateDateTimeEnd(),
                    QmsConstWords.CREATE_DATE_TIME, packBean, false);
        }
        return packBean;
    }

    public static DdlPackBean getLimitColorCfg(SxQmsLimitColorCfg limitColorCfg) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(limitColorCfg, limitColorCfg.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(limitColorCfg.getModule(), QmsConstWords.MODULE, packBean);
        return packBean;
    }

    public static DdlPackBean getBadness(SxQmsBadness sxQmsBadness) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(sxQmsBadness, sxQmsBadness.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(sxQmsBadness.getBadnessModule(), QmsConstWords.BADNESS_MODULE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsBadness.getBadnessCode(), QmsConstWords.BADNESS_CODE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsBadness.getBadnessName(), QmsConstWords.BADNESS_NAME, packBean);
        return packBean;
    }

    public static DdlPackBean getDefectRateTarget(SxQmsDefectRateTarget sxQmsDefectRateTarget) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(sxQmsDefectRateTarget, sxQmsDefectRateTarget.getOrganizeCode());
        DdlPreparedPack.getNumEqualPack(sxQmsDefectRateTarget.getDataType(), QmsConstWords.DATA_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsDefectRateTarget.getDataValue(), QmsConstWords.DATA_VALUE, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsDefectRateTarget.getTargetTime(), QmsConstWords.TARGET_TIME, packBean);
        DdlPreparedPack.getStringEqualPack(sxQmsDefectRateTarget.getTargetType(),QmsConstWords.TARGET_TYPE, packBean);
        return packBean;
    }

    public static DdlPackBean getMachine(SxQmsMachine sxQmsMachine) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(sxQmsMachine, sxQmsMachine.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(sxQmsMachine.getMachineCode(), QmsConstWords.MACHINE_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(sxQmsMachine.getMachineName(), QmsConstWords.MACHINE_NAME, packBean);
        return packBean;
    }

    public static DdlPackBean getOqcProject(SxQmsOqcRuleNoteDetail oqcProject) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(oqcProject, oqcProject.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(oqcProject.getCheckItem(), QmsConstWords.CHECK_ITEM, packBean);
        DdlPreparedPack.getStringLikerPack(oqcProject.getStandard(), QmsConstWords.STANDARD, packBean);
        DdlPreparedPack.getStringEqualPack(oqcProject.getPartNo(), QmsConstWords.PART_NO, packBean);
        DdlPreparedPack.getNumEqualPack(oqcProject.getOqcNoType(), QmsConstWords.OQC_NO_TYPE, packBean);
        DdlPreparedPack.getNumEqualPack(oqcProject.getCheckType(), QmsConstWords.CHECK_TYPE, packBean);
        DdlPreparedPack.getStringEqualPack(oqcProject.getCategoryCode3(), QmsConstWords.CATEGORY_CODE3, packBean);
        return packBean;
    }

    public static DdlPackBean getSxBadnessClassify(SxQmsBuBadnessClassify badnessClassify) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(badnessClassify, badnessClassify.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(badnessClassify.getBadnessTypeName(), QmsConstWords.BADNESS_TYPE_NAME, packBean);
        DdlPreparedPack.getStringLikerPack(badnessClassify.getBadnessTypeCode(), QmsConstWords.BADNESS_TYPE_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(badnessClassify.getBadnessClassifyName(), QmsConstWords.BADNESS_CLASSIFY_NAME, packBean);
        DdlPreparedPack.getStringLikerPack(badnessClassify.getBadnessClassifyCode(), QmsConstWords.BADNESS_CLASSIFY_CODE, packBean);
        return packBean;
    }

    public static DdlPackBean getSxBadnessClassifyDetail(SxQmsBuBadnessClassifyDetail badnessClassifyDetail) {
        DdlPackBean packBean = getAllBaseDataByNormalPro(badnessClassifyDetail, badnessClassifyDetail.getOrganizeCode());
        DdlPreparedPack.getStringLikerPack(badnessClassifyDetail.getBadnessClassifyName(), QmsConstWords.BADNESS_CLASSIFY_NAME, packBean);
        DdlPreparedPack.getStringLikerPack(badnessClassifyDetail.getBadnessClassifyDetailName(), QmsConstWords.BADNESS_CLASSIFY_DETAIL_NAME, packBean);
        DdlPreparedPack.getStringLikerPack(badnessClassifyDetail.getBadnessClassifyCode(), QmsConstWords.BADNESS_CLASSIFY_CODE, packBean);
        DdlPreparedPack.getStringLikerPack(badnessClassifyDetail.getBadnessClassifyDetailCode(), QmsConstWords.BADNESS_CLASSIFY_DETAIL_CODE, packBean);
        return packBean;
    }
}
