package cn.estsh.i3plus.pojo.screen.bean.diagram;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Lob;
import javax.persistence.Table;
import java.io.Serializable;

/**
 * @author Wynne.Lu
 * @date 2021/3/22 下午7:50
 * @desc
 */
@Entity
@Table(name = "SCR_PANEL")
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@DynamicUpdate
@DynamicInsert
@Builder
@ApiModel("Panel")
public class ScrPanel extends BaseBean implements Serializable {
    private static final long serialVersionUID = -5363041058961623658L;

    @Column(name = "PANEL_CODE")
    @ApiModelProperty("Panel代码")
    private String panelCode;

    @Column(name = "PANEL_NAME")
    @ApiModelProperty("Panel名称")
    private String panelName;

    @Column(name = "PARENT_TEMPLATE_PANEL")
    @ApiModelProperty("副本的模板的panel")
    private String parentTemplatePanel;

    @Column(name = "IS_TEMPLATE")
    @ApiModelProperty("是否为模板")
    private Integer isTemplate;

    @Lob
    @Column(name = "PANEL_PROPERTY")
    @ApiModelProperty("Panel属性")
    private String panelProperty;

}
