package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : yunhao
 * @CreateDate : 2021-01-15 15:40
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SAP_CONN")
@Api(value = "SAP连接信息", description = "SAP连接信息")
public class BsSapConn extends BaseBean {

    private static final long serialVersionUID = -8590500564480743293L;

    @Column(name = "SAP_CONN_NAME")
    @ApiParam(value = "sap连接名称")
    private String sapConnName;

    @Column(name = "SAP_CONN_CODE")
    @ApiParam(value = "sap连接代码")
    private String sapConnCode;

    @Column(name = "SAP_HOST")
    @ApiParam(value = "SAP 应用服务器")
    private String sapHost;

    @Column(name = "SAP_ROUTER")
    @ApiParam(value = "SAP 路由")
    private String sapRouter;

    @Column(name = "SAP_SYS_NO")
    @ApiParam(value = "sap系统编号")
    private String sapSysNo;

    @Column(name = "SAP_CLIENT")
    @ApiParam(value = "sap集团")
    private String sapClient;

    @Column(name = "SAP_USER")
    @ApiParam(value = "sap用户名")
    private String sapUser;

    @Column(name = "SAP_PWD")
    @ApiParam(value = "sap密码")
    private String sapPwd;

    @Column(name = "SAP_LANG")
    @ApiParam(value = "sap登录语言")
    private String sapLang;

    @Column(name = "SAP_MS_HOST")
    @ApiParam(value = "SAP ms地址")
    private String sapMsHost;

    @Column(name = "SAP_PORT")
    @ApiParam(value = "SAP 端口")
    private String sapPortNo;

    @Column(name = "SAP_R3NAME")
    @ApiParam(value = "SAP r3用户名")
    private String sapR3Name;

    @Column(name = "SAP_GROUP")
    @ApiParam(value = "SAP 用户组")
    private String sapGroup;

}
