package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import cn.estsh.i3plus.pojo.base.enumutil.BlockSoftSwitchEnumUtil;
import cn.estsh.i3plus.pojo.base.enumutil.CommonEnumUtil;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.ColumnDefault;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.List;


@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_CASE_TYPE",uniqueConstraints = {
        @UniqueConstraint(columnNames = {"SUIT_CASE_TYPE_ID"})
})
@Api(value = "适配器类型", description = "适配器类型")
public class BsSuitCaseType extends BaseBean {

    private static final long serialVersionUID = 6174265510888236886L;

    @Column(name = "SUIT_CASE_TYPE_ID")
    @ApiParam(value = "适配器类型id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Integer suitCaseTypeId;

    @Column(name = "SUIT_CASE_TYPE_NAME")
    @ApiParam(value = "适配器类型名称")
    private String suitCaseTypeName;

    @Column(name = "SUIT_CASE_TYPE_DESCRIPTION")
    @ApiParam(value = "适配器类型描述")
    private String suitCaseTypeDescription;

    @Column(name = "SUIT_CASE_TYPE_ALARM_EMAIL")
    @ApiParam(value = "适配器适配失败报警邮箱")
    private String suitCaseTypeAlarmEmail;

    @Column(name = "ENABLE_ALARM_EMAIL")
    @ApiParam(value = "是否开启适配报警邮箱发送")
    private Integer enableAlarmEmail;


}
