package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.annotation.AnnoOutputColumn;
import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :   WebService 适配套件
 * @Reference :
 * @Author : wei.peng
 * @CreateDate : 2019/9/9 上午11:09
 * @Modify:
 **/
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_CASE_WEB_SERVICE")
@Api(value = "WebService", description = "WebService 适配套件")
public class BsSuitCaseWebService extends BaseBean {

    private static final long serialVersionUID = -5473608817496699798L;
    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "SERVICE_TAG_NAME")
    @ApiParam(value = "Service Tag Name(包名称)")
    private String serviceTagName;

    @Column(name = "SERVICE_FUNCTION_NAME")
    @ApiParam(value = "Service Function Name(方法名称)")
    private String serviceFunctionName;

    @Column(name = "CALL_RESTFUL_URL")
    @ApiParam(value = "CALL RESTFUL URL(调用restful接口的地址)")
    private String callRestfulUrl;

    @Column(name = "CONNECTION_TIMEOUT")
    @ApiParam(value = "connectionTimeout 连接超时时间")
    private Long connectionTimeout;

    @Column(name = "RECEIVE_TIMEOUT")
    @ApiParam(value = "ReceiveTimeout 接收数据超时时间")
    private Long receiveTimeout;


    @Column(name = "CONNECTION_REQUEST_TIMEOUT")
    @ApiParam(value = "connectionRequestTimeout 请求超时时间")
    private Long connectionRequestTimeout;



    @Column(name = "CALL_SCRIPT_SWITCH")
    @ApiParam(value = "调用脚本的开关 ")
    private Integer callScriptSwitch;

    @Column(name = "SCRIPT_NO", length = 50)
    @ApiParam(name = "脚本编码")
    private String scriptNo;

}
