package cn.estsh.i3plus.pojo.softswitch.bean;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.*;
import java.util.List;

/**
 * @author ns
 * @create 2021/12/5 0005 下午 15:18
 */
@Data
@Entity
@DynamicInsert
@DynamicUpdate
@EqualsAndHashCode(callSuper = true)
@Table(name = "BS_SUIT_DUPLICATE_RECORD",indexes = {
        @Index(name="bs_suit_request_record_suit_record_id_idx",columnList = "SUIT_RECORD_ID"),
})
@ApiModel(value = "适配中出现报文重复记录", description = "适配中出先报文重复记录")
public class BsSuitDuplicateRecord extends BaseBean {

    @Column(name = "SUIT_RECORD_ID")
    @ApiParam(value = "适配记录id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitRecordId;

    @Column(name = "SUIT_CASE_ID")
    @ApiParam(value = "适配器套件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long suitCaseId;

    @Column(name = "REQUEST_SOURCE")
    @ApiParam(value = "请求来源(枚举)")
    private Integer requestSource;

    // 移动至记录数据表
    @Column(name = "REQUEST_ORGIN_PARAM")
    @ApiParam(value = "请求原始参数")
    private String requestOrginParam;

    @Column(name = "REQUEST_ID")
    @ApiParam(value = "请求id")
    private String requestId;

    @Column(name = "BUSI_ID_LIST")
    @ApiParam(value = "业务id列表")
    private String busiIdList;

}
