package cn.estsh.i3plus.pojo.wms.bean;

import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.Inheritance;
import javax.persistence.InheritanceType;
import javax.persistence.Table;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * @Description : 指标编号查询记录
 * @Reference :
 * @Author : siliter.yuan
 * @CreateDate : 2020-05-13 13:54
 * @Modify:
 **/
@Data
@Entity
@Table(name="WMS_HEALTH_QUERY_RECORD")
@EqualsAndHashCode(callSuper = true)
@Inheritance(strategy = InheritanceType.JOINED)
@Api(value="仓库健康度指标编号查询记录",description = "仓库健康度指标编号查询记录")
public class WmsHealthQueryRecord extends BaseBean {

    private static final long serialVersionUID = 7332606119041273554L;

    @Column(name = "INDICATOR_CODE")
    @ApiParam(value = "指标代码")
    private String indicatorCode;

    @Column(name = "INDICATOR_VALUE",columnDefinition="TEXT")
    @Basic(fetch=FetchType.LAZY)
    @ApiParam(value = "指标结果")
    private String indicatorValue;
   
    @Column(name = "QUERY_TIME",length = 13)
    @ApiParam(value = "查询时间")
    private Long queryTime;
    
//    @Column(name = "QUERY_TIME",length = 13)
//    @ApiParam(value = "查询来源【第三方标签】")
//    private String querySource;
//    
    
}
