package cn.estsh.i3plus.pojo.wms.bean.datasource;

import cn.estsh.i3plus.pojo.base.bean.BaseBean;
import io.swagger.annotations.ApiParam;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.hibernate.annotations.DynamicInsert;
import org.hibernate.annotations.DynamicUpdate;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * @Description :
 * @Reference :
 * @Author : Castle
 * @CreateDate : 2021/12/17 10:26
 * @Modify:
 **/
@Data
@DynamicInsert
@DynamicUpdate
@Entity
@Table(name = "wms_cus_datasource")
public class CusDatasource extends BaseBean {
    @Column(
            name = "SOURCE_NAME"
    )
    @ApiParam("数据源名称")
    private String sourceName;
    @Column(
            name = "SOURCE_CODE"
    )
    @ApiParam("数据源编码")
    private String sourceCode;
    @Column(
            name = "SOURCE_STATUS"
    )
    @ApiParam(
            value = "数据源状态",
            name = "状态：可用，不可用 看枚举当中是否存在"
    )
    private Integer sourceStatus;
    @Column(
            name = "SOURCE_TYPE"
    )
    @ApiParam(
            value = "数据源类型",
            name = "BlockFormEnumUtil.DATA_SOURCE_TYPE"
    )
    private Integer sourceType;
    @Column(
            name = "SOURCE_HOST"
    )
    @ApiParam("数据源连接地址")
    private String sourceHost;
    @Column(
            name = "SOURCE_PORT"
    )
    @ApiParam("数据源端口")
    private Integer sourcePort;
    @Column(
            name = "SOURCE_DATA_BASE_NAME"
    )
    @ApiParam("数据库名称")
    private String sourceDataBaseName;
    @Column(
            name = "SOURCE_USER_NAME"
    )
    @ApiParam("数据库用户名称")
    private String sourceUserName;
    @Column(
            name = "SOURCE_PASSWORD"
    )
    @ApiParam("数据库用户密码")
    private String sourcePassword;
    @Column(
            name = "SOURCE_DESCRIPTION"
    )
    @ApiParam("数据源描述")
    private String sourceDescription;

    public CusDatasource(Long id, String sourceName) {
        this.id = id;
        this.sourceName = sourceName;
    }

    public CusDatasource() {
    }
}
