package cn.estsh.i3plus.pojo.wms.bean.health;

import java.util.Date;

/**
 * 计算周期
 */
public interface IWmsHealthIndexCron {
    /**
     * 根据CRON表达式，判断当前时间是否可以执行
     * @param expectDifference 允许的时间差(秒)，即前后相差时间
     *                         如 60 即推迟1分钟
     *                         如 -60 即可以提前1分钟
     */
    boolean verify(int expectDifference);


    /**
     * 获取上一个计算周期
     * @return
     */
    Date getPreviousDate();


    /**
     * 获取下一个计算周期
     */
    Date getNextDate();


    /**
     * 获取周期间隔，即两个连续的计算时间的差值
     * 根据CRON表达式，计算出每个执行周期的毫秒数，如每5分钟执行一次，就是300000毫秒
     */
    public long getDifference();
}
