package cn.estsh.i3plus.pojo.wms.bean.health;

import lombok.Getter;
import lombok.Setter;

/**
 * 健康度指标标识
 */
@Getter
public  class WmsHealthIndexId{

    /**
     * 工厂代码
     */
    private final String organizeCode;
    /**
     * 指标代码
     */
    private final String indicatorCode;
    /**
     * 持久化层的标识ID(OPTION)可无
     */
    @Setter
    private Long pk;

    public WmsHealthIndexId(final String organizeCode,final String indicatorCode){
        if(null==indicatorCode){
            throw new IllegalArgumentException("indicatorCode can't be null");
        }
        if(null==organizeCode){
            throw new IllegalArgumentException("organizeCode can't be null");
        }
        this.indicatorCode = indicatorCode;
        this.organizeCode = organizeCode;
    }

    public static WmsHealthIndexId of(String organizeCode,String indicatorCode){
        return new WmsHealthIndexId(organizeCode,indicatorCode);
    }
}