package cn.estsh.i3plus.pojo.wms.repository;

import cn.estsh.i3plus.pojo.wms.bean.health.WmsHealthIndexEntity;
import cn.estsh.i3plus.pojo.wms.bean.health.WmsHealthIndexId;
import cn.estsh.i3plus.pojo.wms.bean.health.WmsHealthIndexQuery;

import java.util.List;
import java.util.Optional;

/**
 * 健康度指标
 */
public interface IWmsHealthIndexRepository {

    /**
     * 查找并初始化指标信息
     * @param id
     * @return
     */
    WmsHealthIndexEntity findAndInit(final WmsHealthIndexId id);

    /**
     * 获取上一次记录的健康度指标值
     * @param id
     * @return
     */
    Optional<WmsHealthIndexEntity> getLastRecord(final WmsHealthIndexId id);

    /**
     * 保存查询记录
     * @param wmsHealthIndexEntity
     * @param source 统计渠道
     */
    void save(final WmsHealthIndexEntity wmsHealthIndexEntity,final String source);


    /**
     * 获取查询记录
     * @param id
     * @param param
     * @return
     */
    List<WmsHealthIndexEntity> query(final WmsHealthIndexId id,
                                     final WmsHealthIndexQuery param);
}
